#! /usr/bin/env python
# -*- coding: utf-8 -*-
#
# vim: fenc=utf-8
# vim: tabstop=4 expandtab shiftwidth=4 softtabstop=4
#
#

"""
File name: microsoft.py
Author: dhilipsiva <dhilipsiva@gmail.com>
Date created: 2017-01-15
"""

DOMAINS = [
    "a-msedge.net",
    "accessvb.com",
    "adcentercommunity.com",
    "adecn.com",
    "adnxs.com",
    "advisor.net",
    "ailogiq.com",
    "akadns.net",
    "akamai.net",
    "anti-spamtools.org",
    "aquantive.com",
    "aspnetcdn.com",
    "atdmt.com",
    "atlassolutions.com",
    "audible.com",
    "azure-test.net",
    "azure.com",
    "azure.net",
    "azuredns-cloud.net",
    "bbsindex.com",
    "bcentral-int.com",
    "bcentral-ppe.com",
    "bcentral.com",
    "bcentral.net",
    "be-legal.ru",
    "betaoneservices.com",
    "bing-int.com",
    "bing.com",
    "bing.net",
    "bing.net:443",
    "binginternal.com",
    "brktx.com",
    "cfsinsider.com",
    "cinemania.com",
    "cinemanow.com",
    "clearlead.com",
    "clearleadtest.com",
    "cloudapp.net",
    "clownoutbreak.com",
    "codezonepremiere.com",
    "com.mk",
    "com.tn",
    "courttv.com",
    "crmlive-int.com",
    "crmlive-ppe.com",
    "crmlive.net",
    "crmliveperf.com",
    "crmlivetie2.com",
    "datacontract.org",
    "deepmatrix.com",
    "deepmetrix.com",
    "demdex.com",
    "demdex.net",
    "design-intelligence.com",
    "digitalrivercontent.net",
    "directtaps.net",
    "discoverbing.com",
    "dnset.com",
    "do.com",
    "download.com",
    "downloadgamecenter.net",
    "downloadgamecenter.org",
    "downloadgamescenter.com",
    "downloadgamescenter.net",
    "downloadgamescenter.org",
    "dyanmicslive.com",
    "dyanmicslive.net",
    "dyanmicslive.org",
    "dynamicdns.biz",
    "dynamics-int.com",
    "dynamics-partner.com",
    "dynamics-ppe.com",
    "dynamics-preview.com",
    "dynamics-spla.com",
    "dynamics.biz",
    "dynamics.com",
    "dynamics.eu",
    "dynamics.info",
    "dynamicscontinuum.biz",
    "dynamicscontinuum.info",
    "dynamicscsplus.biz",
    "dynamicscustomer.biz",
    "dynamicscustomer.info",
    "dynamicsdesignlogo.biz",
    "dynamicsdesignlogo.info",
    "dynamicsemployee.biz",
    "dynamicsemployee.info",
    "dynamicsexpensereport.biz",
    "dynamicsexpensereport.info",
    "dynamicslive-int.com",
    "dynamicslive-ppe.com",
    "dynamicslive-ppe.net",
    "dynamicslive-ppe.org",
    "dynamicslive.com",
    "dynamicsnetapps.biz",
    "dynamicsnetapps.info",
    "dynamicsnetseries.biz",
    "dynamicsnetseries.info",
    "dynamicsnettools.biz",
    "dynamicsnettools.info",
    "dynamicsonline-int.com",
    "dynamicsonline-ppe.com",
    "dynamicsonline-preview.com",
    "dynamicsonline.com",
    "dynamicsorder.biz",
    "dynamicsorder.info",
    "dynamicsservicecenter.biz",
    "dynamicsservicecenter.info",
    "dynamicssite-int.com",
    "dynamicssite-ppe.com",
    "dynamicssite-preview.com",
    "dynamicstimecard.biz",
    "dynamicstimecard.info",
    "dynamicsvendor.biz",
    "dynamicsvendor.info",
    "dynamicsview.biz",
    "dynamicsview.info",
    "dynssl.com",
    "e-typedesign.co.uk",
    "edgesuite.net",
    "effectivemeasure.net",
    "emodio.com",
    "entelechargement.com",
    "erplive.com",
    "eso.com",
    "eugrantsadvisor.com",
    "eugrantsadvisor.name",
    "eugrantsadvisor.net",
    "eugrantsadvisor.org",
    "exchangeyourcareer.com",
    "exchangeyourcareer.net",
    "exchangeyourcareer.org",
    "expedia.com",
    "expediapartner.com",
    "expediapartners.com",
    "explore.ms",
    "facultyconnection.com",
    "farolatino.com",
    "fedtest-int.com",
    "fedtest.com",
    "flurry.com",
    "footprintpredict.com",
    "freepowerpoint.com",
    "fullaudio.com",
    "futurefed.com",
    "geotrust.com",
    "getofficelive.co.za",
    "gfx.ms",
    "gotyoursoul.com",
    "gowindowslive.com",
    "gowindowslive.net",
    "gowindowslive.org",
    "hardware-update.com",
    "healthvolt.net",
    "hockeyapp.net",
    "homeadvisor.com",
    "hotmail.com",
    "ic-live.com",
    "ideawins-ppe.com",
    "iechannelguide.com",
    "iechannels.com",
    "iegallery.com",
    "ilovemessenger.com",
    "imagine-live.com",
    "imagine-windowslive.com.br",
    "imagine-wl.com.br",
    "innovateon-int.com",
    "innovateonmicrosoftofficelive.com",
    "innovateonofficelive.com",
    "innovateonwindowshpcserver.com",
    "innovateonwindowshpcserver2008.com",
    "installshield.com",
    "intellitxt.com",
    "jimboiscool.trt",
    "licencje-microsoft.pl",
    "licencjemicrosoft.eu",
    "licensestore.jp",
    "listbot.com",
    "live-func.net",
    "live-int.com",
    "live-partner.com",
    "live-ppe.com",
    "live-str.com",
    "live-tst.com",
    "live-tst.net",
    "live.ca",
    "live.com",
    "live.it",
    "live.net",
    "live365.com",
    "liveatedu-ppe.com",
    "liveatedu.com",
    "liveexposupport.com",
    "livefilestore.com",
    "liveportal.com",
    "livesearch.com.br",
    "livestats.com",
    "livestats.net",
    "macrosoft.com.br",
    "macrovision.com",
    "mactopia.net",
    "madingleymodel.com",
    "madingleymodel.org",
    "mesh-int.com",
    "mesh-ri.com",
    "mesh.com",
    "messengerentucelu.com",
    "mfncpfs.com",
    "mgsindiegames.net",
    "mgsindiegames.org",
    "micronewsads.com",
    "microsfot.com",
    "microsft.com.br",
    "microsoft-antipiracy.com",
    "microsoft-appstore.com",
    "microsoft-b.com",
    "microsoft-bg.com",
    "microsoft-careers.com",
    "microsoft-certification.co.uk",
    "microsoft-cortana.com",
    "microsoft-entertainment-jobs.com",
    "microsoft-hohm.com",
    "microsoft-int.com",
    "microsoft-jdp.net",
    "microsoft-news.com",
    "microsoft-office-2010.com",
    "microsoft-office-excel.com",
    "microsoft-office.fr",
    "microsoft-online-sales.com",
    "microsoft-ppe.com",
    "microsoft-press.com",
    "microsoft-questions.com",
    "microsoft-store-careers.com",
    "microsoft-store-promo-code.com",
    "microsoft-tst.com",
    "microsoft.ae",
    "microsoft.af",
    "microsoft.ag",
    "microsoft.ai",
    "microsoft.al",
    "microsoft.am",
    "microsoft.as",
    "microsoft.at",
    "microsoft.az",
    "microsoft.ba",
    "microsoft.be",
    "microsoft.bi",
    "microsoft.biz",
    "microsoft.bs",
    "microsoft.by",
    "microsoft.bz",
    "microsoft.ca",
    "microsoft.cc",
    "microsoft.cd",
    "microsoft.ch",
    "microsoft.cl",
    "microsoft.cm",
    "microsoft.cn",
    "microsoft.co",
    "microsoft.co.il",
    "microsoft.co.uk",
    "microsoft.com",
    "microsoft.com.ar",
    "microsoft.com.au",
    "microsoft.com.br",
    "microsoft.com.tw",
    "microsoft.cr",
    "microsoft.cx",
    "microsoft.cz",
    "microsoft.de",
    "microsoft.dj",
    "microsoft.dk",
    "microsoft.dm",
    "microsoft.do",
    "microsoft.ec",
    "microsoft.ee",
    "microsoft.es",
    "microsoft.fi",
    "microsoft.fm",
    "microsoft.fr",
    "microsoft.ge",
    "microsoft.gg",
    "microsoft.gl",
    "microsoft.gm",
    "microsoft.gp",
    "microsoft.gr",
    "microsoft.gs",
    "microsoft.gt",
    "microsoft.gy",
    "microsoft.hn",
    "microsoft.hr",
    "microsoft.hu",
    "microsoft.ie",
    "microsoft.im",
    "microsoft.in",
    "microsoft.info",
    "microsoft.io",
    "microsoft.is",
    "microsoft.it",
    "microsoft.je",
    "microsoft.jo",
    "microsoft.jp",
    "microsoft.kg",
    "microsoft.kn",
    "microsoft.kz",
    "microsoft.la",
    "microsoft.lc",
    "microsoft.li",
    "microsoft.lk",
    "microsoft.lt",
    "microsoft.lu",
    "microsoft.lv",
    "microsoft.ly",
    "microsoft.ma",
    "microsoft.md",
    "microsoft.mn",
    "microsoft.mp",
    "microsoft.ms",
    "microsoft.mu",
    "microsoft.mv",
    "microsoft.mw",
    "microsoft.mx",
    "microsoft.my",
    "microsoft.net",
    "microsoft.nf",
    "microsoft.nl",
    "microsoft.no",
    "microsoft.org",
    "microsoft.pa",
    "microsoft.pe",
    "microsoft.ph",
    "microsoft.pk",
    "microsoft.pl",
    "microsoft.pn",
    "microsoft.pr",
    "microsoft.pt",
    "microsoft.pw",
    "microsoft.re",
    "microsoft.ro",
    "microsoft.ru",
    "microsoft.rw",
    "microsoft.sc",
    "microsoft.se",
    "microsoft.si",
    "microsoft.sk",
    "microsoft.sl",
    "microsoft.sm",
    "microsoft.sn",
    "microsoft.so",
    "microsoft.sr",
    "microsoft.su",
    "microsoft.sy",
    "microsoft.tj",
    "microsoft.tk",
    "microsoft.tm",
    "microsoft.tn",
    "microsoft.tt",
    "microsoft.tv",
    "microsoft.tw",
    "microsoft.ua",
    "microsoft.ug",
    "microsoft.uz",
    "microsoft.vc",
    "microsoft.vn",
    "microsoft.ws",
    "microsoftadvertising.com",
    "microsoftauto.com.br",
    "microsoftbiconference.com",
    "microsoftbicustomercouncil.com",
    "microsoftbusinesshub.com",
    "microsoftc.com.br",
    "microsoftclassifiedads.com",
    "microsoftcloudpartner.com",
    "microsoftcourseware.com",
    "microsoftcourseware.net",
    "microsoftcourseware.org",
    "microsoftdynamicserp.biz",
    "microsoftdynamicslive-int.com",
    "microsoftdynamicslive-ppe.com",
    "microsoftdynamicslive.com",
    "microsoftdynamicslive.net",
    "microsoftdynamicslive.org",
    "microsofteai.com.br",
    "microsoftelearning.com",
    "microsoftencarta.net",
    "microsoftencarta.org",
    "microsoftequipt.com",
    "microsofter.com.br",
    "microsoftexpo.com",
    "microsoftexpo.net",
    "microsoftexpo.org",
    "microsoftforefront.org",
    "microsoftfrontpage.com",
    "microsofthealthbeta.com",
    "microsofthealthsolutions.com",
    "microsofthotmail.com.br",
    "microsofthyper-v.com.br",
    "microsofthyper-vserver.com.br",
    "microsoftinformatica.com.br",
    "microsoftitacademy.com",
    "microsoftlawportal.net",
    "microsoftlicense.com",
    "microsoftlicensereview.com",
    "microsoftlicensestatement.com",
    "microsoftlive.com.br",
    "microsoftlivelabs.com.br",
    "microsoftmediaroom.de",
    "microsoftoffice.com",
    "microsoftoffice365now.com",
    "microsoftonline-p.com",
    "microsoftonline-p.net",
    "microsoftonline.com",
    "microsoftphotosynth.com.br",
    "microsoftplayfx.com.br",
    "microsoftportal.net",
    "microsoftstore.com",
    "microsoftstore.com.cn",
    "microsoftstore.it",
    "microsoftstore.me",
    "microsoftsupplychain.com",
    "microsoftsurface.com.br",
    "microsofttemplates.com",
    "microsofttemplates.org",
    "microsofttouch.fr",
    "microsoftupdate.com",
    "microsoftupdates.eu",
    "microsoftvirtualacademy.com",
    "microsoftvolumelicensing.com",
    "microsoftwildcat.com",
    "microsoftword.com.br",
    "micrososft.com",
    "micrsoftsmartcar.co.uk",
    "mikrosoft.tv",
    "mixplay.tv",
    "mobileconfig.net",
    "mobilepcpartners.com",
    "moneycentral.com",
    "moonport.com",
    "movielink.com",
    "ms-courseware.com",
    "ms-courseware.net",
    "ms-courseware.org",
    "ms.co.nz",
    "msads.net",
    "msbpn.com",
    "mscourseware.com",
    "mscourseware.net",
    "mscoursewareonline.com",
    "mscoursewareonline.net",
    "mscoursewareonline.org",
    "mscrm.com",
    "msdn.com",
    "msdnevents.com",
    "msdnlive.com",
    "msecn.net",
    "msecnd.com",
    "msecnd.net",
    "msedulabs.com",
    "msencarta.net",
    "mseventseurope.com",
    "msfdc.com",
    "msft.com",
    "msft.net",
    "msftncsi.com",
    "msftoffers.com",
    "msgamebetas.com",
    "msgamedev.com",
    "msgames.net",
    "msgamesinsider.com",
    "msgamestudios.com",
    "msinsider.com",
    "mslearning.com",
    "mslit.com",
    "mslivelabs-int.com",
    "msmecrm.com",
    "msn-int.com",
    "msn-ppe.com",
    "msn.be",
    "msn.ca",
    "msn.ch",
    "msn.co.id",
    "msn.co.jp",
    "msn.co.kr",
    "msn.co.th",
    "msn.co.uk",
    "msn.com",
    "msn.com.cn",
    "msn.com.hk",
    "msn.com.my",
    "msn.com.ph",
    "msn.com.sg",
    "msn.com.tw",
    "msn.de",
    "msn.es",
    "msn.fr",
    "msn.la",
    "msn.mm",
    "msn.net",
    "msn.nl",
    "msn.se",
    "msncompanion.com",
    "msnencarta.com",
    "msnexpo.com",
    "msngamecenter.net",
    "msngamecenter.org",
    "msngamescenter.net",
    "msngamescenter.org",
    "msnmobile.in",
    "msnupdate.bz",
    "msnusers.com",
    "msocsp.com",
    "mspchealth.com",
    "msretech.com",
    "mssandbox.com",
    "msstudentlounge.com",
    "msstudiosmedia.com",
    "msteams.com",
    "mswep.com",
    "mswindows-update.com",
    "mswindowsupdates.com",
    "mtcdemos.net",
    "musicgiants.com",
    "musicmatch.com",
    "musicnet.com",
    "mywindowsmobile.co.uk",
    "mywindowsmobile.com",
    "mywindowsmobile.de",
    "napster.com",
    "navegaprotegido.org",
    "navison.com",
    "netgamesusa.com",
    "netmeetingtools.com",
    "nflfeverinsider.com",
    "nflfeverinsider.org",
    "ngworldstats.com",
    "no-ip.biz",
    "novadose.net",
    "nsatc.net",
    "nuevomessenger2009.com",
    "o365filtering.com",
    "oberon-media.com",
    "od2.com",
    "office.net",
    "office2010test.com",
    "office365.com",
    "officeformac.com",
    "officelive.com",
    "officelive.com.tw",
    "officelive.mp",
    "officelivecontent.com",
    "omniroot.com",
    "omtrdc.net",
    "osdinfra.net",
    "outlook.com",
    "parlano.com",
    "partnermarketplace.com",
    "passalong.com",
    "passport.net",
    "payplay.fm",
    "phx.gbl",
    "playmsn.com",
    "playout.se",
    "poptang.com",
    "projectzerofriction.com",
    "projectzerofriction.net",
    "projectzerofriction.org",
    "puretracks.com",
    "rdst-internal.net",
    "realtydesktop.net",
    "riseofnationsinsider.com",
    "s-microsoft.com",
    "s-msft.com",
    "s-msn.com",
    "s2bprogram.com",
    "sbp-int.com",
    "schwancosmetics.cz",
    "sclive-ppe.net",
    "searchalliance.com",
    "searchperks.com",
    "sensormap.org",
    "sertifikasi-microsoft.com",
    "serving-sys.com",
    "sharedview.com",
    "sharepointonline.com",
    "skype.com",
    "skype.net",
    "skypeassets.com",
    "skypeassets.net",
    "software.net",
    "softwarewow.com",
    "soundbuzz.com",
    "soundsgood.com",
    "spohealth.com",
    "sqlserverenergy.com",
    "start.com",
    "startwindowsmobile.com",
    "stationq.com",
    "subscribenet.com",
    "taskmarket.com",
    "toolup.com",
    "trafficmanager.net",
    "trymicrosoftoffice.com",
    "urge.com",
    "v0cdn.net",
    "vboxprod.com",
    "vidzone.tv",
    "visualstudio.com",
    "w-src.com",
    "walmart.com",
    "wbaltv.com",
    "webtv.net",
    "whymicrosoft.com",
    "winaero.com",
    "wind8apps.com",
    "windonws.com.br",
    "window7phone.com",
    "windowphone7.com",
    "windowphones.net",
    "windows-live.com.br",
    "windows.ca",
    "windows.com",
    "windows.lu",
    "windows.net",
    "windows07.com.br",
    "windows2000.com.br",
    "windows7download.com",
    "windows8downloads.com",
    "windows8downloadscdn.com",
    "windowsazure.com",
    "windowsazure.org",
    "windowsdna.com.br",
    "windowsembeddeddevices.com",
    "windowsembeddedkit.com",
    "windowsembeddedpartner.com",
    "windowsembeddedpartner.net",
    "windowsembeddedpartner.org",
    "windowsembeddedpartners.com",
    "windowsembeddedpartners.net",
    "windowsembeddedpartners.org",
    "windowsfilm.com.br",
    "windowsfilms.com.br",
    "windowsgamedeveloper.com",
    "windowshomeserver.com.br",
    "windowshyper-v.com.br",
    "windowsinformatica.com.br",
    "windowslive.com",
    "windowslive.com.ph",
    "windowslive.de",
    "windowslive.fr",
    "windowslive.la",
    "windowslive.net",
    "windowslive.nl",
    "windowsliveexpo.com",
    "windowslivegadgets.com",
    "windowslivehelp.com",
    "windowsliveid.com",
    "windowsliveonecare.com",
    "windowsliveplanet.com",
    "windowslogo.org",
    "windowsmarketplace.com",
    "windowsmedia.com",
    "windowsmedia1.com",
    "windowsmediacenter.com",
    "windowsmediaguide.com",
    "windowsmobile.es",
    "windowsonecare.com",
    "windowsonecare.nl",
    "windowsonecarelive.com",
    "windowsonecarelive.net",
    "windowsonline.com.br",
    "windowsphone-int.com",
    "windowsphone-int.net",
    "windowsphone.co.uk",
    "windowsphone.com",
    "windowsphone.cz",
    "windowsphone.es",
    "windowsphone.net",
    "windowsphone.se",
    "windowsphone6.com",
    "windowsphone7.com",
    "windowsphone7.net",
    "windowsphones.net",
    "windowsphones.org",
    "windowsphoneseven.com",
    "windowsphoneseven.net",
    "windowspone.com",
    "windowspowershell.org",
    "windowsrestaurante.com.br",
    "windowssearch.com",
    "windowsserverfeedback.com",
    "windowsserverhyper-v.com.br",
    "windowsstore.com",
    "windowsupdate.com",
    "windowsupdate.com.br",
    "windowsvissa.com",
    "windowsvista.kz",
    "windowsxp.com.br",
    "windowsxp.nu",
    "windowvista.com.br",
    "windwosphone.com",
    "wldrive.com.br",
    "wmplugins.com",
    "www-live.com",
    "xbox.com",
    "xbox.de",
    "xbox360nextgennow.com",
    "xboxcanada.ca",
    "xboxlive.com",
    "xboxlive.com.br",
    "xboxrc.com",
    "xmlsoap.org",
    "xsnsports.com",
    "xtngm-ppe.com",
    "yahoobingnetwork.com",
    "zone.com",
    "zootycooninsider.com",
    "zootycooninsider.net",
    "zootycooninsider.org",
]
