#! /usr/bin/env python
# -*- coding: utf-8 -*-
#
# vim: fenc=utf-8
# vim: tabstop=4 expandtab shiftwidth=4 softtabstop=4
#
#

"""
File name: list_ads.py
Author: dhilipsiva <dhilipsiva@gmail.com>
Date created: 2017-01-15
"""

DOMAINS = [
    "0.r.msn.com",
    "005.free-counter.co.uk",
    "006.free-counter.co.uk",
    "007.free-counter.co.uk",
    "008.free-counter.co.uk",
    "008.free-counters.co.uk",
    "00fun.com",
    "011707160008.c.mystat-in.net",
    "0427d7.se",
    "0532a9.r.axf8.net",
    "061606084448.c.mystat-in.net",
    "064bdf.r.axf8.net",
    "070806142521.c.mystat-in.net",
    "090906042103.c.mystat-in.net",
    "092706152958.c.mystat-in.net",
    "0c9d8370d.se",
    "0d7292.r.axf8.net",
    "0f36f3.r.axf8.net",
    "0iecfobt.com",
    "1.googlenews.xorg.pl",
    "1.ofsnetwork.com",
    "100-100.ru",
    "100.mbn.com.ua",
    "10006.hittail.com",
    "100065.hittail.com",
    "1000ps.oewabox.at",
    "100webads.com",
    "10168.hittail.com",
    "1018d7.r.axf8.net",
    "101com.com",
    "101order.com",
    "102.112.207.net",
    "102.112.2o7.net",
    "102.122.2o7.net",
    "102106151057.c.mystat-in.net",
    "103532.hittail.com",
    "10394-127.ampxchange.com",
    "10394-2468.ampxchange.com",
    "10394-4254.ampxchange.com",
    "106242.hittail.com",
    "108411.hittail.com",
    "10best.us.intellitxt.com",
    "10xhellometro.112.2o7.net",
    "1105governmentinformationgroup.122.2o7.net",
    "112006133326.c.mystat-in.net",
    "113693url.displayadfeed.com",
    "1168.ic-live.com",
    "118605-5437.link.iwanttodeliver.com",
    "11zz.com",
    "120.mbn.com.ua",
    "121807150325.c.mystat-in.net",
    "122907224924.c.mystat-in.net",
    "123-tracker.com",
    "123.fluxads.com",
    "123.ichkoche.at",
    "123count.com",
    "123found.com",
    "123go.com",
    "123stat.com",
    "1262.hittail.com",
    "1274.mediatraffic.com",
    "1278725189.pub.ezanga.com",
    "12877.hittail.com",
    "13223.hittail.com",
    "14.ca.enwebsearch.com",
    "14228.hittail.com",
    "1435575.fls.doubleclick.net",
    "145-ct.c3tag.com",
    "145639-4902.link.iwanttodeliver.com",
    "14713804a.l2m.net",
    "148.xg4ken.com",
    "15141.hittail.com",
    "1559.stats.misstrends.com",
    "15628.hittail.com",
    "15694.hittail.com",
    "15minadlt.hit.gemius.pl",
    "15minlt.adocean.pl",
    "160.mbn.com.ua",
    "16565.hittail.com",
    "165a7.v.fwmrm.net",
    "1687.ic-live.com",
    "1703.ic-live.com",
    "1800.stats.misstrends.com",
    "180hits.de",
    "180searchassistant.com",
    "1839.ic-live.com",
    "1867.stats.misstrends.com",
    "1901.nordstrom.com",
    "19097.hittail.com",
    "192.168.112.2o7.net",
    "192.168.122.2o7.net",
    "19500.hittail.com",
    "19533.hittail.com",
    "1au.cqcounter.com",
    "1bb261.r.axf8.net",
    "1bg.net",
    "1bm.cqcounter.com",
    "1c6e2.v.fwmrm.net",
    "1ca.cqcounter.com",
    "1de.cqcounter.com",
    "1directory.ru",
    "1empiredirect.com",
    "1es.cqcounter.com",
    "1fr.cqcounter.com",
    "1gavcom.popunder.ru",
    "1in.cqcounter.com",
    "1it.cqcounter.com",
    "1jo.cqcounter.com",
    "1nl.cqcounter.com",
    "1phads.com",
    "1pt.cqcounter.com",
    "1se.cqcounter.com",
    "1se.org",
    "1si.cqcounter.com",
    "1th.cqcounter.com",
    "1tr.cqcounter.com",
    "1ua.cqcounter.com",
    "1uk.cqcounter.com",
    "1und1internetag.d3.sc.omtrdc.net",
    "1up.us.intellitxt.com",
    "1us.cqcounter.com",
    "1x1rank.com",
    "1xxx.cqcounter.com",
    "2.googlenews.xorg.pl",
    "2.rubanners.com",
    "2.s09.flagcounter.com",
    "2001positions.com",
    "207.net",
    "20909.hittail.com",
    "20996-1061.link.iwanttodeliver.com",
    "20d625b48e.se",
    "21750.tctm.co",
    "21807.hittail.com",
    "2183.jsjmlejl.clickshield.net",
    "222-33544_999.pub.adfirmative.com",
    "22537.hittail.com",
    "2278.stats.misstrends.com",
    "23315.hittail.com",
    "234.adru.net",
    "234.media.lbn.ru",
    "234x120.adv.vz.ru",
    "23837.hittail.com",
    "243029-18685.link.iwanttodeliver.com",
    "244657-12903.link.iwanttodeliver.com",
    "24725.hittail.com",
    "247590.r.axf8.net",
    "247media.com",
    "247wallstreet.us.intellitxt.com",
    "24809.hittail.com",
    "24counter.com",
    "24fun.count.brat-online.ro",
    "24log.com",
    "24log.de",
    "24m.nuggad.net",
    "24pm-affiliation.com",
    "24wrestling.us.intellitxt.com",
    "25057.hittail.com",
    "2542116.fls.doubleclick.net",
    "25643e662a2.com",
    "26288.hittail.com",
    "2664.tm.zedo.com",
    "27460.hittail.com",
    "276bf6.r.axf8.net",
    "27891.hittail.com",
    "2822.v.fwmrm.net",
    "28305.hittail.com",
    "2912a.v.fwmrm.net",
    "2915d.v.fwmrm.net",
    "2915dc.v.fwmrm.net",
    "2945.v.fwmrm.net",
    "2975c.v.fwmrm.net",
    "29773.v.fwmrm.net",
    "298-ct.c3tag.com",
    "29bca6cb72a665c8.se",
    "2a86.v.fwmrm.net",
    "2ab7f.v.fwmrm.net",
    "2df7e.v.fwmrm.net",
    "2mdn.net",
    "2o7.net",
    "2o7.net",
    "2snaps.us.intellitxt.com",
    "2spyware.us.intellitxt.com",
    "3.cennter.com",
    "3.googlenews.xorg.pl",
    "30001.hittail.com",
    "30280827a.l2m.net",
    "30811.hittail.com",
    "31335.hittail.com",
    "314.hittail.com",
    "3151.77152.blueseek.com",
    "3165.tm.zedo.com",
    "31870.hittail.com",
    "3211.tm.zedo.com",
    "3241.hittail.com",
    "32d1d3b9c.se",
    "332645.r.axf8.net",
    "33universal.adprimemedia.com",
    "33video.33universal.com",
    "3415.hittail.com",
    "3463.hittail.com",
    "34673.hittail.com",
    "35385.hittail.com",
    "360yield.com",
    "3642305.fls.doubleclick.net",
    "3918.hittail.com",
    "3933.hittail.com",
    "3957.hittail.com",
    "3amcouk.skimlinks.com",
    "3animalsex.com",
    "3bb4f0.r.axf8.net",
    "3gupload.112.2o7.net",
    "3w.nuggad.net",
    "3wregie.ezakus.net",
    "3xtraffic.com",
    "4.afs.googleadservices.com",
    "4.googlenews.xorg.pl",
    "403.hqhost.net",
    "404.fuckyoucash.com",
    "404.hqhost.net",
    "404.online.net",
    "404.xxxymovies.com",
    "4053494.fls.doubleclick.net",
    "411mania.us.intellitxt.com",
    "4133.88.primosearch.com",
    "4134.hittail.com",
    "4184.stats.misstrends.com",
    "4236808.fls.doubleclick.net",
    "4360661.fls.doubleclick.net",
    "4488352.fls.doubleclick.net",
    "4514783.fls.doubleclick.net",
    "4560.hittail.com",
    "4612.hittail.com",
    "4654.2465.primosearch.com",
    "4684100.fls.doubleclick.net",
    "4802.170.blueseek.com",
    "4902-145639.link.iwanttodeliver.com",
    "4affiliate.net",
    "4affiliate.net",
    "4d5.net",
    "4qinvite.4q.iperceptions.com",
    "4thegame.uk.intellitxt.com",
    "4w-wrestling.us.intellitxt.com",
    "5.googlenews.xorg.pl",
    "506.xg4ken.com",
    "50websads.com",
    "518ad.com",
    "51af72.r.axf8.net",
    "51yes.com",
    "531.xg4ken.com",
    "5362399.fls.doubleclick.net",
    "5486.winxp.primosearch.com",
    "5490.spedads.primosearch.com",
    "5726.bapi.adsafeprotected.com",
    "5740.4785.blueseek.com",
    "5882.1158.blueseek.com",
    "599.stats.misstrends.com",
    "5990.findit.blueseek.com",
    "5advertise.com",
    "5b008e.r.axf8.net",
    "5bde1.v.fwmrm.net",
    "5be16.v.fwmrm.net",
    "5d0dd.v.fwmrm.net",
    "5d406.v.fwmrm.net",
    "5d427.v.fwmrm.net",
    "5d4a1.v.fwmrm.net",
    "5ebec5.r.axf8.net",
    "5starsupport.us.intellitxt.com",
    "600z.com",
    "602.stats.misstrends.com",
    "604.stats.misstrends.com",
    "606.stats.misstrends.com",
    "6063.bapi.adsafeprotected.com",
    "6266.570204.primosearch.com",
    "654.stats.misstrends.com",
    "671.stats.misstrends.com",
    "680.stats.misstrends.com",
    "687-ct.c3tag.com",
    "699.stats.misstrends.com",
    "7.rotator.wigetmedia.com",
    "71158.hittail.com",
    "71i.nuggad.net",
    "7209235.collect.igodigital.com",
    "726.stats.misstrends.com",
    "72d329.r.axf8.net",
    "73091.hittail.com",
    "7457.accessaw.blueseek.com",
    "7457.pownit.blueseek.com",
    "750.stats.misstrends.com",
    "755-ct.c3tag.com",
    "77266.hittail.com",
    "777partner.com",
    "77search.com",
    "77tracking.com",
    "78843.hittail.com",
    "79423.analytics.edgekey.net",
    "79423.analytics.edgesuite.net",
    "7979.nosubid.blueseek.com",
    "7bpeople.com",
    "7search.com",
    "7search.com",
    "7vws1j1j.com",
    "803.stats.misstrends.com",
    "815.hittail.com",
    "8260.hittail.com",
    "85dcf732d593.se",
    "879.stats.misstrends.com",
    "8959.hittail.com",
    "8b3439.r.axf8.net",
    "8cb8a3.r.axf8.net",
    "8d6274.r.axf8.net",
    "8d6274.t.axf8.net",
    "9.ecounter.org",
    "922.hittail.com",
    "93367.hittail.com",
    "9394.hittail.com",
    "9446.hittail.com",
    "94uyvwwh.com",
    "9547.hittail.com",
    "9563.hittail.com",
    "9571.hittail.com",
    "986.stats.misstrends.com",
    "99400.hittail.com",
    "994119.r.axf8.net",
    "99count.com",
    "9am.count.brat-online.ro",
    "9cf9.v.fwmrm.net",
    "9d060c.r.axf8.net",
    "9dacbd.r.axf8.net",
    "9down.us.intellitxt.com",
    "Adsatt.ABCNews.starwave.com",
    "Adsatt.go.starwave.com",
    "___id___.c.mystat-in.net",
    "a-ads.com",
    "a-counter.kiev.ua",
    "a.0day.kiev.ua",
    "a.1nimo.com",
    "a.abnad.net",
    "a.abv.bg",
    "a.adnium.com",
    "a.adorika.net",
    "a.adready.com",
    "a.adroll.com",
    "a.ads.t-online.de",
    "a.ads1.msads.net",
    "a.ads1.msn.com",
    "a.ads2.msads.net",
    "a.ads2.msn.com",
    "a.ads99.cn",
    "a.advanstar.com",
    "a.amd.com",
    "a.androidandme.com",
    "a.answers.com",
    "a.aproductmsg.com",
    "a.autoexpress.co.uk",
    "a.beliefnet.com",
    "a.bizarremag.com",
    "a.cbc.ca",
    "a.cdn.intentmedia.net",
    "a.centrum.cz",
    "a.collective-media.net",
    "a.collective-media.net",
    "a.company-target.com",
    "a.consumer.net",
    "a.custompc.co.uk",
    "a.diximedia.es",
    "a.dlqm.net",
    "a.dpmsrv.com",
    "a.environmentaldefense.org",
    "a.evo.co.uk",
    "a.fandango.com",
    "a.farlex.com",
    "a.fox.com",
    "a.giantrealm.com",
    "a.global.msads.net",
    "a.goember.com",
    "a.gsmarena.com",
    "a.heavy-r.com",
    "a.heretv.com",
    "a.hspvst.com",
    "a.huluad.com",
    "a.idio.co",
    "a.imonomy.com",
    "a.independent.co.uk",
    "a.itpro.co.uk",
    "a.jumptap.com",
    "a.kickass.to",
    "a.kickassunblock.net",
    "a.kik.bg",
    "a.klaviyo.com",
    "a.komoona.com",
    "a.law.com",
    "a.ligatus.com",
    "a.livesportmedia.eu",
    "a.macuser.co.uk",
    "a.mgid.com",
    "a.mktw.net",
    "a.mobify.com",
    "a.mobile.toboads.com",
    "a.modernmedicine.com",
    "a.moitepari.bg",
    "a.monetate.net",
    "a.mouseflow.com",
    "a.netmng.com",
    "a.networkworld.com",
    "a.pcpro.co.uk",
    "a.pokerplayermagazine.co.uk",
    "a.postrelease.com",
    "a.press24.mk",
    "a.rad.msn.com",
    "a.remarketstats.com",
    "a.rfihub.com",
    "a.rmgserving.com",
    "a.rvttrack.com",
    "a.sakh.com",
    "a.scorecardresearch.com",
    "a.shop.com",
    "a.softconsultgroup.com",
    "a.spicetv.com",
    "a.submityourflicks.com",
    "a.teads.tv",
    "a.tempurpedic.com",
    "a.tfag.de",
    "a.thanksearch.com",
    "a.thoughtleadr.com",
    "a.tiscali.co.uk",
    "a.tribalfusion.com",
    "a.trkme.net",
    "a.tvn.lv",
    "a.ucoz.net",
    "a.ucoz.net",
    "a.ucoz.ru",
    "a.unanimis.co.uk",
    "a.venetian.com",
    "a.visualrevenue.com",
    "a.vonage.com",
    "a.websponsors.com",
    "a.wikia-beacon.com",
    "a.wishabi.com",
    "a.xanga.com",
    "a.xanga.com",
    "a.zoot.ro",
    "a01.korrelate.net",
    "a02.korrelate.net",
    "a1.admaster.net",
    "a1.opentracker.net",
    "a1.vdna-assets.com",
    "a1.x-traceur.com",
    "a10.reflexcash.com",
    "a12.x-traceur.com",
    "a18.x-traceur.com",
    "a2.adform.net",
    "a2.mediagra.com",
    "a20.x-traceur.com",
    "a2pub.com",
    "a3.adzs.nl",
    "a3.cdnpark.com",
    "a3.mediagra.com",
    "a3.suntimes.com",
    "a3.websitealive.com",
    "a3.x-traceur.com",
    "a32.g.a.yimg.com",
    "a4.adzs.nl",
    "a407.casalemedia.com",
    "a9.sc.freepornvs.com",
    "aa-d.openx.net",
    "aa-gb.marketgid.com",
    "aa-gb.mgid.com",
    "aa-nb.mgid.com",
    "aa.connextra.com",
    "aa.newsblock.dt00.net",
    "aa.oasfile.aftenposten.no",
    "aa.online-metrix.net",
    "aa.toshiba.bavesinyourface.com",
    "aa.voice2page.com",
    "aabe3b.se",
    "aad73c550c.se",
    "aaddzz.com",
    "aalbc.advertserve.com",
    "aax-eu.amazon-adsystem.com",
    "aax-us-east-rtb.amazon-adsystem.com",
    "aax-us-east.amazon-adsystem.com",
    "aax.amazon-adsystem.com",
    "ab-gb.mgid.com",
    "ab-nb.marketgid.com",
    "ab-nb.mgid.com",
    "ab.adpro.com.ua",
    "ab.adrevivify.com",
    "ab.advertiserurl.com",
    "ab.goodsblock.dt07.net",
    "ab.vendemore.com",
    "ab159015.adbutler-zilon.com",
    "ab163949.adbutler-kaon.com",
    "ab44aa.r.axf8.net",
    "abacho.net",
    "abandonment.saas.seewhy.com",
    "abbyssh.freestats.com",
    "abc-ads.com",
    "abc.doublegear.com",
    "abcno.nuggad.net",
    "abcstats.com",
    "able2know.us.intellitxt.com",
    "abo.prismamediadigital.com",
    "aboutads.quantcast.com",
    "aboutwebservices.com",
    "abp.smartadcheck.de",
    "abs.beweb.com",
    "abs.proxistore.com",
    "absoluteclickscom.com",
    "abtracker.adultbouncer.com",
    "abz.com",
    "ac-gb.mgid.com",
    "ac-nb.marketgid.com",
    "ac.ajur.info",
    "ac.mmstat.com",
    "ac.rnm.ca",
    "ac.ybinst0.ec.yimg.com",
    "ac.ybinst1.ec.yimg.com",
    "ac.ybinst2.ec.yimg.com",
    "ac.ybinst3.ec.yimg.com",
    "ac.ybinst4.ec.yimg.com",
    "ac.ybinst5.ec.yimg.com",
    "ac.ybinst6.ec.yimg.com",
    "ac.ybinst7.ec.yimg.com",
    "ac.ybinst8.ec.yimg.com",
    "ac.ybinst9.ec.yimg.com",
    "ac2.valuead.com",
    "ac9d98.r.axf8.net",
    "acckalaharinet.112.2o7.net",
    "accounts.pkr.com",
    "accounts.pkr.com.invalid",
    "accuserveadsystem.com",
    "accutrk.com",
    "accuweather.us.intellitxt.com",
    "acdn.adnxs.com",
    "ace-lb.advertising.com",
    "ace-tag.advertising.com",
    "ace.adoftheyear.com",
    "aceshowbiz.us.intellitxt.com",
    "achmedia.com",
    "aclasscelebs.us.intellitxt.com",
    "acookie.alimama.com",
    "acpmagazines.112.2o7.net",
    "acsseo.com",
    "action.mathtag.com",
    "action.media6degrees.com",
    "action.metaffiliation.com",
    "actionscript.us.intellitxt.com",
    "actionsplash.com",
    "active.cache.el-mundo.net",
    "active.hit.stat24.com",
    "activeby.hit.gemius.pl",
    "activewin.us.intellitxt.com",
    "activity.serving-sys.com",
    "actrck.com",
    "actualdeals.com",
    "actualite-de-stars.fr.intellitxt.com",
    "actvtrack.com",
    "acuityads.com",
    "acuityplatform.com",
    "ad-ace.doubleclick.net",
    "ad-apac.doubleclick.net",
    "ad-balancer.at",
    "ad-balancer.net",
    "ad-cdn.technoratimedia.com",
    "ad-center.com",
    "ad-clix.com",
    "ad-dc2.adtech.de",
    "ad-emea.doubleclick.net",
    "ad-g.doubleclick.net",
    "ad-hoc-news.de.intellitxt.com",
    "ad-images.suntimes.com",
    "ad-incisive.grapeshot.co.uk",
    "ad-js.chip.de",
    "ad-media.xe.gr",
    "ad-pay.de",
    "ad-rotator.com",
    "ad-rotator.com",
    "ad-server.gulasidorna.se",
    "ad-serverparc.nl",
    "ad-souk.com",
    "ad-space.net",
    "ad-tech.com",
    "ad-up.com",
    "ad-us-east-1.pxlad.io",
    "ad.100.tbn.ru",
    "ad.100.tbn.ru",
    "ad.120-gen.tbn.ru",
    "ad.120.tbn.ru",
    "ad.360yield.com",
    "ad.71i.de",
    "ad.71i.de",
    "ad.980x.com",
    "ad.a-ads.com",
    "ad.a8.net",
    "ad.a8.net",
    "ad.abcnews.com",
    "ad.abctv.com",
    "ad.about.com",
    "ad.aboutwebservices.com",
    "ad.aboutwebservices.com",
    "ad.abum.com",
    "ad.abum.com",
    "ad.ad-srv.net",
    "ad.ad24.ru",
    "ad.adbull.com",
    "ad.adc-serv.net",
    "ad.adip.ly",
    "ad.adition.net",
    "ad.adlegend.com",
    "ad.admitad.com",
    "ad.adnet.biz",
    "ad.adnet.de",
    "ad.adnow.com",
    "ad.adocean.pl",
    "ad.adriver.ru",
    "ad.adsafiliados.com.br",
    "ad.adserver01.de",
    "ad.adsrvr.org",
    "ad.adtoma.com",
    "ad.aduserver.com",
    "ad.adver.com.tw",
    "ad.adverticum.net",
    "ad.advertstream.com",
    "ad.adview.pl",
    "ad.adworx.at",
    "ad.adxcore.com",
    "ad.ae.doubleclick.net",
    "ad.afilo.pl",
    "ad.afy11.net",
    "ad.afy11.net",
    "ad.agava.tbn.ru",
    "ad.allstar.cz",
    "ad.allstar.cz",
    "ad.altervista.org",
    "ad.altervista.org",
    "ad.amgdgt.com",
    "ad.amgdgt.com",
    "ad.amiadogroup.com",
    "ad.anuntis.com",
    "ad.aquamediadirect.com",
    "ad.ar.doubleclick.net",
    "ad.asntown.net",
    "ad.at.doubleclick.net",
    "ad.atdmt.com",
    "ad.au.doubleclick.net",
    "ad.auditude.com",
    "ad.auditude.com",
    "ad.bannerhost.ru",
    "ad.batanga.com",
    "ad.batanga.net",
    "ad.bauerverlag.de",
    "ad.be.doubleclick.net",
    "ad.beepworld.de",
    "ad.beritasatumedia.com",
    "ad.bg.doubleclick.net",
    "ad.bizo.com",
    "ad.bnmla.com",
    "ad.bnmla.com",
    "ad.bodybuilding.com",
    "ad.bondage.com",
    "ad.br.doubleclick.net",
    "ad.broadstreetads.com",
    "ad.ca.doubleclick.net",
    "ad.caradisiac-publicite.com",
    "ad.caradisiac.com",
    "ad.caradisiac.com",
    "ad.cashdorado.de",
    "ad.centrum.cz",
    "ad.cgi.cz",
    "ad.ch.doubleclick.net",
    "ad.choiceradio.com",
    "ad.cl.doubleclick.net",
    "ad.clix.pt",
    "ad.cmfu.com",
    "ad.cn.doubleclick.net",
    "ad.coas2.co.kr",
    "ad.cooks.com",
    "ad.cooks.com",
    "ad.creafi.com",
    "ad.crwdcntrl.net",
    "ad.crwdcntrl.net",
    "ad.db3nf.com",
    "ad.dc2.adtech.de",
    "ad.de.doubleclick.net",
    "ad.dedicatedmedia.com",
    "ad.depositfiles.com",
    "ad.digitallook.com",
    "ad.digitimes.com.tw",
    "ad.directrev.com",
    "ad.directrev.com",
    "ad.dk.doubleclick.net",
    "ad.doctissimo.fr",
    "ad.domainfactory.de",
    "ad.donanimhaber.com",
    "ad.doubleclick.net",
    "ad.download.cnet.com",
    "ad.dumedia.ru",
    "ad.e-kolay.net",
    "ad.e-kolay.net",
    "ad.eanalyzer.de",
    "ad.econet.hu",
    "ad.ecplaza.net",
    "ad.ent.tbn.ru",
    "ad.epochtimes.com",
    "ad.es.doubleclick.net",
    "ad.ett.tbn.ru",
    "ad.eurosport.com",
    "ad.eurosport.com",
    "ad.f1cd.ru",
    "ad.fi.doubleclick.net",
    "ad.flurry.com",
    "ad.flux.com",
    "ad.foxnetworks.com",
    "ad.foxnetworks.com",
    "ad.fr.doubleclick.net",
    "ad.freecity.de",
    "ad.freecity.de",
    "ad.gate24.ch",
    "ad.gazeta.pl",
    "ad.gen.tbn.ru",
    "ad.globe7.com",
    "ad.glossymedia.pl",
    "ad.go.com",
    "ad.gr.doubleclick.net",
    "ad.grafika.cz",
    "ad.hankooki.com",
    "ad.hbv.de",
    "ad.hbv.de",
    "ad.hi5.com",
    "ad.himediadx.com",
    "ad.hirekmedia.hu",
    "ad.hit.gemius.pl",
    "ad.hizlireklam.com",
    "ad.hk.doubleclick.net",
    "ad.hodomobile.com",
    "ad.hosting.pl",
    "ad.hr.doubleclick.net",
    "ad.httpool.com",
    "ad.httpool.com",
    "ad.hu.doubleclick.net",
    "ad.hyena.cz",
    "ad.ie.doubleclick.net",
    "ad.iinfo.cz",
    "ad.ilove.ch",
    "ad.iloveinterracial.com",
    "ad.imediaaudiences.com",
    "ad.impresionesweb.com",
    "ad.in.doubleclick.net",
    "ad.infoseek.com",
    "ad.infoseek.com",
    "ad.inmatads.info",
    "ad.inpizdads.info",
    "ad.inpulds.info",
    "ad.insightexpress.com",
    "ad.insightexpressai.com",
    "ad.internetradioinc.com",
    "ad.investor.bg",
    "ad.ipredictive.com",
    "ad.it.doubleclick.net",
    "ad.jamba.de",
    "ad.jamba.it",
    "ad.jamba.net",
    "ad.jamster.co.uk",
    "ad.jamster.com",
    "ad.janalta.com",
    "ad.jetsoftware.com",
    "ad.jp.ap.valuecommerce.com",
    "ad.jp.doubleclick.net",
    "ad.jugem.jp",
    "ad.keenspace.com",
    "ad.koreadaily.com",
    "ad.kr.doubleclick.net",
    "ad.lazynerd.info",
    "ad.leadbolt.net",
    "ad.leadbolt.net",
    "ad.leadboltads.net",
    "ad.linkstorms.com",
    "ad.lista.cz",
    "ad.liveinternet.ru",
    "ad.looktraffic.com",
    "ad.lupa.cz",
    "ad.m-adx.com",
    "ad.m5prod.net",
    "ad.m5prod.net",
    "ad.media-servers.net",
    "ad.mediaprostor.cz",
    "ad.mediastorm.hu",
    "ad.mgd.de",
    "ad.mirror.co.uk",
    "ad.mo.doubleclick.net",
    "ad.moreto.net",
    "ad.musicmatch.com",
    "ad.mylook.ee",
    "ad.n2434.doubleclick.net",
    "ad.nachtagenten.de",
    "ad.naver.com",
    "ad.netcommunities.com",
    "ad.netgoo.com",
    "ad.next2news.com",
    "ad.nl.doubleclick.net",
    "ad.no.doubleclick.net",
    "ad.nozonedata.com",
    "ad.nttnavi.co.jp",
    "ad.nttnavi.co.jp",
    "ad.ntvmsnbc.com",
    "ad.nwt.cz",
    "ad.nz.doubleclick.net",
    "ad.ohmyad.co",
    "ad.onad.eu",
    "ad.onlinechange.biz",
    "ad.orbitel.bg",
    "ad.oyy.ru",
    "ad.pandora.tv",
    "ad.payclick.it",
    "ad.petel.bg",
    "ad.philipstreehouse.info",
    "ad.pl.doubleclick.net",
    "ad.policeone.com",
    "ad.pop1.adbn.ru",
    "ad.popup.tbn.ru",
    "ad.preferances.com",
    "ad.prismamediadigital.com",
    "ad.profiwin.de",
    "ad.profiwin.de",
    "ad.propellerads.com",
    "ad.prv.pl",
    "ad.prv.pl",
    "ad.pt.doubleclick.net",
    "ad.punto-informatico.it",
    "ad.pxlad.io",
    "ad.rambler.ru",
    "ad.rambler.ru",
    "ad.reachppc.com",
    "ad.realist.gen.tr",
    "ad.realmedia.co.kr",
    "ad.reklamport.com",
    "ad.retargeter.com",
    "ad.reunion.com",
    "ad.rich1.adbn.ru",
    "ad.ro.doubleclick.net",
    "ad.rs.doubleclick.net",
    "ad.rtl.hr",
    "ad.ru.doubleclick.net",
    "ad.sbb.bg",
    "ad.scanmedios.com",
    "ad.se.doubleclick.net",
    "ad.searchhound.com",
    "ad.sensismediasmart.com.au",
    "ad.sensismediasmart.com.au",
    "ad.sethads.info",
    "ad.sexcount.de",
    "ad.seznam.cz",
    "ad.seznam.cz",
    "ad.sg.doubleclick.net",
    "ad.sgdgjarfpp123.com",
    "ad.si.doubleclick.net",
    "ad.simgames.net",
    "ad.sitelement.sk",
    "ad.sitemaji.com",
    "ad.slashgear.com",
    "ad.slutload.com",
    "ad.slutload.com",
    "ad.smaclick.com",
    "ad.smartclip.net",
    "ad.stat.4u.pl",
    "ad.strict.tbn.ru",
    "ad.sxp.smartclip.net",
    "ad.tbn.ru",
    "ad.tbn.ru",
    "ad.technoratimedia.com",
    "ad.terra.com.mx",
    "ad.terra.doubleclick.net",
    "ad.text-ent.tbn.ru",
    "ad.text.tbn.ru",
    "ad.th.doubleclick.net",
    "ad.theequalground.info",
    "ad.thehill.com",
    "ad.thesimplecomplex.bg",
    "ad.thewheelof.com",
    "ad.thinkmedia.cn",
    "ad.tom.com",
    "ad.top1.adbn.ru",
    "ad.touchnclick.co.kr",
    "ad.track.us.org",
    "ad.trafficshop.com",
    "ad.trident.net",
    "ad.triplemind.com",
    "ad.turn.com",
    "ad.turn.com",
    "ad.tv2.no",
    "ad.tv2.no",
    "ad.tw.doubleclick.net",
    "ad.twitchguru.com",
    "ad.u.nuggad.net",
    "ad.uk.doubleclick.net",
    "ad.us.doubleclick.net",
    "ad.usatoday.com",
    "ad.usatoday.com",
    "ad.velmedia.net",
    "ad.virtual-nights.com",
    "ad.wanderlist.com",
    "ad.watch.impress.co.jp",
    "ad.wavu.hu",
    "ad.way.cz",
    "ad.weatherbug.com",
    "ad.where.com",
    "ad.wingads.com",
    "ad.wretch.cc",
    "ad.wsod.com",
    "ad.wsod.com",
    "ad.wz.cz",
    "ad.wz.cz",
    "ad.xe.gr",
    "ad.xrea.com",
    "ad.yabuka.com",
    "ad.yadro.ru",
    "ad.yadro.ru",
    "ad.yieldlab.net",
    "ad.yonhapnews.co.kr",
    "ad.yourmedia.com",
    "ad.yourmedia.com",
    "ad.za.doubleclick.net",
    "ad.zanox.com",
    "ad.zanox.com",
    "ad.zoglafi.info",
    "ad.zompmedia.com",
    "ad0.bigmir.net",
    "ad0.bigmir.net",
    "ad0.haynet.com",
    "ad01.adonspot.com",
    "ad01.advertise.com",
    "ad01.investor.bg",
    "ad01.mediacorpsingapore.com",
    "ad01.tmgrup.com.tr",
    "ad02.adonspot.com",
    "ad03.doubleadx.com",
    "ad1.adfarm1.adition.com",
    "ad1.adfun.ru",
    "ad1.adtitan.net",
    "ad1.bigmir.net",
    "ad1.doublepimp.com",
    "ad1.emediate.dk",
    "ad1.emediate.dk",
    "ad1.emediate.se",
    "ad1.emule-project.org",
    "ad1.firehousezone.com",
    "ad1.kde.cz",
    "ad1.logger.co.kr",
    "ad1.netshelter.net",
    "ad1.nownews.com",
    "ad1.pamedia.com.au",
    "ad1.pamedia.com.au",
    "ad1.speedbit.com",
    "ad1.yourmedia.com",
    "ad10.play3.de",
    "ad10.speedbit.com",
    "ad11.adfarm1.adition.com",
    "ad130m.adpdx.com",
    "ad131m.adk2.co",
    "ad132m.adk2.co",
    "ad132m.adpdx.com",
    "ad2.adfarm1.adition.com",
    "ad2.adnetwork.net",
    "ad2.bal.dotandad.com",
    "ad2.bannerhost.ru",
    "ad2.cooks.com",
    "ad2.doubleclick.net",
    "ad2.doublepimp.com",
    "ad2.emediate.se",
    "ad2.firehousezone.com",
    "ad2.gammae.com",
    "ad2.hotels.com",
    "ad2.iinfo.cz",
    "ad2.ip.ro",
    "ad2.ip.ro",
    "ad2.ireklama.cz",
    "ad2.linxcz.cz",
    "ad2.lupa.cz",
    "ad2.neodatagroup.com",
    "ad2.netshelter.net",
    "ad2.pl.mediainter.net",
    "ad2.rambler.ru",
    "ad2.speedbit.com",
    "ad2.turn.com",
    "ad2.yam.com",
    "ad2flash.com",
    "ad2games.com",
    "ad2games.com",
    "ad2play.ftv-publicite.fr",
    "ad3.adfarm1.adition.com",
    "ad3.depositfiles.com",
    "ad3.hornymatches.com",
    "ad3.iinfo.cz",
    "ad3.linkbucks.com",
    "ad3.liverail.com",
    "ad3.pamedia.com.au",
    "ad3.rambler.ru",
    "ad3.speedbit.com",
    "ad4.adfarm1.adition.com",
    "ad4.bigmir.net",
    "ad4.gueb.com",
    "ad4.liverail.com",
    "ad4.netshelter.net",
    "ad4.speedbit.com",
    "ad468.prbn.ru",
    "ad4game.com",
    "ad4mat.de",
    "ad5.bigmir.net",
    "ad5.liverail.com",
    "ad5.netshelter.net",
    "ad5.speedbit.com",
    "ad6.bigmir.net",
    "ad6.speedbit.com",
    "ad7.bigmir.net",
    "ad7.gueb.com",
    "ad7.literotica.com",
    "ad7.speedbit.com",
    "ad8.speedbit.com",
    "ad9.speedbit.com",
    "adaction.de",
    "adactiongapl.hit.gemius.pl",
    "adadvisor.net",
    "adadvisor.net",
    "adafi.hit.gemius.pl",
    "adagiof3.repubblica.it",
    "adan.xtendmedia.com",
    "adanalytics.openload.co",
    "adap.tv",
    "adapt.tv",
    "adaptv.pixel.invitemedia.com",
    "adb.fling.com",
    "adbanner.adxcore.com",
    "adbanner.ro",
    "adbard.net",
    "adbard.net",
    "adbcache.brandreachsys.com",
    "adbers.com",
    "adbg.hit.gemius.pl",
    "adblade.com",
    "adblockanalytics.com",
    "adboost.de.vu",
    "adboost.finalid.com",
    "adboost.net",
    "adbooth.adk2.co",
    "adbooth.net",
    "adbot.com",
    "adbox.hu",
    "adbox.inbox-online.com",
    "adbrite.122.2o7.net",
    "adbrite.com",
    "adbroker.de",
    "adbucks.brandreachsys.com",
    "adbuka.com",
    "adbunker.com",
    "adbutler.com",
    "adbutler.de",
    "adbuyer.com",
    "adbuyer3.lycos.com",
    "adc-serv.net",
    "adc.brandreachsys.com",
    "adcache.aftenposten.no",
    "adcache.nymag.com",
    "adcash.com",
    "adcast.deviantart.com",
    "adcast.deviantart.com",
    "adcdn.33universal.com",
    "adcell.de",
    "adcenter.in2.com",
    "adcenter.mdf.se",
    "adcenter.net",
    "adcentre.it-advanced.com",
    "adcentriconline.com",
    "adcept.net",
    "adchimp.com",
    "adclick.com",
    "adclick.g.doubleclick.net",
    "adclick.hit.gemius.pl",
    "adclickservice.com",
    "adclient-af.lp.uol.com.br",
    "adclient.163.com",
    "adclient.uimserv.net",
    "adclient.uimserv.net",
    "adclient1.tucows.com",
    "adclient1.tucows.com",
    "adcloud-dp.nuggad.net",
    "adcmtd.mac-torrent-download.net",
    "adcode.rontar.com",
    "adcomplete.com",
    "adcomplete.com",
    "adconion.com",
    "adcontent.gamespy.com",
    "adcontent.gamespy.com",
    "adcontent2.allaccess.com.ph",
    "adcore.ru",
    "adcounter.theglobeandmail.com",
    "adcreative.naver.com",
    "adcycle.com",
    "adcz.hit.gemius.pl",
    "add.newmedia.cz",
    "addealing.com",
    "addelivery.thestreet.com",
    "addesktop.com",
    "addfreestats.com",
    "addfreestats.com",
    "addie.verticalnetwork.de",
    "addirector.vindicosuite.com",
    "addjump.com",
    "addme.com",
    "adds.misiamoiatdom.com",
    "adds.trafflow.com",
    "adds1.trafflow.com",
    "addshoppers.t.domdex.com",
    "adecn-w.atdmt.com",
    "adecn.com",
    "adedy.com",
    "adee.hit.gemius.pl",
    "ademails.com",
    "adengage.com",
    "adexc.net",
    "adexchangeprediction.com",
    "adexcite.com",
    "adexpose.com",
    "adext.inkclub.com",
    "adf.ly",
    "adfactor.nl",
    "adfarm.mediaplex.com",
    "adfarm.mediaplex.com",
    "adfarm1.adition.com",
    "adfiles.o2.pl.sds.o2.pl",
    "adflash.affairsclub.com",
    "adflight.com",
    "adfoc.us",
    "adfocus.ru",
    "adforati.com",
    "adforce.com",
    "adforce.ru",
    "adform.com",
    "adfun.ru",
    "adg.bzgint.com",
    "adgardener.com",
    "adgebra.co.in",
    "adgeo.163.com",
    "adgoto.com",
    "adgridwork.com",
    "adhall.com",
    "adhese.be",
    "adhese.com",
    "adhese.gva.be",
    "adhese.hbvl.be",
    "adhese.standaard.be",
    "adhitzads.com",
    "adhosting.ohmyad.co",
    "adhr.hit.gemius.pl",
    "adi.bigmir.net",
    "adidm.idmnet.pl",
    "adidm07.idmnet.pl",
    "adimage.asiaone.com.sg",
    "adimage.guardian.co.uk",
    "adimage.guardian.co.uk",
    "adimages.been.com",
    "adimages.carsoup.com",
    "adimages.go.com",
    "adimages.go.com",
    "adimages.homestore.com",
    "adimages.omroepzeeland.nl",
    "adimages.sanomawsoy.fi",
    "adimages.scrippsnetworks.com",
    "adimages.sina.com.hk",
    "adimg.alice.it",
    "adimg.bnet.com",
    "adimg.chow.com",
    "adimg.cnet.com",
    "adimg.cnet.com",
    "adimg.com.com",
    "adimg.download.com",
    "adimg.gamefaqs.com",
    "adimg.luminate.com",
    "adimg.mp3.com",
    "adimg.news.com",
    "adimg.ngfiles.com",
    "adimg.theinsider.com",
    "adimg.tv.com",
    "adimg.uimserv.net",
    "adimg.uimserv.net",
    "adimg.zdnet.com",
    "adimg1.chosun.com",
    "adimg1.chosun.com",
    "adimgs.sapo.pt",
    "adimpact.com",
    "adin.bigpoint.com",
    "adindex.laweekly.com",
    "adindex.ocweekly.com",
    "adindex.villagevoice.com",
    "adinjector.net",
    "adinterax.cnet.com.edgesuite.net",
    "adinterax.com",
    "adinterax.com",
    "adisfy.com",
    "adition.com",
    "adition.de",
    "adition.net",
    "adizio.com",
    "adjix.com",
    "adjug.com",
    "adjuggler.com",
    "adjuggler.yourdictionary.com",
    "adjustnetwork.com",
    "adk2.com",
    "adk2ads.tictacti.com",
    "adkengage.com",
    "adklip.com",
    "adland.medialand.ru",
    "adland.ru",
    "adlantic.nl",
    "adledge.com",
    "adlegend.com",
    "adlev.neodatagroup.com",
    "adlik.akavita.com",
    "adlik2.akavita.com",
    "adlog.cbsi.com",
    "adlog.com.com",
    "adloox.com",
    "adlooxtracking.com",
    "adlt.hit.gemius.pl",
    "adlure.net",
    "adlv.hit.gemius.pl",
    "admagnet.net",
    "admailtiser.com",
    "adman.gr",
    "adman.in.gr",
    "adman.in.gr",
    "adman.kathimerini.gr",
    "adman.otenet.gr",
    "admanage.com",
    "admanage.wescompapers.com",
    "admanagement.ch",
    "admanager.btopenworld.com",
    "admanager.carsoup.com",
    "admarket.cz",
    "admarket.entireweb.com",
    "admarketplace.net",
    "admarvel.com",
    "admarvel.s3.amazonaws.com",
    "admaven.adk2x.com",
    "admax.nexage.com",
    "admax.nexage.com",
    "admedia.com",
    "admedia.expedia.com",
    "admedia.ro",
    "admedia.wsod.com",
    "admediator.unityads.unity3d.com",
    "admedien.com",
    "admega.feed.gr",
    "admeld.com",
    "admention.adspirit.de",
    "admerize.be",
    "admeta.com",
    "admex.com",
    "admez.com",
    "admin.ads.t-online.de",
    "adminder.com",
    "adminshop.com",
    "admized.com",
    "admob.com",
    "admon1.count.brat-online.ro",
    "admonitor.com",
    "admonkey.dapper.net",
    "admotion.com.ar",
    "admp-tc.delfi.lv",
    "admp-tc.iltalehti.fi",
    "adms.physorg.com",
    "admtpmp127.adsk2.co",
    "adn.fusionads.net",
    "adn.impactradius.com",
    "adn.static-files.com",
    "adnet-media.net",
    "adnet.affinity.com",
    "adnet.asahi.com",
    "adnet.asahi.com",
    "adnet.biz",
    "adnet.com.ua",
    "adnet.de",
    "adnet.hit.gemius.pl",
    "adnet.medialand.ru",
    "adnet.pravda.com.ua",
    "adnet.ru",
    "adnet.worldreviewer.com",
    "adnetgalt.hit.gemius.pl",
    "adnetinteractive.com",
    "adnetwork.buzzlogic.com",
    "adnetwork.net",
    "adnetworkperformance.com",
    "adnews.maddog2000.de",
    "adnext.fr",
    "adnotch.com",
    "adnxs.com",
    "ado.icorp.ro",
    "ado.pro-market.net",
    "adobe.demdex.net",
    "adocean-by.hit.gemius.pl",
    "adocean-cz.hit.gemius.pl",
    "adocean-ee.hit.gemius.pl",
    "adocean-hr.hit.gemius.pl",
    "adocean-lt.hit.gemius.pl",
    "adocean-lv.hit.gemius.pl",
    "adocean-pl.hit.gemius.pl",
    "adocean-ro.hit.gemius.pl",
    "adocean-si.hit.gemius.pl",
    "adocean-ua.hit.gemius.pl",
    "adocean.pl",
    "adonline.e-kolay.net",
    "adonspot.com",
    "adoperator.com",
    "adopt.specificclick.net",
    "adorigin.com",
    "adp.adview.pl",
    "adp.gazeta.pl",
    "adpepper.dk",
    "adpepper.nl",
    "adperium.com",
    "adperium.com",
    "adpia.vn",
    "adping.qq.com",
    "adplexmedia.adk2.co",
    "adplexmedia.adk2x.com",
    "adplus.co.id",
    "adplus.goo.mx",
    "adplus.yonhapnews.co.kr",
    "adplxmd.com",
    "adportal.advertisingnemesis.com",
    "adprofile.net",
    "adprojekt.pl",
    "adprovider.adlure.net",
    "adprudence.rotator.hadj7.adjuggler.net",
    "adpublimo.com",
    "adq.nextag.com",
    "adq.nextag.com",
    "adr.adplus.co.id",
    "adrates.theglobeandmail.com",
    "adrazzi.com",
    "adreactor.com",
    "adreactor.com",
    "adreadytractions.com",
    "adrecreate.com",
    "adremedy.com",
    "adreporting.com",
    "adrequisitor-af.lp.uol.com.br",
    "adres.internet.com",
    "adrevolver.com",
    "adriver.ru",
    "adro.hit.gemius.pl",
    "adrolays.de",
    "adroll.com",
    "adrotate.de",
    "adrotate.se",
    "adrotator.com",
    "adrotator.se",
    "adrotator.se",
    "adrs.hit.gemius.pl",
    "adrta.com",
    "adrunnr.com",
    "adrzr.com",
    "ads-a-darwin.hulu.com",
    "ads-aa.wunderground.com",
    "ads-by.madadsmedia.com",
    "ads-by.yieldselect.com",
    "ads-click.com",
    "ads-colruytgroup.adhese.com",
    "ads-cpm.com",
    "ads-kurir.providus.rs",
    "ads-nrc.adhese.com",
    "ads-pebblemedia.adhese.com",
    "ads-stream.com",
    "ads-us.pictela.net",
    "ads-v-darwin.hulu.com",
    "ads.20minutes.fr",
    "ads.24.com",
    "ads.359group.com",
    "ads.3bay.bg",
    "ads.3e-news.net",
    "ads.3sfmedia.com",
    "ads.4rati.lv",
    "ads.4tube.com",
    "ads.4tube.com",
    "ads.5ci.lt",
    "ads.9mp.ro",
    "ads.abovetopsecret.com",
    "ads.abovetopsecret.com",
    "ads.aceweb.net",
    "ads.activepower.net",
    "ads.activestate.com",
    "ads.ad-center.com",
    "ads.ad4game.com",
    "ads.ad4max.com",
    "ads.adagent.chacha.com",
    "ads.adap.tv",
    "ads.adaptv.advertising.com",
    "ads.adbooth.com",
    "ads.adbroker.de",
    "ads.adfox.ru",
    "ads.adfox.ru",
    "ads.adgoto.com",
    "ads.adhall.com",
    "ads.adhese.be",
    "ads.adhood.com",
    "ads.adhostingsolutions.com",
    "ads.adhsm.adhese.com",
    "ads.adhub.co.nz",
    "ads.adiply.com",
    "ads.adk2.com",
    "ads.admaxasia.com",
    "ads.administrator.de",
    "ads.admnx.com",
    "ads.admodus.com",
    "ads.adnet-media.net",
    "ads.adnet.am",
    "ads.adone.com",
    "ads.adonion.com",
    "ads.adplxmd.com",
    "ads.ads.netlog.com",
    "ads.adsbookie.com",
    "ads.adsfirefly.com",
    "ads.adshareware.net",
    "ads.adsonar.com",
    "ads.adsponse.de",
    "ads.adsready.com",
    "ads.adsurve.com",
    "ads.adtiger.de",
    "ads.adtrustmedia.com",
    "ads.adtube.de",
    "ads.adual.net",
    "ads.adultfriendfinder.com",
    "ads.adultfriendfinder.com",
    "ads.adultswim.com",
    "ads.advance.net",
    "ads.advance.net",
    "ads.adverline.com",
    "ads.advertise.net",
    "ads.advertisespace.com",
    "ads.advertisingnemesis.com",
    "ads.adviva.net",
    "ads.adwitserver.com",
    "ads.adxpansion.com",
    "ads.afa.net",
    "ads.affbuzzads.com",
    "ads.affiliateclub.com",
    "ads.affiliates.match.com",
    "ads.affiliates.match.com",
    "ads.afraccess.com",
    "ads.aftonbladet.se",
    "ads.ak.facebook.com.edgesuite.net",
    "ads.akademika.bg",
    "ads.al.com",
    "ads.albawaba.com",
    "ads.all-free-download.com",
    "ads.allaccess.com.ph",
    "ads.allvatar.com",
    "ads.alphaporno.com",
    "ads.alt.com",
    "ads.alt.com",
    "ads.amakings.com",
    "ads.amaland.com",
    "ads.amateurmatch.com",
    "ads.amdmb.com",
    "ads.amdmb.com",
    "ads.amigos.com",
    "ads.amigos.com",
    "ads.aol.co.uk",
    "ads.aol.co.uk",
    "ads.aol.com",
    "ads.apn.co.nz",
    "ads.appsgeyser.com",
    "ads.artsopolis.com",
    "ads.as4x.tmcs.net",
    "ads.as4x.tmcs.net",
    "ads.as4x.tmcs.ticketmaster.com",
    "ads.as4x.tmcs.ticketmaster.com",
    "ads.asexstories.com",
    "ads.asia1.com.sg",
    "ads.asia1.com.sg",
    "ads.asiafriendfinder.com",
    "ads.asiafriendfinder.com",
    "ads.ask.com",
    "ads.ask.com",
    "ads.aspalliance.com",
    "ads.aspalliance.com",
    "ads.asredas.com",
    "ads.atomex.net",
    "ads.auctionads.com",
    "ads.auctioncity.co.nz",
    "ads.augusta.com",
    "ads.autoscout24.com",
    "ads.autotrader.com",
    "ads.avazu.net",
    "ads.avusa.co.za",
    "ads.ayads.co",
    "ads.badische-zeitung.de",
    "ads.balkanec.bg",
    "ads.bangkokpost.co.th",
    "ads.batpmturner.com",
    "ads.baz.ch",
    "ads.bcnewsgroup.com",
    "ads.be2hand.com",
    "ads.beenetworks.net",
    "ads.belointeractive.com",
    "ads.belointeractive.com",
    "ads.benefitspro.com",
    "ads.berlinonline.de",
    "ads.betanews.com",
    "ads.betanews.com",
    "ads.betfair.com",
    "ads.betfair.com",
    "ads.betfair.com.au",
    "ads.betsafe.com",
    "ads.betternetworker.com",
    "ads.betweendigital.com",
    "ads.bg-mamma.com",
    "ads.bgfree.com",
    "ads.bgtop.net",
    "ads.bhmedianetwork.com",
    "ads.bidclix.com",
    "ads.bidvertiser.com",
    "ads.bigchurch.com",
    "ads.bigfoot.com",
    "ads.bigrebelads.com",
    "ads.bing.com",
    "ads.biscom.net",
    "ads.bittorrent.com",
    "ads.biznews.bg",
    "ads.bl-consulting.net",
    "ads.blitz.bg",
    "ads.blizzard.com",
    "ads.blog.com",
    "ads.blog.com",
    "ads.blogdrive.com",
    "ads.blogherads.com",
    "ads.blogtalkradio.com",
    "ads.bloodhorse.com",
    "ads.bloomberg.com",
    "ads.bloomberg.com",
    "ads.bluelithium.com",
    "ads.bluemountain.com",
    "ads.bluesq.com",
    "ads.bluesq.com",
    "ads.bninews.com",
    "ads.bnmedia.com",
    "ads.boardtracker.com",
    "ads.boerse-express.com",
    "ads.bondage.com",
    "ads.bonniercorp.com",
    "ads.bootcampmedia.com",
    "ads.boursorama.com",
    "ads.boylesports.com",
    "ads.brabys.com",
    "ads.brand.net",
    "ads.brandeins.de",
    "ads.brazzers.com",
    "ads.brazzers.com",
    "ads.breakthru.com",
    "ads.bridgetrack.com",
    "ads.bridgetrack.com.edgesuite.net",
    "ads.bsplayer.com",
    "ads.bta.bg",
    "ads.bttbgroup.com",
    "ads.btv.bg",
    "ads.buljobs.bg",
    "ads.bumq.com",
    "ads.burgasinfo.com",
    "ads.burstnet.com",
    "ads.businessclick.com",
    "ads.businessclick.pl",
    "ads.businessweek.com",
    "ads.businessweek.com",
    "ads.butlereagle.com",
    "ads.buzzcity.net",
    "ads.calgarystampede.com",
    "ads.camfuze.com",
    "ads.canalblog.com",
    "ads.canalblog.com",
    "ads.canoe.ca",
    "ads.captifymedia.com",
    "ads.cars.com",
    "ads.casinocity.com",
    "ads.casinocity.com",
    "ads.casumoaffiliates.com",
    "ads.cbc.ca",
    "ads.cc",
    "ads.cc",
    "ads.cc-dt.com",
    "ads.cc-dt.com",
    "ads.cdnslate.com",
    "ads.cdrinfo.com",
    "ads.centraliprom.com",
    "ads.cgnetworks.com",
    "ads.chango.ca",
    "ads.chango.com",
    "ads.channel4.com",
    "ads.chargeads.com",
    "ads.china.com",
    "ads.cimedia.com",
    "ads.cinemaden.com",
    "ads.city24.ee",
    "ads.clearchannel.com",
    "ads.cleveland.com",
    "ads.clicksor.com",
    "ads.clicmanager.fr",
    "ads.clipconverter.cc",
    "ads.clovenetwork.com",
    "ads.clubplanet.com",
    "ads.clubz.bg",
    "ads.cnpapers.com",
    "ads.co.com",
    "ads.com.com",
    "ads.comeon.com",
    "ads.comperia.pl",
    "ads.consumeraffairs.com",
    "ads.contactmusic.com",
    "ads.contactmusic.com",
    "ads.contentabc.com",
    "ads.contentabc.com",
    "ads.contextweb.com",
    "ads.contextweb.com",
    "ads.cpxcenter.com",
    "ads.cpxinteractive.com",
    "ads.cracked.com",
    "ads.crakmedia.com",
    "ads.crakmedia.com",
    "ads.crawler.com",
    "ads.creative-serving.com",
    "ads.creative-serving.com",
    "ads.creativematch.com",
    "ads.cricbuzz.com",
    "ads.crisppremium.com",
    "ads.crossworxs.eu",
    "ads.ctvdigital.net",
    "ads.cursorinfo.co.il",
    "ads.cybersales.cz",
    "ads.d-msquared.com",
    "ads.dada.it",
    "ads.dada.it",
    "ads.dailystar.com.lb",
    "ads.darikweb.com",
    "ads.databrainz.com",
    "ads.datinggold.com",
    "ads.datinggold.com",
    "ads.datingyes.com",
    "ads.dazoot.ro",
    "ads.dealnews.com",
    "ads.dedicatedmedia.com",
    "ads.delfin.bg",
    "ads.deliads.com",
    "ads.deltha.hu",
    "ads.dennisnet.co.uk",
    "ads.dennisnet.co.uk",
    "ads.depositfiles.com",
    "ads.designboom.com",
    "ads.designtaxi.com",
    "ads.desktopscans.com",
    "ads.desmoinesregister.com",
    "ads.detelefoongids.nl",
    "ads.deviantart.com",
    "ads.deviantart.com",
    "ads.devicebondage.com",
    "ads.dichtbij.adhese.com",
    "ads.didactic.ro",
    "ads.digital-digest.com",
    "ads.digitalalchemy.tv",
    "ads.digitalmedianet.com",
    "ads.digitalmedianet.com",
    "ads.digitalpoint.com",
    "ads.digitalpoint.com",
    "ads.digitalthrottle.com",
    "ads.dijitalvarliklar.com",
    "ads.dir.bg",
    "ads.directcorp.de",
    "ads.directionsmag.com",
    "ads.discreetad.com",
    "ads.dixcom.com",
    "ads.dkelseymedia.com",
    "ads.dobrichonline.com",
    "ads.doctors.co.il",
    "ads.domainbg.com",
    "ads.domainoptions.net",
    "ads.domeus.com",
    "ads.dotomi.com",
    "ads.double.net",
    "ads.downloadaccelerator.com",
    "ads.draugas.lt",
    "ads.drugs.com",
    "ads.dynamic-media.org",
    "ads.e-go.gr",
    "ads.e-planning.net",
    "ads.eagletribune.com",
    "ads.eastbayexpress.com",
    "ads.easy-forex.com",
    "ads.eatinparis.com",
    "ads.eccentrix.com",
    "ads.economist.com",
    "ads.ecrush.com",
    "ads.edbindex.dk",
    "ads.edipresse.pl",
    "ads.egrana.com.br",
    "ads.ehealthcaresolutions.com",
    "ads.einmedia.com",
    "ads.electrocelt.com",
    "ads.elitetrader.com",
    "ads.elitetrader.com",
    "ads.elmaz.com",
    "ads.emirates.net.ae",
    "ads.emol.com",
    "ads.empoweringmedia.net",
    "ads.empowher.com",
    "ads.emqus.com",
    "ads.energy-torrent.com",
    "ads.epi.es",
    "ads.epltalk.com",
    "ads.eqads.com",
    "ads.ere.net",
    "ads.ereklama.mk",
    "ads.ero-advertising.com",
    "ads.ersamedia.ch",
    "ads.eu.e-planning.net",
    "ads.eu.msn.com",
    "ads.eu.msn.com",
    "ads.eurogamer.net",
    "ads.evtv1.com",
    "ads.exactdrive.com",
    "ads.exactdrive.com",
    "ads.exactseek.com",
    "ads.exoclick.com",
    "ads.expat-blog.biz",
    "ads.expedia.com",
    "ads.expedia.com",
    "ads.expekt.com",
    "ads.eyeonx.ch",
    "ads.ezboard.com",
    "ads.ezboard.com",
    "ads.factorymedia.com",
    "ads.fairfax.com.au",
    "ads.fairfax.com.au",
    "ads.faxo.com",
    "ads.ferianc.com",
    "ads.fiat-bg.org",
    "ads.fidelity-media.com",
    "ads.filmup.com",
    "ads.financialcontent.com",
    "ads.financialcontent.com",
    "ads.finzoom.com.tr",
    "ads.firstgrand.com",
    "ads.fitpregnancy.com",
    "ads.flooble.com",
    "ads.fmwinc.com",
    "ads.focus-news.net",
    "ads.fool.com",
    "ads.football24.bg",
    "ads.footballmedia.com",
    "ads.footymad.net",
    "ads.fooyoh.com",
    "ads.fora.tv",
    "ads.forbes.com",
    "ads.forbes.com",
    "ads.forbes.net",
    "ads.forium.de",
    "ads.fortunecity.com",
    "ads.fotosidan.se",
    "ads.foxkidseurope.net",
    "ads.foxnetworks.com",
    "ads.foxnews.com",
    "ads.foxnews.com",
    "ads.freecaster.tv",
    "ads.freecity.de",
    "ads.freeonlinegames.com",
    "ads.fresh.bg",
    "ads.friendfinder.com",
    "ads.friendfinder.com",
    "ads.ft.com",
    "ads.ft.com",
    "ads.fuckingmachines.com",
    "ads.fuelo.net",
    "ads.fulldls.com",
    "ads.fulltiltpoker.com",
    "ads.futurenet.com",
    "ads.fuzzster.com",
    "ads.gadget.ro",
    "ads.gamecity.net",
    "ads.gamershell.com",
    "ads.gamersmedia.com",
    "ads.gamesbannernet.com",
    "ads.gameservers.com",
    "ads.gamespyid.com",
    "ads.gamespyid.com",
    "ads.gamigo.de",
    "ads.gaming-universe.de",
    "ads.gamned.com",
    "ads.garga.biz",
    "ads.gateway.bg",
    "ads.gawker.com",
    "ads.geekswithblogs.net",
    "ads.genericlink.com",
    "ads.geornmd.net",
    "ads.germanfriendfinder.com",
    "ads.ghettotube.com",
    "ads.givemegay.com",
    "ads.gladen.bg",
    "ads.glasove.com",
    "ads.glispa.com",
    "ads.glispa.com",
    "ads.globalsportsmedia.com",
    "ads.globeandmail.com",
    "ads.globeandmail.com",
    "ads.globescale.com",
    "ads.globo.com",
    "ads.gmodules.com",
    "ads.godlikeproductions.com",
    "ads.godlikeproductions.com",
    "ads.gofuckyourself.com",
    "ads.gomonews.com",
    "ads.goodreads.com",
    "ads.gorillavid.in",
    "ads.goyk.com",
    "ads.gplusmedia.com",
    "ads.gradfinder.com",
    "ads.gravytrainproductions.com",
    "ads.greenerworldmedia.com",
    "ads.grindinggears.com",
    "ads.groundspeak.com",
    "ads.groupcommerce.com",
    "ads.grupozeta.es",
    "ads.gsm-exchange.com",
    "ads.gsmexchange.com",
    "ads.guardian.co.uk",
    "ads.guardian.co.uk",
    "ads.guardianunlimited.co.uk",
    "ads.gulflive.com",
    "ads.gumgum.com",
    "ads.guru3d.com",
    "ads.guru3d.com",
    "ads.gusanito.com",
    "ads.h2porn.com",
    "ads.happyidiots.nl",
    "ads.hardwaresecrets.com",
    "ads.harpers.org",
    "ads.harpers.org",
    "ads.haskovo.net",
    "ads.havenhomemedia.com",
    "ads.hbv.de",
    "ads.healthline.com",
    "ads.hearstmags.com",
    "ads.hearstmags.com",
    "ads.heartlight.org",
    "ads.heias.com",
    "ads.heias.com",
    "ads.hellomagazine.com",
    "ads.heraldnet.com",
    "ads.hexun.com",
    "ads.hideyourarms.com",
    "ads.highdefdigest.com",
    "ads.hobyto.com",
    "ads.hogtied.com",
    "ads.hollywood.com",
    "ads.hookedmediagroup.com",
    "ads.hornypharaoh.com",
    "ads.horsehero.com",
    "ads.horyzon-media.com",
    "ads.horyzon-media.com",
    "ads.host.camz.com",
    "ads.hotarena.net",
    "ads.hulu.com",
    "ads.hurra.de",
    "ads.i-am-bored.com",
    "ads.iafrica.com",
    "ads.iafrica.com",
    "ads.iawsnetwork.com",
    "ads.ibest.com.br",
    "ads.ibox.bg",
    "ads.ibryte.com",
    "ads.ibtracking.com",
    "ads.icn.bg",
    "ads.icorp.ro",
    "ads.icq.com",
    "ads.identads.com",
    "ads.idgworldexpo.com",
    "ads.ign.com",
    "ads.ign.com",
    "ads.iknowthatgirl.com",
    "ads.imaging-resource.com",
    "ads.imarketservices.com",
    "ads.imeem.com",
    "ads.img.co.za",
    "ads.img.globo.com",
    "ads.imguol.com",
    "ads.imgur.com",
    "ads.imgur.com",
    "ads.immobilienscout24.de",
    "ads.incmd10.com",
    "ads.indexinfo.org",
    "ads.indiatimes.com",
    "ads.indiatimes.com",
    "ads.inews.bg",
    "ads.infi.net",
    "ads.infomediainc.com",
    "ads.insmarket.bg",
    "ads.inspirestudio.net",
    "ads.intergi.com",
    "ads.internic.co.il",
    "ads.investingchannel.com",
    "ads.inviziads.com",
    "ads.ipowerweb.com",
    "ads.ipowerweb.com",
    "ads.ireel.com",
    "ads.isoftmarketing.com",
    "ads.isoftmarketing.com",
    "ads.itmcash.com",
    "ads.itv.com",
    "ads.itzdigital.com",
    "ads.iwangmedia.com",
    "ads.iwannawatch.to",
    "ads.iwon.com",
    "ads.iwon.com",
    "ads.jacksonville.com",
    "ads.jenite.bg",
    "ads.jetpackdigital.com",
    "ads.jewcy.com",
    "ads.jewishfriendfinder.com",
    "ads.jewishfriendfinder.com",
    "ads.jiwire.com",
    "ads.jiwire.com",
    "ads.jo-games.com",
    "ads.jobsite.co.uk",
    "ads.joemonster.org",
    "ads.jpost.com",
    "ads.jpost.com",
    "ads.jubii.dk",
    "ads.juicyads.com",
    "ads.juneauempire.com",
    "ads.justhungry.com",
    "ads.justpremium.nl",
    "ads.justrelevant.com",
    "ads.ka6tata.com",
    "ads.kaktuz.net",
    "ads.kaktuz.net",
    "ads.kaldata.com",
    "ads.kanal3.bg",
    "ads.kartu.lt",
    "ads.kelbymediagroup.com",
    "ads.kickasstorrents.video",
    "ads.kidssports.bg",
    "ads.kinobox.cz",
    "ads.kinxxx.com",
    "ads.kompass.com",
    "ads.kozmetika-bg.com",
    "ads.krawall.de",
    "ads.kulinar.bg",
    "ads.kurir-info.rs",
    "ads.kyalon.net",
    "ads.lanistaads.com",
    "ads.laptop.bg",
    "ads.lavoix.com",
    "ads.layer-ad.org",
    "ads.lehighvalleylive.com",
    "ads.lesbianpersonals.com",
    "ads.lesbianpersonals.com",
    "ads.lfstmedia.com",
    "ads.lifehealthpro.com",
    "ads.lifesport.bg",
    "ads.linki.nl",
    "ads.linuxfoundation.org",
    "ads.linuxfoundation.org",
    "ads.linuxjournal.com",
    "ads.linuxjournal.com",
    "ads.linuxsecurity.com",
    "ads.listingware.com",
    "ads.livenation.com",
    "ads.livenation.com",
    "ads.livepromotools.com",
    "ads.livescore.com",
    "ads.localyokelmedia.com",
    "ads.lovercash.com",
    "ads.loveshack.org",
    "ads.lucidmedia.com",
    "ads.lzjl.com",
    "ads.mail.bg",
    "ads.maleflixxx.tv",
    "ads.manager.bg",
    "ads.marica.bg",
    "ads.mariuana.it",
    "ads.massinfra.nl",
    "ads.masslive.com",
    "ads.matchbin.com",
    "ads.matiro.com",
    "ads.mcafee.com",
    "ads.mcafee.com",
    "ads.mdotm.com",
    "ads.mediaforge.com",
    "ads.mediaodyssey.com",
    "ads.mediaodyssey.com",
    "ads.mediaturf.net",
    "ads.mediatwo.com",
    "ads.medienhaus.de",
    "ads.meredithads.com",
    "ads.metatron.co.il",
    "ads.mezimedia.com",
    "ads.mgnetwork.com",
    "ads.mgnetwork.com",
    "ads.miarroba.com",
    "ads.mic.com",
    "ads.millionairemate.com",
    "ads.milliyet.cubecdn.net",
    "ads.mindviz.com",
    "ads.minireklam.com",
    "ads.mixbg.net",
    "ads.mlive.com",
    "ads.mm.ap.org",
    "ads.mmania.com",
    "ads.mmediatags.com",
    "ads.mnemosoft.com",
    "ads.mobclix.com",
    "ads.mobilemarketer.com",
    "ads.moceanads.com",
    "ads.mofos.com",
    "ads.moitesdelki.bg",
    "ads.mondogames.com",
    "ads.monetize-me.com",
    "ads.money.bg",
    "ads.monogram.sk",
    "ads.mopub.com",
    "ads.motor-forum.nl",
    "ads.motormedia.nl",
    "ads.movieweb.com",
    "ads.mp.mydas.mobi",
    "ads.mpm.com.mk",
    "ads.mrgreen.com",
    "ads.mrskin.com",
    "ads.mrtones.com",
    "ads.msn.com",
    "ads.msn.com",
    "ads.msn2go.com",
    "ads.msvp.net",
    "ads.mtv.uol.com.br",
    "ads.multimania.lycos.fr",
    "ads.muscleandfitness.com",
    "ads.muscleandfitnesshers.com",
    "ads.mybet.com",
    "ads.myjizztube.com",
    "ads.mylikes.com",
    "ads.naftemporiki.gr",
    "ads.nationalgeographic.com",
    "ads.nationchannel.com",
    "ads.ncm.com",
    "ads.ncm.com",
    "ads.neg.bg",
    "ads.net-ad-vantage.com",
    "ads.netclusive.de",
    "ads.netcommunities.com",
    "ads.netinfo.bg",
    "ads.netmechanic.com",
    "ads.netrition.com",
    "ads.netsol.com",
    "ads.networkhm.com",
    "ads.networksolutions.com",
    "ads.networksolutions.com",
    "ads.neudesicmediagroup.com",
    "ads.newdream.net",
    "ads.newdream.net",
    "ads.newgrounds.com",
    "ads.newgrounds.com",
    "ads.newmedia.cz",
    "ads.news359.bg",
    "ads.newsgeek.co.il",
    "ads.newsint.co.uk",
    "ads.newsint.co.uk",
    "ads.newsquest.co.uk",
    "ads.ninemsn.com.au",
    "ads.ninemsn.com.au",
    "ads.nj.com",
    "ads.nj.com",
    "ads.nola.com",
    "ads.nola.com",
    "ads.nordichardware.com",
    "ads.nordichardware.com",
    "ads.nordichardware.se",
    "ads.nordichardware.se",
    "ads.northjersey.com",
    "ads.novinar.bg",
    "ads.novsport.com",
    "ads.nrc.adhese.com",
    "ads.nudereviews.com",
    "ads.nwsource.com",
    "ads.nwsource.com",
    "ads.nyi.net",
    "ads.nyi.net",
    "ads.nytimes.com",
    "ads.nytimes.com",
    "ads.nyx.cz",
    "ads.nzcity.co.nz",
    "ads.o-networkaffiliates.com",
    "ads.o2.pl",
    "ads.o2.pl",
    "ads.oddschecker.com",
    "ads.offsidebet.com",
    "ads.ogdenpubs.com",
    "ads.okazii.ro",
    "ads.okcimg.com",
    "ads.ole.com",
    "ads.olivebrandresponse.com",
    "ads.olx.com",
    "ads.one.co.il",
    "ads.onemodelplace.com",
    "ads.oneplace.com",
    "ads.oneplace.com",
    "ads.online.ie",
    "ads.onlineathens.com",
    "ads.ookla.com",
    "ads.ookla.com",
    "ads.opensubtitles.org",
    "ads.optusnet.com.au",
    "ads.oregonlive.com",
    "ads.outpersonals.com",
    "ads.outpersonals.com",
    "ads.oxymoronent.com",
    "ads.p.veruta.com",
    "ads.pagina12.com.ar",
    "ads.partystars.bg",
    "ads.passion.com",
    "ads.passion.com",
    "ads.patch.com",
    "ads.pe.com",
    "ads.pebblemedia.adhese.com",
    "ads.pennet.com",
    "ads.pennlive.com",
    "ads.pennnet.com",
    "ads.penny-arcade.com",
    "ads.people-group.net",
    "ads.peoplespharmacy.com",
    "ads.periodistadigital.com",
    "ads.persgroep.adhese.com",
    "ads.persgroep.net",
    "ads.petvet.bg",
    "ads.pheedo.com",
    "ads.pheedo.com",
    "ads.phillipsdata.us",
    "ads.phillyadclub.com",
    "ads.phonearena.com",
    "ads.photosight.ru",
    "ads.phpclasses.org",
    "ads.pickmeup-ltd.com",
    "ads.pictela.net",
    "ads.pik.bg",
    "ads.pimdesign.org",
    "ads.pinger.com",
    "ads.pkr.com",
    "ads.planet.nl",
    "ads.planet49.com",
    "ads.playboy.bg",
    "ads.playboy.com",
    "ads.pni.com",
    "ads.po-zdravidnes.com",
    "ads.pof.com",
    "ads.pointroll.com",
    "ads.polmontventures.com",
    "ads.popfolkstars.com",
    "ads.popularno.mk",
    "ads.pornerbros.com",
    "ads.postimees.ee",
    "ads.powweb.com",
    "ads.premiership.bg",
    "ads.pressflex.com",
    "ads.primissima.it",
    "ads.printscr.com",
    "ads.prisacom.com",
    "ads.prisacom.com",
    "ads.pro-market.net",
    "ads.profitsdeluxe.com",
    "ads.program3.com",
    "ads.program3.com",
    "ads.propertycasualty360.com",
    "ads.prospect.org",
    "ads.proz.com",
    "ads.psd2html.com",
    "ads.psxextreme.com",
    "ads.publicdisgrace.com",
    "ads.publicidad.net",
    "ads.pubmatic.com",
    "ads.pubsqrd.com",
    "ads.puls24.mk",
    "ads.purefuck.com",
    "ads.pushplay.com",
    "ads.q1media.com",
    "ads.qadserve.com",
    "ads.qadservice.com",
    "ads.queendom.com",
    "ads.quoka.de",
    "ads.racunalniske-novice.com",
    "ads.radar.bg",
    "ads.radiatemedia.com",
    "ads.radioactive.se",
    "ads.rampidads.com",
    "ads.rcgroups.com",
    "ads.rcs.it",
    "ads.rcs.it",
    "ads.realmedia.com.br",
    "ads.recoletos.es",
    "ads.recoletos.es",
    "ads.reddit.com",
    "ads.rediff.com",
    "ads.rediff.com",
    "ads.redlightcenter.com",
    "ads.redlightcenter.com",
    "ads.redtube.com",
    "ads.redtube.com",
    "ads.reduxmediagroup.com",
    "ads.reembed.com",
    "ads.referlocal.com",
    "ads.reflexcash.com",
    "ads.register.com",
    "ads.resoom.de",
    "ads.retirementjobs.com",
    "ads.returnpath.net",
    "ads.reviewcentre.com",
    "ads.revsci.net",
    "ads.right-ads.com",
    "ads.ripoffreport.com",
    "ads.rnmd.net",
    "ads.rohea.com",
    "ads.rol.ro",
    "ads.roularta.adhese.com",
    "ads.rpgdot.com",
    "ads.rttnews.com",
    "ads.rtvslo.si",
    "ads.rubiconproject.com",
    "ads.rude.com",
    "ads.ruralpress.com",
    "ads.s3.sitepoint.com",
    "ads.sabah.com.tr",
    "ads.sagabg.net",
    "ads.sanomalehtimedia.fi",
    "ads.sapo.pt",
    "ads.satyamonline.com",
    "ads.savannahnow.com",
    "ads.savannahnow.com",
    "ads.saymedia.com",
    "ads.saymedia.com",
    "ads.scifi.com",
    "ads.search.bg",
    "ads.seattletimes.com",
    "ads.senddroid.com",
    "ads.seniorfriendfinder.com",
    "ads.seniorfriendfinder.com",
    "ads.servebom.com",
    "ads.servebom.com",
    "ads.sexandsubmission.com",
    "ads.sexforums.com",
    "ads.sexier.com",
    "ads.sexinyourcity.com",
    "ads.sexinyourcity.com",
    "ads.sexspaces.com",
    "ads.sextvx.com",
    "ads.sfomedia.com",
    "ads.shizmoo.com",
    "ads.shopstyle.com",
    "ads.shopstyle.com",
    "ads.sidekick.condenast.com",
    "ads.sift.co.uk",
    "ads.signonsandiego.com",
    "ads.silive.com",
    "ads.silverdisc.co.uk",
    "ads.sina.com",
    "ads.singlescash.com",
    "ads.sitemeter.com",
    "ads.skelbiu.lt",
    "ads.skinected.com",
    "ads.skupe.net",
    "ads.sladur.com",
    "ads.slava.bg",
    "ads.slim.com",
    "ads.smartclick.com",
    "ads.smartshoppingads.de",
    "ads.socialreach.com",
    "ads.soft32.com",
    "ads.soft32.com",
    "ads.softure.com",
    "ads.sol.no",
    "ads.somd.com",
    "ads.sonital.com",
    "ads.sonobi.com",
    "ads.space.com",
    "ads.space.com",
    "ads.sport1.bg",
    "ads.sportingnews.com",
    "ads.sports.fr",
    "ads.sportsblog.com",
    "ads.sptimes.com",
    "ads.stackoverflow.com",
    "ads.stackoverflow.com",
    "ads.standartnews.com",
    "ads.stardoll.com",
    "ads.starmagazine.com",
    "ads.start.bg",
    "ads.static.adhood.com",
    "ads.static.blip.tv",
    "ads.stationplay.com",
    "ads.stephensmedia.com",
    "ads.stickyadstv.com",
    "ads.streamlivesex.com",
    "ads.strumarelax.com",
    "ads.suite6ixty6ix.com",
    "ads.sun.com",
    "ads.sun.com",
    "ads.sup.com",
    "ads.supplyframe.com",
    "ads.supplyframe.com",
    "ads.svnt.com",
    "ads.swiftnews.com",
    "ads.sxx.com",
    "ads.syracuse.com",
    "ads.sysmesh.com",
    "ads.t-online.de",
    "ads.tahono.com",
    "ads.tahono.com",
    "ads.tarrobads.com",
    "ads.tdbank.com",
    "ads.tdcanadatrust.com",
    "ads.techtv.com",
    "ads.techweb.com",
    "ads.techweb.com",
    "ads.tele.net",
    "ads.telecinco.es",
    "ads.telegraph.co.uk",
    "ads.telegraph.co.uk",
    "ads.thecrimson.com",
    "ads.thegauntlet.com",
    "ads.theglobeandmail.com",
    "ads.thehorse.com",
    "ads.thehour.com",
    "ads.themovienation.com",
    "ads.thestar.com",
    "ads.thestar.com",
    "ads.thetrainingofo.com",
    "ads.timeout.com",
    "ads.timesunion.com",
    "ads.tmcs.net",
    "ads.top.bg",
    "ads.topwam.com",
    "ads.torrpedo.net",
    "ads.totallyfreestuff.com",
    "ads.townhall.com",
    "ads.townhall.com",
    "ads.trackentertainment.com",
    "ads.tracking202.com",
    "ads.tradeads.eu",
    "ads.trademe.co.nz",
    "ads.traderonline.com",
    "ads.traffichaus.com",
    "ads.traffichunt.com",
    "ads.trafficjunky.net",
    "ads.trafficnews.bg",
    "ads.trafficpimps.com",
    "ads.travellogger.com",
    "ads.triada.bg",
    "ads.trinitymirror.co.uk",
    "ads.tripican.com",
    "ads.tripod.com",
    "ads.tripod.com",
    "ads.tripod.lycos.co.uk",
    "ads.tripod.lycos.de",
    "ads.tripod.lycos.es",
    "ads.tripod.lycos.it",
    "ads.tripod.lycos.nl",
    "ads.tripod.spray.se",
    "ads.tripod.spray.se",
    "ads.tso.dennisnet.co.uk",
    "ads.tunein.com",
    "ads.tunenerve.com",
    "ads.tv7.bg",
    "ads.tv7.sporta.bg",
    "ads.tvtv.bg",
    "ads.tw.adsonar.com",
    "ads.twitter.com",
    "ads.uknetguide.co.uk",
    "ads.uknetguide.co.uk",
    "ads.ultimate-guitar.com",
    "ads.ultimatesurrender.com",
    "ads.uncrate.com",
    "ads.undertone.com",
    "ads.undertone.com",
    "ads.univision.com",
    "ads.up-value.de",
    "ads.urlfan.com",
    "ads.us.e-planning.net",
    "ads.usatoday.com",
    "ads.usatoday.com",
    "ads.usercash.com",
    "ads.v-links.net",
    "ads.v3.com",
    "ads.vador.com",
    "ads.valuead.com",
    "ads.vclick.vn",
    "ads.vegas.com",
    "ads.ventivmedia.com",
    "ads.verticalresponse.com",
    "ads.verticalscope.com",
    "ads.vgchartz.com",
    "ads.victoriaadvocate.com",
    "ads.videoadex.com",
    "ads.videobash.com",
    "ads.videofen.com",
    "ads.videohub.tv",
    "ads.videosz.com",
    "ads.videosz.com",
    "ads.vidsense.com",
    "ads.vimg.net",
    "ads.vipcams.com",
    "ads.virtual-nights.com",
    "ads.virtualcountries.com",
    "ads.vjaffiliates.com",
    "ads.vkushti.tv",
    "ads.vntsm.com",
    "ads.vnumedia.com",
    "ads.voyit.com",
    "ads.vporn.com",
    "ads.vreme.bg",
    "ads.w3hoster.de",
    "ads.w55c.net",
    "ads.waps.cn",
    "ads.wapx.cn",
    "ads.watchmygf.net",
    "ads.wave.si",
    "ads.weather.ca",
    "ads.weather.ca",
    "ads.weatherflow.com",
    "ads.web.aol.com",
    "ads.web.aol.com",
    "ads.web.cs.com",
    "ads.web.de",
    "ads.web1tv.de",
    "ads.webcafe.bg",
    "ads.webcamclub.com",
    "ads.webground.bg",
    "ads.webhosting.info",
    "ads.webkinz.com",
    "ads.webmasterpoint.org",
    "ads.websearch.com",
    "ads.webshots.com",
    "ads.websiteservices.com",
    "ads.webtools24.net",
    "ads.wellsmedia.com",
    "ads.weownthetraffic.com",
    "ads.wfmz.com",
    "ads.whaleads.com",
    "ads.whi.co.nz",
    "ads.whippedass.com",
    "ads.whitelabelpros.com",
    "ads.whoishostingthis.com",
    "ads.wiezoekje.nl",
    "ads.wikia.nocookie.net",
    "ads.wineenthusiast.com",
    "ads.wineenthusiast.com",
    "ads.wnd.com",
    "ads.worddictionary.co.uk",
    "ads.worldstarhiphop.com",
    "ads.worthplaying.com",
    "ads.wunderground.com",
    "ads.wunderground.com",
    "ads.wwe.biz",
    "ads.xbiz.com",
    "ads.xda-developers.com",
    "ads.xhamster.com",
    "ads.xhamster.com",
    "ads.xpg.com.br",
    "ads.xprofiles.com",
    "ads.xtargeting.com",
    "ads.xtra.co.nz",
    "ads.xtra.co.nz",
    "ads.xxxbunker.com",
    "ads.y-0.net",
    "ads.yadro.ru",
    "ads.yahoo.com",
    "ads.yam.com",
    "ads.yankscash.com",
    "ads.yashi.com",
    "ads.yeshanews.com",
    "ads.yimg.com",
    "ads.yimg.com",
    "ads.yldmgrimg.net",
    "ads.yldmgrimg.net",
    "ads.ynot.com",
    "ads.yourfreedvds.com",
    "ads.youtube.com",
    "ads.yvmads.com",
    "ads.zajenata.bg",
    "ads.zamunda.net",
    "ads.zdnet.com",
    "ads.zdnet.com",
    "ads.zedo.com",
    "ads.zeusclicks.com",
    "ads.ztod.com",
    "ads.ztod.com",
    "ads001.stickam.com",
    "ads03.redtube.com",
    "ads05.freecity.de",
    "ads1.ami-admin.com",
    "ads1.beta.lt",
    "ads1.blogadvertising.me",
    "ads1.canoe.ca",
    "ads1.capitalinteractive.co.uk",
    "ads1.cricbuzz.com",
    "ads1.legalworld.bg",
    "ads1.mediacapital.pt",
    "ads1.moneycontrol.com",
    "ads1.msads.net",
    "ads1.msn.com",
    "ads1.msn.com",
    "ads1.nexdra.com",
    "ads1.omdadget.com",
    "ads1.qadabra.com",
    "ads1.rne.com",
    "ads1.speedbit.com",
    "ads1.theglobeandmail.com",
    "ads1.theglobeandmail.com",
    "ads1.tripod.com",
    "ads1.virtual-nights.com",
    "ads10.gladen.bg",
    "ads10.speedbit.com",
    "ads10.speedbit.com",
    "ads180.com",
    "ads2.blastro.com",
    "ads2.brazzers.com",
    "ads2.brazzers.com",
    "ads2.clearchannel.com",
    "ads2.contentabc.com",
    "ads2.contentabc.com",
    "ads2.ekologia.pl",
    "ads2.ero-advertising.com",
    "ads2.evz.ro",
    "ads2.gamecity.net",
    "ads2.helpos.com",
    "ads2.iweb.cortica.com",
    "ads2.jubii.dk",
    "ads2.jubii.dk",
    "ads2.mediashakers.com",
    "ads2.msads.net",
    "ads2.msn.com",
    "ads2.mynet.com",
    "ads2.net-communities.co.uk",
    "ads2.net-communities.co.uk",
    "ads2.nextmedia.bg",
    "ads2.oneplace.com",
    "ads2.opensubtitles.org",
    "ads2.rne.com",
    "ads2.speedbit.com",
    "ads2.vasmg.com",
    "ads2.victoriaadvocate.com",
    "ads2.virtual-nights.com",
    "ads2.vortexmediagroup.com",
    "ads2.weblogssl.com",
    "ads2.williamhill.com",
    "ads2.xnet.cz",
    "ads2.zamunda.net",
    "ads20.adcolony.com",
    "ads2000.hw.net",
    "ads2004.treiberupdate.de",
    "ads3.adman.gr",
    "ads3.bangkokpost.co.th",
    "ads3.blastro.com",
    "ads3.condenast.co.uk",
    "ads3.contentabc.com",
    "ads3.gamecity.net",
    "ads3.ipon.lt",
    "ads3.kompasads.com",
    "ads3.moitepari.bg",
    "ads3.speedbit.com",
    "ads3.virtual-nights.com",
    "ads3.wunderground.com",
    "ads4.clearchannel.com",
    "ads4.clearchannel.com",
    "ads4.gamecity.net",
    "ads4.kompasads.com",
    "ads4.speedbit.com",
    "ads4.virtual-nights.com",
    "ads4homes.com",
    "ads4pubs.com",
    "ads5.canoe.ca",
    "ads5.canoe.ca",
    "ads5.fxdepo.com",
    "ads5.kompasads.com",
    "ads5.speedbit.com",
    "ads5.virtual-nights.com",
    "ads6.gamecity.net",
    "ads6.kompasads.com",
    "ads6.speedbit.com",
    "ads7.gamecity.net",
    "ads7.speedbit.com",
    "ads8.com",
    "ads8.speedbit.com",
    "ads9.speedbit.com",
    "adsafiliados.com.br",
    "adsapi.chartbeat.com",
    "adsatt.abc.starwave.com",
    "adsatt.abcnews.starwave.com",
    "adsatt.disney.starwave.com",
    "adsatt.espn.go.com",
    "adsatt.espn.go.com",
    "adsatt.espn.starwave.com",
    "adsatt.espn.starwave.com",
    "adsatt.familyfun.starwave.com",
    "adsatt.go.starwave.com",
    "adsatt.movies.starwave.com",
    "adsbookie.com",
    "adsbox.detik.com",
    "adsby.bidtheatre.com",
    "adsby.klikki.com",
    "adsby.uzoogle.com",
    "adsby.webtraffic.se",
    "adscale.de",
    "adscampaign.net",
    "adscendmedia.com",
    "adscience.nl",
    "adscontent2.indiatimes.com",
    "adscpm.com",
    "adsdaq.com",
    "adsdk.com",
    "adsearch.adkontekst.pl",
    "adsearch.wp.pl",
    "adselect.nuggad.net",
    "adsend.de",
    "adsense.clicking.com.tw",
    "adserv.adbonus.com",
    "adserv.brandaffinity.net",
    "adserv.bravenet.com",
    "adserv.bulletinmarketing.com",
    "adserv.evo-x.de",
    "adserv.gamezone.de",
    "adserv.iafrica.com",
    "adserv.impactengine.com",
    "adserv.mako.co.il",
    "adserv.mywebtimes.com",
    "adserv.net",
    "adserv.postbulletin.com",
    "adserv.qconline.com",
    "adserv2.meritdesigns.com",
    "adserve.advertising.com",
    "adserve.ams.rhythmxchange.com",
    "adserve.canadawidemagazines.com",
    "adserve.cpmba.se",
    "adserve.donanimhaber.com",
    "adserve.doteasy.com",
    "adserve.kikizo.com",
    "adserve.podaddies.com",
    "adserve.postrelease.com",
    "adserve.shopzilla.com",
    "adserve5.nikkeibp.co.jp",
    "adserver-live.yoc.mobi",
    "adserver-live.yoc.mobi",
    "adserver-static1.iweb.cortica.com",
    "adserver-voice-online.co.uk",
    "adserver.43plc.com",
    "adserver.4clicks.org",
    "adserver.71i.de",
    "adserver.71i.de",
    "adserver.abv.bg",
    "adserver.adklik.com.tr",
    "adserver.adreactor.com",
    "adserver.ads-cpm.com",
    "adserver.adtech.de",
    "adserver.adtechus.com",
    "adserver.adultfriendfinder.com",
    "adserver.adultfriendfinder.com",
    "adserver.advertisespace.com",
    "adserver.aidameter.com",
    "adserver.alt.com",
    "adserver.amna.gr",
    "adserver.aol.fr",
    "adserver.aol.fr",
    "adserver.asiafriendfinder.com",
    "adserver.beggarspromo.com",
    "adserver.betandwin.de",
    "adserver.bing.com",
    "adserver.bizhat.com",
    "adserver.bizhat.com",
    "adserver.bloodhorse.com",
    "adserver.bluewin.ch",
    "adserver.bondage.com",
    "adserver.borsaitaliana.it",
    "adserver.borsonline.hu",
    "adserver.break-even.it",
    "adserver.cams.com",
    "adserver.cams.com",
    "adserver.clix.pt",
    "adserver.clubs1.bg",
    "adserver.com",
    "adserver.digitalmedianet.com",
    "adserver.digitoday.com",
    "adserver.directcorp.de",
    "adserver.dotcommedia.de",
    "adserver.economic.bg",
    "adserver.euronics.de",
    "adserver.exgfnetwork.com",
    "adserver.exoticads.com",
    "adserver.eyeonx.ch",
    "adserver.finditquick.com",
    "adserver.finditquick.com",
    "adserver.fixionmedia.com",
    "adserver.flossiemediagroup.com",
    "adserver.freecity.de",
    "adserver.freenet.de",
    "adserver.freenet.de",
    "adserver.friendfinder.com",
    "adserver.friendfinder.com",
    "adserver.gadu-gadu.pl",
    "adserver.gallerytrafficservice.com",
    "adserver.gunaxin.com",
    "adserver.hardsextube.com",
    "adserver.hardsextube.com",
    "adserver.hardwareanalysis.com",
    "adserver.hardwareanalysis.com",
    "adserver.heraldextra.com",
    "adserver.hipertextual.com",
    "adserver.hispanoclick.com",
    "adserver.html.it",
    "adserver.html.it",
    "adserver.hwupgrade.it",
    "adserver.ilmessaggero.it",
    "adserver.ilounge.com",
    "adserver.iprom.net",
    "adserver.irishwebmasterforum.com",
    "adserver.janes.com",
    "adserver.janesguide.com",
    "adserver.juicyads.com",
    "adserver.kissfm.ro",
    "adserver.kontextua.com",
    "adserver.kyoceramita-europe.com",
    "adserver.libero.it",
    "adserver.libero.it",
    "adserver.lonuncavisto.com",
    "adserver.magazyn.pl",
    "adserver.matchcraft.com",
    "adserver.merciless.localstars.com",
    "adserver.millionairemate.com",
    "adserver.moitepari.bg",
    "adserver.netcollex.co.uk",
    "adserver.news.com.au",
    "adserver.news.com.au",
    "adserver.ngz-network.de",
    "adserver.nydailynews.com",
    "adserver.nydailynews.com",
    "adserver.o2.pl",
    "adserver.o2.pl",
    "adserver.oddschecker.com",
    "adserver.omroepflevoland.nl",
    "adserver.omroepzeeland.nl",
    "adserver.online-tech.com",
    "adserver.outpersonals.com",
    "adserver.passagemaker.com",
    "adserver.passion.com",
    "adserver.pl",
    "adserver.playtv.fr",
    "adserver.portalofevil.com",
    "adserver.portugalmail.net",
    "adserver.portugalmail.pt",
    "adserver.powerlinks.com",
    "adserver.pressboard.ca",
    "adserver.pressflex.com",
    "adserver.realhomesex.net",
    "adserver.realhomesex.net",
    "adserver.reklamstore.com",
    "adserver.rtvutrechtreclame.nl",
    "adserver.sanomawsoy.fi",
    "adserver.saxonsoft.hu",
    "adserver.sciflicks.com",
    "adserver.seniorfriendfinder.com",
    "adserver.sextracker.com",
    "adserver.sharewareonline.com",
    "adserver.sitesense.com",
    "adserver.softure.com",
    "adserver.softwareonline.com",
    "adserver.spankaway.com",
    "adserver.spankaway.com",
    "adserver.spctl.com",
    "adserver.spritmonitor.de",
    "adserver.startnow.com",
    "adserver.startnow.com",
    "adserver.tele.net",
    "adserver.theonering.net",
    "adserver.trojaner-info.de",
    "adserver.tvcatchup.com",
    "adserver.twitpic.com",
    "adserver.twitpic.com",
    "adserver.veruta.com",
    "adserver.viagogo.com",
    "adserver.virgin.net",
    "adserver.virginmedia.com",
    "adserver.virginmedia.com",
    "adserver.weakgame.com",
    "adserver.webads.co.uk",
    "adserver.webads.it",
    "adserver.webads.nl",
    "adserver.yahoo.com",
    "adserver.yahoo.com",
    "adserver01.de",
    "adserver1-images.backbeatmedia.com",
    "adserver1-images.backbeatmedia.com",
    "adserver1.adbrands.co.il",
    "adserver1.backbeatmedia.com",
    "adserver1.backbeatmedia.com",
    "adserver1.mindshare.de",
    "adserver1.ogilvy-interactive.de",
    "adserver1.realtracker.com",
    "adserver2.blueadvertise.com",
    "adserver2.exgfnetwork.com",
    "adserver2.goals365.com",
    "adserver2.mindshare.de",
    "adserver2.realtracker.com",
    "adserver4.fluent.ltd.uk",
    "adserverplus.com",
    "adserversolutions.com",
    "adserverus.info",
    "adservice.aliexpress.com",
    "adservicedomain.info",
    "adserving.autotrader.com",
    "adserving.cpxadroit.com",
    "adserving.fyi-marketing.com",
    "adserving.muppetism.com",
    "adserving.unibet.com",
    "adserving03.epi.es",
    "adservinginternational.com",
    "adservone.com",
    "adserwer.afilo.pl",
    "adserwer.intercon.pl",
    "adseu.novem.pl",
    "adsfac.eu",
    "adsfac.eu",
    "adsfac.net",
    "adsfac.net",
    "adsfac.us",
    "adsfac.us",
    "adsfeed3.brabys.co.za",
    "adsformula.sitescout.com",
    "adsgangsta.com",
    "adsgen.bangbros.com",
    "adsharenetwork.com",
    "adshost1.com",
    "adshow.it168.com",
    "adside.com",
    "adsignal.valuead.com",
    "adsk2.co",
    "adskape.ru",
    "adskape.ru",
    "adsklick.de",
    "adsm.gameforge.de",
    "adsmarket.com",
    "adsmart.co.uk",
    "adsmart.com",
    "adsmart.net",
    "adsmogo.com",
    "adsnative.com",
    "adsnew.gsmarena.com",
    "adsoftware.com",
    "adsoldier.com",
    "adson.awempire.com",
    "adsonar.com",
    "adspace.ro",
    "adspaces.ero-advertising.com",
    "adspeed.net",
    "adspirit.de",
    "adsplius.lt",
    "adsponse.de",
    "adspserving.com",
    "adsradios.adswizz.com",
    "adsremote.scrippsnetworks.com",
    "adsremote.scrippsnetworks.com",
    "adsresult.net",
    "adsrevenue.net",
    "adsrich.qq.com",
    "adsrv.adplus.co.id",
    "adsrv.ads.eniro.com",
    "adsrv.bangbros.com",
    "adsrv.deviantart.com",
    "adsrv.dispatch.com",
    "adsrv.ea.com",
    "adsrv.eacdn.com",
    "adsrv.fashion.bg",
    "adsrv.iol.co.za",
    "adsrv.iol.co.za",
    "adsrv.worldvillage.com",
    "adsrv2.ihlassondakika.com",
    "adsrvmedia.adk2.co",
    "adsrvmedia.adk2.net",
    "adsrvr.org",
    "adss.comeadvertisewithus.com",
    "adssl-dc2.adtech.de",
    "adssrv.nationmultimedia.com",
    "adsstat.com",
    "adstat.4u.pl",
    "adstat.4u.pl",
    "adstats.adviva.net",
    "adstest.reklamstore.com",
    "adstest.weather.com",
    "adstil.indiatimes.com",
    "adstrac.adk2x.com",
    "adstract.adk2x.com",
    "adsupply.com",
    "adsvert.com",
    "adsvids.com",
    "adsview.qq.com",
    "adsview2.qq.com",
    "adsvr.adknowledge.com",
    "adsvr.deviantart.com",
    "adsweb.tiscali.it",
    "adswitcher.com",
    "adsx.greystripe.com",
    "adsy.lsipack.com",
    "adsymptotic.com",
    "adsyndication.msn.com",
    "adsynergy.com",
    "adsys.adk2x.com",
    "adsys.insert.bg",
    "adsys.townnews.com",
    "adsys.townnews.com",
    "adsyst.biz",
    "adsystem.adbull.com",
    "adsystem.simplemachines.org",
    "adsystem.simplemachines.org",
    "adt.m7z.net",
    "adtactics.com",
    "adtag.asiaone.com",
    "adtag.sympatico.ca",
    "adtago.s3.amazonaws.com",
    "adtech.de",
    "adtech.de",
    "adtechus.com",
    "adtegrity.com",
    "adtegrity.net",
    "adtegrity.spinbox.net",
    "adtgs.adk2.co",
    "adtgs.com",
    "adthis.com",
    "adtier.toboads.com",
    "adtiger.de",
    "adtoll.com",
    "adtology.com",
    "adtoma.com",
    "adtools.gossipkings.com",
    "adtools.matrix-cash.com",
    "adtools2.amakings.com",
    "adtrace.org",
    "adtrack.cimedia.net",
    "adtrack.link.ch",
    "adtrack.voicestar.com",
    "adtracker.meinungsstudie.de",
    "adtrade.net",
    "adtrade.ro",
    "adtrading.de",
    "adtradr.com",
    "adtradradservices.com",
    "adtrak.net",
    "adtriplex.com",
    "adtxt.prbn.ru",
    "adultadvertising.com",
    "adultadworld.directtrack.com",
    "adultcomix.biz",
    "adultdatingtest.worlddatingforum.com",
    "adultfriendfinder.com",
    "adultimate.net",
    "adultlinksco.com",
    "adultmoneymakers.com",
    "adunit.cdn.auditude.com",
    "adunit.chango.ca",
    "adunit.chango.com",
    "adv-adserver.com",
    "adv-banner.libero.it",
    "adv-banner.libero.it",
    "adv.0tub.com",
    "adv.440network.com",
    "adv.abv.bg",
    "adv.adultpartnership.com",
    "adv.aftonbladet.se",
    "adv.alice.it",
    "adv.all-free-download.com",
    "adv.alo.bg",
    "adv.aport.ru",
    "adv.arubamediamarketing.it",
    "adv.blogupp.com",
    "adv.bol.bg",
    "adv.casinopays.com",
    "adv.consadbg.com",
    "adv.cooperhosting.net",
    "adv.deltanews.bg",
    "adv.domino.it",
    "adv.dontcrack.com",
    "adv.drtuber.com",
    "adv.ecape.com",
    "adv.elaana.com",
    "adv.freeonline.it",
    "adv.freepornvs.com",
    "adv.gazeta.pl",
    "adv.gepime.com",
    "adv.gratuito.st",
    "adv.h2porn.com",
    "adv.hwupgrade.it",
    "adv.ilsecoloxix.it",
    "adv.ilsole24ore.it",
    "adv.livedoor.com",
    "adv.magna.ru",
    "adv.mangoadv.com",
    "adv.marica.bg",
    "adv.medicine.bg",
    "adv.medscape.com",
    "adv.netinfo.bg",
    "adv.netmedia.bg",
    "adv.novinar.bg",
    "adv.p2pbg.com",
    "adv.powertracker.org",
    "adv.punto-informatico.it",
    "adv.r7.com",
    "adv.rockstar.bg",
    "adv.sexcounter.com",
    "adv.speednet.bg",
    "adv.starozagorci.com",
    "adv.stznews.bg",
    "adv.svd.se",
    "adv.swzone.it",
    "adv.technews.bg",
    "adv.tgadvapps.it",
    "adv.uauaclub.it",
    "adv.webmd.com",
    "adv.webmd.com",
    "adv.webvariant.com",
    "adv.wisdom.bg",
    "adv.wp.pl",
    "adv.wp.pl",
    "adv.yo.cz",
    "adv2.expres.ua",
    "adv758968.ru",
    "advaction.ru",
    "advancedigital-d.openx.net",
    "advancedmn.us.intellitxt.com",
    "advancedsoftwaresupport.com",
    "advariant.com",
    "advbox.biz",
    "advdl.ammadv.it",
    "adve.net",
    "adventory.com",
    "adverserve.austriacomplus.at",
    "advert.ananzi.co.za",
    "advert.bayarea.com",
    "advert.dyna.ultraweb.hu",
    "advert.dyna.ultraweb.hu",
    "advert.eurotip.cz",
    "advert.exaccess.ru",
    "advert.funimation.com",
    "advert.leo.org",
    "advert.livesportmedia.eu",
    "advert.mediaswiss.rs",
    "advert.rare.ru",
    "advert.ru.redtram.com",
    "advert.runescape.com",
    "advert.technews.bg",
    "advert.travlang.com",
    "advert.uloz.to",
    "advert2.ananzi.co.za",
    "adverticum.com",
    "adverticum.net",
    "adverticus.de",
    "advertise.com",
    "advertiseireland.com",
    "advertisement.bg",
    "advertisementnl.112.2o7.net",
    "advertisespace.com",
    "advertising.bayoubuzz.com",
    "advertising.com",
    "advertising.com",
    "advertising.dclux.com",
    "advertising.embarcaderopublishing.com",
    "advertising.entensity.net",
    "advertising.ezanga.com",
    "advertising.finditt.com",
    "advertising.fussball-liveticker.eu",
    "advertising.goldseek.com",
    "advertising.guildlaunch.net",
    "advertising.illinimedia.com",
    "advertising.ingame.de",
    "advertising.justusboys.net",
    "advertising.ninemsn.com.au",
    "advertising.rockettube.net",
    "advertising.seenews.com",
    "advertising.thediabetesnetwork.com",
    "advertising.yandex.ru",
    "advertisingagent.com",
    "advertisingbanners.com",
    "advertisingbox.com",
    "advertisingcom.122.2o7.net",
    "advertisingnemesis.com",
    "advertisment.unimatrix.si",
    "advertmarket.com",
    "advertmedia.de",
    "advertpro.sitepoint.com",
    "advertpro.sitepoint.com",
    "advertpro.ya.com",
    "advertpro.ya.com",
    "adverts.carltononline.com",
    "adverts.creativemark.co.uk",
    "adverts.f-1.com",
    "adverts.novatv.bg",
    "advertserve.com",
    "advertstream.com",
    "advertwizard.com",
    "advice-ads.s3.amazonaws.com",
    "advice.hit.gemius.pl",
    "advicead.hit.gemius.pl",
    "advideo.uimserv.net",
    "adview.ppro.de",
    "adview.ppro.de",
    "advision.webevents.yahoo.com",
    "advisormedia.cz",
    "adviva.com",
    "adviva.net",
    "advizi.ru",
    "advloc.alice.it",
    "advnt.com",
    "advombat.ru",
    "advs.adgorithms.com",
    "adwareremovergold.com",
    "adwarereport.us.intellitxt.com",
    "adweb1.hornymatches.com",
    "adweb2.hornymatches.com",
    "adwhirl.com",
    "adwitserver.com",
    "adwords2.paretologic.revenuewire.net",
    "adworks.rediff.com",
    "adworldnetwork.com",
    "adworx.at",
    "adworx.be",
    "adworx.nl",
    "adx.adform.net",
    "adx.adosx.com",
    "adx.adspirit.de",
    "adx.allstar.cz",
    "adx.atnext.com",
    "adx.bixee.com",
    "adx.chip.de",
    "adx.darikweb.com",
    "adx.hendersonvillenews.com",
    "adx.ibibo.com",
    "adx.ocala.com",
    "adx.starbanner.com",
    "adx.starnewsonline.com",
    "adx.telegram.com",
    "adx.theledger.com",
    "adx.timesdaily.com",
    "adxite-ads.com",
    "adxpansion.com",
    "adxpose.com",
    "adxvalue.com",
    "adyea.com",
    "adyoulike.omnitagjs.com",
    "adzerk.net",
    "adzerk.s3.amazonaws.com",
    "adzone.stltoday.com",
    "adzones.com",
    "ae.adserver.yahoo.com",
    "ae.amgdgt.com",
    "aehistory.112.2o7.net",
    "aerlingus2.solution.weborama.fr",
    "aetv.112.2o7.net",
    "aexp.demdex.net",
    "af-ad.co.uk",
    "af-gb.marketgid.com",
    "afe.specificclick.net",
    "afe2.specificclick.net",
    "aff.adsurve.com",
    "aff.adventory.com",
    "aff.indirdik.com",
    "aff.naughtyconnect.com",
    "aff.primaryads.com",
    "aff.ringtonepartner.com",
    "aff.shopmania.bg",
    "aff.summercart.com",
    "aff.tagcdn.com",
    "affbeat.com",
    "affbuzzads.com",
    "affilcrtopcolle.112.2o7.net",
    "affili.net",
    "affiliace.directtrack.com",
    "affiliate.1800flowers.com",
    "affiliate.2mdn.net",
    "affiliate.7host.com",
    "affiliate.adgtracker.com",
    "affiliate.affdirect.com",
    "affiliate.bfashion.com",
    "affiliate.blucigs.com",
    "affiliate.doubleyourdating.com",
    "affiliate.dtiserv.com",
    "affiliate.dtiserv.com",
    "affiliate.friendsearch.com",
    "affiliate.gamestop.com",
    "affiliate.gmtracker.com",
    "affiliate.imperiaonline.org",
    "affiliate.mercola.com",
    "affiliate.mogs.com",
    "affiliate.mymall.bg",
    "affiliate.offgamers.com",
    "affiliate.techstats.net",
    "affiliate.travelnow.com",
    "affiliate.trk4.com",
    "affiliate.viator.com",
    "affiliatefuel.com",
    "affiliatefuture.com",
    "affiliategroove.com",
    "affiliates.allposters.com",
    "affiliates.babylon.com",
    "affiliates.bet-at-home.com",
    "affiliates.bhphotovideo.com",
    "affiliates.date-connected.com",
    "affiliates.digitalriver.com",
    "affiliates.globat.com",
    "affiliates.hookup.com",
    "affiliates.internationaljock.com",
    "affiliates.lifeselector.com",
    "affiliates.neteller.com",
    "affiliates.pinnaclesports.com",
    "affiliates.streamray.com",
    "affiliates.streamray.com",
    "affiliates.thinkhost.net",
    "affiliates.thrixxx.com",
    "affiliates.thrixxx.com",
    "affiliates.ultrahosting.com",
    "affiliates.upforitnetworks.com",
    "affiliates.yourapprovaltracker.com",
    "affiliatetracking.com",
    "affiliatetracking.net",
    "affiliatewindow.com",
    "affiliation-france.com",
    "affinity-xml.t.domdex.com",
    "affinity.go2jump.org",
    "affntwklnk.com",
    "affrh2019.com",
    "afftracking.justanswer.com",
    "afftracking.justanswer.com",
    "afilv.adocean.pl",
    "afraidtoask.us.intellitxt.com",
    "afterdawn.us.intellitxt.com",
    "aftrk.com",
    "afx.tagcdn.com",
    "ag.tags.crwdcntrl.net",
    "ag.yieldoptimizer.com",
    "agamgreetingscom.112.2o7.net",
    "agbmcom.112.2o7.net",
    "agegreetings.112.2o7.net",
    "agevs.com",
    "agmsnag.112.2o7.net",
    "agwebshots.112.2o7.net",
    "agyahooag.112.2o7.net",
    "ah-gb.marketgid.com",
    "ah-ha.com",
    "ahalogy.com",
    "ai-gb.marketgid.com",
    "aidps.atdmt.com",
    "aidu-ads.de",
    "aidu.ivwbox.de",
    "aim4media.com",
    "aimfar.solution.weborama.fr",
    "aistat.net",
    "aj.600z.com",
    "aj.adjungle.com",
    "aj.daniweb.com",
    "ajakkirj.spring-tns.net",
    "ajc.us.intellitxt.com",
    "ajokeaday.com",
    "ak-gb.marketgid.com",
    "ak.quantcast.com",
    "ak.sail-horizon.com",
    "ak.tfag.de",
    "ak1.abmr.net",
    "ak1s.abmr.net",
    "aka-cdn-ns.adtech.de",
    "aka-cdn-ns.adtechus.com",
    "aka-cdn.adtech.de",
    "aka-cdn.adtechus.com",
    "aka-root.com",
    "aka.accortech.com",
    "akamai.smartadserver.com",
    "akamai.t.axf8.net",
    "akatracking.esearchvision.com",
    "akihabaranews.us.intellitxt.com",
    "aktrack.pubmatic.com",
    "albanytimesunion.122.2o7.net",
    "alclick.com",
    "alenty.com",
    "alexa-sitestats.s3.amazonaws.com",
    "alexa-sitestats.s3.amazonaws.com",
    "alfatraffic.com",
    "alive.us.intellitxt.com",
    "all.orfr.adgtw.orangeads.fr",
    "all2lnk.com",
    "all4spy.com",
    "alladvantage.com",
    "allbritton.122.2o7.net",
    "allcarselectric.us.intellitxt.com",
    "allegro.hit.gemius.pl",
    "allerinternett.tns-cs.net",
    "alleyezonme-collection.buzzfeed.com",
    "allgetaways.us.intellitxt.com",
    "allhiphop.us.intellitxt.com",
    "allosponsor.com",
    "allrefer.us.intellitxt.com",
    "allwomenstalk.us.intellitxt.com",
    "alt.impresionesweb.com",
    "alt.webtraxs.com",
    "alternativos.iw-advertising.com",
    "altmedia101.com",
    "am-display.com",
    "am15.net",
    "amare.softwaregarden.com",
    "amateurdevils.com",
    "amazing-offers.co.il",
    "amazingcounters.com",
    "amazon-adsystem.com",
    "amazonmerchants.122.2o7.net",
    "amazonshopbop.122.2o7.net",
    "amc.rotator.hadj1.adjuggler.net",
    "amch.questionmarket.com",
    "amdvtest.112.2o7.net",
    "amdzone.us.intellitxt.com",
    "amedia.tns-cs.net",
    "americaneagleoutfitt.tt.omtrdc.net",
    "americanmedia.us.intellitxt.com",
    "americash.com",
    "ameritradeamerivest.112.2o7.net",
    "ameritradeogilvy.112.2o7.net",
    "ampedmedia.directtrack.com",
    "amplifypixel.outbrain.com",
    "ams.toxity.biz",
    "amung.us",
    "amygrindhouse.uk.intellitxt.com",
    "amznshopbop.122.2o7.net",
    "an.mlb.com",
    "an.secure.tacoda.net",
    "an.tacoda.net",
    "an.tacoda.net",
    "an.worldbaseballclassic.com",
    "an.yandex.ru",
    "an.z5x.net",
    "anad.tacoda.net",
    "anahtars.com",
    "analytic.ae.com",
    "analytic.detik.com",
    "analytic.gatewayinterface.com",
    "analytic.spamfighter.com",
    "analyticcdn.globalmailer.com",
    "analytics-api-samples.googlecode.com",
    "analytics-eu.clickdimensions.com",
    "analytics.adpost.org",
    "analytics.amakings.com",
    "analytics.analytics-egain.com",
    "analytics.androidandme.com",
    "analytics.atdmt.com",
    "analytics.atomiconline.com",
    "analytics.aweber.com",
    "analytics.bigcommerce.com",
    "analytics.bleacherreport.com",
    "analytics.bluekai.com",
    "analytics.breakingnews.com",
    "analytics.brightedge.com",
    "analytics.clickdimensions.com",
    "analytics.clickpathmedia.com",
    "analytics.cnd-motionmedia.de",
    "analytics.codigo.se",
    "analytics.dev.popdust.com",
    "analytics.disneyinternational.com",
    "analytics.fairfax.com.au",
    "analytics.femalefirst.co.uk",
    "analytics.fuckingawesome.com",
    "analytics.gameforge.de",
    "analytics.gazeta.pl",
    "analytics.google.com",
    "analytics.harpercollins.com",
    "analytics.hayneedle.com",
    "analytics.hgcdn.net",
    "analytics.juggle.com",
    "analytics.live.com",
    "analytics.live.com",
    "analytics.mail-corp.com",
    "analytics.matchbin.com",
    "analytics.msn.com",
    "analytics.msnbc.com",
    "analytics.msnbc.msn.com",
    "analytics.newsinc.com",
    "analytics.newsvine.com",
    "analytics.pimproll.com",
    "analytics.query.yahoo.com",
    "analytics.r.msn.com",
    "analytics.radiatemedia.com",
    "analytics.revee.com",
    "analytics.rogersmedia.com",
    "analytics.rtbf.be",
    "analytics.safelinking.net",
    "analytics.sanoma.fi",
    "analytics.shareaholic.com",
    "analytics.sitewit.com",
    "analytics.slashdotmedia.com",
    "analytics.soup.io",
    "analytics.spongecell.com",
    "analytics.springboardvideo.com",
    "analytics.stg.springboardvideo.com",
    "analytics.strangeloopnetworks.com",
    "analytics.supplyframe.com",
    "analytics.sutterhealth.org",
    "analytics.tbs.com",
    "analytics.theknot.com",
    "analytics.thenest.com",
    "analytics.tout.com",
    "analytics.trutv.com",
    "analytics.twitter.com",
    "analytics.upworthy.com",
    "analytics.usdm.net",
    "analytics.userreport.com",
    "analytics.vast.com",
    "analytics.wishabi.ca",
    "analytics.worldnow.com",
    "analytics.yahoo.com",
    "analytics.yolacdn.net",
    "analytics.youramigo.com",
    "analyticsv2.dol.gr",
    "anapixel.elmundo.es",
    "anapixel.marca.com",
    "anat.tacoda.net",
    "anchor.coadvertise.com",
    "anchor.stailamedia.com",
    "andpop.us.intellitxt.com",
    "andr.net",
    "androidandme.us.intellitxt.com",
    "androidcentral.us.intellitxt.com",
    "androidcommunity.us.intellitxt.com",
    "androidsdk.ads.mp.mydas.mobi",
    "anet.tradedoubler.com",
    "anetch.tradedoubler.com",
    "anetdk.tradedoubler.com",
    "anetfi.tradedoubler.com",
    "anetit.tradedoubler.com",
    "anetlt.tradedoubler.com",
    "anetno.tradedoubler.com",
    "anetse.tradedoubler.com",
    "angiba.112.2o7.net",
    "angieslist.tt.omtrdc.net",
    "angmar.112.2o7.net",
    "angmil.112.2o7.net",
    "angpar.112.2o7.net",
    "anm.intelli-direct.com",
    "anm.intelli-direct.com",
    "annonser.dagbladet.no",
    "annonser.dagbladet.no",
    "anomaly.realgravity.com",
    "anon.doubleclick.speedera.net",
    "anorak.uk.intellitxt.com",
    "anrysys.popunder.ru",
    "answerbag.us.intellitxt.com",
    "answers.us.intellitxt.com",
    "anti-virus-removal.info",
    "antimusic.us.intellitxt.com",
    "antiscan.online",
    "antventure.com",
    "anythinghollywood.us.intellitxt.com",
    "aolbks.122.2o7.net",
    "aolcamember.122.2o7.net",
    "aolcg.122.2o7.net",
    "aolcmp.122.2o7.net",
    "aolcommem.122.2o7.net",
    "aolcommvid.122.2o7.net",
    "aolcsmen.122.2o7.net",
    "aoldlama.122.2o7.net",
    "aoldrambuie.122.2o7.net",
    "aolgam.122.2o7.net",
    "aolgamedaily.122.2o7.net",
    "aoljournals.122.2o7.net",
    "aollatblog.122.2o7.net",
    "aollove.122.2o7.net",
    "aolmov.122.2o7.net",
    "aolmus.122.2o7.net",
    "aolnews.122.2o7.net",
    "aolnssearch.122.2o7.net",
    "aolpf.122.2o7.net",
    "aolpolls.122.2o7.net",
    "aolsearch.122.2o7.net",
    "aolshred.122.2o7.net",
    "aolsports.122.2o7.net",
    "aolstylist.122.2o7.net",
    "aolsvc.122.2o7.net",
    "aolswitch.122.2o7.net",
    "aolt.hit.gemius.pl",
    "aoltmz.122.2o7.net",
    "aoltruveo.122.2o7.net",
    "aolturnercnnmoney.122.2o7.net",
    "aolturnersi.122.2o7.net",
    "aoluk.122.2o7.net",
    "aolv.hit.gemius.pl",
    "aolvideo.122.2o7.net",
    "aolwbautoblog.122.2o7.net",
    "aolwbcinema.122.2o7.net",
    "aolwbdnlsq.122.2o7.net",
    "aolwbengadget.122.2o7.net",
    "aolwbgadling.122.2o7.net",
    "aolwbluxist.122.2o7.net",
    "aolwbpspfboy.122.2o7.net",
    "aolwbtvsq.122.2o7.net",
    "aolwbwowinsd.122.2o7.net",
    "aolwinamp.122.2o7.net",
    "aolwpmq.122.2o7.net",
    "aolwpnscom.122.2o7.net",
    "aolwpnswhatsnew.112.2o7.net",
    "aolyedda.122.2o7.net",
    "ap.lijit.com",
    "ap.oasfile.aftenposten.no",
    "ap.read.mediation.pns.ap.orangeads.fr",
    "ap101.curves.com",
    "apdigitalorg.112.2o7.net",
    "apdigitalorgovn.112.2o7.net",
    "aperture.displaymarketplace.com",
    "apex-ad.com",
    "apex-ad.com",
    "apex.go.sonobi.com",
    "aphrodite.porntrack.com",
    "api-cache.adsnative.com",
    "api.7segments.com",
    "api.access-mc.com",
    "api.addnow.com",
    "api.adip.ly",
    "api.adlure.net",
    "api.adquality.ch",
    "api.adrenalads.com",
    "api.adsnative.com",
    "api.adsymptotic.com",
    "api.atdmt.com",
    "api.behavioralengine.com",
    "api.bigmobileads.com",
    "api.bizographics.com",
    "api.boomtrain.com",
    "api.bounceexchange.com",
    "api.cheatsheet.me",
    "api.content.ad",
    "api.contentclick.co.uk",
    "api.demandbase.com",
    "api.ero-advertising.com",
    "api.instantdollarz.com",
    "api.intensifier.de",
    "api.interstateanalytics.com",
    "api.iperceptions.com",
    "api.ipinfodb.com",
    "api.lanistaads.com",
    "api.mixpanel.com",
    "api.nrelate.com",
    "api.optinmonster.com",
    "api.petametrics.com",
    "api.proofpositivemedia.com",
    "api.revcontent.com",
    "api.stathat.com",
    "api.taboola.com",
    "api.tns-cs.net",
    "api.trackuity.com",
    "api.viglink.com",
    "api.wipmania.com",
    "api.wundercounter.com",
    "api.yieldmanager.com",
    "api.zanox.com",
    "apibeta.zeti.com",
    "apicit.net",
    "apnonline.112.2o7.net",
    "apo.ero-advertising.com",
    "apolloadlv.hit.gemius.pl",
    "aporg.112.2o7.net",
    "app.activetrail.com",
    "app.adsbrook.com",
    "app.beanstalkdata.com",
    "app.mashero.com",
    "app.medyanetads.com",
    "app.passionfruitads.com",
    "app.pubserver.adhood.com",
    "app.scanscout.com",
    "app.super-links.net",
    "app.ubertags.com",
    "app.winwords.adhood.com",
    "app.yieldify.com",
    "app2.salesmanago.pl",
    "app3.rutarget.ru",
    "appcache.admission.net",
    "applets.sulekha.com",
    "applicationstat.com",
    "apps.admission.net",
    "apps.advertlets.com",
    "apps.clickcash.com",
    "apps.conduit-banners.com",
    "apps.nastydollars.com",
    "appscout.us.intellitxt.com",
    "apptap.scripps.com",
    "aps.media.adrevolver.com",
    "apture.com",
    "apx.moatads.com",
    "aquasoft.us.intellitxt.com",
    "ar.2.cqcounter.com",
    "ar.adserver.yahoo.com",
    "ar.atwola.com",
    "ar.voicefive.com",
    "ar1.atwola.com",
    "ar7.atwola.com",
    "ar9.atwola.com",
    "arank.com",
    "arbo.hit.gemius.pl",
    "arbomedia.nuggad.net",
    "arbomediacz.nuggad.net",
    "arc1.msn.com",
    "arc2.msn.com",
    "arc3.msn.com",
    "arc9.msn.com",
    "arcadebanners.com",
    "architecturaldesigns.us.intellitxt.com",
    "archive.coolerads.com",
    "ard.sexplaycam.com",
    "ard.sweetdiscreet.com",
    "ard.xxxblackbook.com",
    "ard.xxxblackbook.com",
    "ardrone.swoop.com",
    "are-ter.com",
    "areasnap.com",
    "arecio.work",
    "arena.altitude-arena.com",
    "ariboo.com",
    "ariel1.spaceprogram.com",
    "aripaadee.hit.gemius.pl",
    "aripaee.adocean.pl",
    "arsconsole.global-intermedia.com",
    "artcomix.com",
    "artistdirect.us.intellitxt.com",
    "artwork.aim4media.com",
    "as.adwise.bg",
    "as.autoforums.com",
    "as.bankrate.com",
    "as.casalemedia.com",
    "as.ebz.io",
    "as.featurelink.com",
    "as.gostats.com",
    "as.medscape.com",
    "as.pmates.com",
    "as.sexad.net",
    "as.specificmedia.com",
    "as.webmd.com",
    "as.webmd.com",
    "as.yl.impact-ad.jp",
    "as1.advfn.com",
    "as1.casinocity.com",
    "as1.mistupid.com",
    "as2.advfn.com",
    "as2.autoforums.com",
    "asd.tynt.com",
    "aserve.directorym.com",
    "asian.streamate.com",
    "asians.join4free.com",
    "askads.ask.com",
    "askjolene.ero-advertising.com",
    "askmen.us.intellitxt.com",
    "askmen2.us.intellitxt.com",
    "aslads.ask.com",
    "asmedia.adsupplyssl.com",
    "asqcondenast.nuggad.net",
    "asqlesechos.nuggad.net",
    "asqnext.nuggad.net",
    "assculo.com",
    "asseenonpc.directtrack.com",
    "asset.pagefair.com",
    "asset.pagefair.net",
    "assets.adtaily.com",
    "assets.buysellads.com",
    "assets.customer.io",
    "assets.kixer.com",
    "assets.luminate.com",
    "assets.popmarker.com",
    "assets.tapad.com",
    "assets1.exgfnetwork.com",
    "assets3.admulti.com",
    "assoc-amazon.com",
    "associatedcontent.112.2o7.net",
    "astalavista.box.sk",
    "astatic.weborama.fr",
    "asv.nuggad.net",
    "asy.a8ww.net",
    "async01.admantx.com",
    "at-adserver.alltop.com",
    "at.amgdgt.com",
    "at.atwola.com",
    "at.gmads.net",
    "at.ontargetjobs.com",
    "atax.askmen.com",
    "atax.gamermetrics.com",
    "atax.ign.com",
    "atax.teamxbox.com",
    "atdmt.com",
    "atemda.com",
    "athena-ads.wikia.com",
    "atlanticmedia.122.2o7.net",
    "atlasdmt.com",
    "atpco.ur.gcion.com",
    "atrd.netmng.com",
    "atrk.alexametrics.com",
    "ats.tumri.net",
    "atspace.de.intellitxt.com",
    "attribution.webmarketing123.com",
    "atvplus.oewabox.at",
    "atwola.com",
    "au-01.adtomafusion.com",
    "au-cdn.effectivemeasure.net",
    "au.2.cqcounter.com",
    "au.adserver.yahoo.com",
    "au.effectivemeasure.net",
    "auctionads.com",
    "auctionads.net",
    "audible.112.2o7.net",
    "audience2media.com",
    "audio.de.intellitxt.com",
    "audit.median.hu",
    "audit.median.hu",
    "audit.webinform.hu",
    "aujourdhui.refr.adgtw.orangeads.fr",
    "aumo123usedcarscom.112.2o7.net",
    "aumoautomobilemagcom.112.2o7.net",
    "aumoautomotivecom.112.2o7.net",
    "aumoautomotivectl.112.2o7.net",
    "aumocarsbelowinvoice.112.2o7.net",
    "aumointernetautoguidecom.112.2o7.net",
    "aumomotortrend.112.2o7.net",
    "aumonewcarcom.112.2o7.net",
    "aumotradeinvaluecom.112.2o7.net",
    "aurelius.httpool.com",
    "aus.laola1.tv",
    "austria1.adverserve.net",
    "auto-bannertausch.de",
    "autoanythingcom.112.2o7.net",
    "autobytel.112.2o7.net",
    "autobytelcorppopup.112.2o7.net",
    "autocontext.begun.ru",
    "autocounter.marketgid.com",
    "autoforums.us.intellitxt.com",
    "autohits.dk",
    "automobilemag.us.intellitxt.com",
    "automotive.us.intellitxt.com",
    "autos.msnbc.us.intellitxt.com",
    "autoscout24.112.2o7.net",
    "autospies.us.intellitxt.com",
    "autoweb.112.2o7.net",
    "autoworldnews.us.intellitxt.com",
    "avalon.topbucks.com",
    "avantlink.com",
    "avazudsp.net",
    "avenfeld.com",
    "avenuea.com",
    "avgtechnologies.112.2o7.net",
    "avidtrak.com",
    "avon.112.2o7.net",
    "avp.innity.com",
    "avpa.javalobby.org",
    "avres.net",
    "avsads.com",
    "avt.hit.gemius.pl",
    "awardspace.de.intellitxt.com",
    "awarenesstech.122.2o7.net",
    "away.us.intellitxt.com",
    "awempire.com",
    "awin1.com",
    "ax-d.pixfuture.net",
    "axdget-sync.nuggad.net",
    "axel.hit.gemius.pl",
    "aximsite.us.intellitxt.com",
    "axp.zedo.com",
    "axsrv.com",
    "axxessads.valuead.com",
    "ay.eastmoney.com",
    "ayboll.sgsrv.com",
    "azfront.com",
    "b-1st.com",
    "b-aws.aol.com",
    "b-aws.huffingtonpost.com",
    "b.abnad.net",
    "b.adbox.lv",
    "b.admedia.com",
    "b.adnxs.com",
    "b.ads1.msn.com",
    "b.ads2.msads.net",
    "b.alot.com",
    "b.aol.com",
    "b.casalemedia.com",
    "b.codeonclick.com",
    "b.collective-media.net",
    "b.computerworlduk.com",
    "b.detetoigrae.com",
    "b.digitalartsonline.co.uk",
    "b.ds1.nl",
    "b.economedia.bg",
    "b.engadget.com",
    "b.ensighten.com",
    "b.grabo.bg",
    "b.grvcdn.com",
    "b.kavanga.ru",
    "b.monetate.net",
    "b.nex.bg",
    "b.rad.msn.com",
    "b.rmgserving.com",
    "b.scorecardresearch.com",
    "b.siftscience.com",
    "b.skinstore.com",
    "b.sli-spark.com",
    "b.t.tailtarget.com",
    "b.thanksearch.com",
    "b.wishabi.com",
    "b1.perfb.com",
    "b100.takru.com",
    "b120.takru.com",
    "b130.takru.com",
    "b140.takru.com",
    "b180.takru.com",
    "b3-uk.mookie1.com",
    "b3.mookie1.com",
    "b3a70b.t.axf8.net",
    "b3d.com",
    "b5057c.r.axf8.net",
    "b5media.us.intellitxt.com",
    "b92adrs.hit.gemius.pl",
    "b92rs.adocean.pl",
    "ba.afl.rakuten.co.jp",
    "babanetwork.adk2x.com",
    "babes.ign.us.intellitxt.com",
    "babs.tv2.dk",
    "babycentercom.112.2o7.net",
    "backbeatmedia.com",
    "backfill.ph.affinity.com",
    "backseatcuddler.us.intellitxt.com",
    "badv.wp.pl",
    "balakin.popunder.ru",
    "balleralert.us.intellitxt.com",
    "bam.nr-data.net",
    "ban.xpays.com",
    "bandoc.d-group.co.il",
    "baner.energy-torrent.com",
    "banerator.net",
    "banex.bikers-engine.com",
    "banex.search.bg",
    "banik.redigy.cz",
    "bank01.ads.dt.mydas.mobi",
    "bank01.ads.mp.mydas.mobi",
    "bank02.ads.dt.mydas.mobi",
    "bank02.ads.mp.mydas.mobi",
    "bank03.ads.dt.mydas.mobi",
    "bank03.ads.mp.mydas.mobi",
    "bank04.ads.dt.mydas.mobi",
    "bank04.ads.mp.mydas.mobi",
    "bank05.ads.dt.mydas.mobi",
    "bank05.ads.mp.mydas.mobi",
    "bank06.ads.dt.mydas.mobi",
    "bank06.ads.mp.mydas.mobi",
    "bank07.ads.dt.mydas.mobi",
    "bank07.ads.mp.mydas.mobi",
    "bank08.ads.dt.mydas.mobi",
    "bank08.ads.mp.mydas.mobi",
    "bank09.ads.dt.mydas.mobi",
    "bank09.ads.mp.mydas.mobi",
    "bank10.ads.dt.mydas.mobi",
    "bank10.ads.mp.mydas.mobi",
    "bank11.ads.dt.mydas.mobi",
    "bank11.ads.mp.mydas.mobi",
    "bank12.ads.dt.mydas.mobi",
    "bank12.ads.mp.mydas.mobi",
    "bank13.ads.dt.mydas.mobi",
    "bank13.ads.mp.mydas.mobi",
    "bank15.ads.dt.mydas.mobi",
    "bank15.ads.mp.mydas.mobi",
    "bank16.ads.dt.mydas.mobi",
    "bank16.ads.mp.mydas.mobi",
    "bank17.ads.dt.mydas.mobi",
    "bank17.ads.mp.mydas.mobi",
    "bank18.ads.dt.mydas.mobi",
    "bank18.ads.mp.mydas.mobi",
    "bank19.ads.dt.mydas.mobi",
    "bank19.ads.mp.mydas.mobi",
    "bank20.ads.dt.mydas.mobi",
    "bank20.ads.mp.mydas.mobi",
    "bankrate.112.2o7.net",
    "bankwest.112.2o7.net",
    "banman.isoftmarketing.com",
    "banner-a.oddcast.com",
    "banner-d.oddcast.com",
    "banner-exchange-24.de",
    "banner-img.haber7.com",
    "banner-server.winecountry.com",
    "banner.0catch.com",
    "banner.50megs.com",
    "banner.ad.nu",
    "banner.ad.nu",
    "banner.adserverpub.com",
    "banner.adsrevenue.net",
    "banner.adtrgt.com",
    "banner.amateri.cz",
    "banner.ambercoastcasino.com",
    "banner.ambercoastcasino.com",
    "banner.betfred.com",
    "banner.blogranking.net",
    "banner.buempliz-online.ch",
    "banner.casino.net",
    "banner.casinodelrio.com",
    "banner.casinodelrio.com",
    "banner.casinotropez.com",
    "banner.cdpoker.com",
    "banner.clubdicecasino.com",
    "banner.cotedazurpalace.com",
    "banner.coza.com",
    "banner.coza.com",
    "banner.cybertechdev.com",
    "banner.cz",
    "banner.date.com",
    "banner.easyspace.com",
    "banner.elisa.net",
    "banner.euroads.no",
    "banner.eurogrand.com",
    "banner.eurogrand.com",
    "banner.europacasino.com",
    "banner.featuredusers.com",
    "banner.finn.no",
    "banner.finzoom.ro",
    "banner.freeservers.com",
    "banner.getgo.de",
    "banner.goldenpalace.com",
    "banner.goldenpalace.com",
    "banner.hpmdnetwork.ru",
    "banner.img.co.za",
    "banner.inyourpocket.com",
    "banner.joylandcasino.com",
    "banner.kanald.com.tr",
    "banner.kiev.ua",
    "banner.kiev.ua",
    "banner.lbs.km.ru",
    "banner.linux.se",
    "banner.media-system.de",
    "banner.mindshare.de",
    "banner.missingkids.com",
    "banner.mymedia.bg",
    "banner.nixnet.cz",
    "banner.noblepoker.com",
    "banner.nonstoppartner.de",
    "banner.northsky.com",
    "banner.nttnavi.co.jp",
    "banner.oddcast.com",
    "banner.orb.net",
    "banner.passion.com",
    "banner.penguin.cz",
    "banner.play-asia.com",
    "banner.prestigecasino.com",
    "banner.rbc.ru",
    "banner.relcom.ru",
    "banner.relcom.ru",
    "banner.scasino.com",
    "banner.search.bg",
    "banner.sedem.bg",
    "banner.synergy-e.com",
    "banner.tanto.de",
    "banner.techarp.com",
    "banner.terminal.hu",
    "banner.titan-dsl.de",
    "banner.titanpoker.com",
    "banner.tonygpoker.com",
    "banner.vadian.net",
    "banner.vegasred.com",
    "banner.vrs.cz",
    "banner.webmersion.com",
    "banner.webtools24.net",
    "banner.westernunion.com",
    "banner.wirenode.com",
    "banner1.pornhost.com",
    "bannerads.de",
    "bannerads.mantecabulletin.com",
    "banneradvertising.adclickmedia.com",
    "bannerboxes.com",
    "bannerco-op.com",
    "bannercommunity.de",
    "bannerconnect.com",
    "bannerconnect.net",
    "bannerexchange.cjb.net",
    "bannerexchange.troglod.com",
    "bannerfarm.ace.advertising.com",
    "bannerflow.com",
    "bannergrabber.internet.gr",
    "bannerhost.com",
    "bannerimage.com",
    "bannerimages.0catch.com",
    "bannerlandia.com.ar",
    "bannerlink.xxxtreams.com",
    "bannermall.com",
    "bannermanager.bnr.bg",
    "bannermarkt.nl",
    "bannerpower.com",
    "bannerrotation.sexmoney.com",
    "banners.2lipslive.com",
    "banners.4d5.net",
    "banners.absolpublisher.com",
    "banners.adfox.ru",
    "banners.adgoto.com",
    "banners.adultfriendfinder.com",
    "banners.adultfriendfinder.com",
    "banners.adventory.com",
    "banners.advidi.com",
    "banners.affiliatefuel.com",
    "banners.affiliatefuture.com",
    "banners.affilimatch.de",
    "banners.aftrk.com",
    "banners.alo.bg",
    "banners.alt.com",
    "banners.amfibi.com",
    "banners.amigos.com",
    "banners.amigos.com",
    "banners.apnuk.com",
    "banners.asiafriendfinder.com",
    "banners.asiafriendfinder.com",
    "banners.askmecca.com",
    "banners.audioholics.com",
    "banners.audioholics.com",
    "banners.babylon-x.com",
    "banners.betcris.com",
    "banners.bghelp.co.uk",
    "banners.bgmaps.com",
    "banners.bigchurch.com",
    "banners.bol.com.br",
    "banners.brinkin.com",
    "banners.camdough.com",
    "banners.cams.com",
    "banners.cams.com",
    "banners.citybuild.bg",
    "banners.clickon.co.il",
    "banners.clips4sale.com",
    "banners.clubseventeen.com",
    "banners.content.rude.com",
    "banners.copyscape.com",
    "banners.crakcash.com",
    "banners.czi.cz",
    "banners.datecs.bg",
    "banners.delivery.addynamo.com",
    "banners.dine.com",
    "banners.dir.bg",
    "banners.direction-x.com",
    "banners.direction-x.com",
    "banners.directnic.com",
    "banners.directnic.com",
    "banners.dogfart.com",
    "banners.dol.gr",
    "banners.e-dologic.co.il",
    "banners.easydns.com",
    "banners.easydns.com",
    "banners.ebay.com",
    "banners.ero-advertising.com",
    "banners.ffsbg.com",
    "banners.flingguru.com",
    "banners.freett.com",
    "banners.freett.com",
    "banners.friendfinder.com",
    "banners.friendfinder.com",
    "banners.fuckbookhookups.com",
    "banners.fulltiltpoker.com",
    "banners.gayfriendfinder.com",
    "banners.germanfriendfinder.com",
    "banners.getiton.com",
    "banners.getiton.com",
    "banners.host.bannerflow.com",
    "banners.icams.com",
    "banners.images.streamray.com",
    "banners.inetfast.com",
    "banners.iq.pl",
    "banners.isoftmarketing.com",
    "banners.jewishfriendfinder.com",
    "banners.lativio.com",
    "banners.leadingedgecash.com",
    "banners.lifeserv.com",
    "banners.linkbuddies.com",
    "banners.linkbuddies.com",
    "banners.lottoelite.com",
    "banners.meccahoo.com",
    "banners.mellowads.com",
    "banners.millionairemate.com",
    "banners.moreniche.com",
    "banners.mymedia.bg",
    "banners.mynakedweb.com",
    "banners.news1.co.il",
    "banners.nova.bg",
    "banners.outpersonals.com",
    "banners.outster.com",
    "banners.oxiads.fr",
    "banners.passion.com",
    "banners.passion.com",
    "banners.payserve.com",
    "banners.penthouse.com",
    "banners.perfectgonzo.com",
    "banners.pinnaclesports.com",
    "banners.popads.net",
    "banners.realitycash.com",
    "banners.resultonline.com",
    "banners.resultonline.com",
    "banners.rexmag.com",
    "banners.romania-insider.com",
    "banners.rude.com",
    "banners.rushcommerce.com",
    "banners.securedataimages.com",
    "banners.seniorfriendfinder.com",
    "banners.sexsearch.com",
    "banners.sexsearch.com",
    "banners.sextracker.com",
    "banners.sublimedirectory.com",
    "banners.swapfinder.com",
    "banners.swingers-match.com",
    "banners.swsoft.com",
    "banners.sys-con.com",
    "banners.sys-con.com",
    "banners.takru.com",
    "banners.tempobet.com",
    "banners.thirdmovies.com",
    "banners.thiswillshockyou.com",
    "banners.thomsonlocal.com",
    "banners.topcities.com",
    "banners.toteme.com",
    "banners.truecash.com",
    "banners.valuead.com",
    "banners.victor.com",
    "banners.videosecrets.com",
    "banners.videosz.com",
    "banners.videosz.com",
    "banners.virtuagirlhd.com",
    "banners.virtuagirlhd.com",
    "banners.visitguernsey.com",
    "banners.webcams.com",
    "banners.webmasterplan.com",
    "banners.weboverdrive.com",
    "banners.weselltraffic.com",
    "banners.wunderground.com",
    "banners.yllix.com",
    "banners.zbs.ru",
    "banners.ztod.com",
    "banners2.ero-advertising.com",
    "bannerserver.com",
    "bannersgomlm.buildreferrals.com",
    "bannersgomlm.com",
    "bannersgomlm.com",
    "bannershotlink.perfectgonzo.com",
    "bannershotlink.perfectgonzo.com",
    "bannersng.yell.com",
    "bannerspace.com",
    "bannerswap.com",
    "bannersxchange.com",
    "bannery.cz",
    "bannieres.acces-contenu.com",
    "bans.adserver.co.il",
    "bans.bride.ru",
    "bans.bride.ru",
    "bantam.ai.net",
    "bar.freelogs.com",
    "bar.mytotalsearch.com",
    "bar.mywebsearch.com",
    "barafranca.iwarp.com",
    "barilliance.net",
    "barnesandnoble.bfast.com",
    "basebanner.com",
    "baselinemag.us.intellitxt.com",
    "bastardly.us.intellitxt.com",
    "basterr.popunder.ru",
    "bat.bing.com",
    "battleon.directtrack.com",
    "baublebar.sp1.convertro.com",
    "baypops.com",
    "baypops.com",
    "bb.connextra.com",
    "bb.crwdcntrl.net",
    "bb.o2.eyereturn.com",
    "bbads.sv.publicus.com",
    "bbads.sx.atl.publicus.com",
    "bbc.112.2o7.net",
    "bbcdn-bbnaut.ibillboard.com",
    "bbcdn-tag.ibillboard.com",
    "bbcdn.code.intext.billboard.cz",
    "bbcdn.code.new.smartcontext.pl",
    "bbcdn.go.adevolution.bbelements.com",
    "bbcdn.go.adlv.bbelements.com",
    "bbcdn.go.arbopl.bbelements.com",
    "bbcdn.go.cz.bbelements.com",
    "bbcdn.go.evolutionmedia.bbelements.com",
    "bbcdn.go.idmnet.bbelements.com",
    "bbcdn.go.pl.bbelements.com",
    "bbcdn.go.pol.bbelements.com",
    "bbelements.com",
    "bbg.d1.sc.omtrdc.net",
    "bbn.img.com.ua",
    "bbn.img.com.ua",
    "bbnaut.ibillboard.com",
    "bbtv.blinkx.com",
    "bc.marfeel.com",
    "bcanalytics.bigcommerce.com",
    "bcbb.rubiconproject.com",
    "bcp.crwdcntrl.net",
    "bd0dc.v.fwmrm.net",
    "bde3d.com",
    "bdgadv.ru",
    "bdv.bidvertiser.com",
    "bdx.comclick.com",
    "be.adserver.yahoo.com",
    "be.nedstat.net",
    "be.sitestat.com",
    "bea4.v.fwmrm.net",
    "beachfrontio.com",
    "beacon-1.newrelic.com",
    "beacon-2.newrelic.com",
    "beacon-3.newrelic.com",
    "beacon-4.newrelic.com",
    "beacon-5.newrelic.com",
    "beacon-6.newrelic.com",
    "beacon.affil.walmart.com",
    "beacon.afy11.net",
    "beacon.clickequations.net",
    "beacon.cracked.com",
    "beacon.ehow.com",
    "beacon.errorception.com",
    "beacon.examiner.com",
    "beacon.guim.co.uk",
    "beacon.gutefrage.net",
    "beacon.hookedmediagroup.com",
    "beacon.jump-time.net",
    "beacon.jumptime.com",
    "beacon.krxd.net",
    "beacon.lijit.com",
    "beacon.livefyre.com",
    "beacon.mediahuis.be",
    "beacon.saymedia.com",
    "beacon.scorecardresearch.com",
    "beacon.searchlinks.com",
    "beacon.securestudies.com",
    "beacon.sojern.com",
    "beacon.tracelytics.com",
    "beacon.tunecore.com",
    "beacon.walmart.com",
    "beads.sx.atl.publicus.com",
    "beam.hlserve.com",
    "beap.adx.yahoo.com",
    "beautyden.us.intellitxt.com",
    "bebo.crwdcntrl.net",
    "becl23.b2.gns.co.il",
    "becomegorgeous.us.intellitxt.com",
    "begun.ru",
    "bei.nuggad.net",
    "beliefnet.us.intellitxt.com",
    "bellglobemediapublishing.122.2o7.net",
    "belointeractive.122.2o7.net",
    "belstat.com",
    "belstat.nl",
    "berldk.nuggad.net",
    "berp.com",
    "bertelwissenprod.122.2o7.net",
    "best-pr.info",
    "best-top.ro",
    "bestadbid.com",
    "bestappinstalls.com",
    "bestjobs.count.brat-online.ro",
    "bestjobs.hit.gemius.pl",
    "bestoffers.activeshopper.com",
    "bestsearch.com",
    "bestsearch.net",
    "bet.122.2o7.net",
    "bet.demdex.net",
    "beta.easyhitcounters.com",
    "beta.f.adbull.com",
    "beta.galleries.paperstreetcash.com",
    "beta.newopenx.detik.com",
    "betaffs.com",
    "betanews.us.intellitxt.com",
    "betterhg.112.2o7.net",
    "beyondhollywood.us.intellitxt.com",
    "bf.mocda1.com",
    "bfd69dd9.se",
    "bg.2.cqcounter.com",
    "bg.adocean.pl",
    "bg.hit.gemius.pl",
    "bg.search.etargetnet.com",
    "bg.static.etargetnet.com",
    "bgbaner.com",
    "bggde-new.adocean.pl",
    "bggde.adocean.pl",
    "bgtop100.com",
    "bgwebads.com",
    "bh.contextweb.com",
    "bhclicks.com",
    "bhgdiabeticliving.112.2o7.net",
    "bhgdiy.112.2o7.net",
    "bhgkitchenbath.112.2o7.net",
    "bhgquilting.112.2o7.net",
    "bhgremodel.112.2o7.net",
    "bhgscrap.112.2o7.net",
    "bi.adview.pl",
    "bi.medscape.com",
    "bid.g.doubleclick.net",
    "bid.openx.net",
    "bidclix.com",
    "bidclix.net",
    "bidclix.net",
    "bidswitch.net",
    "bidsystem.adknowledge.com",
    "bidtrk.com",
    "bidvertiser.com",
    "bielertb.wemfbox.ch",
    "bigapple.contextuads.com",
    "bigbangmedia.com",
    "bigbigforums.us.intellitxt.com",
    "bigclicks.com",
    "bighop.com",
    "bigpond.122.2o7.net",
    "bigtits.xxxallaccesspass.com",
    "bikeforumsnet.skimlinks.com",
    "bilbob.com",
    "bild.de.intellitxt.com",
    "bill.ccbill.com",
    "bill.ecsuite.com",
    "billboard.cz",
    "billboard.nuggad.net",
    "bimg.abv.bg",
    "bimonline.insites.be",
    "bin.pinion.gg",
    "bingorevenue.directtrack.com",
    "bink.uk.intellitxt.com",
    "biosmagazine.uk.intellitxt.com",
    "bit-tech.uk.intellitxt.com",
    "bitads.net",
    "bitcast-a.v1.iad1.bitgravity.com",
    "bitmedianetwork.com",
    "bittenandbound.us.intellitxt.com",
    "bizad.nikkeibp.co.jp",
    "bizad.nikkeibp.co.jp",
    "bizbor.popunder.ru",
    "bizjournals-d.openx.net",
    "bizjournals.112.2o7.net",
    "bizrate.com",
    "bkrntr.netmng.com",
    "blacksportsonline.us.intellitxt.com",
    "blast4traffic.com",
    "blastro.us.intellitxt.com",
    "bleepingcomputer.us.intellitxt.com",
    "blekko.com",
    "blethenmaine.112.2o7.net",
    "blickonl.wemfbox.ch",
    "blingbucks.com",
    "blisstree.us.intellitxt.com",
    "blitzadbg.hit.gemius.pl",
    "blitzbg.adocean.pl",
    "blockmetrics.com",
    "blog.byethost.com",
    "blogads.com",
    "blogadswap.com",
    "blogadvertising.me",
    "blogcounter.com",
    "blogcounter.de",
    "bloggernetwork-d.openx.net",
    "bloggers.fuckyoucash.com",
    "blogherads.com",
    "blogrush.com",
    "blogtalkradio.crwdcntrl.net",
    "blogtoplist.se",
    "blogtopsites.com",
    "blu.mobileads.msn.com",
    "blue.sexer.com",
    "blueadvertise.com",
    "blueadvertise.com",
    "bluehparking.com",
    "bluekai.com",
    "bluelithium.com",
    "bluewhaleweb.com",
    "bluewin.wemfbox.ch",
    "bluhostedbanners.blucigs.com",
    "bm.annonce.cz",
    "bm.met.vgwort.de",
    "bms.msk.bg",
    "bms.sportal.ru",
    "bms.xenium.bg",
    "bmwmoter.122.2o7.net",
    "bn-01.adtomafusion.com",
    "bn.bfast.com",
    "bn.premiumhdv.com",
    "bn.profiwin.de",
    "bnk30livejs.112.2o7.net",
    "bnkholic.112.2o7.net",
    "bnkr8dev.112.2o7.net",
    "board.classifieds1000.com",
    "bob.crazyshit.com",
    "boersego-ads.de",
    "bokee.allyes.com",
    "bokotraffic.com",
    "boldchat.com",
    "boldride.us.intellitxt.com",
    "bolero.wemfbox.ch",
    "boloz.com",
    "bolt.us.intellitxt.com",
    "bomcl.richmetrics.com",
    "bonintnewsktarcom.112.2o7.net",
    "bonneville.112.2o7.net",
    "bonniercorp.122.2o7.net",
    "boom.ro",
    "boomads.com",
    "boost-my-pr.de",
    "boostmobile.112.2o7.net",
    "bootdaily.us.intellitxt.com",
    "bootstrap.livefyre.com",
    "boston-d.openx.net",
    "bostoncommonpress.112.2o7.net",
    "bostonglobe.demdex.net",
    "botd.wordpress.com",
    "botd2.wordpress.com",
    "botw.topbucks.com",
    "bounceexchange.com",
    "box.anchorfree.net",
    "box.anchorfree.net",
    "boxingscene.us.intellitxt.com",
    "bp.specificclick.net",
    "bpath.com",
    "bpm.tags.bigpondmedia.com",
    "bps.beweb.com",
    "bps.tesial-tech.be",
    "br.adserver.yahoo.com",
    "br.comclick.com",
    "br.fling.com",
    "br.meetlocals.com",
    "br.naked.com",
    "br.realitykings.com",
    "br.rk.com",
    "bradpittnow.us.intellitxt.com",
    "braincash.com",
    "brandreachsys.com",
    "bravenet.com",
    "bravenet.com.invalid",
    "bricksandstonesgossip.us.intellitxt.com",
    "bridge.ame.admarketplace.net",
    "bridge.sf.admarketplace.net",
    "bridgetrack.com",
    "bridgetrack.speedera.r3h.net",
    "brightcove.112.2o7.net",
    "brighthouse.122.2o7.net",
    "brighthub.us.intellitxt.com",
    "brightinfo.com",
    "british-banners.com",
    "brnys.netmng.com",
    "broadcaster.streamate.com",
    "broadspring.com",
    "brothersoft.us.intellitxt.com",
    "bruceclay.112.2o7.net",
    "brxserv-21.btrll.com",
    "bs-meta.yandex.ru",
    "bs.serving-sys.com",
    "bs.yandex.ru",
    "bs.yandex.ru",
    "bsclick.adknowledge.com",
    "bspixel.bidsystem.com",
    "bst.reedbusiness.com",
    "btcom.112.2o7.net",
    "btn.clickability.com",
    "btn.counter.weather.ca",
    "btprmnav.com",
    "bttrack.com",
    "bttrack.com",
    "buddies.funbuddyicons.com",
    "budsinc.com",
    "bugera.popunder.ru",
    "bugsforum.com",
    "builderonlinecom.112.2o7.net",
    "bukisa.us.intellitxt.com",
    "bulgariabg.com",
    "bullseye.backbeatmedia.com",
    "bullseye.backbeatmedia.com",
    "bullz-eye.us.intellitxt.com",
    "bullzeye.rotator.hadj1.adjuggler.net",
    "bumpshack.us.intellitxt.com",
    "bunny-net.com",
    "burstmedia.com",
    "business.lbn.ru",
    "business.msnbc.us.intellitxt.com",
    "business.realtracker.com",
    "businessinsider.us.intellitxt.com",
    "businessknowhow.us.intellitxt.com",
    "businessweekpoc.112.2o7.net",
    "bustedcoverage.us.intellitxt.com",
    "button.clickability.com",
    "buycom.122.2o7.net",
    "buyhitscheap.com",
    "buylicensekey.com",
    "buysellads.com",
    "buzzfeed.d1.sc.omtrdc.net",
    "buzzfoto.us.intellitxt.com",
    "buzzhumor.us.intellitxt.com",
    "buzznet.112.2o7.net",
    "buzzonclick.com",
    "bvalphaserver.com",
    "bw.ads.t-online.de",
    "bwp.download.com",
    "bwp.mp3.com",
    "by.adocean.pl",
    "by.essl.optimost.com",
    "by.optimost.com",
    "by.uservoice.com",
    "byet.org",
    "byubroadcast.112.2o7.net",
    "c.abnad.net",
    "c.ad6media.fr",
    "c.adfirmative.com",
    "c.adforgeinc.com",
    "c.admob.com",
    "c.am11.ru",
    "c.amazon-adsystem.com",
    "c.atdmt.com",
    "c.betrad.com",
    "c.bigmir.net",
    "c.bigmir.net",
    "c.bing.com",
    "c.casalemedia.com",
    "c.chango.com",
    "c.cnstats.ru",
    "c.cnzz.com",
    "c.compete.com",
    "c.compete.com",
    "c.effectivemeasure.net",
    "c.enhance.com",
    "c.flx1.com",
    "c.go-mpulse.net",
    "c.greystripe.com",
    "c.gumgum.com",
    "c.hit.ua",
    "c.jsrdn.com",
    "c.maccosmetics.com",
    "c.marketgid.com",
    "c.mdnhinc.com",
    "c.mtro.co",
    "c.mystat-in.net",
    "c.newsinc.com",
    "c.ninemsn.com.au",
    "c.no.msn.com",
    "c.pebblemedia.be",
    "c.pioneeringad.com",
    "c.pocitadlo.sk",
    "c.realtytrac.com",
    "c.rmgserving.com",
    "c.scorecardresearch.com",
    "c.securepaths.com",
    "c.smartclick.net",
    "c.spiegel.de",
    "c.statcounter.com",
    "c.supert.ag",
    "c.t4ft.de",
    "c.thanksearch.com",
    "c.thestat.net",
    "c.total-media.net",
    "c.uarating.com",
    "c.usatoday.com",
    "c.velaro.com",
    "c.webtrends.com",
    "c0.amazingcounters.com",
    "c03.adsummos.net",
    "c04.adsummos.net",
    "c1.amazingcounters.com",
    "c1.atdmt.com",
    "c1.gostats.com",
    "c1.navrcholu.cz",
    "c1.nowlinux.com",
    "c1.onedmp.com",
    "c1.openx.org",
    "c1.outster.com",
    "c1.popads.net",
    "c1.rfihub.net",
    "c1.smartclick.net",
    "c1.statcounter.com",
    "c1.xxxcounter.com",
    "c1.zedo.com",
    "c1.zxxds.net",
    "c10.statcounter.com",
    "c10013.ic-live.com",
    "c10014.ic-live.com",
    "c10048.ic-live.com",
    "c10050.ic-live.com",
    "c10051.ic-live.com",
    "c10054.ic-live.com",
    "c10060.ic-live.com",
    "c10063.ic-live.com",
    "c10064.ic-live.com",
    "c1024.ic-live.com",
    "c11.statcounter.com",
    "c12.statcounter.com",
    "c13.statcounter.com",
    "c1349.ic-live.com",
    "c14.statcounter.com",
    "c14.zedo.com",
    "c15.statcounter.com",
    "c16.statcounter.com",
    "c17.statcounter.com",
    "c18.statcounter.com",
    "c1839.ic-live.com",
    "c19.statcounter.com",
    "c1921.ic-live.com",
    "c1926.ic-live.com",
    "c1935.ic-live.com",
    "c1937.ic-live.com",
    "c1947.ic-live.com",
    "c1950.ic-live.com",
    "c1exchange.com",
    "c2.amazingcounters.com",
    "c2.gostats.com",
    "c2.outster.com",
    "c2.popads.net",
    "c2.rfihub.net",
    "c2.statcounter.com",
    "c2.taboola.com",
    "c2.tentaculos.net",
    "c2.xxxcounter.com",
    "c2.zedo.com",
    "c20.statcounter.com",
    "c21.statcounter.com",
    "c22.statcounter.com",
    "c23.statcounter.com",
    "c24.statcounter.com",
    "c25.statcounter.com",
    "c26.statcounter.com",
    "c27.statcounter.com",
    "c28.statcounter.com",
    "c29.statcounter.com",
    "c2c738.r.axf8.net",
    "c3.amazingcounters.com",
    "c3.gostats.com",
    "c3.gostats.ir",
    "c3.openx.org",
    "c3.outster.com",
    "c3.statcounter.com",
    "c3.xxxcounter.com",
    "c3.zedo.com",
    "c30.statcounter.com",
    "c31.statcounter.com",
    "c32.statcounter.com",
    "c33.statcounter.com",
    "c34.statcounter.com",
    "c35.statcounter.com",
    "c36.statcounter.com",
    "c37.statcounter.com",
    "c38.statcounter.com",
    "c39.statcounter.com",
    "c4.amazingcounters.com",
    "c4.gostats.com",
    "c4.gostats.ru",
    "c4.ic-live.com",
    "c4.iwon.com",
    "c4.mysearch.com",
    "c4.statcounter.com",
    "c4.zedo.com",
    "c40.statcounter.com",
    "c41.statcounter.com",
    "c42.statcounter.com",
    "c43.statcounter.com",
    "c45.statcounter.com",
    "c46.statcounter.com",
    "c4dl.com",
    "c4tracking01.com",
    "c5.amazingcounters.com",
    "c5.statcounter.com",
    "c5.zedo.com",
    "c6.amazingcounters.com",
    "c6.edgesuite.net",
    "c6.statcounter.com",
    "c6.zedo.com",
    "c6530e.r.axf8.net",
    "c7.adforgeinc.com",
    "c7.amazingcounters.com",
    "c7.ic-live.com",
    "c7.statcounter.com",
    "c7.zedo.com",
    "c8.amazingcounters.com",
    "c8.statcounter.com",
    "c8.zedo.com",
    "c9.amazingcounters.com",
    "ca.2.cqcounter.com",
    "ca.abv.bg",
    "ca.adserver.yahoo.com",
    "ca.altitude-arena.com",
    "cache.ad-serverparc.nl",
    "cache.adnet-media.net",
    "cache.ads.kartu.lt",
    "cache.adviva.net",
    "cache.betweendigital.com",
    "cache.blogads.com",
    "cache.btrll.com",
    "cache.daredorm.com",
    "cache.directorym.com",
    "cache.dtmpub.com",
    "cache.gfrevenge.com",
    "cache.izearanks.com",
    "cache.realitykings.com",
    "cache.specificmedia.com",
    "cachebanner.europacasino.com",
    "cachebanner.titanpoker.com",
    "cachebanner.tonygpoker.com",
    "cachebanner.vegasred.com",
    "cachebanners.toteme.com",
    "cacheserve.williamhill.com",
    "cachewww.europacasino.com",
    "cad.chosun.com",
    "cadillacforums.us.intellitxt.com",
    "caea4e.r.axf8.net",
    "caea4e.t.axf8.net",
    "cafemom.d2.sc.omtrdc.net",
    "cafemom.us.intellitxt.com",
    "cam.demdex.net",
    "campaign.bharatmatrimony.com",
    "campaigns.f2.com.au",
    "cams.enjoy.be",
    "canadapost.112.2o7.net",
    "cancalgary.112.2o7.net",
    "canfinancialpost.112.2o7.net",
    "caniamedia.com",
    "canmag.us.intellitxt.com",
    "cannationalpost.112.2o7.net",
    "canoe.112.2o7.net",
    "canottowa.112.2o7.net",
    "canshowcase.112.2o7.net",
    "cantire.122.2o7.net",
    "canwest.112.2o7.net",
    "canwestglobal.112.2o7.net",
    "capcityadvcom.112.2o7.net",
    "capecodonlinecom.112.2o7.net",
    "capital.count.brat-online.ro",
    "car-stuff.us.intellitxt.com",
    "carbonads.com",
    "carbonads.net",
    "carbonite.tt.omtrdc.net",
    "care2.112.2o7.net",
    "carlsonradisson.112.2o7.net",
    "carpediem.sv2.biz",
    "cars.ign.us.intellitxt.com",
    "cartoonnetwork.122.2o7.net",
    "cartoonpornguide.com",
    "cas.clickability.com",
    "cas.criteo.com",
    "casalemedia.com",
    "casalemedia.com",
    "casalmedia.com",
    "cash4members.com",
    "cash4popup.de",
    "cashcount.com",
    "cashcownetworks.com",
    "cashcrate.com",
    "cashengines.com",
    "cashengines.com",
    "cashfiesta.com",
    "cashlayer.com",
    "cashpartner.com",
    "casino-on-net.com",
    "casinogames.com",
    "casinopays.com",
    "casinorewards.com",
    "casinotraffic.com",
    "casinotreasure.com",
    "casper.sp1.convertro.com",
    "castingshow-news.de.intellitxt.com",
    "catrg.peer39.net",
    "cavemancircus.us.intellitxt.com",
    "cb.amazingcounters.com",
    "cb.mdnhinc.com",
    "cba.122.2o7.net",
    "cbanners.virtuagirlhd.com",
    "cbanners.virtuagirlhd.com",
    "cbc.122.2o7.net",
    "cbcnewmedia.112.2o7.net",
    "cbglobal.112.2o7.net",
    "cbmall.com",
    "cbmsn.112.2o7.net",
    "cbpublishing.blueadvertise.com",
    "cbronline.uk.intellitxt.com",
    "cbs.112.2o7.net",
    "cbscom.112.2o7.net",
    "cbsdigitalmedia.112.2o7.net",
    "cbsi.demdex.net",
    "cbsnfl.112.2o7.net",
    "cbspgatour.112.2o7.net",
    "cbsspln.112.2o7.net",
    "cbstelevisiondistribution.112.2o7.net",
    "cbstv.us.intellitxt.com",
    "cc.bridgetrack.com",
    "cc.chango.com",
    "cc.connextra.com",
    "cc.iwon.com",
    "cc.simplereach.com",
    "cc.webpower.com",
    "cc12797.counter.hackers.lv",
    "cc9905.counter.hackers.lv",
    "ccc00.opinionlab.com",
    "ccc01.opinionlab.com",
    "ccrgaviscom.112.2o7.net",
    "ccs.infospace.com",
    "cd-ads.com",
    "cdata.carambo.la",
    "cdmedia.rotator.hadj7.adjuggler.net",
    "cdn-01.yumenetworks.com",
    "cdn-1.convertexperiments.com",
    "cdn-analytics.ladmedia.fr",
    "cdn-gl.imrworldwide.com",
    "cdn-rtb.sape.ru",
    "cdn-static.liverail.com",
    "cdn.ad4game.com",
    "cdn.adbooth.com",
    "cdn.adbooth.net",
    "cdn.adbrau.com",
    "cdn.adengage.com",
    "cdn.adgear.com",
    "cdn.adk2.co",
    "cdn.adk2.com",
    "cdn.admitad.com",
    "cdn.admixer.net",
    "cdn.adnotch.com",
    "cdn.adnxs.com",
    "cdn.adosx.com",
    "cdn.adpacks.com",
    "cdn.adpdx.com",
    "cdn.adplxmd.com",
    "cdn.adquantix.com",
    "cdn.adrotator.se",
    "cdn.ads.ookla.com",
    "cdn.adspirit.de",
    "cdn.adsrvmedia.net",
    "cdn.adstatic.com",
    "cdn.adstract.com",
    "cdn.adtrace.org",
    "cdn.adtradr.com",
    "cdn.adual.net",
    "cdn.advertserve.com",
    "cdn.alleliteads.com",
    "cdn.amgdgt.com",
    "cdn.app.exitmonitor.com",
    "cdn.appdynamics.com",
    "cdn.appendad.com",
    "cdn.at.atwola.com",
    "cdn.atlassbx.com",
    "cdn.atomex.net",
    "cdn.atwola.com",
    "cdn.avmws.com",
    "cdn.banner.thumbplay.com",
    "cdn.banners.scubl.com",
    "cdn.beaconads.com",
    "cdn.beaconpush.com",
    "cdn.behavioralengine.com",
    "cdn.betrad.com",
    "cdn.boomtrain.com",
    "cdn.brcdn.com",
    "cdn.broadstreetads.com",
    "cdn.brsrvr.com",
    "cdn.bttrack.com",
    "cdn.buysellads.com",
    "cdn.carbonads.com",
    "cdn.castplatform.com",
    "cdn.chitika.net",
    "cdn.clic2pub.com",
    "cdn.clicktale.net",
    "cdn.comparemetrics.com",
    "cdn.complexmedianetwork.com",
    "cdn.content.exoticads.com",
    "cdn.contentspread.net",
    "cdn.cpmstar.com",
    "cdn.cpxinteractive.com",
    "cdn.crowdtwist.com",
    "cdn.crwdcntrl.net",
    "cdn.cxense.com",
    "cdn.dabhit.com",
    "cdn.demdex.net",
    "cdn.directrev.com",
    "cdn.directtrk.com",
    "cdn.doubleverify.com",
    "cdn.dsultra.com",
    "cdn.earnify.com",
    "cdn.easy-ads.com",
    "cdn.elasticad.net",
    "cdn.engine.4dsply.com",
    "cdn.engine.adsupply.com",
    "cdn.engine.phn.doublepimp.com",
    "cdn.engine.trklnks.com",
    "cdn.epicgameads.com",
    "cdn.evergage.com",
    "cdn.exactag.com",
    "cdn.exoticads.com",
    "cdn.fastclick.net",
    "cdn.firstimpression.io",
    "cdn.firstlook.com",
    "cdn.flashtalking.com",
    "cdn.freefacti.com",
    "cdn.freefarcy.com",
    "cdn.g.promosrv.com",
    "cdn.gumgum.com",
    "cdn.heapanalytics.com",
    "cdn.iasrv.com",
    "cdn.idtargeting.com",
    "cdn.innity.net",
    "cdn.inskinmedia.com",
    "cdn.installationsafe.net.s3.amazonaws.com",
    "cdn.interactivemedia.net",
    "cdn.intermarkets.net",
    "cdn.interstateanalytics.com",
    "cdn.investingchannel.com",
    "cdn.ip.inpwrd.com",
    "cdn.iqcontentplatform.de",
    "cdn.kixer.com",
    "cdn.komoona.com",
    "cdn.krxd.net",
    "cdn.libraries.inpwrd.com",
    "cdn.linksmart.com",
    "cdn.listrakbi.com",
    "cdn.luckyorange.com",
    "cdn.marketgid.com",
    "cdn.matheranalytics.com",
    "cdn.mb.datingadzone.com",
    "cdn.media.innity.net",
    "cdn.media6degrees.com",
    "cdn.mediavoice.com",
    "cdn.mercent.com",
    "cdn.mirageads.net",
    "cdn.mplxtms.com",
    "cdn.mxpnl.com",
    "cdn.ndparking.com",
    "cdn.nsimg.net",
    "cdn.oas-c17.adnxs.com",
    "cdn.onscroll.com",
    "cdn.opensubcontent.com",
    "cdn.optimatic.com",
    "cdn.optmd.com",
    "cdn.orbengine.com",
    "cdn.pardot.com",
    "cdn.petametrics.com",
    "cdn.pinion.gg",
    "cdn.polmontventures.com",
    "cdn.popcash.net",
    "cdn.popmyads.com",
    "cdn.popwin.net",
    "cdn.program3.com",
    "cdn.promo.pimproll.com",
    "cdn.pubexchange.com",
    "cdn.publicidad.net",
    "cdn.qbaka.net",
    "cdn.redlightcenter.com",
    "cdn.reporo.net",
    "cdn.revcontent.com",
    "cdn.sail-horizon.com",
    "cdn.scarabresearch.com",
    "cdn.segment.io",
    "cdn.siftscience.com",
    "cdn.siteanalytics.evolvemediametrics.com",
    "cdn.spectate.com",
    "cdn.spoutable.com",
    "cdn.springboard.gorillanation.com",
    "cdn.static.youmiad.com",
    "cdn.static.zdbb.net",
    "cdn.stroeerdigitalmedia.de",
    "cdn.taboola.com",
    "cdn.taboolasyndication.com",
    "cdn.tagcommander.com",
    "cdn.tapstream.com",
    "cdn.targetfuel.com",
    "cdn.teads.tv",
    "cdn.teamskeetimages.com",
    "cdn.total-media.net",
    "cdn.tracking.bannerflow.com",
    "cdn.tradelab.fr",
    "cdn.traffichunt.com",
    "cdn.trafficstars.com",
    "cdn.triggertag.gorillanation.com",
    "cdn.turn.com",
    "cdn.udmserve.net",
    "cdn.undertone.com",
    "cdn.userreport.com",
    "cdn.vdopia.com",
    "cdn.viglink.com",
    "cdn.visiblemeasures.com",
    "cdn.www1.pip-pip-pop.com",
    "cdn.yb0t.com",
    "cdn.yldbt.com",
    "cdn.zettata.com",
    "cdn.zeusclicks.com",
    "cdn1.adadvisor.net",
    "cdn1.ads.brazzers.com",
    "cdn1.adspace.4tube.com",
    "cdn1.clkads.com",
    "cdn1.clkcln.com",
    "cdn1.clkmon.com",
    "cdn1.clkoffers.com",
    "cdn1.clkrev.com",
    "cdn1.eyewonder.com",
    "cdn1.skinected.com",
    "cdn1.smartadserver.com",
    "cdn1.steelhousemedia.com",
    "cdn1.telemetryverification.net",
    "cdn1.traffichaus.com",
    "cdn1.tribalfusion.com",
    "cdn1.zopiny.com",
    "cdn1ht.traffichaus.com",
    "cdn1sitescout.edgesuite.net",
    "cdn2.ads.datinggold.com",
    "cdn2.adsdk.com",
    "cdn2sitescout-a.akamaihd.net",
    "cdn3.adbrau.com",
    "cdn3.emediate.eu",
    "cdn3.optimizely.com",
    "cdn4s.steelhousemedia.com",
    "cdn5.js.ad.dotandad.com",
    "cdn5.tribalfusion.com",
    "cdn6.adspirit.de",
    "cdn6.emediate.eu",
    "cdn8.emediate.eu",
    "cdna.runadtag.com",
    "cdna.tremormedia.com",
    "cdnads.cam4.com",
    "cdnm.zapunited.com",
    "cdns.amgdgt.com",
    "cdnt.meteorsolutions.com",
    "cdntest.gand.de",
    "cdreviews.us.intellitxt.com",
    "cdrinfo.us.intellitxt.com",
    "cdrom-guide.us.intellitxt.com",
    "cdslog.contextweb.com",
    "cdsusa.veinteractive.com",
    "cdxninteractive.blueadvertise.com",
    "cecash.com",
    "cecash.com",
    "celebitchy.us.intellitxt.com",
    "celebridiot.us.intellitxt.com",
    "celebridoodle.us.intellitxt.com",
    "celebrifi.us.intellitxt.com",
    "celebrity-babies.us.intellitxt.com",
    "celebrity-gossip.us.intellitxt.com",
    "celebrity-rightpundits.us.intellitxt.com",
    "celebritymound.us.intellitxt.com",
    "celebritynation.us.intellitxt.com",
    "celebrityodor.us.intellitxt.com",
    "celebritypwn.us.intellitxt.com",
    "celebritysmackblog.us.intellitxt.com",
    "celebritytoob.us.intellitxt.com",
    "celebrityviplounge.us.intellitxt.com",
    "celebritywonder.us.intellitxt.com",
    "celebslam.tags.crwdcntrl.net",
    "celebslam.us.intellitxt.com",
    "celebuzz.us.intellitxt.com",
    "cengagecsinfosec.112.2o7.net",
    "centerpointmedia.com",
    "centertrk.com",
    "central.iprom.net",
    "centricabritishgas.d3.sc.omtrdc.net",
    "centro.pixel.ad",
    "centrumcz.hit.gemius.pl",
    "cerberus.entertainment.com",
    "certify.alexametrics.com",
    "ceskydomov.alias.ngs.modry.cz",
    "cetrk.com",
    "cetrk.com",
    "cf.ads.kontextua.com",
    "cf.effectivemeasure.net",
    "cfg.mywebsearch.com",
    "cg-global.maxymiser.com",
    "cgi.honesty.com",
    "cgi.sexlist.com",
    "cgi1.sexlist.com",
    "cgicounter.puretec.de",
    "cgicounter.puretec.de",
    "ch.questionmarket.com",
    "chacha.112.2o7.net",
    "chameleon.ad",
    "channelinsider.us.intellitxt.com",
    "channelintelligence.com",
    "chappel.videogamer.com",
    "chart.advinion.com",
    "chart.dk",
    "chartbeat.com",
    "chartbeat.net",
    "chat.888.com",
    "chchoice.112.2o7.net",
    "cheatcc.us.intellitxt.com",
    "cheatingdome.us.intellitxt.com",
    "checkm8.com",
    "checkstat.nl",
    "checktraf.com",
    "chestionar.ro",
    "chevelles.us.intellitxt.com",
    "chewbacca.cybereps.com",
    "chezh1.popmarker.com",
    "chghowardjohnson.112.2o7.net",
    "chgsupereight.112.2o7.net",
    "chgwyndham.112.2o7.net",
    "chicagosuntimes.122.2o7.net",
    "chip.de.intellitxt.com",
    "chip.ivwbox.de",
    "chitika.net",
    "chlcotrk.com",
    "chokertraffic.com",
    "chuknu.sokrati.com",
    "chumtv.122.2o7.net",
    "ci.beap.ad.yieldmanager.net",
    "ci.nuggad.net",
    "ciao.ivwbox.de",
    "ciaocom.122.2o7.net",
    "ciaoshopcouk.122.2o7.net",
    "ciaoshopit.122.2o7.net",
    "cibleclick.com",
    "circuit.advertserve.com",
    "ciscowebex.112.2o7.net",
    "citi.bridgetrack.com",
    "citi.bridgetrack.com.edgesuite.net",
    "citicorpcreditservic.tt.omtrdc.net",
    "cityads.ru",
    "cityads.telus.net",
    "cj.com",
    "cj.dotomi.com",
    "cjbmanagement.com",
    "cjlog.com",
    "ckstatic.com",
    "cl-c.netseer.com",
    "cl.netseer.com",
    "claria.com",
    "class-act-clicks.com",
    "classic.mbn.com.ua",
    "classicvacations.112.2o7.net",
    "classmatescom.112.2o7.net",
    "clic2pub.adk2x.com",
    "click-west.acuityplatform.com",
    "click.absoluteagency.com",
    "click.adv.livedoor.com",
    "click.atdmt.com",
    "click.bounceads.net",
    "click.cashengines.com",
    "click.cheapstuff.com",
    "click.clktraker.com",
    "click.dealshark.com",
    "click.fool.com",
    "click.gospect.com",
    "click.hotlog.ru",
    "click.html.it",
    "click.icetraffic.com",
    "click.inn.co.il",
    "click.interactivebrands.com",
    "click.khingtracking.com",
    "click.kmindex.ru",
    "click.kmindex.ru",
    "click.linkstattrack.com",
    "click.maxxandmore.com",
    "click.plista.com",
    "click.readme.ru",
    "click.searchnation.net",
    "click.sellmeyourtraffic.com",
    "click.sexmoney.com",
    "click.silvercash.com",
    "click.top10sites.com",
    "click.trafikkfondet.no",
    "click.uamtrk.com",
    "click.zeroclickdirect.com",
    "click.zipcodez.com",
    "click.zxxds.net",
    "click2.yllix.com",
    "click2freemoney.com",
    "click2paid.com",
    "clickability.com",
    "clickadu.com",
    "clickadz.com",
    "clickagents.com",
    "clickauditor.net",
    "clickbank.com",
    "clickbank.net",
    "clickbank.net",
    "clickbooth.com",
    "clickboothlnk.com",
    "clickboothlnk.com",
    "clickbrokers.com",
    "clickbux.ru",
    "clickcash.webpower.com",
    "clickcdn.shareaholic.com",
    "clickcompare.co.uk",
    "clickdensity.com",
    "clickedyclick.com",
    "clickedyclick.com",
    "clickgooroo.com",
    "clickheat.topbucks.com",
    "clickhereforcellphones.com",
    "clickhouse.com",
    "clickhype.com",
    "clicklink.jp",
    "clickmedia.ro",
    "clickonometrics.pl",
    "clicks.about.com",
    "clicks.beap.ad.yieldmanager.net",
    "clicks.equantum.com",
    "clicks.equantum.com",
    "clicks.eutopia.traffictrader.net",
    "clicks.izea.com",
    "clicks.mods.de",
    "clicks.nastydollars.com",
    "clicks.pureleads.com",
    "clicks.traffictrader.net",
    "clicks.weselltraffic.com",
    "clicks.zwaar.org",
    "clicks11.geoads.com",
    "clicks2.oxcash.com",
    "clicks2.traffictrader.net",
    "clicks3.traffictrader.net",
    "clicksagent.com",
    "clickserv.sitescout.com",
    "clickserve.cc-dt.com",
    "clickserve.cc-dt.com",
    "clickserve.dartsearch.net",
    "clickserve.eu.dartsearch.net",
    "clickserve.uk.dartsearch.net",
    "clickserve.us2.dartsearch.net",
    "clicksimpact.cashtrk.com",
    "clicksor.com",
    "clicksor.com",
    "clicktag.de",
    "clickthrough.wegcash.com",
    "clickthru.net",
    "clickthrucash.com",
    "clickthruserver.com",
    "clickthrutraffic.com",
    "clicktrace.info",
    "clicktrace.info",
    "clicktrack.wnu.com",
    "clicktrack.ziyu.net",
    "clicktracker.iscan.nl",
    "clicktracks.com",
    "clicktracks.com",
    "clicktrade.com",
    "clicktraq.mtree.com",
    "clickxchange.com",
    "clickz.com",
    "clickzxc.com",
    "clicmanager.fr",
    "client.roiadtracker.com",
    "clients.bluecava.com",
    "clients.pointroll.com",
    "clients.tbo.com",
    "clik2008.popunder.ru",
    "clips.coolerads.com",
    "clit.sextracker.com",
    "clit1.sextracker.com",
    "clit10.sextracker.com",
    "clit11.sextracker.com",
    "clit12.sextracker.com",
    "clit120.outster.com",
    "clit13.sextracker.com",
    "clit14.sextracker.com",
    "clit15.sextracker.com",
    "clit16.sextracker.com",
    "clit2.sextracker.com",
    "clit3.sextracker.com",
    "clit4.sextracker.com",
    "clit5.sextracker.com",
    "clit50.outster.com",
    "clit6.sextracker.com",
    "clit7.sextracker.com",
    "clit8.sextracker.com",
    "clit9.sextracker.com",
    "clix.superclix.de",
    "clixgalore.com",
    "clixtk.com",
    "clk.konflab.com",
    "clk.madisonlogic.com",
    "clk.pointroll.com",
    "clk.relestar.com",
    "clk.tradedoubler.com",
    "clkads.com",
    "clkads.com",
    "clkde.tradedoubler.com",
    "clkfeed.com",
    "clkmon.com",
    "clkoffers.com",
    "clkrev.com",
    "clkrev.com",
    "clksite.com",
    "clkuk.tradedoubler.com",
    "cloud-observer.ip-label.net",
    "cloud-us.analytics-egain.com",
    "clubmed.112.2o7.net",
    "clubmom.122.2o7.net",
    "cluper.net",
    "cluster-03.topbucks.com",
    "cluster.ad-serverparc.nl",
    "cluster.adultadworld.com",
    "cluster.adultworld.com",
    "cluster.adworldmedia.com",
    "cluster3.adultadworld.com",
    "clustrmaps.com",
    "clustrmaps.com",
    "cm.eyereturn.com",
    "cm.g.doubleclick.net",
    "cm.marketgid.com",
    "cm.myway.com",
    "cm.need2find.com",
    "cm.shareaholic.com",
    "cm3.bnmq.com",
    "cm8.lycos.com",
    "cmads.sv.publicus.com",
    "cmd.customink.com",
    "cmi.netseer.com",
    "cmp.112.2o7.net",
    "cmp.us.intellitxt.com",
    "cmpdotnetjunkiescom.112.2o7.net",
    "cmpglobalvista.112.2o7.net",
    "cmpstar.com",
    "cms.ad2click.nl",
    "cms.quantserve.com",
    "cms.springboard.gorillanation.com",
    "cms.springboardplatform.com",
    "cms1.ami-admin.com",
    "cmtrading.ck-cdn.com",
    "cmtvia.112.2o7.net",
    "cn.adserver.yahoo.com",
    "cn.clickable.net",
    "cn.ecritel.bench.cedexis.com",
    "cn2.adserver.yahoo.com",
    "cnet.us.intellitxt.com",
    "cnetasiapacific.122.2o7.net",
    "cnetaustralia.122.2o7.net",
    "cneteurope.122.2o7.net",
    "cnetjapan.122.2o7.net",
    "cnetnews.112.2o7.net",
    "cnettech.112.2o7.net",
    "cnetzdnet.112.2o7.net",
    "cnheagletribune.112.2o7.net",
    "cnhiautovertical.122.2o7.net",
    "cnhibatesvilleheraldtribune.122.2o7.net",
    "cnhibdtonline.122.2o7.net",
    "cnhicrossvillechronicle.122.2o7.net",
    "cnhidailyindependent.122.2o7.net",
    "cnhieagletribune.122.2o7.net",
    "cnhienid.122.2o7.net",
    "cnhijohnstown.122.2o7.net",
    "cnhijoplinglobe.122.2o7.net",
    "cnhinewscourier.122.2o7.net",
    "cnhinewsservicedev.122.2o7.net",
    "cnhirecordeagle.122.2o7.net",
    "cnn.122.2o7.net",
    "cnn.dyn.cnn.com",
    "cnnglobal.122.2o7.net",
    "cnnireport.122.2o7.net",
    "cnnmoney.tags.crwdcntrl.net",
    "cnocanoecaprod.112.2o7.net",
    "cnomy.com",
    "cnomy.com",
    "cnoompprod.112.2o7.net",
    "cnt.spbland.ru",
    "cnt.sup.com",
    "cnt.tyxo.bg",
    "cnt.tyxo.com",
    "cnt1.pocitadlo.cz",
    "cnt1.pocitadlo.cz",
    "cnt2.pocitadlo.cz",
    "cntr.adrime.com",
    "cnzz.mmstat.com",
    "code-server.biz",
    "code.ad-gbn.com",
    "code.adengage.com",
    "code.adsales.snidigital.com",
    "code.adtlgc.com",
    "code.checkstat.nl",
    "code.d-agency.net",
    "code.directadvert.ru",
    "code.etracker.com",
    "code.impresionesweb.com",
    "code.intext.billboard.cz",
    "code.new.smartcontext.pl",
    "code.poptm.com",
    "code.rtbsystem.com",
    "code.superstats.com",
    "code.visitor-track.com",
    "code2.adtlgc.com",
    "codead.impresionesweb.com",
    "codeads.com",
    "codenew.impresionesweb.com",
    "codice.shinystat.com",
    "codice.shinystat.it",
    "codicebusiness.shinystat.com",
    "codicefl.shinystat.com",
    "codiceisp.shinystat.com",
    "codiceisp.shinystat.it",
    "coedmagazine.us.intellitxt.com",
    "col.eum-appdynamics.com",
    "col.mobileads.msn.com",
    "collect.evisitanalyst.com",
    "collect.rewardstyle.com",
    "collectiveads.net",
    "collector-184.tvsquared.com",
    "collector-195.tvsquared.com",
    "collector-428.tvsquared.com",
    "collector.deepmetrix.com",
    "collector.githubapp.com",
    "collector.leaddyno.com",
    "collector.newsx.cc",
    "collector.savvyads.com",
    "collegefootballnews.us.intellitxt.com",
    "colonize.com",
    "com-cdiscount.netmng.com",
    "com-kia.netmng.com",
    "com-kodak.netmng.com",
    "com-mitsubishi.netmng.com",
    "com-morningstar.netmng.com",
    "com-quidco.netmng.com",
    "com-vw.netmng.com",
    "com.adv.vz.ru",
    "comcast.demdex.net",
    "comcast.tt.omtrdc.net",
    "comcastresidentialservices.tt.omtrdc.net",
    "comclick.com",
    "comcluster.cxense.com",
    "comicbookmovie.us.intellitxt.com",
    "comicbookresources.us.intellitxt.com",
    "comics.ign.us.intellitxt.com",
    "comingsoon.us.intellitxt.com",
    "commindo-media-ressourcen.de",
    "commissionmonster.com",
    "community.adlandpro.com",
    "compactbanner.com",
    "complex.us.intellitxt.com",
    "complexcom.skimlinks.com",
    "compnet.us.intellitxt.com",
    "comprabanner.it",
    "compulenta.ru.intellitxt.com",
    "computeractive.uk.intellitxt.com",
    "computerbase.de.intellitxt.com",
    "computerbild.de.intellitxt.com",
    "computerhilfen.de.intellitxt.com",
    "computeridee.nl.intellitxt.com",
    "computertotaal.nl.intellitxt.com",
    "computerwoche.de.intellitxt.com",
    "computerworldcom.112.2o7.net",
    "computing.uk.intellitxt.com",
    "comvelgmbh.d1.sc.omtrdc.net",
    "condeconsumermarketing.112.2o7.net",
    "condenast.112.2o7.net",
    "condenast.demdex.net",
    "condenast.insight.omtrdc.net",
    "config.parsely.com",
    "config1.veinteractive.com",
    "configusa.veinteractive.com",
    "confirmed-profits.com",
    "connect.decknetwork.net",
    "connect5364.com",
    "connectionzone.com",
    "connexionsafe.com",
    "connexity.net",
    "connextra.com",
    "conpst.112.2o7.net",
    "consumerreview.us.intellitxt.com",
    "contactmusic.uk.intellitxt.com",
    "contactmusic.us.intellitxt.com",
    "container.pointroll.com",
    "containertags.belboon.de",
    "contaxe.de",
    "content-ssl.yieldmanager.com",
    "content.acc-hd.de",
    "content.ad",
    "content.ad20.net",
    "content.adriver.ru",
    "content.adservingfactory.com",
    "content.adspynet.com",
    "content.adtegrity.net",
    "content.aimatch.com",
    "content.bannerconnect.net",
    "content.budsinc.com",
    "content.cpxinteractive.com",
    "content.dl-rms.com",
    "content.exoticads.com",
    "content.integral-marketing.com",
    "content.ipro.com",
    "content.linkoffers.net",
    "content.medialand.ru",
    "content.mkt51.net",
    "content.mkt922.com",
    "content.mkt931.com",
    "content.mkt932.com",
    "content.mkt941.com",
    "content.pop6.com",
    "content.pulse360.com",
    "content.rmxads.com",
    "content.thrixxx.com",
    "content.videoclick.ru",
    "content.womensforum.com",
    "content.yieldmanager.com",
    "content.yieldmanager.edgesuite.net",
    "contentwidgets.net",
    "contentz.mkt51.net",
    "contentz.mkt912.com",
    "contentz.mkt932.com",
    "contentz.mkt941.com",
    "contextlinks.netseer.com",
    "contextual.media.net",
    "contextweb.com",
    "control.adap.tv",
    "controller.foreseeresults.com",
    "conversantmedia.com",
    "conversion-pixel.invitemedia.com",
    "conversion.7search.com",
    "conversionruler.com",
    "convusmp.admailtiser.com",
    "cookie.monster.com",
    "cookies.cmpnet.com",
    "cookies.cmpnet.com",
    "cookingcom.112.2o7.net",
    "cooksrecipes.us.intellitxt.com",
    "coolinc.info",
    "cooltechzone.us.intellitxt.com",
    "coolwebstats.com",
    "coop.crwdcntrl.net",
    "core.ad20.net",
    "core.adunity.com",
    "core.bluefly.com",
    "core.insightexpressai.com",
    "core.videoegg.com",
    "core1.adservingfactory.com",
    "coreclickhoo.com",
    "corelcom.112.2o7.net",
    "coreluk.112.2o7.net",
    "coremetrics.com",
    "coriolis.accuweather.com",
    "corm.hit.gemius.pl",
    "corporate.crakmedia.com",
    "costargroup.112.2o7.net",
    "cotidianul.count.brat-online.ro",
    "couhome.112.2o7.net",
    "counselheal.us.intellitxt.com",
    "count.channeladvisor.com",
    "count.daem0n.com",
    "count.dba.dk",
    "count.freett.com",
    "count.im",
    "count.pcpop.com",
    "count.rbc.ru",
    "count.rbc.ru",
    "count.rin.ru",
    "count.rin.ru",
    "count.rtl.de",
    "count.spiegel.de",
    "count.vivistats.com",
    "count.west263.com",
    "count.xhit.com",
    "count.yandeg.ru",
    "count1.compteur.fr",
    "count10.51yes.com",
    "count11.51yes.com",
    "count12.51yes.com",
    "count14.51yes.com",
    "count15.51yes.com",
    "count16.51yes.com",
    "count17.51yes.com",
    "count19.51yes.com",
    "count20.51yes.com",
    "count22.51yes.com",
    "count24.51yes.com",
    "count25.51yes.com",
    "count27.51yes.com",
    "count29.51yes.com",
    "count3.51yes.com",
    "count30.51yes.com",
    "count31.51yes.com",
    "count32.51yes.com",
    "count33.51yes.com",
    "count35.51yes.com",
    "count37.51yes.com",
    "count38.51yes.com",
    "count4.51yes.com",
    "count46.51yes.com",
    "count47.51yes.com",
    "count48.51yes.com",
    "count5.51yes.com",
    "count8.51yes.com",
    "counted.com",
    "counter.24log.com",
    "counter.24log.es",
    "counter.24log.it",
    "counter.24log.ru",
    "counter.aport.ru",
    "counter.awempire.com",
    "counter.bigli.ru",
    "counter.bizland.com",
    "counter.bloke.com",
    "counter.cam-content.com",
    "counter.cnw.cz",
    "counter.cnw.cz",
    "counter.co.kz",
    "counter.cz",
    "counter.dieit.de",
    "counter.dreamhost.com",
    "counter.dreamhost.com",
    "counter.dt07.net",
    "counter.fateback.com",
    "counter.fateback.com",
    "counter.gemius.pl",
    "counter.goingup.com",
    "counter.hitmir.ru",
    "counter.hitslink.com",
    "counter.internet.ge",
    "counter.jasmin.hu",
    "counter.joins.com",
    "counter.kmindex.ru",
    "counter.marketgid.com",
    "counter.megaindex.ru",
    "counter.mgid.com",
    "counter.mirohost.net",
    "counter.mirohost.net",
    "counter.mojgorod.ru",
    "counter.mtree.com",
    "counter.nope.dk",
    "counter.nowlinux.com",
    "counter.ok.ee",
    "counter.paradise.net.nz",
    "counter.personyze.com",
    "counter.prohledat.cz",
    "counter.rambler.ru",
    "counter.rambler.ru",
    "counter.rapidcounter.com",
    "counter.relmaxtop.com",
    "counter.search.bg",
    "counter.search.bg",
    "counter.sexsuche.tv",
    "counter.sparklit.com",
    "counter.sparklit.com",
    "counter.spylog.com",
    "counter.superstats.com",
    "counter.top.dating.lt",
    "counter.top.ge",
    "counter.top100.penki.lt",
    "counter.topphoto.ru",
    "counter.w3open.com",
    "counter.web-marketolog.ru",
    "counter.webservis.gen.tr",
    "counter.xeanon.com",
    "counter.yadro.ru",
    "counter.yadro.ru",
    "counter.yakbucks.com",
    "counter.yakcash.com",
    "counter.yesky.com",
    "counter.zone.ee",
    "counter1.bravenet.com",
    "counter1.fc2.com",
    "counter1.sextracker.com",
    "counter10.bravenet.com",
    "counter10.sextracker.com",
    "counter11.bravenet.com",
    "counter11.sextracker.com",
    "counter12.bravenet.com",
    "counter12.sextracker.com",
    "counter13.bravenet.com",
    "counter13.sextracker.com",
    "counter14.bravenet.com",
    "counter14.sextracker.com",
    "counter15.bravenet.com",
    "counter15.sextracker.com",
    "counter16.bravenet.com",
    "counter16.sextracker.com",
    "counter17.bravenet.com",
    "counter18.bravenet.com",
    "counter19.bravenet.com",
    "counter2.blog.livedoor.com",
    "counter2.bravenet.com",
    "counter2.hitslink.com",
    "counter2.sextracker.com",
    "counter20.bravenet.com",
    "counter21.bravenet.com",
    "counter22.bravenet.com",
    "counter23.bravenet.com",
    "counter24.bravenet.com",
    "counter25.bravenet.com",
    "counter26.bravenet.com",
    "counter27.bravenet.com",
    "counter28.bravenet.com",
    "counter29.bravenet.com",
    "counter3.bravenet.com",
    "counter3.sextracker.com",
    "counter30.bravenet.com",
    "counter31.bravenet.com",
    "counter32.bravenet.com",
    "counter33.bravenet.com",
    "counter34.bravenet.com",
    "counter35.bravenet.com",
    "counter36.bravenet.com",
    "counter37.bravenet.com",
    "counter38.bravenet.com",
    "counter39.bravenet.com",
    "counter4.bravenet.com",
    "counter4.sextracker.com",
    "counter40.bravenet.com",
    "counter41.bravenet.com",
    "counter42.bravenet.com",
    "counter43.bravenet.com",
    "counter44.bravenet.com",
    "counter45.bravenet.com",
    "counter46.bravenet.com",
    "counter47.bravenet.com",
    "counter48.bravenet.com",
    "counter49.bravenet.com",
    "counter5.bravenet.com",
    "counter5.sextracker.com",
    "counter50.bravenet.com",
    "counter6.bravenet.com",
    "counter6.sextracker.com",
    "counter7.bravenet.com",
    "counter7.sextracker.com",
    "counter8.bravenet.com",
    "counter8.sextracker.com",
    "counter9.bravenet.com",
    "counter9.sextracker.com",
    "counters.freewebs.com",
    "counters.honesty.com",
    "counters.honesty.com",
    "counters.vendio.com",
    "counting.kmindex.ru",
    "counting.kmindex.ru",
    "countryweekly.us.intellitxt.com",
    "counts.tucows.com",
    "counts.tucows.com",
    "coupling-media.de",
    "couponchief.122.2o7.net",
    "courierpostonline.us.intellitxt.com",
    "cover9.adultfriendfinder.com",
    "cowboy.contextuads.com",
    "cowcotland.fr.intellitxt.com",
    "coxhsi.112.2o7.net",
    "coxnet.112.2o7.net",
    "coxnetmasterglobal.112.2o7.net",
    "coxtv.us.intellitxt.com",
    "cp.pleasedontslaymy.download",
    "cpacampaigns.directtrack.com",
    "cpalead.com",
    "cpalead.com",
    "cpanel.nativeads.com",
    "cpatrack.leadn.com",
    "cpatraffictracker.com",
    "cpays.com",
    "cpm.adspine.com",
    "cpm.super-links.net",
    "cpm.tz4.com",
    "cpmaffiliation.com",
    "cpmstar.com",
    "cpusall.112.2o7.net",
    "cpv.popxml.com",
    "cpxadroit.com",
    "cpxinteractive.com",
    "cqcounter.com",
    "cqcounter.com",
    "crain.d1.sc.omtrdc.net",
    "crakmedia.com",
    "craktraffic.com",
    "crawlability.com",
    "crazyegg.com",
    "crazypopups.com",
    "creafi-online-media.com",
    "create.leadid.com",
    "createthegroup.122.2o7.net",
    "creative.ak.facebook.com",
    "creative.ak.fbcdn.net",
    "creative.cc-dt.com",
    "creative.clicksor.com",
    "creative.nscash.com",
    "creative.whi.co.nz",
    "creative.wwwpromoter.com",
    "creative.xtendmedia.com",
    "creativeby1.unicast.com",
    "creativeby2.unicast.com",
    "creativecdn.com",
    "creatives.as4x.tmcs.net",
    "creatives.doubleclick.net",
    "creatives.livejasmin.com",
    "creatives.livejasmin.com",
    "creativos.ads.uigc.net",
    "creditburner.blueadvertise.com",
    "creditcardscom.112.2o7.net",
    "credity.ucoz.ru",
    "cri.d1.sc.omtrdc.net",
    "crimg.sv.publicus.com",
    "crispads.com",
    "criteo.com",
    "crm.pinion.gg",
    "crmbuyer.us.intellitxt.com",
    "crowdgravity.com",
    "crtl.aimatch.com",
    "crtv.mate1.com",
    "crtv.mate1.com",
    "cruisecritic.112.2o7.net",
    "crv.clickad.pl",
    "crwdcntrl.net",
    "cs.adxpansion.com",
    "cs.exitmonitor.com",
    "cs.luckyorange.net",
    "cs.montrealplus.ca",
    "cs.sexcounter.com",
    "cs1.adxpansion.com",
    "csc.beap.ad.yieldmanager.net",
    "csc.beap.bc.yahoo.com",
    "csh.actiondesk.com",
    "csharpcorner.us.intellitxt.com",
    "csm.rotator.hadj7.adjuggler.net",
    "csma95349.analytics.edgesuite.net",
    "csnation.us.intellitxt.com",
    "csoonlinecom.112.2o7.net",
    "csp.fastclick.net",
    "cspix.media6degrees.com",
    "cstatic.weborama.fr",
    "ct1.addthis.com",
    "ct2.comclick.com",
    "cti.w55c.net",
    "ctix8.cheaptickets.com",
    "ctnetwork.hu",
    "ctologger01.analytics.go.com",
    "ctrack.trafficjunky.net",
    "ctrck.com",
    "cts.w55c.net",
    "ctsde01.wiredminds.de",
    "cttracking08.com",
    "ctv.us.intellitxt.com",
    "ctvcrimelibrary.112.2o7.net",
    "ctvmaincom.112.2o7.net",
    "ctvsmokinggun.112.2o7.net",
    "ctvtsgtv.112.2o7.net",
    "ctxt.tribalfusion.com",
    "cu.genesismedia.com",
    "cube.ign.us.intellitxt.com",
    "cubics.com",
    "cucdn.genesismedia.com",
    "cursor.kvada.globescale.com",
    "custom-wrs.api.responsys.net",
    "customad.cnn.com",
    "cv.apprupt.com",
    "cv.bsvideos.com",
    "cwportal.112.2o7.net",
    "cx.atdmt.com",
    "cxociocom.112.2o7.net",
    "cxocomdev.112.2o7.net",
    "cxpixel.bidsystem.com",
    "cyberbounty.com",
    "cyberdefender.122.2o7.net",
    "cybermonitor.com",
    "cybertown.ru",
    "cyclops.prod.untd.com",
    "cz.adocean.pl",
    "cz.hit.gemius.pl",
    "cz.search.etargetnet.com",
    "cz.static.etargetnet.com",
    "cz11.clickzs.com",
    "cz11.clickzzs.nl",
    "cz2.clickzs.com",
    "cz3.clickzs.com",
    "cz4.clickzs.com",
    "cz4.clickzzs.nl",
    "cz5.clickzs.com",
    "cz5.clickzzs.nl",
    "cz6.clickzs.com",
    "cz7.clickzs.com",
    "cz7.clickzzs.nl",
    "cz8.clickzs.com",
    "cz8.clickzzs.nl",
    "cz9.clickzs.com",
    "d-cache.microad.jp",
    "d-cache.microadinc.com",
    "d-track.send.microad.jp",
    "d-track.send.microadinc.com",
    "d.254a.com",
    "d.abnad.net",
    "d.adgear.com",
    "d.adroll.com",
    "d.adroll.com",
    "d.adxcore.com",
    "d.aggregateknowledge.com",
    "d.agkn.com",
    "d.audienceiq.com",
    "d.buyescorttraffic.com",
    "d.castplatform.com",
    "d.chango.com",
    "d.dc121677.com",
    "d.liadm.com",
    "d.ligatus.com",
    "d.lumatag.co.uk",
    "d.neodatagroup.com",
    "d.nster.net",
    "d.peoplesearchads.com",
    "d.plugrush.com",
    "d.rmgserving.com",
    "d.shareaholic.com",
    "d.skimresources.com",
    "d.t.tailtarget.com",
    "d.tailtarget.com",
    "d.tds.adlabs.ru",
    "d.thanksearch.com",
    "d.turn.com",
    "d.unanimis.co.uk",
    "d.xp1.ru4.com",
    "d077aa.r.axf8.net",
    "d1.24counter.com",
    "d1.playboy.com",
    "d1.windows8downloads.com",
    "d12tr1cdjbyzav.cloudfront.net",
    "d13dhn7ldhrcf6.cloudfront.net",
    "d1fc8wv8zag5ca.cloudfront.net",
    "d1l6p2sc9645hc.cloudfront.net",
    "d1piupybsgr6dr.cloudfront.net",
    "d1xfq2052q7thw.cloudfront.net",
    "d1z2jf7jlzjs58.cloudfront.net",
    "d1zatounuylvwg.cloudfront.net",
    "d2.zedo.com",
    "d26b395fwzu5fz.cloudfront.net",
    "d2nq0f8d9ofdwv.cloudfront.net",
    "d2oh4tlt9mrke9.cloudfront.net",
    "d2vig74li2resi.cloudfront.net",
    "d2zah9y47r7bi2.cloudfront.net",
    "d3.zedo.com",
    "d31qbv1cthcecs.cloudfront.net",
    "d33f10u0pfpplc.cloudfront.net",
    "d3c3cq33003psk.cloudfront.net",
    "d3dcugpvnepf41.cloudfront.net",
    "d3fd89.r.axf8.net",
    "d3ujids68p6xmq.cloudfront.net",
    "d5nxst8fruw4z.cloudfront.net",
    "d6y5.ads.pof.com",
    "d7.zedo.com",
    "d8.zedo.com",
    "d8rk54i4mohrb.cloudfront.net",
    "d9ae99824.se",
    "d9d0e0.r.axf8.net",
    "da.newstogram.com",
    "dabcc.us.intellitxt.com",
    "dailycaller.us.intellitxt.com",
    "dailygab.us.intellitxt.com",
    "dailyheraldpaddockpublication.112.2o7.net",
    "dailymotion.demdex.net",
    "dailystab.us.intellitxt.com",
    "dailytech.us.intellitxt.com",
    "daimlerag.122.2o7.net",
    "daimlerag.d2.sc.omtrdc.net",
    "dakic-ia-300.com",
    "damnimcute.us.intellitxt.com",
    "danasdirt.us.intellitxt.com",
    "danban.com",
    "daniweb.us.intellitxt.com",
    "dap.digitalgov.gov",
    "dapper.net",
    "dardenrestaurants.112.2o7.net",
    "darikspaceadbg.hit.gemius.pl",
    "darkhorizons.us.intellitxt.com",
    "darlamack.us.intellitxt.com",
    "darseo.popunder.ru",
    "dart.chron.com",
    "dart.clearchannel.com",
    "daserste.ivwbox.de",
    "data.abebooks.com",
    "data.ads.t-online.de",
    "data.adsrvr.org",
    "data.alexa.com",
    "data.apn.co.nz",
    "data.captifymedia.com",
    "data.cmcore.com",
    "data.coremetrics.com",
    "data.cpalead.com",
    "data.de.coremetrics.com",
    "data.emimino.cz",
    "data.ero-advertising.com",
    "data.flurry.com",
    "data.gosquared.com",
    "data.kataweb.it",
    "data.mobclix.com",
    "data.nal.usda.gov",
    "data.queryly.com",
    "data.ritzcarlton.com",
    "data.webads.co.nz",
    "data2.gosquared.com",
    "databroker-us.coremotives.com",
    "datacapture.serving-sys.com",
    "datashreddergold.com",
    "date.ventivmedia.com",
    "dating.friendsearch.com",
    "daylogs.com",
    "db.riskwaters.com",
    "db0.net-filter.com",
    "db0.sitestats.com",
    "db1.sitestats.com",
    "db2.net-filter.com",
    "db2.sitestats.com",
    "db3.net-filter.com",
    "db3.sitestats.com",
    "db4.net-filter.com",
    "db4.sitestats.com",
    "db5.net-filter.com",
    "db5.sitestats.com",
    "db6.net-filter.com",
    "db6.sitestats.com",
    "db7.net-filter.com",
    "db7.sitestats.com",
    "dbadk.nuggad.net",
    "dbbsrv.com",
    "dbg52463.moatads.com",
    "dbs.advertising.com",
    "dbtechno.us.intellitxt.com",
    "dc-storm.com",
    "dc.bizjournals.com",
    "dc.kaboodle.com",
    "dc.kontera.com",
    "dc.sify.com",
    "dc.webtrends.com",
    "dc.widespace.com",
    "dc56.s290.meetrics.net",
    "dc61.s290.meetrics.net",
    "dc8xl0ndzn2cb.cloudfront.net",
    "dcapps.disney.go.com",
    "dce.nextstat.com",
    "dckappa.widespace.com",
    "dclk.haaretz.co.il",
    "dclk.haaretz.com",
    "dclk.themarker.com",
    "dcs.netbiscuits.net",
    "dcs.swiftnews.com",
    "dcs.wtlive.com",
    "dcsmarketing.directtrack.com",
    "dcstest.wtlive.com",
    "dd.connextra.com",
    "ddnk.advertur.ru",
    "de.2.cqcounter.com",
    "de.ads.adviva.net",
    "de.adserver.yahoo.com",
    "de.demdex.net",
    "de.grmtech.net",
    "de.hosting.adjug.com",
    "de.intellitxt.com",
    "de.ioam.de",
    "de.sitestat.com",
    "de1.frosmo.com",
    "de17a.com",
    "de17a.com",
    "dealdotcom.com",
    "dealnews.122.2o7.net",
    "debtbusterloans.com",
    "decknetwork.net",
    "ded.gostats.com",
    "delawareonline.us.intellitxt.com",
    "delb.myspace.com",
    "delb2.myspace.com",
    "delconewsnetwork.us.intellitxt.com",
    "delfi.spring-tns.net",
    "delfiadee.hit.gemius.pl",
    "delfiadlt.hit.gemius.pl",
    "delfiadlv.hit.gemius.pl",
    "delfiee.adocean.pl",
    "delfilt.adocean.pl",
    "delfilv.adocean.pl",
    "delfilv.hit.gemius.pl",
    "delfin.bg",
    "delightful.112.2o7.net",
    "deliv.lexpress.fr",
    "delivery-cdn-cf.adswizz.com",
    "delivery-s3.adswizz.com",
    "delivery.a.switchadhub.com",
    "delivery.ad.newsnow.net",
    "delivery.adnetwork.vn",
    "delivery.ads-creativesyndicator.com",
    "delivery.ads.gfsrv.net",
    "delivery.c.switchadhub.com",
    "delivery.clickonometrics.pl",
    "delivery.d.switchadhub.com",
    "delivery.e.switchadhub.com",
    "delivery.first-impression.com",
    "delivery.g.switchadhub.com",
    "delivery.hornyspots.com",
    "delivery.ipvertising.com",
    "delivery.myswitchads.com",
    "delivery.optimatic.com",
    "delivery.platform.switchads.com",
    "delivery.serve.bluelinkmarketing.com",
    "delivery.swid.switchads.com",
    "delivery.switch.whatculture.com",
    "delivery.switchadhub.com",
    "delivery.thebloggernetwork.com",
    "delivery.trafficbroker.com",
    "delivery.trafficforce.com",
    "delivery.trafficjunky.net",
    "delivery.us.myswitchads.com",
    "delivery.w00tads.com",
    "delivery.way2traffic.com",
    "delivery.yourfuckbook.com",
    "delivery1.topad.mobi",
    "dellinc.tt.omtrdc.net",
    "deloo.de",
    "delta.rspcdn.com",
    "demandbase.com",
    "demdex.net",
    "demo.advertising.com",
    "demogwa.casino-on-net.com",
    "demonews.us.intellitxt.com",
    "demoq.use-trade.com",
    "demr.myspace.com",
    "denguru.us.intellitxt.com",
    "dennispublishing.112.2o7.net",
    "derekhail.us.intellitxt.com",
    "derstandard.nuggad.net",
    "destructoid.us.intellitxt.com",
    "desv383oqqc0.cloudfront.net",
    "detik.serving-sys.com",
    "dev.doublepimp.com",
    "dev.flurry.com",
    "dev.media.adxpansion.com",
    "dev.targetpoint.com",
    "dev.trafficforce.com",
    "dev.visualwebsiteoptimizer.com",
    "deviantart.crwdcntrl.net",
    "device.maxmind.com",
    "dff7tx5c2qbxc.cloudfront.net",
    "dfp.doubleclick.net",
    "dft.cl.dynad.net",
    "dg.specificclick.net",
    "di-banner-se.c.richmetrics.com",
    "di-se.c.richmetrics.com",
    "di1.shopping.com",
    "dialerporn.com",
    "diapi.webgains.com",
    "didacticro.count.brat-online.ro",
    "didtal.com",
    "didtheyreadit.com",
    "didtheyreadit.com",
    "dietsinreview.us.intellitxt.com",
    "diff.smartadserver.com",
    "diff3.smartadserver.com",
    "diff4.smartadserver.com",
    "digg.analytics.live.com",
    "diginet.adocean.pl",
    "diginetlt.hit.gemius.pl",
    "digit-life.uk.intellitxt.com",
    "digital-world.de.intellitxt.com",
    "digital4adro.hit.gemius.pl",
    "digital4ro.adocean.pl",
    "digitalhome.us.intellitxt.com",
    "digitalmediaonline.us.intellitxt.com",
    "digitalmediawire.us.intellitxt.com",
    "digitaltrends-d.openx.net",
    "digitaltrends.us.intellitxt.com",
    "dinsalgsvagt.adservinginternational.com",
    "dirbg.hit.gemius.pl",
    "direct-xxx-access.com",
    "directaclick.com",
    "directads.mcafee.com",
    "directile.net",
    "directivepub.com",
    "directleads.com",
    "directleads.com",
    "directorym.com",
    "directtrack.com",
    "dirtytalk101com.skimlinks.com",
    "dis.criteo.com",
    "dis.eu.criteo.com",
    "dis.ny.us.criteo.com",
    "dis.sv.us.criteo.com",
    "dis.us.criteo.com",
    "disco.flashbannernow.com",
    "discountclick.com",
    "dispenser-rtb.sape.ru",
    "display.digitalriver.com",
    "display.provenpixel.com",
    "displayadsmedia.com",
    "disqusads.com",
    "dist.belnk.com",
    "distillery.wistia.com",
    "divavillage.advertserve.com",
    "divx.112.2o7.net",
    "dixonscouk.112.2o7.net",
    "diyfood.us.intellitxt.com",
    "djeps.popunder.ru",
    "dk.adserver.yahoo.com",
    "dk.gmads.net",
    "dk1.siteimprove.com",
    "dl.ezthemes.com",
    "dl.futureus.com",
    "dl.gameplaylabs.com",
    "dl.keywordstrategy.org",
    "dl1.ezthemes.com",
    "dl1d2m8ri9v3j.cloudfront.net",
    "dlmag.us.intellitxt.com",
    "dltags.com",
    "dm.demdex.net",
    "dm.mlstat.com",
    "dm.travelocity.com",
    "dmcontactmanagement.122.2o7.net",
    "dmeserv.newsinc.com",
    "dmp.adform.net",
    "dmp.gravity4.com",
    "dmp.theadex.com",
    "dms.netmng.com",
    "dmtracker.com",
    "dmtracking.alibaba.com",
    "dmtracking2.alibaba.com",
    "dmtracking2.alibaba.com",
    "dmvguidecom.112.2o7.net",
    "dn.adzerver.com",
    "dn.c.richmetrics.com",
    "dnads.directnic.com",
    "dnads.directnic.com",
    "dnetshelter3.d.chango.com",
    "dni.agcdn.com",
    "dnps.us.intellitxt.com",
    "docs.pinion.gg",
    "docs1.iwon.com",
    "doctorsassociatesrx.112.2o7.net",
    "dolce-sportro.count.brat-online.ro",
    "domaining.in",
    "domainpark.sitelutions.com",
    "domainplayersclub.com",
    "domains.googlesyndication.com",
    "domainsponsor.com",
    "domainsponsor.com",
    "domainsteam.de",
    "domdex.com",
    "domdex.com",
    "dominionenterprises.112.2o7.net",
    "dot.wp.pl",
    "dotnet.endai.com",
    "dotster.112.2o7.net",
    "dotsterdomaincom.112.2o7.net",
    "dotsterdotsteraug08.112.2o7.net",
    "doubleclick.com",
    "doubleclick.com",
    "doubleclick.de",
    "doubleclick.ne.jp",
    "doubleclick.net",
    "doubleclick.net",
    "doublepimp.com",
    "doublepimp.com",
    "doubleviking.us.intellitxt.com",
    "doubleyourdating.directtrack.com",
    "douglas01.webtrekk.net",
    "download.cdn.downloadquick.net",
    "download.cdn.sharelive.net",
    "download.cdn.torchbrowser.com",
    "download.downloadquick.net",
    "download.funwebproducts.com",
    "download.mywebsearch.com",
    "download.realtimegaming.com",
    "download.shareazaweb.com",
    "download.torchbrowser.com",
    "download.ytdownloader.com",
    "download1.pacificpoker.com",
    "download2.marketengines.com",
    "download32.us.intellitxt.com",
    "downloadz.us",
    "downprov0.dd-download-dd-2.com",
    "dp.g.doubleclick.net",
    "dp.specificclick.net",
    "dp2.specificclick.net",
    "dpm.demdex.net",
    "dr.adservinginternational.com",
    "drdobbs.us.intellitxt.com",
    "dreamad.org",
    "dreamhome.112.2o7.net",
    "drive.videoclick.ru",
    "driverguide.us.intellitxt.com",
    "drs2.veinteractive.com",
    "drugscom.us.intellitxt.com",
    "drumcash.com",
    "ds-aksb-a.akamaihd.net",
    "ds-ll.serving-sys.com",
    "ds.advg.jp",
    "ds.contextweb.com",
    "ds.cybereps.com",
    "ds.eyeblaster.com",
    "ds.ign.us.intellitxt.com",
    "ds.keshet-i.com",
    "ds.serving-sys.com",
    "dsa.csdata1.com",
    "dserver.hw.net",
    "dsnextgen.com",
    "dsp.adfarm1.adition.com",
    "dsparking.com",
    "dsum-sec.casalemedia.com",
    "dt.admission.net",
    "dt.adsafeprotected.com",
    "dt.scanscout.com",
    "dubai.best-top.biz",
    "dvdhentai.net",
    "dvdmanager-203.sv2.biz",
    "dws.reporting.dnitv.com",
    "dwtracking.sdo.com",
    "dx.steelhousemedia.com",
    "dy.adserve.io",
    "dy.testnet.nl",
    "dyn.naiadsystems.com",
    "dynad.website.bg",
    "dynamic.aol.com",
    "dynamic.cannedbanners.com",
    "dynamic.exaccess.ru",
    "dynamic.fmpub.net",
    "dynamic.fmpub.net",
    "dynamic1.anandtech.com",
    "dynamic1.dailytech.com",
    "dynamic2.anandtech.com",
    "dyntraq.mtree.com",
    "dzxcq.com",
    "e-adimages.scrippsnetworks.com",
    "e-ads.eqads.com",
    "e-bannerx.com",
    "e-debtconsolidation.com",
    "e-m.fr",
    "e-marketing.entelchile.net",
    "e-n-t-e-r-n-e-x.com",
    "e-planning.net",
    "e-zshopper.activeshopper.com",
    "e.abnad.net",
    "e.adpower.bg",
    "e.dtscout.com",
    "e.freewebhostingarea.com",
    "e.invodo.com",
    "e.kde.cz",
    "e.maxtraffic.com",
    "e.monetate.net",
    "e.nexac.com",
    "e.nspmotion.com",
    "e.sexad.net",
    "e.targetfuel.com",
    "e.thanksearch.com",
    "e.yieldmanager.net",
    "e0.extreme-dm.com",
    "e1.cdn.qnsr.com",
    "e1.extreme-dm.com",
    "e1.static.hoptopboy.com",
    "e1.zedo.com",
    "e2.emediate.se",
    "e2.extreme-dm.com",
    "e2.molbuk.ua",
    "e2.zedo.com",
    "e24dp.tns-cs.net",
    "e3.adpushup.com",
    "e35fbf.t.axf8.net",
    "e3f364.r.axf8.net",
    "e89.friendfinder.com",
    "ea.zebestof.com",
    "ead-soft.popunder.ru",
    "eadexchange.com",
    "eaeacom.112.2o7.net",
    "eagamesuk.112.2o7.net",
    "eaglemiles.112.2o7.net",
    "eapogocom.112.2o7.net",
    "earthlink.122.2o7.net",
    "earthlnkpsplive.122.2o7.net",
    "eas.almamedia.fi",
    "eas.almamedia.fi",
    "eas.hitta.se",
    "eas1.emediate.eu",
    "eas2.emediate.eu",
    "eas3.emediate.eu",
    "eas3.emediate.se",
    "eas4.emediate.eu",
    "eas5.emediate.eu",
    "eas8.emediate.eu",
    "eastmoney.allyes.com",
    "eastsideboxing.us.intellitxt.com",
    "easyadservice.com",
    "easyhitcounters.com",
    "easyhits4u.com",
    "eatingwell.us.intellitxt.com",
    "ebaumsworld.us.intellitxt.com",
    "ebayadvertising.com",
    "ebayit-dp.nuggad.net",
    "ebayrelevancead.webmasterplan.com",
    "ebdr2.com",
    "ebdr3.com",
    "ebocornac.com",
    "ebocornac.com",
    "ebony.streamate.com",
    "ebtmarketing.com",
    "ebuzzing.com",
    "ec.atdmt.com",
    "ecanadanow.us.intellitxt.com",
    "ecdtrk.com",
    "ece5stats1.theglobeandmail.com",
    "ecess1.cdn.continent8.com",
    "ecestats.theglobeandmail.com",
    "echo.teasernet.ru",
    "ecircle-ag.com",
    "eclick.vn",
    "eclkmpbn.com",
    "eclkmpsa.com",
    "eclkspbn.com",
    "eclkspsa.com",
    "ecommercetimes.us.intellitxt.com",
    "ecommstats.s3.amazonaws.com",
    "ecoupons.com",
    "ecpmrocks.com",
    "ecs.demdex.net",
    "eddamedia.tns-cs.net",
    "edge.analytics.brightedge.com",
    "edge.aperture.displaymarketplace.com",
    "edge.ayboll.com",
    "edge.metroleads.com",
    "edge.quantserve.com",
    "edge.simplereach.com",
    "edgeio.com",
    "edietsmain.112.2o7.net",
    "edipresse.adocean.pl",
    "edipresse.hit.gemius.pl",
    "edits.mywebsearch.com",
    "edmedsnow.com",
    "edmunds.112.2o7.net",
    "edsa.122.2o7.net",
    "educationmanagementl.tt.omtrdc.net",
    "educing.info",
    "ee.adocean.pl",
    "ee.connextra.com",
    "ee.hit.gemius.pl",
    "eega.hit.gemius.pl",
    "eegad.freeservers.com",
    "eegde.adocean.pl",
    "eepn.us.intellitxt.com",
    "efanguide.us.intellitxt.com",
    "efashionsolutions.122.2o7.net",
    "effectivemeasure.com",
    "effectivemeasure.net",
    "efluxmedia.uk.intellitxt.com",
    "egotastic.us.intellitxt.com",
    "ehadvicedev.112.2o7.net",
    "eharmony.112.2o7.net",
    "eharmony.us.intellitxt.com",
    "ehho.com",
    "ehomeupgrade.us.intellitxt.com",
    "ehow.us.intellitxt.com",
    "ei.rlcdn.com",
    "eisenstein.dk",
    "eiv.baidu.com",
    "ekmas.com",
    "electosake.com",
    "electronicarts.112.2o7.net",
    "electronista.us.intellitxt.com",
    "elite.sextracker.com",
    "elitedaily-d.openx.net",
    "elitedollars.com",
    "elitetoplist.com",
    "eloqua.122.2o7.net",
    "elv3-tslogging.touchcommerce.com",
    "email-reflex.com",
    "emarketer.com",
    "emaxhealth.us.intellitxt.com",
    "embed-stats.rbl.ms",
    "embed.insticator.com",
    "emc.122.2o7.net",
    "emediate.dk",
    "emediate.eu",
    "emisjawidgeet.onet.pl",
    "ems2bmen.com",
    "encyclocentral.us.intellitxt.com",
    "engage2.advanstar.com",
    "engine.4chan-ads.org",
    "engine.4dsply.com",
    "engine.adclick.lv",
    "engine.adspynet.com",
    "engine.adsupply.com",
    "engine.adzerk.net",
    "engine.carbonads.com",
    "engine.espace.netavenir.com",
    "engine.fl-ads.com",
    "engine.goodadvert.ru",
    "engine.letsstat.nl",
    "engine.nectarads.com",
    "engine.phn.doublepimp.com",
    "engine.rbc.medialand.ru",
    "engine.spotscenered.info",
    "engine.spoutable.com",
    "engine.trklnks.com",
    "engine.turboroller.ru",
    "engine.widespace.com",
    "engine.xclaimwords.net",
    "engine2.adzerk.net",
    "enginenetwork.com",
    "eniro.hit.gemius.pl",
    "eniro.tns-cs.net",
    "enoratraffic.com",
    "enoratraffic.com",
    "enquisite.com",
    "enter.sexlist.com",
    "entercasino.com",
    "enterprisemediagroup.112.2o7.net",
    "entertainment.msn.us.intellitxt.com",
    "entertainmentwise.us.intellitxt.com",
    "entk.net",
    "entrecard.s3.amazonaws.com",
    "entrepreneur.122.2o7.net",
    "entrepreneur.us.intellitxt.com",
    "entrepreneurpoc.122.2o7.net",
    "eon.tags.sitetagger.co.uk",
    "eontarionow.us.intellitxt.com",
    "epebuild.112.2o7.net",
    "eplans.112.2o7.net",
    "epmads.com",
    "eps-analyzer.de",
    "eqads.com",
    "eremedia.112.2o7.net",
    "ero-advertising.com",
    "err.000webhost.com",
    "err.agava.ru",
    "err.chicappa.jp",
    "err.lolipop.jp",
    "err.spring-tns.net",
    "errdoc.gabia.net",
    "error.000webhost.com",
    "error.banan.cz",
    "error.demdex.net",
    "error.fc2.com",
    "error.freewebsites.com",
    "error.hostinger.eu",
    "error.intuitext.ro",
    "error.pimproll.com",
    "error404.000webhost.com",
    "errorception.com",
    "errorkillers.net",
    "errors.perfectgonzo.com",
    "ertya.com",
    "es.adserver.yahoo.com",
    "es.gmads.net",
    "es.nedstat.net",
    "es.optimost.com",
    "es.sitestat.com",
    "esellerate.net",
    "eset.122.2o7.net",
    "espn-ak.starwave.com",
    "espndotcom.tt.omtrdc.net",
    "espresso-reklam.eu",
    "estat.com",
    "estat.com",
    "estelle.us.intellitxt.com",
    "et.twyn.com",
    "etahub.com",
    "etargetnet.com",
    "eten-users.us.intellitxt.com",
    "etracker.de",
    "eu-adcenter.net",
    "eu-pn2.adserver.yahoo.com",
    "eu-pn4.adserver.yahoo.com",
    "eu-px.steelhousemedia.com",
    "eu-sonar.sociomantic.com",
    "eu.npario-inc.net",
    "eu.nuggad.net",
    "eu1.heatmap.it",
    "eu1.madsone.com",
    "eu1.snoobi.com",
    "eu2.madsone.com",
    "eue.collect-opnet.com",
    "eur.a1.yimg.com",
    "eurekster.com",
    "euro-linkindex.de",
    "euroad1.advantage.as",
    "euroclick.com",
    "euros4click.de",
    "eurostar.122.2o7.net",
    "eusta.de",
    "ev.ads.pointroll.com",
    "ev.ib-ibi.com",
    "ev.yieldbuild.com",
    "evania.adspirit.de",
    "evbeacon.networksolutions.com",
    "event.2leva.bg",
    "event.ohmyad.co",
    "eventbrite.122.2o7.net",
    "eventlogger.soundcloud.com",
    "events.boomtrain.com",
    "events.kalooga.com",
    "events.webflowmetrics.com",
    "evepdaggiesports.112.2o7.net",
    "evepdaikencom.112.2o7.net",
    "evepdbrazossports.112.2o7.net",
    "evepdcharleston.112.2o7.net",
    "evepdeagledev.112.2o7.net",
    "evergage.com",
    "everydaygays.com",
    "everydayhealth.demdex.net",
    "everyjoe.us.intellitxt.com",
    "evidencecleanergold.com",
    "evilbeetgossip.us.intellitxt.com",
    "ewebcounter.com",
    "eweek.us.intellitxt.com",
    "ewsabilene.112.2o7.net",
    "ewscorpuschristi.112.2o7.net",
    "ewscripps.112.2o7.net",
    "ewsmemphis.112.2o7.net",
    "ewsnaples.112.2o7.net",
    "ewstv.abc15.com",
    "ewsventura.112.2o7.net",
    "ex-traffic.com",
    "ex.banner.t-online.de",
    "examinercom.122.2o7.net",
    "examnotes.us.intellitxt.com",
    "exchange-it.com",
    "exchange.adswizz.com",
    "exchange.bg",
    "exchange.bg",
    "exchange.xbiz.com",
    "exchangead.com",
    "exchangecash.de",
    "exchangeclicksonline.com",
    "excite.us.intellitxt.com",
    "exclusiotv.be",
    "exelator.com",
    "exgfsbucks.com",
    "exit-ad.de",
    "exit.oxcash2.com",
    "exit.silvercash.com",
    "exit.xpays.com",
    "exit76.com",
    "exitexchange.com",
    "exitfuel.com",
    "exits.adultcash.com",
    "exitsplash.s3.amazonaws.com",
    "exityield.advertise.com",
    "exoclick.com",
    "exogripper.com",
    "expedia1.112.2o7.net",
    "expedia6vt.112.2o7.net",
    "expedia8.112.2o7.net",
    "experianservicescorp.122.2o7.net",
    "experteerads.com",
    "experts.us.intellitxt.com",
    "expertsexchange.112.2o7.net",
    "expired-targeted.com",
    "expo-max.com",
    "exponential.com",
    "express-submit.de",
    "express.uk.intellitxt.com",
    "expressdelivery.biz",
    "ext.host-tracker.com",
    "extended.dmtracker.com",
    "external.dmtracker.com",
    "extntechnologies.us.intellitxt.com",
    "extractorandburner.com",
    "extreme-dm.com",
    "extreme-dm.com",
    "extremeoverclocking.us.intellitxt.com",
    "extremetech.us.intellitxt.com",
    "extremetracking.com",
    "extremetracking.com",
    "extrovert.122.2o7.net",
    "eyeblaster.com",
    "eyereact.eyereturn.com",
    "eyereturn.com",
    "eyeviewads.com",
    "eyewonder.com",
    "ezgds.112.2o7.net",
    "ezthemes.ezthemes.com",
    "eztracks.us.intellitxt.com",
    "ezula.com",
    "f-js1.spotsniper.ru",
    "f-nod1.adsniper.ru",
    "f-nod2.adsniper.ru",
    "f.about.com",
    "f.blogads.com",
    "f.monetate.net",
    "f.nexac.com",
    "f.thanksearch.com",
    "f2communitynews.112.2o7.net",
    "f2nbt.112.2o7.net",
    "f2network.112.2o7.net",
    "f2nmycareer.112.2o7.net",
    "f2nsmh.112.2o7.net",
    "f2ntheage.112.2o7.net",
    "f5biz.com",
    "f5mtrack.com",
    "f8350e7c1.se",
    "fabar.outwar.com",
    "facebookinc.122.2o7.net",
    "factiva.122.2o7.net",
    "fairfax.demdex.net",
    "fairfaxau.d1.sc.omtrdc.net",
    "fairfaxau.demdex.net",
    "fanatics.112.2o7.net",
    "fangoria.us.intellitxt.com",
    "fanserv-d.openx.net",
    "faqts.us.intellitxt.com",
    "farecastcom.122.2o7.net",
    "farm.plista.com",
    "fashion-tube.be",
    "fast-adv.it",
    "fast.adobe.demdex.net",
    "fast.bet.demdex.net",
    "fast.bostonglobe.demdex.net",
    "fast.cbsi.demdex.net",
    "fast.condenast.demdex.net",
    "fast.de.demdex.net",
    "fast.dm.demdex.net",
    "fast.ecs.demdex.net",
    "fast.everydayhealth.demdex.net",
    "fast.fairfax.demdex.net",
    "fast.fairfaxau.demdex.net",
    "fast.fedex.demdex.net",
    "fast.ford.demdex.net",
    "fast.gannett.demdex.net",
    "fast.gm.demdex.net",
    "fast.iyogi.demdex.net",
    "fast.marthastewart.demdex.net",
    "fast.mtvn.demdex.net",
    "fast.nfl.demdex.net",
    "fast.philly.demdex.net",
    "fast.postmedia.demdex.net",
    "fast.sears.demdex.net",
    "fast.swa.demdex.net",
    "fast.td.demdex.net",
    "fast.telstra.demdex.net",
    "fast.torontostar.demdex.net",
    "fast.twc.demdex.net",
    "fastclick.co",
    "fastclick.com",
    "fastclick.com.edgesuite.net",
    "fastclick.com.edgesuite.net",
    "fastclick.ir",
    "fastclick.net",
    "fastdownload10.com",
    "fastnclick.com",
    "fastonlineusers.com",
    "fastsearchproduct.com",
    "fastwebcounter.com",
    "fatbackandcollards.us.intellitxt.com",
    "fatbackmedia.us.intellitxt.com",
    "fatfreekitchen.us.intellitxt.com",
    "faz.ivwbox.de",
    "fb-promotions.com",
    "fb.cashtraffic.com",
    "fbfredericksburgcom.112.2o7.net",
    "fc.jouleadserver.com",
    "fc.webmasterpro.de",
    "fc.webmasterpro.de",
    "fcds.affiliatetracking.net",
    "fdads.sv.publicus.com",
    "fdff44.r.axf8.net",
    "fdff44.t.axf8.net",
    "fe.brandreachsys.com",
    "fe.lea.jubii.dk",
    "fe.lea.lycos.de",
    "fe.lea.spray.se",
    "fedex.demdex.net",
    "feed.afy11.net",
    "feed.hype-ads.com",
    "feed.peakclick.com",
    "feed.trafflow.com",
    "feed.validclick.com",
    "feed3.hype-ads.com",
    "feedads.g.doubleclick.net",
    "feedbackexplorer.com",
    "feedbackresearch.com",
    "feedjit.com",
    "feedjit.com",
    "feeds.global-intermedia.com",
    "feeds.videosz.com",
    "feeds.weselltraffic.com",
    "feeds.wise-click.com",
    "feedsweep.us.intellitxt.com",
    "feedx.bidsystem.com",
    "femalefirst.uk.intellitxt.com",
    "femeedia.com",
    "ferrago.uk.intellitxt.com",
    "ff.connextra.com",
    "ff1.telemetryverification.net",
    "fff.dailymail.co.uk",
    "ffxcam.fairfax.com.au",
    "fhg.digitaldesire.com",
    "fhm.uk.intellitxt.com",
    "fhmonline.us.intellitxt.com",
    "fi.sitestat.com",
    "fidelity.rotator.hadj7.adjuggler.net",
    "fightline.us.intellitxt.com",
    "figlobal.112.2o7.net",
    "filecdn2.dotandad.com",
    "filedudes.us.intellitxt.com",
    "files-www2.adsnative.com",
    "files.adspdbl.com",
    "files.bannersnack.com",
    "files.goodadvert.ru",
    "files.native.ad",
    "files.tailsweep.com",
    "files.zz-download-zz5.com",
    "files2.zz-download-zz7.com",
    "files4.downloadnet1188.com",
    "files4.securedownload01.com",
    "files5.downloadnet1188.com",
    "files5.securedownload01.com",
    "filmdrunk.us.intellitxt.com",
    "filmforcedvd.ign.us.intellitxt.com",
    "filmstew.us.intellitxt.com",
    "filmthreat.us.intellitxt.com",
    "filter.adsparkmedia.net",
    "filter.adxfactory.com",
    "filter.eclickz.com",
    "fim.122.2o7.net",
    "fimc.net",
    "fimserve.askmen.com",
    "fimserve.com",
    "fimserve.ign.com",
    "fimserve.myspace.com",
    "finatime.ivwbox.de",
    "findadvertise.engine.adglare.net",
    "findcommerce.com",
    "findfavour.com",
    "findyourcasino.com",
    "fineclicks.com",
    "fiona.ai.net",
    "fips.uimserv.net",
    "firingsquad.us.intellitxt.com",
    "first.nova.cz",
    "firstlightera.com",
    "fishadz.pressflex.net",
    "fishclix.com",
    "five.partner.archive-it.org",
    "fixya.us.intellitxt.com",
    "fl01.ct2.comclick.com",
    "flagcounter.com",
    "flash.quantserve.com",
    "flash4promo.ru",
    "flashadtools.com",
    "flashbanners.static.ard.sexplaycam.com",
    "flashbanners.static.ard.xxxblackbook.com",
    "flashmagazine.us.intellitxt.com",
    "flashmediaportal.com",
    "flashtalking.com",
    "fleshlightcash.com",
    "flex.msn.com",
    "flexbanner.com",
    "float.2299.bm-impbus.prod.nym2.adnexus.net",
    "flowgo.com",
    "fls-na.amazon-adsystem.com",
    "fls.au.doubleclick.net",
    "fls.doubleclick.net",
    "fls.uk.doubleclick.net",
    "flttracksecure.com",
    "flurry.com",
    "flurry.com",
    "flx367.lporirxe.com",
    "flyingmag.com.122.2o7.net",
    "flyingmag.us.intellitxt.com",
    "flymedia-mladnet.medialand.ru",
    "fms2.eyewonder.speedera.net",
    "fms2.pointroll.speedera.net",
    "fmsads.com",
    "fnacmagasin.solution.weborama.fr",
    "fo-api.omnitagjs.com",
    "focus.met.vgwort.de",
    "folkd.put.omnimon.de",
    "fonecta.leiki.com",
    "foo.cosmocode.de",
    "footerroll.admedia.com",
    "footymad.uk.intellitxt.com",
    "forbes.us.intellitxt.com",
    "ford.112.2o7.net",
    "ford.demdex.net",
    "foreign.dt00.net",
    "forex-affiliate.net",
    "forexadv.eu",
    "fortunecity.us.intellitxt.com",
    "forum.rotator.hadj7.adjuggler.net",
    "forumediainc.us.intellitxt.com",
    "forvideo.at",
    "fotolog.crwdcntrl.net",
    "foxamw.112.2o7.net",
    "foxcom.112.2o7.net",
    "foxidol.112.2o7.net",
    "foxinteractivemedia.122.2o7.net",
    "foxnews.demdex.net",
    "foxnews.tt.omtrdc.net",
    "foxnews.us.intellitxt.com",
    "foxsports.us.intellitxt.com",
    "foxtv.us.intellitxt.com",
    "fpctraffic.com",
    "fpctraffic2.com",
    "fpctraffic2.com",
    "fr.1sponsor.com",
    "fr.2.cqcounter.com",
    "fr.64.clickintext.net",
    "fr.85.clickintext.net",
    "fr.a2dfp.net",
    "fr.adserver.yahoo.com",
    "fr.cim.clickintext.net",
    "fr.classic.clickintext.net",
    "fr.sitestat.com",
    "fr.slidein.clickintext.net",
    "fragmentserv.iac-online.de",
    "freakads.com",
    "free-banners.com",
    "free-counter.5u.com",
    "free-stats.com",
    "free-stats.i8.com",
    "free.adultcomix.biz",
    "free.aol.com",
    "free.cartoonpornguide.com",
    "free.content.streamray.com",
    "free.pacificpoker.com",
    "free.realtracker.com",
    "free.thesocialsexnetwork.com",
    "free.wegcash.com",
    "free.xxxcounter.com",
    "free1.usa.realtracker.com",
    "freebanner.com",
    "freebitmoney.com",
    "freecast.ivwbox.de",
    "freecharge.demdex.net",
    "freecodecs.us.intellitxt.com",
    "freedownloadcenter.uk.intellitxt.com",
    "freedownloadmanager.uk.intellitxt.com",
    "freeforumsorg.skimlinks.com",
    "freegeoip.net",
    "freegroupvideo.popunder.ru",
    "freeimghost.trafflow.com",
    "freelogs.com",
    "freelogs.com",
    "freeonlineusers.com",
    "freeonlineusers.com",
    "freepay.com",
    "freestar-d.openx.net",
    "freestats.com",
    "freestats.com",
    "freestats.tv",
    "freeticketcash.com",
    "freewarehome.us.intellitxt.com",
    "freewarepalm.uk.intellitxt.com",
    "freewebcounter.com",
    "friendtest.us.intellitxt.com",
    "froggytest.fr.intellitxt.com",
    "front.adproved.net",
    "frontpage-stats.rbl.ms",
    "frontpagecash.com",
    "frtya.com",
    "frtyb.com",
    "ft.mvtracker.com",
    "fttcj.com",
    "ftvcash.com",
    "fun.lbn.ru",
    "funklicks.com",
    "funnyordie-d.openx.net",
    "funpageexchange.com",
    "funskins.ezthemes.com",
    "furious.adman.gr",
    "furniturecom.112.2o7.net",
    "furnlevitz.112.2o7.net",
    "fus.walla.co.il",
    "fusetv.112.2o7.net",
    "fusion.adtoma.com",
    "fusionads.net",
    "fusionquest.com",
    "futurelooks.us.intellitxt.com",
    "futurepublications.uk.intellitxt.com",
    "fw.adsafeprotected.com",
    "fwdbreuse.xyz",
    "fwg0b0sfig.s.ad6media.fr",
    "fx.gtop.ro",
    "fx.gtopstats.com",
    "fxclix.com",
    "fxlayer.net",
    "fxstyle.net",
    "fxyc0dwa.com",
    "fynskemedieradmin.adservinginternational.com",
    "g-f5fun.count.brat-online.ro",
    "g-f5news.count.brat-online.ro",
    "g-pixel.invitemedia.com",
    "g-protv.count.brat-online.ro",
    "g.3gl.net",
    "g.admedia.com",
    "g.adspeed.net",
    "g.blogads.com",
    "g.p.mybuys.com",
    "g.promosrv.com",
    "g.websponsors.com",
    "g.zedo.com",
    "g1.v.fwmrm.net",
    "g2.gumgum.com",
    "g2.us.intellitxt.com",
    "g3.us.intellitxt.com",
    "g4.us.intellitxt.com",
    "g5.us.intellitxt.com",
    "gaae.hit.gemius.pl",
    "gaat.hit.gemius.pl",
    "gaba.hit.gemius.pl",
    "gabe.hit.gemius.pl",
    "gabg.hit.gemius.pl",
    "gabsmash.us.intellitxt.com",
    "gaby.hit.gemius.pl",
    "gacz.hit.gemius.pl",
    "gad.impresionesweb.com",
    "gadk.hit.gemius.pl",
    "gadnet.hit.gemius.pl",
    "gae.caspion.com",
    "gaee.hit.gemius.pl",
    "gahu.hit.gemius.pl",
    "gail.hit.gemius.pl",
    "gajime.popunder.ru",
    "gajo.hit.gemius.pl",
    "gakz.hit.gemius.pl",
    "galaxien.com",
    "galb.hit.gemius.pl",
    "galindia.hit.gemius.pl",
    "gallys.nastydollars.com",
    "gallysorig.nastydollars.com",
    "galt.hit.gemius.pl",
    "galtthemes.ezthemes.com",
    "galv.hit.gemius.pl",
    "gam.adnxs.com",
    "gambling911.adrevolver.com",
    "gamd.hit.gemius.pl",
    "game-advertising-online.com",
    "gameboy.ign.us.intellitxt.com",
    "gamedev.us.intellitxt.com",
    "gamehouse.com",
    "gamersad.com",
    "gamerstemple.us.intellitxt.com",
    "gamesindustry.uk.intellitxt.com",
    "gamesiteads.com",
    "gamesites100.net",
    "gamesites200.com",
    "gamesitestop100.com",
    "gamesradar.us.intellitxt.com",
    "gamevance.com",
    "gamk.hit.gemius.pl",
    "gan.doubleclick.net",
    "gannett.demdex.net",
    "gannett.gcion.com",
    "gannettbroadcast.us.intellitxt.com",
    "gannettwisconsin.us.intellitxt.com",
    "gap.112.2o7.net",
    "gapl.hit.gemius.pl",
    "gardenweb.us.intellitxt.com",
    "garo.hit.gemius.pl",
    "gars.hit.gemius.pl",
    "garu.hit.gemius.pl",
    "gask.hit.gemius.pl",
    "gatehousemedia.122.2o7.net",
    "gateway.122.2o7.net",
    "gather.us.intellitxt.com",
    "gator.com",
    "gatr.hit.gemius.pl",
    "gaua.hit.gemius.pl",
    "gazeta.adfox.ru",
    "gazeta.hit.gemius.pl",
    "gazzetta.adman.gr",
    "gb.impresionesweb.com",
    "gbanners.hornymatches.com",
    "gbanners.hornymatches.com",
    "gbjfc.rsvpgenius.com",
    "gbscript.com",
    "gd.ads.vip.gq1.yahoo.com",
    "gd.geobytes.com",
    "gde-default.hit.gemius.pl",
    "gdebg.hit.gemius.pl",
    "gdecz.hit.gemius.pl",
    "gdeil.hit.gemius.pl",
    "gdelv.hit.gemius.pl",
    "gders.hit.gemius.pl",
    "gdesk.hit.gemius.pl",
    "gdetr.hit.gemius.pl",
    "gdyn.cnn.com",
    "gdyn.nascar.com",
    "gdyn.nba.com",
    "gdyn.veryfunnyads.com",
    "geek.us.intellitxt.com",
    "geekstogo.us.intellitxt.com",
    "gemadhu.hit.gemius.pl",
    "gemius.pl",
    "gen2server.com",
    "general.visualdna-stats.com",
    "generalmediaadhu.hit.gemius.pl",
    "generation-nt.fr.intellitxt.com",
    "genetree.112.2o7.net",
    "genmay.us.intellitxt.com",
    "geo-errserv.btrll.com",
    "geo-um.btrll.com",
    "geo.connexionsecure.com",
    "geo.crtracklink.com",
    "geo.deepmetrix.com",
    "geo.digitalpoint.com",
    "geo.digitalpoint.com",
    "geo.gexo.com",
    "geo.gorillanation.com",
    "geo.hyperlinksecure.com",
    "geo.interia.pl",
    "geo.jetpackdigital.com",
    "geo.nbcsports.com",
    "geo.offermatica.com",
    "geo.query.yahoo.com",
    "geo.safelinktracker.com",
    "geo.sanoma.fi",
    "geo.widdit.com",
    "geo.xxxblackbook.com",
    "geo.yad2.co.il",
    "geo.yahoo.com",
    "geo.ziffdavis.com",
    "geoaddicted.net",
    "geoads.eurorevenue.com",
    "geobanner.adultfriendfinder.com",
    "geobanner.adultfriendfinder.com",
    "geobanner.friendfinder.com",
    "geobanner.getiton.com",
    "geobanner.passion.com",
    "geobanner.seniorfriendfinder.com",
    "geobeacon.ign.com",
    "geoip.cleveland.com",
    "geoip.edagames.com",
    "geoip.gulflive.com",
    "geoip.lehighvalleylive.com",
    "geoip.masslive.com",
    "geoip.mlive.com",
    "geoip.nj.com",
    "geoip.nola.com",
    "geoip.oregonlive.com",
    "geoip.p24.hu",
    "geoip.pennlive.com",
    "geoip.securitetotale.com",
    "geoip.silive.com",
    "geoip.syracuse.com",
    "geoloc12.geovisite.com",
    "geoloc13.geovisite.com",
    "geoloc14.geovisite.com",
    "geoloc16.geovisite.com",
    "geoloc17.geovisite.com",
    "geoloc2.geovisite.com",
    "geoloc4.geovisite.com",
    "geolocation.t-online.de",
    "geoservice.curse.com",
    "geoservice.webengage.com",
    "geosign.112.2o7.net",
    "geotarget.info",
    "geovisite.com",
    "gernewt.info",
    "get.mirando.de",
    "get.mycounter.com.ua",
    "get.mycounter.ua",
    "get.whitesmoke.com",
    "getclicky.com",
    "getclicky.com",
    "getiton.com",
    "getmailcounter.com",
    "getrank.net",
    "getrockerbox.com",
    "getstatistics.se",
    "gflinks.industrybrains.com",
    "gfx.webmasterprofitcenter.com",
    "gg.hit.gemius.pl",
    "ggo.directrev.com",
    "ghacks.de.intellitxt.com",
    "ghm_bulgaria.hit.gemius.pl",
    "ghmbg.hit.gemius.pl",
    "ghmme.hit.gemius.pl",
    "ghmpl.hit.gemius.pl",
    "ghmrs.hit.gemius.pl",
    "gif.hitexchange.net",
    "gif.hitx.net",
    "gifastcompanycom.112.2o7.net",
    "giftscom.122.2o7.net",
    "gigwise.us.intellitxt.com",
    "girlsaskguys.us.intellitxt.com",
    "givememyremote.us.intellitxt.com",
    "gj.mmstat.com",
    "gjfastcompanycom.112.2o7.net",
    "gjincscobleizer.112.2o7.net",
    "gk.rts.sparkstudios.com",
    "glb.adtechus.com",
    "glean.pop6.com",
    "glitter.services.disqus.com",
    "global.ekmpinpoint.com",
    "global.msads.net",
    "globalismedia.com",
    "globaltakeoff.net",
    "globaltrack.com.invalid",
    "globe7.com",
    "globus-inter.com",
    "gm.demdex.net",
    "gm.mmstat.com",
    "gm.touchclarity.com",
    "gmads.net",
    "gmads.net",
    "gmgmacfs.112.2o7.net",
    "gmgmacmortgage.112.2o7.net",
    "gmgmcom.112.2o7.net",
    "gmgoodwrenchdmaprod.112.2o7.net",
    "gntbcstglobal.112.2o7.net",
    "gntbcstkare.112.2o7.net",
    "gntbcstksdk.112.2o7.net",
    "gntbcstkthv.112.2o7.net",
    "gntbcstkusa.112.2o7.net",
    "gntbcstkxtv.112.2o7.net",
    "gntbcstwbir.112.2o7.net",
    "gntbcstwcsh.112.2o7.net",
    "gntbcstwfmy.112.2o7.net",
    "gntbcstwkyc.112.2o7.net",
    "gntbcstwlbz.112.2o7.net",
    "gntbcstwltx.112.2o7.net",
    "gntbcstwmaz.112.2o7.net",
    "gntbcstwtlv.112.2o7.net",
    "gntbcstwtsp.112.2o7.net",
    "gntbcstwusa.112.2o7.net",
    "gntbcstwxia.112.2o7.net",
    "gntbcstwzzm.112.2o7.net",
    "go-clicks.de",
    "go-rank.de",
    "go.accmgr.com",
    "go.ad2up.com",
    "go.adevolution.bbelements.com",
    "go.adlt.bbelements.com",
    "go.adlv.bbelements.com",
    "go.admulti.com",
    "go.adversal.com",
    "go.affec.tv",
    "go.arbopl.bbelements.com",
    "go.buzztrk.com",
    "go.cz.bbelements.com",
    "go.eu.bbelements.com",
    "go.evolutionmedia.bbelements.com",
    "go.gba.bbelements.com",
    "go.goldbachpoland.bbelements.com",
    "go.goroost.com",
    "go.idmnet.bbelements.com",
    "go.idnes.bbelements.com",
    "go.jetswap.com",
    "go.mobisla.com",
    "go.mobtrks.com",
    "go.mobytrks.com",
    "go.oclaserver.com",
    "go.oclasrv.com",
    "go.onclasrv.com",
    "go.oneund.ru",
    "go.padsdel.com",
    "go.padsdelivery.com",
    "go.padstm.com",
    "go.pol.bbelements.com",
    "go.pub2srv.com",
    "go.realvu.net",
    "go.redirectingat.com",
    "go.sonobi.com",
    "go.startnow.com",
    "go.straightresults.com",
    "go.youlamedia.com",
    "go27.net",
    "go777site.com",
    "goal.us.intellitxt.com",
    "goclick.com",
    "goingplatinum.com",
    "goku.brightcove.com",
    "gold.weborama.fr",
    "goldbach-targeting.ch",
    "goldbach.hit.gemius.pl",
    "goldbye.vicp.net",
    "goldstats.com",
    "golem.de.intellitxt.com",
    "gonintendo.us.intellitxt.com",
    "gonzogrape.gumgum.com",
    "goo.freelogs.com",
    "google-analytics.com",
    "google-analytics.com",
    "google.tucows.com",
    "googleads.g.doubleclick.net",
    "googleads2.g.doubleclick.net",
    "googleadservices.com",
    "googlenews.xorg.pl",
    "googlesyndication.com",
    "googlus.com",
    "goska.siol.net",
    "gossipcenter.us.intellitxt.com",
    "gossiponthis.us.intellitxt.com",
    "gossipteen.us.intellitxt.com",
    "gostats.com",
    "gostats.com",
    "gostats.ir",
    "gostats.pl",
    "gostats.ro",
    "gostats.ru",
    "gottabemobile.us.intellitxt.com",
    "gourmetgiftbaskets.112.2o7.net",
    "govpro.us.intellitxt.com",
    "gozing.directtrack.com",
    "gp.dejanews.com",
    "gpapercareer.112.2o7.net",
    "gpapermom104.112.2o7.net",
    "gpr.hu",
    "gr.adserver.yahoo.com",
    "gr.linkwi.se",
    "grab.nastydollars.com",
    "grabtrk.com",
    "grade.market.yandex.ru",
    "grafix.xxxcounter.com",
    "grafstat.ro",
    "grapeshot.co.uk",
    "graphics.medleyads.com",
    "graphics.nastydollars.com",
    "graphics.pop6.com",
    "graphics.streamray.com",
    "graphics1.sextracker.com",
    "graphics2.sextracker.com",
    "graytv.us.intellitxt.com",
    "green.erne.co",
    "greystripe.com",
    "grmtech.net",
    "group11.iperceptions.com",
    "grunerandjahr.112.2o7.net",
    "gs.spylog.ru",
    "gscounters.eu1.gigya.com",
    "gscounters.gigya.com",
    "gscounters.us1.gigya.com",
    "gsea.ivwbox.de",
    "gsf-cf.softonic.com",
    "gsmarena.us.intellitxt.com",
    "gsorder.berlin.strato.de",
    "gsp.count.brat-online.ro",
    "gspro.adocean.pl",
    "gspro.hit.gemius.pl",
    "gtb19.acecounter.com",
    "gtb5.acecounter.com",
    "gtcc1.acecounter.com",
    "gtlt.hit.gemius.pl",
    "gtlv.hit.gemius.pl",
    "gtmedia.us.intellitxt.com",
    "gtop.ro",
    "gtop100.com",
    "gtp1.acecounter.com",
    "gtp16.acecounter.com",
    "guannan.3322.net",
    "guardianlv.us.intellitxt.com",
    "guest.adultfriendfinder.com",
    "guj.122.2o7.net",
    "gulli.de.intellitxt.com",
    "gunggo.com",
    "guru3d.us.intellitxt.com",
    "guruads.de",
    "gw.anametrix.net",
    "gw.zedo.com",
    "gw003.lphbs.com",
    "gwa.lphbs.com",
    "gwb.lphbs.com",
    "gwc.lphbs.com",
    "gwd.lphbs.com",
    "gwp.nuggad.net",
    "h.atdmt.com",
    "h.hollywood.com",
    "h.nexac.com",
    "h.online-metrix.net",
    "h.ppjol.com",
    "h.spill.com",
    "h.verticalscope.com",
    "h.waudit.cz",
    "h.zedo.com",
    "h06.hotrank.com.tw",
    "h0rnd0g.popunder.ru",
    "hackedgadgets.us.intellitxt.com",
    "hairboutique.us.intellitxt.com",
    "hallmarkibmcom.112.2o7.net",
    "handbag.uk.intellitxt.com",
    "handbagcom.skimlinks.com",
    "handbl.ivwbox.de",
    "handelsblatt.met.vgwort.de",
    "handelsblatt01.webtrekk.net",
    "hapjes-maken.eu",
    "harconsumer.112.2o7.net",
    "hardcoreware.us.intellitxt.com",
    "hardforum.us.intellitxt.com",
    "hardocp.us.intellitxt.com",
    "hardwaregeeks.us.intellitxt.com",
    "hardwarezone.us.intellitxt.com",
    "harmony-central.us.intellitxt.com",
    "harpo.122.2o7.net",
    "harrahscom.112.2o7.net",
    "harrenmedia.com",
    "harrenmedianetwork.com",
    "hartim.com",
    "haso.pubmatic.com",
    "hat.bmanpn.com",
    "havamedia.net",
    "haveuheard.us.intellitxt.com",
    "haymarketbusinesspublications.122.2o7.net",
    "hc2.humanclick.com",
    "hchrmain.112.2o7.net",
    "health.msnbc.us.intellitxt.com",
    "healthgrades.112.2o7.net",
    "healthination.122.2o7.net",
    "heapanalytics.com",
    "hearstdigital.122.2o7.net",
    "hearstmagazines.112.2o7.net",
    "hearstugo.112.2o7.net",
    "heavycom.122.2o7.net",
    "heias.com",
    "heise.nuggad.net",
    "helios.finn.no",
    "helios.fvn.no",
    "helium.us.intellitxt.com",
    "hello.sexer.com",
    "hellomagazine.uk.intellitxt.com",
    "helltraffic.com",
    "help.mysearch.com",
    "helpdesk.marketbill.com",
    "helpingtrk.com",
    "helpmedownload.com",
    "hentaicounter.com",
    "herbalaffiliateprogram.com",
    "herezera.com",
    "hertz.122.2o7.net",
    "heute.ivwbox.de",
    "hexus.uk.intellitxt.com",
    "hexusads.fluent.ltd.uk",
    "hexusads.fluent.ltd.uk",
    "heyos.com",
    "hfm.checkm8.com",
    "hgads.com",
    "hgads.silvercdn.com",
    "hickoryfarms.112.2o7.net",
    "hidden.gogoceleb.com",
    "hiddenplaybook.com",
    "highbeam.122.2o7.net",
    "highpro1.com",
    "hightrafficads.com",
    "hilltopads.net",
    "himedia.112.2o7.net",
    "hipersushiads.com",
    "hiphopdx.us.intellitxt.com",
    "hiphopgalaxy.fr.intellitxt.com",
    "hiphoplead.us.intellitxt.com",
    "hiphoprx.us.intellitxt.com",
    "hippo.adultadworld.com",
    "hiq.fotolog.com",
    "hisnakiamotors.122.2o7.net",
    "histats.com",
    "histats2014.simply-webspace.it",
    "hit-counter.5u.com",
    "hit-now.com",
    "hit-parade.com",
    "hit-parade.com",
    "hit.bg",
    "hit.gemius.pl",
    "hit.hotlog.ru",
    "hit.reference-sexe.com",
    "hit.topc.org",
    "hit.ua",
    "hit.webcentre.lycos.co.uk",
    "hit1.hotlog.ru",
    "hit10.hotlog.ru",
    "hit13.hotlog.ru",
    "hit14.hotlog.ru",
    "hit15.hotlog.ru",
    "hit16.hotlog.ru",
    "hit17.hotlog.ru",
    "hit18.hotlog.ru",
    "hit19.hotlog.ru",
    "hit2.hotlog.ru",
    "hit20.hotlog.ru",
    "hit21.hotlog.ru",
    "hit22.hotlog.ru",
    "hit23.hotlog.ru",
    "hit24.hotlog.ru",
    "hit25.hotlog.ru",
    "hit26.hotlog.ru",
    "hit27.hotlog.ru",
    "hit28.hotlog.ru",
    "hit29.hotlog.ru",
    "hit3.hotlog.ru",
    "hit30.hotlog.ru",
    "hit32.hotlog.ru",
    "hit33.hotlog.ru",
    "hit35.hotlog.ru",
    "hit38.hotlog.ru",
    "hit39.hotlog.ru",
    "hit4.hotlog.ru",
    "hit40.hotlog.ru",
    "hit41.hotlog.ru",
    "hit5.hotlog.ru",
    "hit6.hotlog.ru",
    "hit7.hotlog.ru",
    "hit8.hotlog.ru",
    "hit9.hotlog.ru",
    "hitbox.com",
    "hitbox.realclearpolitics.com",
    "hitcents.com",
    "hitcounter01.xspp.com",
    "hitexchange.net",
    "hitexchange.net",
    "hitfarm.com",
    "hitiz.com",
    "hitlist.ru",
    "hitlog2.chosun.com",
    "hitlounge.com",
    "hitmodel.net",
    "hitometer.com",
    "hitpro.us",
    "hits.convergetrack.com",
    "hits.e.cl",
    "hits.eluniversal.com.mx",
    "hits.epochstats.com",
    "hits.europuls.eu",
    "hits.europuls.eu",
    "hits.guardian.co.uk",
    "hits.icdirect.com",
    "hits.informer.com",
    "hits.informer.com",
    "hits.netgeography.net",
    "hits.nextstat.com",
    "hits.puls.lv",
    "hits.puls.lv",
    "hits.spylog.com",
    "hits.theguardian.com",
    "hits.theguardian.com",
    "hits.top.lv",
    "hits.truehits.in.th",
    "hits.webstat.com",
    "hits3.truehits.net",
    "hits4me.com",
    "hits4pay.com",
    "hitslap.com",
    "hitslink.com",
    "hitslink.com",
    "hitslog.com",
    "hitstatus.com",
    "hittail.com",
    "hitwastedgarden.com",
    "hitwebcounter.com",
    "hitx.net",
    "hitx.statistics.ro",
    "hitx.waudit.cz",
    "hj.flxpxl.com",
    "hk.adserver.yahoo.com",
    "hlamedia.adk2x.com",
    "hm.d1.sc.omtrdc.net",
    "hm.webtrends.com",
    "hmortensen.tns-cs.net",
    "hngn.com.us.intellitxt.com",
    "hollandbusinessadvertising.nl",
    "hollyrude.us.intellitxt.com",
    "hollywood.122.2o7.net",
    "hollywood.us.intellitxt.com",
    "hollywoodbackwash.us.intellitxt.com",
    "hollywoodchicago.us.intellitxt.com",
    "hollywooddame.us.intellitxt.com",
    "hollywoodstreetking.us.intellitxt.com",
    "hollywoodtuna.us.intellitxt.com",
    "home.about.com",
    "home.hit.stat.pl",
    "home.hit.stat24.com",
    "homepage.t-online.de",
    "homepageking.de",
    "homepjlconline.com.112.2o7.net",
    "homepproav.112.2o7.net",
    "homes.bg",
    "homesteadtechnologies.122.2o7.net",
    "homestore.122.2o7.net",
    "homesupplementsale.ru",
    "hometheaterhifi.us.intellitxt.com",
    "hometheaterreview.advertserve.com",
    "hongkiat.us.intellitxt.com",
    "hook.yieldbuild.com",
    "hookedmediagroup.com",
    "hoopsworld.us.intellitxt.com",
    "hoovers.us.intellitxt.com",
    "hop.clickbank.net",
    "horizon.mashable.com",
    "hornytraffic.com",
    "horoscope.us.intellitxt.com",
    "hos1.cnzz.com",
    "host2.adhese.be",
    "host3.adhese.be",
    "host4.adhese.be",
    "host4.list.ru",
    "hostboard.us.intellitxt.com",
    "hostedads.realitykings.com",
    "hostedads.realitykings.com",
    "hostedbannerads.aebn.net",
    "hosting.adjug.com",
    "hosting.conduit.com",
    "hosting.sextracker.com",
    "hostingprod.com",
    "hot2015rewards.com",
    "hotelscom.122.2o7.net",
    "hothardware.us.intellitxt.com",
    "hothardwarecom.skimlinks.com",
    "hotjar.com",
    "hotkeys.com",
    "hotlog.ru",
    "hotmommagossip.us.intellitxt.com",
    "hotnews.count.brat-online.ro",
    "hotrank.com.tw",
    "howardchui.us.intellitxt.com",
    "howler.shareaholic.com",
    "hphqglobal.112.2o7.net",
    "hpr.outbrain.com",
    "hq-celebrity.us.intellitxt.com",
    "hr-engine.xclaimwords.net",
    "hr.adocean.pl",
    "hr.hit.gemius.pl",
    "hr.search.etargetnet.com",
    "hr.static.etargetnet.com",
    "hrads.valuead.com",
    "hrgde.adocean.pl",
    "hs.interpolls.com",
    "hst.tradedoubler.com",
    "hstde.tradedoubler.com",
    "hstes.tradedoubler.com",
    "hstfr.tradedoubler.com",
    "hstgb.tradedoubler.com",
    "hstit.tradedoubler.com",
    "hstno.tradedoubler.com",
    "hstpl.tradedoubler.com",
    "hstraffa.com",
    "hstus.tradedoubler.com",
    "hsw-d.openx.net",
    "hswmedia.122.2o7.net",
    "htm.freelogs.com",
    "html.knbc.com",
    "html.nbc10.com",
    "html.wnbc.com",
    "htmlads.s3.amazonaws.com",
    "htmlhubing.xyz",
    "http.content.ru4.com",
    "http.edge.ru4.com",
    "http100.content.ru4.com",
    "http300.content.ru4.com",
    "httpool.com",
    "httpool.nuggad.net",
    "httpoolat.nuggad.net",
    "httpoolbg.nuggad.net",
    "httpoolbih.nuggad.net",
    "httpoolsr.nuggad.net",
    "https.edge.ru4.com",
    "hu.2.cqcounter.com",
    "hu.hit.gemius.pl",
    "hu.search.etargetnet.com",
    "hu.static.etargetnet.com",
    "huadn.hit.gemius.pl",
    "hub.adlpartner.com",
    "hub.com.pl",
    "huffingtonpost.crwdcntrl.net",
    "hugde.adocean.pl",
    "huliq.us.intellitxt.com",
    "hulu.112.2o7.net",
    "huludev.112.2o7.net",
    "hurricanedigitalmedia.com",
    "hutchmedia.t.domdex.com",
    "hv3.webstat.com",
    "hx.hexun.com",
    "hxtrack.holidayextras.co.uk",
    "hydramedia.com",
    "hyperbanner.net",
    "hypertracker.com",
    "hypertracker.com",
    "hz.mmstat.com",
    "hzs1.cnzz.com",
    "hzs10.cnzz.com",
    "hzs13.cnzz.com",
    "hzs15.cnzz.com",
    "hzs2.cnzz.com",
    "hzs22.cnzz.com",
    "hzs4.cnzz.com",
    "hzs8.cnzz.com",
    "i-clicks.net",
    "i-hacked.us.intellitxt.com",
    "i.11zz.com",
    "i.adwise.bg",
    "i.bigmir.net",
    "i.blogads.com",
    "i.casalemedia.com",
    "i.cdn.openx.com",
    "i.cdnpark.com",
    "i.ctnsnet.com",
    "i.imedia.cz",
    "i.isohunt.to",
    "i.kissmetrics.com",
    "i.l.cnn.net",
    "i.n.jwpltx.com",
    "i.nuseek.com",
    "i.plug.it",
    "i.pxlad.io",
    "i.simpli.fi",
    "i.smartwebads.com",
    "i.tfag.de",
    "i.total-media.net",
    "i.trkjmp.com",
    "i.w55c.net",
    "i.xx.openx.com",
    "i.xx.openx.com",
    "i.yldbt.com",
    "i.zugo.com",
    "i1img.com",
    "i1media.no",
    "i3.putags.com",
    "i4u.us.intellitxt.com",
    "ia.iinfo.cz",
    "ia.spinbox.net",
    "ia1.7search.com",
    "iact.atdmt.com",
    "iad-login.dotomi.com",
    "iad.anm.co.uk",
    "iadnet.com",
    "iamnotageek.us.intellitxt.com",
    "ias.avidmedia.net",
    "iasds01.com",
    "ib.3lift.com",
    "ib.adnxs.com",
    "ib.mookie1.com",
    "ib.reachjunction.com",
    "ibibo.112.2o7.net",
    "ibmvideo.com",
    "ic.tynt.com",
    "ice.112.2o7.net",
    "icentric.us.intellitxt.com",
    "ichef.us.intellitxt.com",
    "ico.freelogs.com",
    "icompass.insightexpressai.com",
    "icon.cnzz.com",
    "icon.cubics.com",
    "iconadserver.com",
    "icorpadro.hit.gemius.pl",
    "icptrack.com",
    "icydk.us.intellitxt.com",
    "id-cdn.effectivemeasure.net",
    "id.get35.com",
    "id.hellomagazine.com",
    "id.kbmg.cz",
    "idcounter.com",
    "identads.com",
    "ideoclick.com",
    "idg.hit.gemius.pl",
    "idg.tns-cs.net",
    "idgenterprise.112.2o7.net",
    "idgenterprise.d1.sc.omtrdc.net",
    "idm.hit.gemius.pl",
    "idm.us.intellitxt.com",
    "idontlikeyouinthatway.us.intellitxt.com",
    "idot.cz",
    "idpix.media6degrees.com",
    "idregie.com",
    "idsync.rlcdn.com",
    "idtargeting.com",
    "ieginc.com",
    "ientry.rotator.hadj1.adjuggler.net",
    "ientrymail.com",
    "iesb.us.intellitxt.com",
    "iesnare.com",
    "ifa.camads.net",
    "ifa.empflixlive.com",
    "ifa.hardsexmate.com",
    "ifa.keezlive.com",
    "ifa.maxpornlive.com",
    "ifa.pornhublive.com",
    "ifa.slutloadlive.com",
    "ifa.streamateaccess.com",
    "ifa.tnaflixlive.com",
    "ifa.tube8live.com",
    "ifa.tube8live.com",
    "ifa.xhamstercams.com",
    "ifa.yobtcams.com",
    "ifa.youjizzlive.com",
    "ifa.youpornmate.com",
    "iframe.adultfriendfinder.com",
    "iframes.awempire.com",
    "iframes.perfectgonzo.com",
    "iframes.prettyincash.com",
    "iframes.us",
    "ign.us.intellitxt.com",
    "ignitad.com",
    "ih.adscale.de",
    "ihc.112.2o7.net",
    "ihm01.ct2.comclick.com",
    "iklan.emedia.com.my",
    "ilbanner.com",
    "ilead.itrack.it",
    "ilead.itrack.it",
    "ilgde.adocean.pl",
    "ilinks.industrybrains.com",
    "ilovecheating.com",
    "ilovecheating.com",
    "iluv.clickbooth.com",
    "im.adtech.de",
    "im.afy11.net",
    "im.banner.t-online.de",
    "im2.smartadserver.com",
    "imads.ero-advertising.com",
    "imads.integral-marketing.com",
    "imadworks.rediff.com",
    "image.adv.livedoor.com",
    "image.atdmt.com",
    "image.cecash.com",
    "image.i1img.com",
    "image1.cecash.com",
    "image2.pubmatic.com",
    "imageads.canoe.ca",
    "imageads.sexmoney.com",
    "imagec05.247realmedia.com",
    "imagec07.247realmedia.com",
    "imagec08.247realmedia.com",
    "imagec09.247realmedia.com",
    "imagec10.247realmedia.com",
    "imagec11.247realmedia.com",
    "imagec12.247realmedia.com",
    "imagec14.247realmedia.com",
    "imagec15.247realmedia.com",
    "imagec16.247realmedia.com",
    "imagec17.247realmedia.com",
    "imagecache.directtrack.com",
    "imagecash.net",
    "images-aud.freshmeat.net",
    "images-aud.slashdot.org",
    "images-aud.sourceforge.net",
    "images-pw.secureserver.net",
    "images-pw.secureserver.net",
    "images.888.com",
    "images.about.com",
    "images.adrime.com",
    "images.ads.fairfax.com.au",
    "images.ads.supplyframe.com",
    "images.ads.whaleads.com",
    "images.adsyndication.msn.com",
    "images.adviews.de",
    "images.bmnq.com",
    "images.bnmq.com",
    "images.brainfox.com",
    "images.bravenet.com",
    "images.casino-on-net.com",
    "images.ccbill.com",
    "images.cnomy.com",
    "images.cybereps.com",
    "images.ddc.com",
    "images.directtrack.com",
    "images.domainsponsor.com",
    "images.enhance.com",
    "images.hitwise.co.uk",
    "images.host.bannerflow.com",
    "images.indiads.com",
    "images.intellitxt.com",
    "images.kolmic.com",
    "images.m4n.nl",
    "images.outbrain.com",
    "images.pacificpoker.com",
    "images.parked.com",
    "images.primaryads.com",
    "images.rambler.ru",
    "images.secureserver.net",
    "images.sexlist.com",
    "images.skenzo.com",
    "images.specificclick.net",
    "images.taboola.com",
    "images.tumri.net",
    "images.v3.com",
    "images.webads.co.uk",
    "images.webads.it",
    "images.webads.nl",
    "images1.cliqueclack.com",
    "imagescroll.detik.com",
    "imageserv.adtech.de",
    "imagesrv.adition.com",
    "imagevenue.advertserve.com",
    "imarketservices.com",
    "imc2.122.2o7.net",
    "imeem.112.2o7.net",
    "img-dc2.adtech.de",
    "img.2leva.bg",
    "img.7search.com",
    "img.admaster.net",
    "img.adnet.com.tr",
    "img.adplan-ds.com",
    "img.ads.kompas.com",
    "img.ads.mocean.mobi",
    "img.ads.sanomamobileads.nl",
    "img.adverticum.net",
    "img.adzs.nl",
    "img.atdmt.com",
    "img.avatraffic.com",
    "img.bet-at-home.com",
    "img.casalemedia.com",
    "img.clicksagent.com",
    "img.cqcounter.com",
    "img.directtrack.com",
    "img.discovery.com",
    "img.dt00.net",
    "img.en25.com",
    "img.hitexchange.net",
    "img.jizzads.com",
    "img.linkstorm.net",
    "img.metaffiliation.com",
    "img.msgtag.com",
    "img.neogen.ro",
    "img.network.affiliando.com",
    "img.parked.ru",
    "img.prohardver.hu",
    "img.pulsemgr.com",
    "img.readme.ru",
    "img.revcontent.com",
    "img.royal-cash.com",
    "img.ruclicks.com",
    "img.sedoparking.com",
    "img.skenzo.com",
    "img.tradedoubler.com",
    "img.xratedbucks.com",
    "img1.ncsreporting.com",
    "img1.zergnet.com",
    "img100-321.xvideos.com",
    "img2.ru.redtram.com",
    "img2.zergnet.com",
    "img3.zergnet.com",
    "img4.zergnet.com",
    "img6.adspirit.de",
    "img7.adspirit.de",
    "imgad1.3conline.com",
    "imgad2.3conline.com",
    "imgad3.3conline.com",
    "imgc.psychcentral.com",
    "imgcdn.nrelate.com",
    "imgg.dt07.net",
    "imgg.marketgid.com",
    "imglinks.industrybrains.com",
    "imgn.dt00.net",
    "imgn.marketgid.com",
    "imgpromo.easyrencontre.com",
    "imgs.adverticum.net",
    "imgserv.adbutler.com",
    "imiliving.122.2o7.net",
    "immanalytics.com",
    "immosct.wemfbox.ch",
    "imnotobsessed.us.intellitxt.com",
    "imonitor.nethost.cz",
    "imp.clickability.com",
    "imp.double.net",
    "imp.euroads.no",
    "imp.tradedoubler.com",
    "impactwrestling.us.intellitxt.com",
    "impat.tradedoubler.com",
    "impbe.tradedoubler.com",
    "impch.tradedoubler.com",
    "impcz.tradedoubler.com",
    "impde.tradedoubler.com",
    "impdk.tradedoubler.com",
    "impes.tradedoubler.com",
    "impfi.tradedoubler.com",
    "impfr.tradedoubler.com",
    "impgb.tradedoubler.com",
    "impie.tradedoubler.com",
    "impit.tradedoubler.com",
    "implt.tradedoubler.com",
    "impnl.tradedoubler.com",
    "impno.tradedoubler.com",
    "imppl.tradedoubler.com",
    "imprese.cz",
    "impressionmedia.cz",
    "impressionz.co.uk",
    "impru.tradedoubler.com",
    "impse.tradedoubler.com",
    "imreportcard.us.intellitxt.com",
    "imrworldwide.com",
    "imstore.bet365affiliates.com",
    "in-appadvertising.com",
    "in-cdn.effectivemeasure.net",
    "in.11zz.com",
    "in.adserver.yahoo.com",
    "in.cybererotica.com",
    "in.ff5.com",
    "in.getclicky.com",
    "in.joinourwebsite.com",
    "in.riskymail4free.com",
    "in.zog.link",
    "in3.zog.link",
    "inapi.posst.co",
    "inboxdollars.com",
    "incentaclick.com",
    "incisivemedia.112.2o7.net",
    "inclk.com",
    "include.reinvigorate.net",
    "indexhu.adocean.pl",
    "indexstats.com",
    "india-forums.us.intellitxt.com",
    "indiads.com",
    "indianapolis.hosted.xms.keynote.com",
    "indieclick.com",
    "indigio.122.2o7.net",
    "indium.openx.net",
    "industrybrains.com",
    "inetlog.ru",
    "inetlog.ru",
    "infinite-ads.com",
    "infinityads.com",
    "infinityid.condenastdigital.com",
    "info-images.rambler.ru",
    "info.intelli-direct.com",
    "info.telstra.com",
    "infolinks.com",
    "infopackets.us.intellitxt.com",
    "information.com",
    "informer.yandex.ru",
    "infos-du-net.fr.intellitxt.com",
    "infoworldmediagroup.112.2o7.net",
    "infrastrategy.122.2o7.net",
    "infratotalduicom.122.2o7.net",
    "ingameads.gameloft.com",
    "inline.admedia.com",
    "inm.affinitymatrix.com",
    "inndl.com",
    "ino.directtrack.com",
    "inquake.de.intellitxt.com",
    "inringtone.com",
    "inscreen.widespace.com",
    "insert.gloadmarket.com",
    "insidemacgames.us.intellitxt.com",
    "insiderpagescom.122.2o7.net",
    "insight.adsrvr.org",
    "insightexpress.com",
    "insightexpressai.com",
    "insightexpresserdd.com",
    "inskinad.com",
    "inspectorclick.com",
    "instadia.112.2o7.net",
    "installm.net",
    "instantmadness.com",
    "insticator-d.openx.net",
    "insurancejournal.freestats.com",
    "int.sitestat.com",
    "intactro.adocean.pl",
    "intadserver101.info",
    "intadserver102.info",
    "intadserver103.info",
    "intbrands.t.domdex.com",
    "intelcorpchan.112.2o7.net",
    "intelcorperror.112.2o7.net",
    "intelcorpsupp.112.2o7.net",
    "intelliads.com",
    "intellitxt.com",
    "intellitxt.com",
    "interactive.forthnet.gr",
    "interchangecorporation.122.2o7.net",
    "intergi.com",
    "interia.hit.gemius.pl",
    "interland.122.2o7.net",
    "intermediaceli.com",
    "intermediads.com",
    "intermix.us.intellitxt.com",
    "intermrkts.vo.llnwd.net",
    "internal.fuckyoucash.com",
    "internalads.gammae.com",
    "internet.marsmediachannels.com",
    "internetautoguide.us.intellitxt.com",
    "internetfuel.com",
    "internetretailer.d2.sc.omtrdc.net",
    "internetsecurity.com",
    "interreklame.de",
    "interstat.hu",
    "interyield.jmp9.com",
    "interyield.td553.com",
    "interyield.td563.com",
    "intext.billboard.cz",
    "intext.lookit.cz",
    "intogossip.us.intellitxt.com",
    "intomobile.us.intellitxt.com",
    "intuit.sp1.convertro.com",
    "intuitinc.122.2o7.net",
    "investingchannel.us.intellitxt.com",
    "investopedia.us.intellitxt.com",
    "investoradbg.hit.gemius.pl",
    "investorbg.adocean.pl",
    "invideo.ero-advertising.com",
    "invitation.opinionbar.com",
    "invite.insightexpress.com",
    "iocdn.coremetrics.com",
    "ip-api.com",
    "ip-geo.appspot.com",
    "ip.casalemedia.com",
    "ip.nuggad.net",
    "ip.ro",
    "ip193.cn",
    "ipcmarieclaireprod.122.2o7.net",
    "ipcmedia.122.2o7.net",
    "ipcnowprod.122.2o7.net",
    "ipcuncut.122.2o7.net",
    "ipcwebuserprod.122.2o7.net",
    "ipcyachtingworldprod.122.2o7.net",
    "iperceptions.com",
    "ipro.com",
    "ipromsi.iprom.net",
    "ips-invite.iperceptions.com",
    "ir-de.amazon-adsystem.com",
    "ir-na.amazon-adsystem.com",
    "ir-uk.amazon-adsystem.com",
    "ir.doubleclick.net",
    "ireklama.cz",
    "ireklama.mk",
    "is.luxup.ru",
    "is.spring-tns.net",
    "is2.websearch.com",
    "ism2trk.com",
    "ism6.emediate.eu",
    "isralink.net",
    "it.adserver.yahoo.com",
    "it.bannerout.com",
    "it.best-top.biz",
    "it.erosadv.com",
    "itc.2081.blueseek.com",
    "itcg3.c5369.blueseek.com",
    "itcompany.com",
    "itfarm.com",
    "itmcash.com",
    "itmedia.122.2o7.net",
    "itop.cz",
    "itpro.uk.intellitxt.com",
    "itreviews.uk.intellitxt.com",
    "its-that-easy.com",
    "itsptp.com",
    "ittoolbox.us.intellitxt.com",
    "itunesdownloadstore.com",
    "itv.112.2o7.net",
    "itworld.us.intellitxt.com",
    "itxt.vibrantmedia.com",
    "itxt2.us.intellitxt.com",
    "itxt3.us.intellitxt.com",
    "iusacomlive.112.2o7.net",
    "iv.doubleclick.net",
    "ivillage.us.intellitxt.com",
    "ivillageglobal.112.2o7.net",
    "ivitrine.buscape.com",
    "ivox.socratos.net",
    "iw.antthis.com",
    "iwa.hit.interia.pl",
    "iwon.us.intellitxt.com",
    "iyogi.demdex.net",
    "j.adlooxtracking.com",
    "j.clickdensity.com",
    "j.flxpxl.com",
    "j.pioneeringad.com",
    "j.theadsnet.com",
    "j.traffichunt.com",
    "ja.revolvermaps.com",
    "jabu.popunder.ru",
    "jackpot.112.2o7.net",
    "jacksonsun.us.intellitxt.com",
    "jact.atdmt.com",
    "jadcenter.com",
    "jade01.webtrekk.net",
    "jadserve.postrelease.com",
    "jakeludington.us.intellitxt.com",
    "james.adbutler.de",
    "java2.casino-on-net.com",
    "jb.revolvermaps.com",
    "jc.revolvermaps.com",
    "jcount.com",
    "jd.revolvermaps.com",
    "je.revolvermaps.com",
    "jennycraig.112.2o7.net",
    "jetbluecom2.112.2o7.net",
    "jetbluepkgcs.112.2o7.net",
    "jf.revolvermaps.com",
    "jg.revolvermaps.com",
    "jh.revolvermaps.com",
    "ji.revolvermaps.com",
    "jijsonline.112.2o7.net",
    "jijsonline.122.2o7.net",
    "jiktnv.122.2o7.net",
    "jinkads.de",
    "jiwire.112.2o7.net",
    "jiwtmj.122.2o7.net",
    "jizzads.com",
    "jk.revolvermaps.com",
    "jkontherun.us.intellitxt.com",
    "jlinks.industrybrains.com",
    "jmm.livestat.com",
    "jmsyap.112.2o7.net",
    "joblo.us.intellitxt.com",
    "jobzdk.nuggad.net",
    "joe.freelogs.com",
    "joetec.net",
    "johnlewis.112.2o7.net",
    "join4free.com",
    "journalregistercompany.122.2o7.net",
    "jp.admob.com",
    "jpdk.nuggad.net",
    "jppol.nuggad.net",
    "jque.net",
    "jrcdelcotimescom.122.2o7.net",
    "jrcom.112.2o7.net",
    "js-agent.newrelic.com",
    "js-at.goldbach.com",
    "js-sec.indexww.com",
    "js.ad-score.com",
    "js.ad.mediamond.it",
    "js.adlink.net",
    "js.adscale.de",
    "js.adserverpub.com",
    "js.adsonar.com",
    "js.adsrvr.org",
    "js.affiliatelounge.com",
    "js.apxlv.com",
    "js.bizographics.com",
    "js.bunchofads.com",
    "js.casalemedia.com",
    "js.clickequations.net",
    "js.coinisrsdelivery.com",
    "js.convertale.com",
    "js.cybermonitor.com",
    "js.dmtry.com",
    "js.e-generator.com",
    "js.en.redtram.com",
    "js.ero-advertising.com",
    "js.geoads.com",
    "js.himediads.com",
    "js.hotlog.ru",
    "js.hs-analytics.net",
    "js.hubspot.com",
    "js.indexww.com",
    "js.livehelper.com",
    "js.matheranalytics.com",
    "js.moatads.com",
    "js.nster.net",
    "js.redtram.com",
    "js.revsci.net",
    "js.ru.redtram.com",
    "js.smartredirect.de",
    "js.smi2.ru",
    "js.srcsmrtgs.com",
    "js.stats.de",
    "js.stormiq.com",
    "js.ua.redtram.com",
    "js.users.51.la",
    "js.users.51.la",
    "js11.clickzs.com",
    "js11.clickzzs.nl",
    "js3.clickzs.com",
    "js4.clickzs.com",
    "js4.ringrevenue.com",
    "js5.clickzs.com",
    "js6.clickzs.com",
    "js7.clickzs.com",
    "js7.clickzzs.nl",
    "js8.clickzs.com",
    "js9.clickzs.com",
    "jsads.sina.com.hk",
    "jsc.adskeeper.co.uk",
    "jsc.dt07.net",
    "jsc.madisonlogic.com",
    "jsc.marketgid.com",
    "jsc.mgid.com",
    "jsfp.coremetrics.com",
    "jsg.dt07.net",
    "jsl.revsci.net",
    "jsn.dt00.net",
    "jsn.dt07.net",
    "jsn.marketgid.com",
    "jsn.mgid.com",
    "json4.ringrevenue.com",
    "jsonip.com",
    "jsp.clickzs.com",
    "jsp.clickzzs.nl",
    "jsp2.clickzs.com",
    "jsp2.clickzzs.nl",
    "jsu.mgid.com",
    "jt.india.com",
    "jubdk.nuggad.net",
    "judo.salon.com",
    "juggler.services.disqus.com",
    "juicy-news.blogspot.us.intellitxt.com",
    "juicyads.com",
    "juicyceleb.us.intellitxt.com",
    "jumptap.com",
    "junior.apk.net",
    "jupiter.us.intellitxt.com",
    "justjared.crwdcntrl.net",
    "justjared.us.intellitxt.com",
    "justmovietrailers.us.intellitxt.com",
    "justns.com",
    "justrelevant.com",
    "justwebads.com",
    "jutiagroup.us.intellitxt.com",
    "jwpltx.com",
    "k.iinfo.cz",
    "k.iinfo.cz",
    "k1s.nl",
    "k5zoom.com",
    "ka.bar.need2find.com",
    "kaboose.112.2o7.net",
    "kaboose.us.intellitxt.com",
    "kainari.spring-tns.net",
    "kaizentraffic.com",
    "kamasutra.popunder.ru",
    "kanoodle.com",
    "kantarmedia.guardian.co.uk",
    "kaspersky.122.2o7.net",
    "kasperthreatpostprod.112.2o7.net",
    "kasterborous.us.intellitxt.com",
    "kazaa.com",
    "kbbmain.112.2o7.net",
    "kc.mv.bidsystem.com",
    "kc.search.need2find.com",
    "keepaneyeadmk.hit.gemius.pl",
    "keepaneyemk.adocean.pl",
    "keisu02.eproof.com",
    "kelleybluebook.112.2o7.net",
    "kermit.pinion.gg",
    "keymedia.hu",
    "keytarget.adnet.lt",
    "keywordmax.com",
    "keywords.fmpub.net",
    "killerstartups.us.intellitxt.com",
    "kindads.com",
    "kinofree.popunder.ru",
    "kiplinger-d.openx.net",
    "kiplinger.112.2o7.net",
    "kissfmro.count.brat-online.ro",
    "kissingsuzykolber.us.intellitxt.com",
    "kissmetrics.com",
    "kliks.nl",
    "klipmart.forbes.com",
    "knac.us.intellitxt.com",
    "knowyourmobile.uk.intellitxt.com",
    "komoona.com",
    "kompasads.com",
    "kon.hit.gemius.pl",
    "kona.kontera.com",
    "kona29.kontera.com",
    "konnect.videoplaza.tv",
    "kontera.com",
    "kotikokki.spring-tns.net",
    "kpopstarz.us.intellitxt.com",
    "krater.iprom.net",
    "krone.nuggad.net",
    "kropka.onet.pl",
    "krs.ymxpb.com",
    "kt-g.de",
    "kt.tns-gallup.dk",
    "ktu.sv2.biz",
    "ktu.sv2.biz",
    "kvors.com",
    "kwserver.adhispanic.com",
    "kz.search.need2find.com",
    "kz.tns-counter.ru",
    "l.adxcore.com",
    "l.betrad.com",
    "l.kavanga.ru",
    "l.linkpulse.com",
    "l.lp4.io",
    "l.ohmyad.co",
    "l.sharethis.com",
    "l.socialsexnetwork.net",
    "l.springmetrics.com",
    "l.yieldmanager.net",
    "l1.cdn.qnsr.com",
    "l1.qsstats.com",
    "l1.zedo.com",
    "l2.zedo.com",
    "l3.zedo.com",
    "l4.zedo.com",
    "l5.zedo.com",
    "l6.zedo.com",
    "l7.zedo.com",
    "l8.zedo.com",
    "lab88inc.112.2o7.net",
    "laboroflove.us.intellitxt.com",
    "labs.natpal.com",
    "laineygossip.us.intellitxt.com",
    "lakequincy.com",
    "lakeshore.d1.sc.omtrdc.net",
    "landing.trafficz.com",
    "landingpages.sunnytoolz.com",
    "landings.trafficz.com",
    "laptoplogic.us.intellitxt.com",
    "laptopmag.122.2o7.net",
    "laptopmag.us.intellitxt.com",
    "laredoute.solution.weborama.fr",
    "lastampa01.webtrekk.net",
    "lastminengb.112.2o7.net",
    "lat34.us.intellitxt.com",
    "latin3.directtrack.com",
    "latinoreview.us.intellitxt.com",
    "latinpost.us.intellitxt.com",
    "launch.adserver.yahoo.com",
    "launch.zugo.com",
    "laurel.rovicorp.com",
    "laxnws.112.2o7.net",
    "laxprs.112.2o7.net",
    "laxpsd.112.2o7.net",
    "laxtrb.112.2o7.net",
    "laxwht.112.2o7.net",
    "laxwht.122.2o7.net",
    "layer-ad.de",
    "layer-ad.org",
    "layer-ads.de",
    "layerads.ero-advertising.com",
    "layout1.realtracker.com",
    "lb.fruitflan.com",
    "lb.web-stat.com",
    "lbn.ru",
    "lc.livefyre.com",
    "lct.salesforce.com",
    "lct.salesforce.com",
    "ld2.criteo.com",
    "ldsfch.112.2o7.net",
    "lead-123.com",
    "lead-analytics.nl",
    "lead.program3.com",
    "leadback.advertising.com",
    "leadboltads.net",
    "leadclick.com",
    "leadgenetwork.com",
    "leadingedgecash.com",
    "leadzupc.com",
    "leaitworldprod.112.2o7.net",
    "leeenterprises.112.2o7.net",
    "legitreviews-uk.intellitxt.com",
    "lehtimedia.spring-tns.net",
    "lesechos.ezakus.net",
    "letsgodigital.uk.intellitxt.com",
    "letsrun.us.intellitxt.com",
    "letzonke.com",
    "level3.applifier.com",
    "levelrate.de",
    "leveragemarketing.112.2o7.net",
    "lfscpttracking.com",
    "lfstmedia.com",
    "lg1.brandreachsys.com",
    "lib.spinmedia.com",
    "lib4.libstat.com",
    "lib6.libstat.com",
    "libs.de.coremetrics.com",
    "lidlretargeting.adspirit.de",
    "lifemediahouse1.onlinewelten.com",
    "lifescript.us.intellitxt.com",
    "liftdna.com",
    "ligatus.com",
    "ligatus.de",
    "lightningcast.net",
    "lightspeedcash.com",
    "limg.adspirit.de",
    "link-booster.de",
    "link.bannersystem.cz",
    "link.ixs1.net",
    "link.link.ru",
    "link.maxxandmore.com",
    "link.ru",
    "link.siccash.com",
    "link4ads.com",
    "link4link.com",
    "linkadd.de",
    "linkbuddies.com",
    "linkbuddies.com",
    "linkexchange.com",
    "linkjumps.com",
    "linkprice.com",
    "linkrain.com",
    "linkreferral.com",
    "links-and-traffic.com",
    "links-ranking.de",
    "links.industrybrains.com",
    "links.outster.com",
    "links.services.disqus.com",
    "links.sexlist.com",
    "links.sextracker.com",
    "links.worldbannerexchange.com",
    "links.xxxcounter.com",
    "linksexchange.net",
    "linkshighway.com",
    "linkstorms.com",
    "linkswaper.com",
    "linktarget.com",
    "linktarget.com",
    "linktrack.bravenet.com",
    "lintv.122.2o7.net",
    "linuxdevcenter.us.intellitxt.com",
    "linuxjournal.us.intellitxt.com",
    "lionstracking.com",
    "liquidad.narrowcastmedia.com",
    "list.ru",
    "live-cams-0.livejasmin.com",
    "live-cams-1.livejasmin.com",
    "live.monitus.net",
    "live.sekindo.com",
    "livecamgirls.streamray.com",
    "livecams.nl",
    "livedealcom.112.2o7.net",
    "liveintent.com",
    "livejournal.tags.crwdcntrl.net",
    "livenation.122.2o7.net",
    "livenation.sp1.convertro.com",
    "liveperson.net",
    "liverail.com",
    "livescience.us.intellitxt.com",
    "livestrong.us.intellitxt.com",
    "livetracker.voanews.eu",
    "livingsocial.sp1.convertro.com",
    "ll.atdmt.com",
    "lladinserts.us.publicus.com",
    "lmcd.us.intellitxt.com",
    "lo2.me",
    "load.exelator.com",
    "load.instinctiveads.com",
    "load.passionfruitads.com",
    "load.s3.amazonaws.com",
    "load.scanscout.com",
    "load.sumome.com",
    "loader.topadvert.ru",
    "loadeu.exelator.com",
    "loading321.com",
    "loadm.exelator.com",
    "loadus.exelator.com",
    "loady.de.intellitxt.com",
    "lobby.sexlist.com",
    "loc1.hitsprocessor.com",
    "lockergnome.us.intellitxt.com",
    "log.adap.tv",
    "log.aebn.net",
    "log.btopenworld.com",
    "log.feedjit.com",
    "log.hankooki.com",
    "log.idg.no",
    "log.mmstat.com",
    "log.newsvine.com",
    "log.olark.com",
    "log.optimizely.com",
    "log.outbrain.com",
    "log.pinion.gg",
    "log.trafic.ro",
    "log2.quintelligence.com",
    "log3.optimizely.com",
    "loga.hit-parade.com",
    "loga.xiti.com",
    "logc1.xiti.com",
    "logc11.xiti.com",
    "logc111.xiti.com",
    "logc13.xiti.com",
    "logc135.xiti.com",
    "logc138.xiti.com",
    "logc14.xiti.com",
    "logc142.xiti.com",
    "logc149.xiti.com",
    "logc15.xiti.com",
    "logc16.xiti.com",
    "logc169.xiti.com",
    "logc173.xiti.com",
    "logc175.xiti.com",
    "logc180.xiti.com",
    "logc181.xiti.com",
    "logc189.xiti.com",
    "logc19.xiti.com",
    "logc2.xiti.com",
    "logc202.xiti.com",
    "logc205.xiti.com",
    "logc206.xiti.com",
    "logc209.xiti.com",
    "logc210.xiti.com",
    "logc218.xiti.com",
    "logc22.xiti.com",
    "logc238.xiti.com",
    "logc253.xiti.com",
    "logc26.xiti.com",
    "logc279.xiti.com",
    "logc3.xiti.com",
    "logc31.xiti.com",
    "logc32.xiti.com",
    "logc35.xiti.com",
    "logc400.xiti.com",
    "logc7.xiti.com",
    "logc8.xiti.com",
    "logc89.xiti.com",
    "logger.cash-media.de",
    "logi10.xiti.com",
    "logi103.xiti.com",
    "logi104.xiti.com",
    "logi11.xiti.com",
    "logi118.xiti.com",
    "logi12.xiti.com",
    "logi125.xiti.com",
    "logi13.xiti.com",
    "logi141.xiti.com",
    "logi150.xiti.com",
    "logi151.xiti.com",
    "logi162.xiti.com",
    "logi163.xiti.com",
    "logi242.xiti.com",
    "logi4.xiti.com",
    "logi5.xiti.com",
    "logi6.xiti.com",
    "logi7.xiti.com",
    "logi8.xiti.com",
    "logi9.xiti.com",
    "login.tracking101.com",
    "logliberation.xiti.com",
    "lognormal.net",
    "logo.onlinewebstat.com",
    "logo.webservis.gen.tr",
    "logos.libstat.com",
    "logos.x-traceur.com",
    "logp.hit-parade.com",
    "logp.xiti.com",
    "logp2.xiti.com",
    "logp3.xiti.com",
    "logs.loggly.com",
    "logs.sexy-parade.com",
    "logs.thebloggernetwork.com",
    "logs1125.xiti.com",
    "logs1204.xiti.com",
    "logs1285.xiti.com",
    "logua.com",
    "logv1.xiti.com",
    "logv10.xiti.com",
    "logv11.xiti.com",
    "logv12.xiti.com",
    "logv13.xiti.com",
    "logv14.xiti.com",
    "logv143.xiti.com",
    "logv144.xiti.com",
    "logv145.xiti.com",
    "logv15.xiti.com",
    "logv16.xiti.com",
    "logv17.xiti.com",
    "logv18.xiti.com",
    "logv19.xiti.com",
    "logv2.xiti.com",
    "logv20.xiti.com",
    "logv21.xiti.com",
    "logv22.xiti.com",
    "logv23.xiti.com",
    "logv24.xiti.com",
    "logv25.xiti.com",
    "logv26.xiti.com",
    "logv27.xiti.com",
    "logv28.xiti.com",
    "logv29.xiti.com",
    "logv3.xiti.com",
    "logv30.xiti.com",
    "logv31.xiti.com",
    "logv32.xiti.com",
    "logv4.xiti.com",
    "logv5.xiti.com",
    "logv6.xiti.com",
    "logv7.xiti.com",
    "logv8.xiti.com",
    "logv9.xiti.com",
    "logw312.ati-host.net",
    "logw349.ati-host.net",
    "lohud.us.intellitxt.com",
    "lokalavisendk.nuggad.net",
    "longhornblogs.us.intellitxt.com",
    "longtraffic.com",
    "lop.com",
    "low-hacker.popunder.ru",
    "lowes.tt.omtrdc.net",
    "lp.downloadquick.net",
    "lp.sharelive.net",
    "lp.torchbrowser.com",
    "lpm-francetv.nuggad.net",
    "lpm-lagardere.nuggad.net",
    "lpm-tf1.nuggad.net",
    "lptag.liveperson.net",
    "lrytasadlt.hit.gemius.pl",
    "lrytaslt.adocean.pl",
    "ls.hit.gemius.pl",
    "lse.uk.intellitxt.com",
    "lstats.qip.ru",
    "lt.adocean.pl",
    "lt.hit.gemius.pl",
    "lt.retargeter.com",
    "lt3.hit.stat24.com",
    "lucidmedia.com",
    "luksona.popunder.ru",
    "lunafetch.about.com",
    "luxup.ru",
    "lv.adocean.pl",
    "lv.hit.gemius.pl",
    "lvivmedia.sitescoutadserver.com",
    "lvs.truehits.in.th",
    "lxer.us.intellitxt.com",
    "lycos-eu.imrworldwide.com",
    "lycosu.com",
    "lyrics.us.intellitxt.com",
    "lzjl.com",
    "m.admedia.com",
    "m.adx.bg",
    "m.burt.io",
    "m.doubleclick.net",
    "m.exactag.com",
    "m.fr.a2dfp.net",
    "m.friendlyduck.com",
    "m.sancdn.net",
    "m.servebom.com",
    "m.teamsugar.com",
    "m.tribalfusion.com",
    "m.usersonline.com",
    "m.v.fwmrm.net",
    "m.webtrends.com",
    "m.webtrends.com",
    "m1.2mdn.net",
    "m1.fwmrm.net",
    "m1.nedstatpro.net",
    "m1.webstats.motigo.com",
    "m1.webstats4u.com",
    "m1.webstats4u.com",
    "m2.fwmrm.net",
    "m2.xhamster.com",
    "m2k.ru",
    "m4n.nl",
    "m57ku6sm.com",
    "ma156-r.analytics.edgekey.net",
    "ma156-r.analytics.edgesuite.net",
    "ma204-r.analytics.edgesuite.net",
    "ma211-r.analytics.edgesuite.net",
    "ma74-r.analytics.edgesuite.net",
    "ma76-c.analytics.edgesuite.net",
    "ma76-r.analytics.edgesuite.net",
    "macdailynews.us.intellitxt.com",
    "macgamefiles.us.intellitxt.com",
    "mackeeperapp.mackeeper.com",
    "macmegasite.us.intellitxt.com",
    "macnewsworld.us.intellitxt.com",
    "macnn.us.intellitxt.com",
    "macobserver.us.intellitxt.com",
    "macwelt.de.intellitxt.com",
    "mad.uk.intellitxt.com",
    "mad2.brandreachsys.com",
    "madamenoire.us.intellitxt.com",
    "madclient.uimserv.net",
    "madclient.uimserv.net",
    "madisonavenue.com",
    "madpenguin.us.intellitxt.com",
    "mads.bnet.com",
    "mads.cbs.com",
    "mads.cbsnews.com",
    "mads.chow.com",
    "mads.cnet.com",
    "mads.cnet.com",
    "mads.cnettv.com",
    "mads.dailymail.co.uk",
    "mads.download.com",
    "mads.gamefaqs.com",
    "mads.mp3.com",
    "mads.theinsider.com",
    "mads.tv.com",
    "mads.zdnet.com",
    "madserver.net",
    "madvertise.de",
    "magazines.sp1.convertro.com",
    "magnetic.domdex.com",
    "magnetic.t.domdex.com",
    "mailtribunecom.112.2o7.net",
    "main.clicksor.com",
    "main.exoclick.com",
    "main.rampidads.com",
    "mainstream.topbucks.com",
    "mainstreet.us.intellitxt.com",
    "majorgeeks.us.intellitxt.com",
    "makeherup.us.intellitxt.com",
    "makemeheal.us.intellitxt.com",
    "makeushot.us.intellitxt.com",
    "mamamia.au.intellitxt.com",
    "map.media6degrees.com",
    "map2.adsniper.ru",
    "mapscom2.112.2o7.net",
    "mapstats.blogflux.com",
    "marchex.com",
    "marchofdimes.d2.sc.omtrdc.net",
    "marinermarketing.112.2o7.net",
    "marirtr1.com",
    "market-buster.com",
    "market2.the-adult-company.com",
    "marketgid.com",
    "marketing.888.com",
    "marketing.888.com",
    "marketing.doubleclickindustries.com",
    "marketing.hearstmagazines.nl",
    "marketing.nyi.net",
    "marketing.osijek031.com",
    "marketingenhanced.com",
    "marketingsolutions.yahoo.com",
    "marketlive.122.2o7.net",
    "marketworksinc.122.2o7.net",
    "marksandspencer.122.2o7.net",
    "maroonspider.com",
    "marthastewart.demdex.net",
    "mas.sector.sk",
    "masalatalk.us.intellitxt.com",
    "mashable.d2.sc.omtrdc.net",
    "mass-traffic.com",
    "mastermind.com",
    "masterofalltradetax.online",
    "mastertarget.ru",
    "match.adsrvr.org",
    "match.rundsp.com",
    "match.xg4ken.com",
    "matchbin-assets.s3.amazonaws.com",
    "matchcraft.com",
    "matcher.idtargeting.com",
    "mathtag.com",
    "matomy.adk2.co",
    "mattressusa.122.2o7.net",
    "mau.sextracker.com",
    "maurobb.freecounter.it",
    "max.bannermanager.gr",
    "max.gunggo.com",
    "max.i12.de",
    "maxads.ruralpress.com",
    "maxim.122.2o7.net",
    "maximumcash.com",
    "maxtracker.net",
    "maxxaffiliate.directtrack.com",
    "mazdaworld.us.intellitxt.com",
    "mb.datingadzone.com",
    "mbank.hit.gemius.pl",
    "mbe.ru",
    "mbn.com.ua",
    "mbn.com.ua",
    "mbox.offermatica.intuit.com",
    "mbox12.offermatica.com",
    "mbox3.offermatica.com",
    "mbox3e.offermatica.com",
    "mbox4.offermatica.com",
    "mbox4e.offermatica.com",
    "mbox5.offermatica.com",
    "mbox6.offermatica.com",
    "mbox9.offermatica.com",
    "mbox9e.offermatica.com",
    "mbs.megaroticlive.com",
    "mbuyu.nl",
    "mc.yandex.ru",
    "mcclatchy.112.2o7.net",
    "mci12.clicksor.com",
    "mclient.ivwbox.de",
    "mcmads.mediacapital.pt",
    "mct.rkdms.com",
    "mdctrail.com",
    "mde.ubid.com",
    "mdjacksonville.112.2o7.net",
    "mdnhinc.com",
    "mdotm.com",
    "mdpparents.112.2o7.net",
    "mdr.ivwbox.de",
    "mdstaugustine.112.2o7.net",
    "mdwathens.112.2o7.net",
    "mdwaugusta.112.2o7.net",
    "mdwjuneau.112.2o7.net",
    "mdwoakridge.112.2o7.net",
    "mdwsavannah.112.2o7.net",
    "mdwskirt.112.2o7.net",
    "me-cdn.effectivemeasure.net",
    "me.effectivemeasure.net",
    "measure.richmetrics.com",
    "measuremap.com",
    "med-tek.tns-cs.net",
    "medhelpinternational.112.2o7.net",
    "media-0.vpptechnologies.com",
    "media-1.vpptechnologies.com",
    "media-2.vpptechnologies.com",
    "media-4.vpptechnologies.com",
    "media-5.vpptechnologies.com",
    "media-6.vpptechnologies.com",
    "media-8.vpptechnologies.com",
    "media-a.vpptechnologies.com",
    "media-adrunner.mycomputer.com",
    "media-b.vpptechnologies.com",
    "media-c.vpptechnologies.com",
    "media-d.vpptechnologies.com",
    "media-e.vpptechnologies.com",
    "media-f.vpptechnologies.com",
    "media-match.com",
    "media-servers.net",
    "media.adcarousel.pl",
    "media.adfrontiers.com",
    "media.adlegend.com",
    "media.adrevolver.com",
    "media.ads.gfsrv.net",
    "media.adservinginternational.com",
    "media.adxpansion.com",
    "media.affiliatelounge.com",
    "media.b.lead.program3.com",
    "media.baventures.com",
    "media.brandreachsys.com",
    "media.cashcownetworks.com",
    "media.contextweb.com",
    "media.customeracquisitionsite.com",
    "media.easyads.bg",
    "media.exchange-it.com",
    "media.exchange.bg",
    "media.foundry42.com",
    "media.ftv-publicite.fr",
    "media.ftv-publicite.fr",
    "media.funpic.de",
    "media.go2speed.org",
    "media.gsimedia.net",
    "media.hauptbruch.de",
    "media.intelia.it",
    "media.lead.program3.com",
    "media.livepromotools.com",
    "media.lovercash.com",
    "media.m-adx.com",
    "media.markethealth.com",
    "media.netrefer.com",
    "media.pointroll.com",
    "media.popunder.com",
    "media.pussycash.com",
    "media.richrelevance.com",
    "media.scanscout.com",
    "media.sexinyourcity.com",
    "media.struq.com",
    "media.the-adult-company.com",
    "media.trafficfactory.biz",
    "media.trafficjunky.net",
    "media.travelzoo.com",
    "media.ventivmedia.com",
    "media.yesmessenger.com",
    "media01.adservinghost.com",
    "media1.ancestry.com",
    "media2.netrefer.com",
    "media2.travelzoo.com",
    "media6degrees.com",
    "mediaarea.eu",
    "mediabistro.112.2o7.net",
    "mediabistrocom.112.2o7.net",
    "mediacharger.com",
    "mediadc-d.openx.net",
    "mediadvertising.ro",
    "mediageneral.com",
    "medialogic.122.2o7.net",
    "mediamath.com",
    "mediamatters.112.2o7.net",
    "mediamgr.ugo.com",
    "mediamgr.ugo.com",
    "mediaplazza.com",
    "mediaplex.com",
    "mediaregad.hit.gemius.pl",
    "mediascale.de",
    "mediaserver.bwinpartypartners.com",
    "mediatex.in",
    "mediatext.com",
    "mediaview.globalmailer.com",
    "mediax.angloinfo.com",
    "mediaz.angloinfo.com",
    "medicinenet.us.intellitxt.com",
    "medienhaus.nuggad.net",
    "medindia.us.intellitxt.com",
    "medleyads.com",
    "medleyads.com",
    "medyanetads.com",
    "meetupdev.122.2o7.net",
    "megacash.de",
    "megago.com",
    "megapopads.com",
    "megastats.com",
    "megawerbung.de",
    "meiluziai.info",
    "mein.monster.de",
    "members.commissionmonster.com",
    "members.popup.tbn.ru",
    "members.sexroulette.com",
    "memberservicesinc.122.2o7.net",
    "memoclic.fr.intellitxt.com",
    "memphisrap.us.intellitxt.com",
    "mercury.tiser.com.au",
    "meredithlocal-d.openx.net",
    "meredithtv.us.intellitxt.com",
    "meta.7search.com",
    "metacafe.122.2o7.net",
    "metacount.com",
    "metaffiliation.com",
    "metagaua.hit.gemius.pl",
    "metanetwork.com",
    "meter-svc.nytimes.com",
    "metering.pagesuite.com",
    "methodcash.com",
    "methodshop.us.intellitxt.com",
    "metric.allrecipes.com",
    "metric.angieslist.com",
    "metric.bizjournals.com",
    "metric.makemytrip.com",
    "metric.marthastewart.com",
    "metric.modcloth.com",
    "metric.mylife.com",
    "metric.petinsurance.com",
    "metric.rent.com",
    "metric.superpages.com",
    "metric.trulia.com",
    "metric.volkswagen.com",
    "metric.worldcat.org",
    "metric.yellowpages.com",
    "metrics-api.librato.com",
    "metrics.aarp.org",
    "metrics.accuweather.com",
    "metrics.acehardware.com",
    "metrics.aetn.com",
    "metrics.amd.com",
    "metrics.americancityandcounty.com",
    "metrics.apartmentfinder.com",
    "metrics.ariba.com",
    "metrics.autobytel.com",
    "metrics.automobilemag.com",
    "metrics.autotrader.co.uk",
    "metrics.aviasales.ru",
    "metrics.azfamily.com",
    "metrics.babycenter.com",
    "metrics.babycentre.co.uk",
    "metrics.beachbody.com",
    "metrics.bestbuy.com",
    "metrics.bet.com",
    "metrics.bhg.com",
    "metrics.bitdefender.com",
    "metrics.blackberry.com",
    "metrics.bloomberg.com",
    "metrics.bose.com",
    "metrics.boston.com",
    "metrics.brightcove.com",
    "metrics.car.com",
    "metrics.caranddriver.com",
    "metrics.carbonite.com",
    "metrics.carphonewarehouse.com",
    "metrics.cars.com",
    "metrics.cbc.ca",
    "metrics.centex.com",
    "metrics.chacha.com",
    "metrics.chron.com",
    "metrics.cleveland.com",
    "metrics.cnn.com",
    "metrics.compactappliance.com",
    "metrics.corus.ca",
    "metrics.cosmopolitan.co.uk",
    "metrics.crystalcruises.com",
    "metrics.csmonitor.com",
    "metrics.ctv.ca",
    "metrics.ctvdigital.net",
    "metrics.dailymotion.com",
    "metrics.dailystrength.org",
    "metrics.dallasnews.com",
    "metrics.delta.com",
    "metrics.dentonrc.com",
    "metrics.dickssportinggoods.com",
    "metrics.discovery.com",
    "metrics.divinecaroline.com",
    "metrics.diy.com",
    "metrics.doctoroz.com",
    "metrics.dollargeneral.com",
    "metrics.dunkindonuts.com",
    "metrics.ems.com",
    "metrics.express.com",
    "metrics.expressen.se",
    "metrics.fedex.com",
    "metrics.finishline.com",
    "metrics.fitnessmagazine.com",
    "metrics.flyingmag.com",
    "metrics.fnac.es",
    "metrics.ford.com",
    "metrics.foreignpolicy.com",
    "metrics.foxnews.com",
    "metrics.frontlineshop.com",
    "metrics.gamestop.com",
    "metrics.gcimetrics.com",
    "metrics.gnc.com",
    "metrics.govexec.com",
    "metrics.harley-davidson.com",
    "metrics.hbogo.com",
    "metrics.hhgregg.com",
    "metrics.homebase.co.uk",
    "metrics.hoovers.com",
    "metrics.howstuffworks.com",
    "metrics.hrblock.com",
    "metrics.iconfitness.com",
    "metrics.ilsole24ore.com",
    "metrics.impactengine.com",
    "metrics.imvu.com",
    "metrics.kbb.com",
    "metrics.laredoute.fr",
    "metrics.lawyers.com",
    "metrics.lehighvalleylive.com",
    "metrics.lexus.com",
    "metrics.lhj.com",
    "metrics.mcafee.com",
    "metrics.mercola.com",
    "metrics.mlive.com",
    "metrics.moneymart.ca",
    "metrics.more.com",
    "metrics.mysanantonio.com",
    "metrics.nba.com",
    "metrics.necn.com",
    "metrics.newcars.com",
    "metrics.nfl.com",
    "metrics.nissanusa.com",
    "metrics.nj.com",
    "metrics.nola.com",
    "metrics.nutrisystem.com",
    "metrics.oprah.com",
    "metrics.oregonlive.com",
    "metrics.pagoda.com",
    "metrics.parents.com",
    "metrics.pe.com",
    "metrics.peacocks.co.uk",
    "metrics.pennlive.com",
    "metrics.penton.com",
    "metrics.performgroup.com",
    "metrics.petsmart.com",
    "metrics.philly.com",
    "metrics.politico.com",
    "metrics.radioshack.com",
    "metrics.ralphlauren.com",
    "metrics.rcsmetrics.it",
    "metrics.retailmenot.com",
    "metrics.seattlepi.com",
    "metrics.seenon.com",
    "metrics.sharecare.com",
    "metrics.shoedazzle.com",
    "metrics.shopoon.fr",
    "metrics.silive.com",
    "metrics.sky.com",
    "metrics.slate.com",
    "metrics.solarwinds.com",
    "metrics.sony.com",
    "metrics.southwest.com",
    "metrics.speedousa.com",
    "metrics.starwoodhotels.com",
    "metrics.store.irobot.com",
    "metrics.sun.com",
    "metrics.svd.se",
    "metrics.syracuse.com",
    "metrics.td.com",
    "metrics.teambeachbody.com",
    "metrics.tgw.com",
    "metrics.thinkgeek.com",
    "metrics.three.co.uk",
    "metrics.ticketmaster.com",
    "metrics.tlc.com",
    "metrics.toptenreviews.com",
    "metrics.toyota.com",
    "metrics.toysrus.com",
    "metrics.traderonline.com",
    "metrics.tulsaworld.com",
    "metrics.turner.com",
    "metrics.tvguide.com",
    "metrics.uol.com.br",
    "metrics.us.levi.com",
    "metrics.us.playstation.com",
    "metrics.vividseats.com",
    "metrics.vodafone.co.uk",
    "metrics.which.co.uk",
    "metrics.windowsitpro.com",
    "metrics.windowsitpro.com",
    "metrics.winsupersite.com",
    "metrics.worldmarket.com",
    "metriweb.be",
    "mf.advantage.as",
    "mf.sitescout.com",
    "mfad1.advantage.as",
    "mfas.safesslredirect.com",
    "mfr.a2dfp.net",
    "mg.adskeeper.co.uk",
    "mg.dt00.net",
    "mg.marketgid.com",
    "mg.mgid.com",
    "mgdothaneagle.112.2o7.net",
    "mghickoryrecord.112.2o7.net",
    "mgid.com",
    "mgjmp.com",
    "mgjournalnow.112.2o7.net",
    "mgoanow.112.2o7.net",
    "mgstarexponent.112.2o7.net",
    "mgtbo.112.2o7.net",
    "mgtbopanels.112.2o7.net",
    "mgtimesdispatch.112.2o7.net",
    "mgwcbd.112.2o7.net",
    "mgwjar.112.2o7.net",
    "mgwnct.112.2o7.net",
    "mgwsav.112.2o7.net",
    "mgwsls.112.2o7.net",
    "mh.ogercron.com",
    "mh.pip-pip-pop.com",
    "mhpzz.fastddl.3017.ws",
    "mi.adinterax.com",
    "mi9.gscontxt.net",
    "miarroba.com",
    "microsofteup.112.2o7.net",
    "microsoftgamestudio.112.2o7.net",
    "microsoftinternetexplorer.112.2o7.net",
    "microsoftmachinetranslation.112.2o7.net",
    "microsoftoffice.112.2o7.net",
    "microsoftsto.112.2o7.net",
    "microsoftuk.122.2o7.net",
    "microsoftwga.112.2o7.net",
    "microsoftwindows.112.2o7.net",
    "microsoftwindowsmobile.122.2o7.net",
    "microsoftwllivemkt.112.2o7.net",
    "microsoftwlmailmkt.112.2o7.net",
    "microsoftwlmessengermkt.112.2o7.net",
    "microsoftwlmobilemkt.112.2o7.net",
    "microsoftwlsearchcrm.112.2o7.net",
    "microsoftxbox.112.2o7.net",
    "microstatic.pl",
    "microticker.com",
    "midala.112.2o7.net",
    "midar.112.2o7.net",
    "midcru.112.2o7.net",
    "midnightclicking.com",
    "midsen.112.2o7.net",
    "mig.nexac.com",
    "milbglobal.112.2o7.net",
    "milioner.popunder.ru",
    "military.us.intellitxt.com",
    "minerva.healthcentral.com",
    "mini.activeshopper.com",
    "minisearch.startnow.com",
    "mirageads.net",
    "mirrorcoukcelebs.skimlinks.com",
    "mirrorsearch.speedbit.com",
    "missjia.us.intellitxt.com",
    "misstrends.com",
    "mitsubishi.112.2o7.net",
    "mix-test.uts.ngdata.com",
    "mixmarket.biz",
    "mixpanel.com",
    "mixtraffic.com",
    "mjx.ads.nwsource.com",
    "mjxads.internet.com",
    "mkcthehomemarketplace.112.2o7.net",
    "mkt10.122.2o7.net",
    "mktgcdn.de.coremetrics.com",
    "ml314.com",
    "mlarmani.122.2o7.net",
    "mlbam.112.2o7.net",
    "mlbatlanta.112.2o7.net",
    "mlbcincinnati.112.2o7.net",
    "mlbcom.112.2o7.net",
    "mlbglobal.112.2o7.net",
    "mlbglobal08.112.2o7.net",
    "mlbsanfrancisco.112.2o7.net",
    "mlm.de",
    "mlno6.com",
    "mlsglobal.112.2o7.net",
    "mm.chitika.net",
    "mmaadnet.ad-control-panel.com",
    "mmafighting.us.intellitxt.com",
    "mmc.122.2o7.net",
    "mmgads.com",
    "mmismm.com",
    "mmm.vindy.com",
    "mmotraffic.com",
    "mmptrack.com",
    "mmtrkpy.com",
    "mmtro.com",
    "mnet-ad.net",
    "mngi.112.2o7.net",
    "mngidailybreeze.112.2o7.net",
    "mngidmn.112.2o7.net",
    "mngimercurynews.112.2o7.net",
    "mngimng.112.2o7.net",
    "mngirockymtnnews.112.2o7.net",
    "mngislctrib.112.2o7.net",
    "mngisv.112.2o7.net",
    "mngitwincities.112.2o7.net",
    "mngiyhnat.112.2o7.net",
    "mno.tns-cs.net",
    "moads.valuead.com",
    "moatads.com",
    "mob.adnxs.com",
    "mobclix.com",
    "mobile.activeshopper.com",
    "mobile.ivwbox.de",
    "mobile.juicyads.com",
    "mobile.plugrush.com",
    "mobile.smartadserver.com",
    "mobile9.us.intellitxt.com",
    "mobileads.msn.com",
    "mobileburn.us.intellitxt.com",
    "mobilecomputermag.uk.intellitxt.com",
    "mobilede-dp.nuggad.net",
    "mobilede.nuggad.net",
    "mobiletechreview.us.intellitxt.com",
    "mobilewhack.us.intellitxt.com",
    "mobilityguru.us.intellitxt.com",
    "mocean.mobi",
    "modifiedlife.us.intellitxt.com",
    "mola77.mobilenobo.com",
    "mom.freelogs.com",
    "mommyish.us.intellitxt.com",
    "mondoads.s3.amazonaws.com",
    "moneyexpert.com",
    "moneyh.wemfbox.ch",
    "moneytree.sextracker.com",
    "monitoring.profi-webhosting.cz",
    "monk.sitescoutadserver.com",
    "monster.gostats.com",
    "monster.gostats.ru",
    "monsterpops.com",
    "monstersandcritics.uk.intellitxt.com",
    "moo.sitescout.com",
    "mopub.com",
    "morehitserver.com",
    "morgpost.ivwbox.de",
    "morningnewsonline.112.2o7.net",
    "morningstar.us.intellitxt.com",
    "motd.pinion.gg",
    "motifcdn.doubleclick.net",
    "motifcdn2.doubleclick.net",
    "motortrend.us.intellitxt.com",
    "mottnow.adk2x.com",
    "mouads.com",
    "moucitons.com",
    "mouseflow.com",
    "mouseflow.com",
    "movie-list.us.intellitxt.com",
    "moviehole.us.intellitxt.com",
    "movies.us.intellitxt.com",
    "movieweb.us.intellitxt.com",
    "movitex.122.2o7.net",
    "mp.apmebf.com",
    "mp.clicksor.net",
    "mp.pianomedia.eu",
    "mpire.112.2o7.net",
    "mpmotrk.com",
    "mpp.specificclick.net",
    "mpp.vindicosuite.com",
    "mproxy.banner.linksynergy.com",
    "mprptrk.com",
    "mpstat.us",
    "mpxxtrk.com",
    "mr-rank.de",
    "mreg.hit.gemius.pl",
    "mrp.rubiconproject.com",
    "mrskincash.com",
    "ms-mvp.org",
    "ms.ligatus.com",
    "ms.onscroll.com",
    "msalt.mysearch.com",
    "mseupwinxpfam.112.2o7.net",
    "msfn.us.intellitxt.com",
    "msgtag.com",
    "msmobiles.de.intellitxt.com",
    "msn.serving-sys.com",
    "msna1com.112.2o7.net",
    "msnaccountservices.112.2o7.net",
    "msnad.nuggad.net",
    "msnads-wm9.fplive.net",
    "msnbc.112.2o7.net",
    "msnbc.us.intellitxt.com",
    "msnbcnewsvine.112.2o7.net",
    "msnbcom.112.2o7.net",
    "msneshopbase.112.2o7.net",
    "msninvite.112.2o7.net",
    "msninviteprod.112.2o7.net",
    "msnlivefavorites.112.2o7.net",
    "msnmercom.112.2o7.net",
    "msnmercustacqprod.112.2o7.net",
    "msnonecare.112.2o7.net",
    "msnportal.112.2o7.net",
    "msnportalaffiliate.112.2o7.net",
    "msnportalaunews.112.2o7.net",
    "msnportalbeetoffice2007.112.2o7.net",
    "msnportalgame.112.2o7.net",
    "msnportalhome.112.2o7.net",
    "msnportallatino.112.2o7.net",
    "msnportallive.112.2o7.net",
    "msnportalmsgboardsrvc.112.2o7.net",
    "msnportalscp.112.2o7.net",
    "msnportalvideo.112.2o7.net",
    "msnservices.112.2o7.net",
    "msntrademarketing.112.2o7.net",
    "msnwinonecare.112.2o7.net",
    "mssbcprod.112.2o7.net",
    "mswindowswolglobal.112.2o7.net",
    "mswlspcmktdev.112.2o7.net",
    "mswmwpapolloprod.122.2o7.net",
    "mt.adquality.ch",
    "mt1.mtree.com",
    "mt10.mtree.com",
    "mt103.mtree.com",
    "mt11.mtree.com",
    "mt113.mtree.com",
    "mt12.mtree.com",
    "mt124.mtree.com",
    "mt127.mtree.com",
    "mt15.mtree.com",
    "mt2.mtree.com",
    "mt32.mtree.com",
    "mt34.mtree.com",
    "mt35.mtree.com",
    "mt37.mtree.com",
    "mt4.mtree.com",
    "mt55.mtree.com",
    "mt58.mtree.com",
    "mt83.mtree.com",
    "mt94.mtree.com",
    "mtg.tns-cs.net",
    "mtrcs.redhat.com",
    "mtree.com",
    "mtree.com",
    "mtrics.cdc.gov",
    "mtrx.go.sonobi.com",
    "mtv.count.brat-online.ro",
    "mtv.nuggad.net",
    "mtv3.spring-tns.net",
    "mtvn.112.2o7.net",
    "mtvn.demdex.net",
    "multioptik.com",
    "multiply.112.2o7.net",
    "multiply.crwdcntrl.net",
    "multipops.com",
    "munchkin.marketo.net",
    "muscleandfitnesshers.us.intellitxt.com",
    "music.ign.us.intellitxt.com",
    "musiccounter.ru",
    "musicmembersarea.com",
    "muwmedia.com",
    "mv.bidsystem.com",
    "mv.treehousei.com",
    "mvtracker.com",
    "mx.adserver.yahoo.com",
    "mxmacromedia.112.2o7.net",
    "my-cdn.effectivemeasure.net",
    "my.adocean.pl",
    "my.adtegrity.net",
    "my.blueadvertise.com",
    "my.effectivemeasure.net",
    "my.iheartradio.com",
    "my.iwon.com",
    "my.mobfox.com",
    "my.statcounter.com",
    "my.surveypopups.com",
    "my.trackjs.com",
    "my.yieldmanager.com",
    "my8.statcounter.com",
    "myad.clicksor.net",
    "myaffiliateprogram.com",
    "myao.adocean.pl",
    "myap.liveperson.com",
    "mybloglog.com",
    "mycounter.tinycounter.com",
    "mycounter.ua",
    "mydailymoment.us.intellitxt.com",
    "mydati.com",
    "mydigitallife.us.intellitxt.com",
    "mydmp.exelator.com",
    "myfamilyancestry.112.2o7.net",
    "myfavoritegames.us.intellitxt.com",
    "myfukbuddy.com",
    "mymoneymakingapp.com",
    "mypagerank.net",
    "mypagerank.ru",
    "mypowermall.com",
    "mysavings.directtrack.com",
    "mysearch-engine.com",
    "mystat-in.net",
    "mystat.pl",
    "mytop-in.net",
    "mytraf.info",
    "mytraf.ru",
    "myvideo.count.brat-online.ro",
    "mywebsearch.com",
    "myyjaosta.spring-tns.net",
    "n-tv.met.vgwort.de",
    "n.ad-back.net",
    "n.admagnet.net",
    "n.adonweb.ru",
    "n.ads1-adnow.com",
    "n.ads2-adnow.com",
    "n.ads3-adnow.com",
    "n.betus.com",
    "n.bodybuilding.com",
    "n.mplxtms.com",
    "n.pcads.ru",
    "n.targetbtracker.com",
    "n149adserv.com",
    "n2.smartyads.com",
    "n24se.nuggad.net",
    "n251adserv.com",
    "n339.asp-cc.com",
    "n4052ad.doubleclick.net",
    "n4061ad.hk.doubleclick.net",
    "n4403ad.doubleclick.net",
    "n44adshostnet.com",
    "n479ad.doubleclick.net",
    "n4p.ru.redtram.com",
    "n4p.ua.redtram.com",
    "n69.com",
    "n9bcd.ads.tremorhub.com",
    "na.ads.yahoo.com",
    "na.tns-cs.net",
    "naftemporiki.nuggad.net",
    "naiadsystems.com.invalid",
    "naj.sk",
    "naj.sk",
    "namimedia.com",
    "nan.netmng.com",
    "nana10.checkm8.com",
    "nana10digital.checkm8.com",
    "nandomedia.112.2o7.net",
    "napi.lanistaads.com",
    "nascardigitalsap.d2.sc.omtrdc.net",
    "nasdaq.122.2o7.net",
    "nasioc.us.intellitxt.com",
    "nastydollars.com",
    "natgeoedit.112.2o7.net",
    "natgeoeditcom.112.2o7.net",
    "natgeoglobal.112.2o7.net",
    "natgeohomepage.112.2o7.net",
    "natgeonavcom.112.2o7.net",
    "natgeonews.112.2o7.net",
    "natgeongkidsmagccom.112.2o7.net",
    "natgeongmcom.112.2o7.net",
    "natgeopeopleplaces.112.2o7.net",
    "natgeotravelermagcom.112.2o7.net",
    "natgeovideo.112.2o7.net",
    "nationalenquirer.us.intellitxt.com",
    "nationalledger.us.intellitxt.com",
    "nationalpost-com.c.richmetrics.com",
    "native.sharethrough.com",
    "nats4.fetishbucks.com",
    "naturalhealth.us.intellitxt.com",
    "natureworldnews.us.intellitxt.com",
    "naughtyadserve.com",
    "nautilus.122.2o7.net",
    "nautilus.tt.omtrdc.net",
    "nav.startnow.com",
    "navdmp.com",
    "navigator.io",
    "navrcholu.cz",
    "nb.myspace.com",
    "nbc.interpolls.com",
    "nbcnewyork.us.intellitxt.com",
    "nbcsports.us.intellitxt.com",
    "nbcu.tags.crwdcntrl.net",
    "nbcuniversal.122.2o7.net",
    "nbcuniversaltv.us.intellitxt.com",
    "nbcustr.netmng.com",
    "nbimg.dt00.net",
    "nbjmp.com",
    "nbjmp.com",
    "nbrtrack.com",
    "ncads.s3.amazonaws.com",
    "ndn.cdn.auditude.com",
    "ndparking.com",
    "ndparking.com",
    "neber.112.2o7.net",
    "nebnr.112.2o7.net",
    "nedstat.com",
    "nedstat.net",
    "nedstat.nl",
    "nedstat.nl",
    "nedstat.tripod.com",
    "nedstatbasic.net",
    "nedstatpro.net",
    "nedstats.xs4all.nl",
    "neecot.org",
    "negadbg.hit.gemius.pl",
    "neki.org",
    "nend.net",
    "neo.go.sonobi.com",
    "neocounter.neoworx-blog-tools.net",
    "neoffic.com",
    "neogenadro.hit.gemius.pl",
    "neoseeker.us.intellitxt.com",
    "neowin.us.intellitxt.com",
    "neref.112.2o7.net",
    "net-filter.com",
    "net.softonicads.com",
    "netaffiliation.com",
    "netagent.cz",
    "netclickstats.com",
    "netclickstats.com",
    "netcomm.spinbox.net",
    "netcommunities.com",
    "netdirect.nl",
    "neteco.fr.intellitxt.com",
    "netincap.com",
    "netpool.netbookia.net",
    "netshelter.net",
    "netspiderads.indiatimes.com",
    "netspiderads2.indiatimes.com",
    "netspiderads3.indiatimes.com",
    "netsprint.hit.gemius.pl",
    "netsr.softonicads.com",
    "netstorage.taboola.com",
    "nettno.nuggad.net",
    "network.adsmarket.com",
    "network.advertise.com",
    "network.advplace.com",
    "network.business.com",
    "network.clickconversion.net",
    "networksolutions.112.2o7.net",
    "netzeitu.ivwbox.de",
    "neudesicmediagroup.com",
    "new.cetrk.com",
    "new.chokertraffic.com",
    "newads.bangbros.com",
    "newads.bangbros.com",
    "newadserver.interfree.it",
    "newbie.com",
    "newbrowse.livehelper.com",
    "newcom.122.2o7.net",
    "newjobs.d1.sc.omtrdc.net",
    "newlaunches.uk.intellitxt.com",
    "newlook.112.2o7.net",
    "newnet.qsrch.com",
    "newnudecash.com",
    "newopenx.detik.com",
    "newopenx.detik.com",
    "news.de.intellitxt.com",
    "news.msnbc.us.intellitxt.com",
    "newsclic.ivwbox.de",
    "newsday.122.2o7.net",
    "newsinteractive.112.2o7.net",
    "newsinternational.122.2o7.net",
    "newsletter.adsonar.com",
    "newsnetw.oewabox.at",
    "newsok.112.2o7.net",
    "newsoxy.us.intellitxt.com",
    "newsquestdigitalmedia.122.2o7.net",
    "newstimeslivecom.112.2o7.net",
    "newstoob.us.intellitxt.com",
    "newt1.adultadworld.com",
    "newt1.adultadworld.com",
    "newt1.adultworld.com",
    "newtopsites.com",
    "newyork.cbslocal.us.intellitxt.com",
    "newyorkandcompany.112.2o7.net",
    "newyorkmagazine.112.2o7.net",
    "next-layers.com",
    "nextround.us.intellitxt.com",
    "nfl.demdex.net",
    "nfl.sp1.convertro.com",
    "ng3.ads.warnerbros.com",
    "ng3.ads.warnerbros.com",
    "ngacm.com",
    "ngads.go.com",
    "ngastatic.com",
    "ngbn.net",
    "ngd.thesun.co.uk",
    "ngs.impress.co.jp",
    "nhl.112.2o7.net",
    "nht-2.extreme-dm.com",
    "nht-3.extreme-dm.com",
    "nielsen.112.2o7.net",
    "nihoncar.us.intellitxt.com",
    "nikefootball.112.2o7.net",
    "nikefootballglobal.112.2o7.net",
    "nikegoddess.112.2o7.net",
    "nikehome.112.2o7.net",
    "nikerunning.112.2o7.net",
    "nikerunningglobal.112.2o7.net",
    "ninemsn.imrworldwide.com",
    "ninja.onap.io",
    "ninjadude.us.intellitxt.com",
    "niteflirt.directtrack.com",
    "nitroclicks.com",
    "nitropayouts.directtrack.com",
    "nj-com.c.richmetrics.com",
    "njmvc.112.2o7.net",
    "nl-moneyou.netmining.com",
    "nl-saab.netmining.com",
    "nl.ads.justpremium.com",
    "nl.adserver.yahoo.com",
    "nl.cqcounter.com",
    "nl.nedstatpro.net",
    "nl4.hit.stat24.com",
    "nmanchorage.112.2o7.net",
    "nmbakersfieldca.112.2o7.net",
    "nmbeaufort.112.2o7.net",
    "nmbelleville.112.2o7.net",
    "nmbradenton.112.2o7.net",
    "nmcharlotte.112.2o7.net",
    "nmcolumbia.112.2o7.net",
    "nmcomnancomedia.112.2o7.net",
    "nmeprod.122.2o7.net",
    "nmfortworth.112.2o7.net",
    "nmfresno.112.2o7.net",
    "nmhiltonhead.112.2o7.net",
    "nmkansascity.112.2o7.net",
    "nmlexington.112.2o7.net",
    "nmmclatchy.112.2o7.net",
    "nmmerced.112.2o7.net",
    "nmmiami.112.2o7.net",
    "nmminneapolis.112.2o7.net",
    "nmmodesto.112.2o7.net",
    "nmraleigh.112.2o7.net",
    "nmrockhill.112.2o7.net",
    "nmsacramento.112.2o7.net",
    "nmsanluisobispo.112.2o7.net",
    "nmstatecollege.112.2o7.net",
    "nmtacoma.112.2o7.net",
    "nmthatsracin.112.2o7.net",
    "no.2.cqcounter.com",
    "no.adserver.yahoo.com",
    "no.counter.mtgnewmedia.se",
    "noah.reddion.com",
    "nodevice.uk.intellitxt.com",
    "nojsstats.appspot.com",
    "nol.yahoo.com",
    "nortelcom.112.2o7.net",
    "northjersey.112.2o7.net",
    "northwestairlines.112.2o7.net",
    "nossl.aafp.org",
    "nova.collect.igodigital.com",
    "novell.112.2o7.net",
    "novellcom.112.2o7.net",
    "novem.pl",
    "now.eloqua.com",
    "np.lexity.com",
    "nr.taboola.com",
    "nrg.checkm8.com",
    "nrgdigital.checkm8.com",
    "nrk.tns-cs.net",
    "ns1.123go.net",
    "ns2.w3open.com",
    "nsads.sv.publicus.com",
    "nsdldlese.112.2o7.net",
    "nsm.dell.com",
    "nsrecord.org",
    "nt-es.imrworldwide.com",
    "ntcompatible.us.intellitxt.com",
    "ntkrnlpa.info",
    "ntlligent.info",
    "ntracking.optimatic.com",
    "nttcommunications.122.2o7.net",
    "ntweb.org",
    "nuggad.net",
    "nuggad.nuggad.net",
    "numax.nu-1.com",
    "nuseek.com",
    "nv1.ad.naver.com",
    "nv2.ad.naver.com",
    "nx.frosmo.com",
    "nxtck.com",
    "nyads.ny.publicus.com",
    "nydailynews.d1.sc.omtrdc.net",
    "nym1.b.adnxs.com",
    "nym1.ib.adnxs.com",
    "nysun.com.112.2o7.net",
    "nytbglobe.112.2o7.net",
    "nytrflorence.112.2o7.net",
    "nytrgainesville.112.2o7.net",
    "nytrhendersonville.112.2o7.net",
    "nytrlakeland.112.2o7.net",
    "nytrlexington.112.2o7.net",
    "nytrocala.112.2o7.net",
    "nytrsantarosa.112.2o7.net",
    "nytrsarasota.112.2o7.net",
    "nytrthibodaux.112.2o7.net",
    "nytrtuscaloosa.112.2o7.net",
    "nytrwilmington.112.2o7.net",
    "nytrwinterhaven.112.2o7.net",
    "nytrworcester.112.2o7.net",
    "nyttechnology.112.2o7.net",
    "nz-cdn.effectivemeasure.net",
    "nz-ssl.effectivemeasure.net",
    "nz.2.cqcounter.com",
    "nz.adserver.yahoo.com",
    "nztv.prod.untd.com",
    "nzz.d3.sc.omtrdc.net",
    "nzz.wemfbox.ch",
    "o-oe.com",
    "o.adgear.com",
    "o.bluewin.ch",
    "o.detik.com",
    "o.fandango.com",
    "o.ibg.bg",
    "o.opentable.com",
    "o.sa.aol.com",
    "o1.inviziads.com",
    "o2.eyereturn.com",
    "o2.hit.gemius.pl",
    "o2adpl.hit.gemius.pl",
    "oamtrk.com",
    "oas-fr.video.on.nytimes.com",
    "oas.247sports.com",
    "oas.ad-vice.biz",
    "oas.autotrader.co.uk",
    "oas.benchmark.fr",
    "oas.benchmark.fr",
    "oas.dallasnews.com",
    "oas.deejay.it",
    "oas.five.tv",
    "oas.foxnews.com",
    "oas.guardian.co.uk",
    "oas.guardiannews.com",
    "oas.ilsecoloxix.it",
    "oas.mainetoday.com",
    "oas.maktoobblog.com",
    "oas.monster.com",
    "oas.northernandshell.co.uk",
    "oas.offremedia.com",
    "oas.populisengage.com",
    "oas.providencejournal.com",
    "oas.rcsadv.it",
    "oas.repubblica.it",
    "oas.repubblica.it",
    "oas.rivals.com",
    "oas.roanoke.com",
    "oas.roanoke.com",
    "oas.salon.com",
    "oas.salon.com",
    "oas.stv.tv",
    "oas.theguardian.com",
    "oas.tidningsnatet.se",
    "oas.toronto.com",
    "oas.trustnet.com",
    "oas.uniontrib.com",
    "oas.villagevoice.com",
    "oas.villagevoice.com",
    "oasad.cantv.net",
    "oasc02023.247realmedia.com",
    "oasc03012.247realmedia.com",
    "oasc03049.247realmedia.com",
    "oasc04052.247realmedia.com",
    "oasc05.247realmedia.com",
    "oasc05024.247realmedia.com",
    "oasc05134.247realmedia.com",
    "oasc05135.247realmedia.com",
    "oasc05139.247realmedia.com",
    "oasc06.247realmedia.com",
    "oasc06006.247realmedia.com",
    "oasc08.247realmedia.com",
    "oasc08006.247realmedia.com",
    "oasc08008.247realmedia.com",
    "oasc08011.247realmedia.com",
    "oasc08024.247realmedia.com",
    "oasc09.247realmedia.com",
    "oasc10.247realmedia.com",
    "oasc10015.247realmedia.com",
    "oasc11.247realmedia.com",
    "oasc11009.247realmedia.com",
    "oasc12.247realmedia.com",
    "oasc12001.247realmedia.com",
    "oasc12016.247realmedia.com",
    "oasc12056.247realmedia.com",
    "oasc14008.247realmedia.com",
    "oasc17.247realmedia.com",
    "oasc18005.247realmedia.com",
    "oascentral.123greetings.com",
    "oascentral.abclocal.go.com",
    "oascentral.adage.com",
    "oascentral.aeroplan.com",
    "oascentral.arkansasonline.com",
    "oascentral.artistdirect.com",
    "oascentral.autoweek.com",
    "oascentral.beliefnet.com",
    "oascentral.bigfishgames.com",
    "oascentral.blackenterprise.com",
    "oascentral.blogher.org",
    "oascentral.bristolpress.com",
    "oascentral.broadway.com",
    "oascentral.browardpalmbeach.com",
    "oascentral.businessinsurance.com",
    "oascentral.businessweek.com",
    "oascentral.businessweek.com",
    "oascentral.buy.com",
    "oascentral.buysell.com",
    "oascentral.capecodonline.com",
    "oascentral.careerbuilder.com",
    "oascentral.charleston.net",
    "oascentral.chicagobusiness.com",
    "oascentral.chicagobusiness.com",
    "oascentral.chron.com",
    "oascentral.citypages.com",
    "oascentral.citypaper.com",
    "oascentral.comcast.net",
    "oascentral.comics.com",
    "oascentral.consumerreports.org",
    "oascentral.crainsdetroit.com",
    "oascentral.crainsnewyork.com",
    "oascentral.cygnusb2b.com",
    "oascentral.dailybreeze.com",
    "oascentral.dailyherald.com",
    "oascentral.dailylocal.com",
    "oascentral.datasphere.com",
    "oascentral.discovery.com",
    "oascentral.dollargeneral.com",
    "oascentral.dominionenterprises.com",
    "oascentral.emarketer.com",
    "oascentral.emedicine.com",
    "oascentral.escapistmagazine.com",
    "oascentral.feedroom.com",
    "oascentral.fiercemarkets.com",
    "oascentral.fortunecity.com",
    "oascentral.fosters.com",
    "oascentral.freedom.com",
    "oascentral.goerie.com",
    "oascentral.gotriad.com",
    "oascentral.grandparents.com",
    "oascentral.greenevillesun.com",
    "oascentral.hamptonroads.com",
    "oascentral.healthletter.mayoclinic.com",
    "oascentral.herald-dispatch.com",
    "oascentral.hispanicbusiness.com",
    "oascentral.hitfix.com",
    "oascentral.hollywood.com",
    "oascentral.hosted.ap.org",
    "oascentral.houstonpress.com",
    "oascentral.internetretailer.com",
    "oascentral.investingmediasolutions.com",
    "oascentral.investmentnews.com",
    "oascentral.katv.com",
    "oascentral.laptopmag.com",
    "oascentral.law.com",
    "oascentral.laweekly.com",
    "oascentral.lifetimetv.com",
    "oascentral.lycos.com",
    "oascentral.mailtribune.com",
    "oascentral.mayoclinic.com",
    "oascentral.metrotimes.com",
    "oascentral.metrowestdailynews.com",
    "oascentral.miaminewtimes.com",
    "oascentral.minnpost.com",
    "oascentral.mochila.com",
    "oascentral.modernhealthcare.com",
    "oascentral.movietickets.com",
    "oascentral.nationalunderwriter.com",
    "oascentral.necn.com",
    "oascentral.nephrologynews.com",
    "oascentral.nerve.com",
    "oascentral.netnewscheck.com",
    "oascentral.news-record.com",
    "oascentral.newsmax.com",
    "oascentral.newstimeslive.com",
    "oascentral.ocweekly.com",
    "oascentral.onthesnow.com",
    "oascentral.onwisconsin.com",
    "oascentral.oprah.com",
    "oascentral.phoenixnewtimes.com",
    "oascentral.planetatv.com",
    "oascentral.poconorecord.com",
    "oascentral.post-gazette.com",
    "oascentral.pressdemocrat.com",
    "oascentral.prodivnet.com",
    "oascentral.publicradio.org",
    "oascentral.rcrnews.com",
    "oascentral.record-eagle.com",
    "oascentral.recordnet.com",
    "oascentral.recordonline.com",
    "oascentral.recroom.com",
    "oascentral.recyclebank.com",
    "oascentral.red7media.com",
    "oascentral.redstate.com",
    "oascentral.register.com",
    "oascentral.register.com",
    "oascentral.registerguard.com",
    "oascentral.riverfronttimes.com",
    "oascentral.s-t.com",
    "oascentral.salemweb.net",
    "oascentral.samsclub.com",
    "oascentral.sfgate.com",
    "oascentral.sfweekly.com",
    "oascentral.sina.com",
    "oascentral.southjerseylocalnews.com",
    "oascentral.spineuniverse.com",
    "oascentral.sportsfanlive.com",
    "oascentral.stackmag.com",
    "oascentral.stansberryresearch.com",
    "oascentral.stripes.com",
    "oascentral.suntimes.com",
    "oascentral.superpages.com",
    "oascentral.surfline.com",
    "oascentral.thechronicleherald.ca",
    "oascentral.thedailymeal.com",
    "oascentral.thepostgame.com",
    "oascentral.theweek.com",
    "oascentral.timesfreepress.com",
    "oascentral.tmcnet.com",
    "oascentral.tnr.com",
    "oascentral.tophosts.com",
    "oascentral.tourismvancouver.com",
    "oascentral.traffic.com",
    "oascentral.travelzoo.com",
    "oascentral.trentonian.com",
    "oascentral.tvnewscheck.com",
    "oascentral.upi.com",
    "oascentral.urbanspoon.com",
    "oascentral.villagevoice.com",
    "oascentral.virtualtourist.com",
    "oascentral.walmartwom.com",
    "oascentral.warcry.com",
    "oascentral.washtimes.com",
    "oascentral.wciv.com",
    "oascentral.westword.com",
    "oascentral.wickedlocal.com",
    "oascentral.yakimaherald.com",
    "oascentral.yellowpages.com",
    "oasis.411affiliates.ca",
    "oasjs.kataweb.it",
    "oberonincredig.112.2o7.net",
    "obeus.com",
    "objects.tremormedia.com",
    "observare.de",
    "oceanup.us.intellitxt.com",
    "ocp.bnet.com",
    "ocp.cbsnews.com",
    "ocs.websponsors.com",
    "octools.us.intellitxt.com",
    "ocworkbench.us.intellitxt.com",
    "ocxxx.com",
    "odb.outbrain.com",
    "odc.starwave.com",
    "oddbanner.bet-at-home.com",
    "odds.optimizely.com",
    "odin.goo.mx",
    "odzb5nkp.com",
    "oe24.oewabox.at",
    "oewa.at",
    "oewabox.at",
    "of.inviziads.com",
    "offerforge.com",
    "offermatica.com",
    "offers.affiliatetraction.com",
    "offersquest.directtrack.com",
    "office.ad1.ru",
    "officer.us.intellitxt.com",
    "oglasnikadhr.hit.gemius.pl",
    "ohtuleht.spring-tns.net",
    "ohtulehtadee.hit.gemius.pl",
    "ohtulehtee.adocean.pl",
    "oimg.nbcuni.com",
    "oin.valuead.com",
    "ok.uk.intellitxt.com",
    "oklahomadepartmentofcommerce.112.2o7.net",
    "okmagazine.us.intellitxt.com",
    "ol.uk.at.atwola.com",
    "olivebrandresponse.com",
    "olx.hit.gemius.pl",
    "om.blockbuster.com",
    "om.businessweek.com",
    "om.cbsi.com",
    "om.cnet.co.uk",
    "om.craftsman.com",
    "om.dowjoneson.com",
    "om.expedia.com",
    "om.lonelyplanet.com",
    "om.metacrawler.com",
    "om.neimanmarcus.com",
    "om.nuggad.net",
    "om.onlineshoes.com",
    "om.rogersmedia.com",
    "om.sfgate.com",
    "om.symantec.com",
    "om.truecar.com",
    "om.webcrawler.com",
    "ometrics.netapp.com",
    "omn.crackle.com",
    "omn.sonypictures.com",
    "omni.basspro.com",
    "omni.canadiantire.ca",
    "omni.cash.ch",
    "omni.csc.com",
    "omni.dispatch.com",
    "omni.focus.de",
    "omni.sportingnews.com",
    "omnikool.discovery.com",
    "omniscbt.112.2o7.net",
    "omniture.112.2o7.net",
    "omniture.artinstitutes.edu",
    "omniture.chip.de",
    "omniture.com",
    "omniture.shopstyle.com",
    "omniture.stuff.co.nz",
    "omniturebanners.112.2o7.net",
    "omniturecom.112.2o7.net",
    "omnituretrack.local.com",
    "oms.nuggad.net",
    "omt.honda.com",
    "omvisidtest1.112.2o7.net",
    "onclasrv.com",
    "onclickads.net",
    "onclickads.net",
    "one.cam4ads.com",
    "one.ru",
    "oneandonlynetwork.com",
    "onefm.count.brat-online.ro",
    "onenetworkdirect.com",
    "onestat.com",
    "onestatfree.com",
    "onet.hit.gemius.pl",
    "onet.hit.stat.pl",
    "onetoone.112.2o7.net",
    "oneund.ru",
    "onewaylinkexchange.net",
    "onlamp.us.intellitxt.com",
    "onlgc.voluumtrk.com",
    "online-metrix.net",
    "onlinecash.com",
    "onlinecashmethod.com",
    "onlinegurupopularsitecom.112.2o7.net",
    "onlinerewardcenter.com",
    "onset.freedom.com",
    "ontheflix.us.intellitxt.com",
    "oocenter.us.intellitxt.com",
    "oodpreprod.122.2o7.net",
    "ooen.oewabox.at",
    "op.standartnews.com",
    "open.ad.yieldmanager.net",
    "openad.tf1.fr",
    "openad.tf1.fr",
    "openad.travelnow.com",
    "openadext.tf1.fr",
    "openads.flagman.bg",
    "openads.friendfinder.com",
    "openads.friendfinder.com",
    "openads.hiphopsite.com",
    "openads.motorrad-net.at",
    "openads.org",
    "openadstream-eu1.247realmedia.com",
    "opendownloadmanager.com",
    "opensoftwareupdate.com",
    "opensoftwareupdater.com",
    "openstat.net",
    "openx.359gsm.com",
    "openx.4shared.com",
    "openx.adtext.ro",
    "openx.ajur.info",
    "openx.angelsgroup.org.uk",
    "openx.apollo.lv",
    "openx.blindferret.com",
    "openx.bmwpower-bg.net",
    "openx.camelmedia.net",
    "openx.cnews.ru",
    "openx.cnpapers.com",
    "openx.diena.lv",
    "openx.engagedmediamags.com",
    "openx.iamexpat.nl",
    "openx.imoti.net",
    "openx.itsmassive.com",
    "openx.kokoma.pl",
    "openx.mercatormedia.com",
    "openx.net.hr",
    "openx.omniton.net",
    "openx.sexsearchcom.com",
    "openx.stand.bg",
    "openx.trellian.com",
    "openx.utv.bg",
    "openx.vizzia.bg",
    "openx.vsekiden.com",
    "openx.watchmygf.net",
    "opera1-servedby.advertising.com",
    "opienetwork.com",
    "opt.hit.gemius.pl",
    "optimize-stats.voxmedia.com",
    "optimize.adpushup.com",
    "optimize.indieclick.com",
    "optimize.innity.com",
    "optimized-by.rubiconproject.com",
    "optimized.by.vitalads.net",
    "optimizedby.brealtime.com",
    "optimost.112.2o7.net",
    "optimost.com",
    "optimum-hits.com",
    "option9.adultfriendfinder.com",
    "optmd.com",
    "opx.struma.bg",
    "oraclecom.112.2o7.net",
    "oracleglobal.112.2o7.net",
    "orca.qubitproducts.com",
    "orders.webpower.com",
    "ordingly.com",
    "oreo.iawsnetwork.com",
    "orf.oewabox.at",
    "origin-tracking.trulia.com",
    "origin2.adsdk.com",
    "ortc-ws2-useast1-s0005.realtime.co",
    "osc.optimize.webtrends.com",
    "osdir.us.intellitxt.com",
    "osiristrading.112.2o7.net",
    "oss-content.securestudies.com",
    "ostg.us.intellitxt.com",
    "ota.cartrawler.com",
    "otclick-adv.ru",
    "otf.msn.com",
    "otherprofit.com",
    "otracking.com",
    "ots.optimize.webtrends.com",
    "ottacknet.112.2o7.net",
    "ottdailytidingscom.112.2o7.net",
    "otto-images.developershed.com",
    "ou.shutterfly.com",
    "our.affiliatetracking.net",
    "ourbesthits.com",
    "out.popads.net",
    "outbrain.com",
    "outils.yes-messenger.com",
    "outofsightmedia.us.intellitxt.com",
    "outwar.com",
    "overblog.ezakus.net",
    "overclockersonline.us.intellitxt.com",
    "overlay.ringtonematcher.com",
    "overstockcom.112.2o7.net",
    "overthelimit.us.intellitxt.com",
    "overture.com",
    "overturecom.112.2o7.net",
    "overturecomvista.112.2o7.net",
    "owebmoney.ru",
    "ox-173-241-242-220.xv.dc.openx.org",
    "ox-d.apax.servedbyopenx.com",
    "ox-d.ask.servedbyopenx.com",
    "ox-d.bauer.servedbyopenx.com",
    "ox-d.beforeitsnews.com",
    "ox-d.bizjournals.servedbyopenx.com",
    "ox-d.blogtalkradio.com",
    "ox-d.boston.servedbyopenx.com",
    "ox-d.buddytv.com",
    "ox-d.cheezburger.servedbyopenx.com",
    "ox-d.cloud9-media.net",
    "ox-d.concourse.servedbyopenx.com",
    "ox-d.crisppremium.com",
    "ox-d.curse.servedbyopenx.com",
    "ox-d.digiday.com",
    "ox-d.eluniversal.com",
    "ox-d.footballmedia.com",
    "ox-d.futurenet.servedbyopenx.com",
    "ox-d.gamer-network.net",
    "ox-d.gamerpublishing.com",
    "ox-d.globalpost.com",
    "ox-d.hdcmedia.nl",
    "ox-d.ibt.servedbyopenx.com",
    "ox-d.iflscience.com",
    "ox-d.imgur.servedbyopenx.com",
    "ox-d.johnstonpress.co.uk",
    "ox-d.leessp.servedbyopenx.com",
    "ox-d.majorgeeks.com",
    "ox-d.mediavine.servedbyopenx.com",
    "ox-d.mirror-digital.com",
    "ox-d.mm1x.nl",
    "ox-d.mmaadnet.com",
    "ox-d.motogp.com",
    "ox-d.newstogram.com",
    "ox-d.nydailynews.servedbyopenx.com",
    "ox-d.officer.com",
    "ox-d.openxadexchange.com",
    "ox-d.philly.servedbyopenx.com",
    "ox-d.photobucket.com",
    "ox-d.popmatters.com",
    "ox-d.publisherdesk.servedbyopenx.com",
    "ox-d.ranker.servedbyopenx.com",
    "ox-d.rantsports.com",
    "ox-d.realtor.servedbyopenx.com",
    "ox-d.sidereel.com",
    "ox-d.sinclair.servedbyopenx.com",
    "ox-d.venturebeat.servedbyopenx.com",
    "ox-d.verivox.de",
    "ox-d.viralnova.com",
    "ox-d.wahwahnetworks.com",
    "ox-d.washingtonpost.servedbyopenx.com",
    "ox-s.e-card.bg",
    "ox.dateland.co.il",
    "ox.e-card.bg",
    "ox.eurogamer.net",
    "ox.fashion.bg",
    "ox.forexbrokerz.com",
    "ox.hoosiertimes.com",
    "ox.invia.cz",
    "ox.pigu.lt",
    "ox.tossoffads.com",
    "ox2.sterta.pl",
    "oxado.com",
    "oxcash.com",
    "oxcash.com",
    "oxen.hillcountrytexas.com",
    "oxen.hillcountrytexas.com",
    "oxfam.intelli-direct.com",
    "oxybe.com",
    "ozertesa.com",
    "p.ace.advertising.com",
    "p.addthis.com",
    "p.adframesrc.com",
    "p.adpdx.com",
    "p.adpdx.com",
    "p.ato.mx",
    "p.bm23.com",
    "p.chango.com",
    "p.cpx.to",
    "p.ebdr2.com",
    "p.liadm.com",
    "p.lp4.io",
    "p.nexac.com",
    "p.nxtck.com",
    "p.placemypixel.com",
    "p.pxl2015x1.com",
    "p.raasnet.com",
    "p.rfihub.com",
    "p.securedownload01.com",
    "p.vibrant.co",
    "p0.raasnet.com",
    "p1.tcr21.tynt.com",
    "p13178.adskape.ru",
    "p1574.adskape.ru",
    "p1937.ic-live.com",
    "p2408.adskape.ru",
    "p2p.adv.vz.ru",
    "p4010.adskape.ru",
    "p491.atemda.com",
    "p543.adskape.ru",
    "p78878.adskape.ru",
    "p9762.adskape.ru",
    "padsdel.cdnads.com",
    "pagead-googlehosted.l.google.com",
    "pagead.l.doubleclick.net",
    "pagead.l.google.com",
    "pagead.topobiavi.com",
    "pagead2.googleadservices.com",
    "pagead2.googlesyndication.com",
    "pagead46.l.doubleclick.net",
    "pagefair.com",
    "pagefair.com",
    "pagepeels.sexmoney.com",
    "pagerank-ranking.de",
    "pagerank-submitter.de",
    "pagerank-suchmaschine.de",
    "pagerank-united.de",
    "pagerank.jklir.net",
    "pagerank.scambiositi.com",
    "pagerank4you.com",
    "pageranktop.com",
    "pagetracking.popmarker.com",
    "pageurl-brx.btrll.com",
    "pageurl.btrll.com",
    "paidstats.com",
    "paime.com",
    "pal-item.us.intellitxt.com",
    "palmebi.popunder.ru",
    "pandasoftware.112.2o7.net",
    "panel.research-int.se",
    "panel2.research-int.se",
    "paneles.impresionesweb.com",
    "panther1.cpxinteractive.com",
    "papi.mynativeads.com",
    "parade.122.2o7.net",
    "park.above.com",
    "park.beenetworks.net",
    "park.parkingpanel.com",
    "parkcloud.dynadot.com",
    "parking.dmtracker.com",
    "parking.parklogic.com",
    "parking.reg.ru",
    "parkingcrew.net",
    "parse.ly",
    "parsely.com",
    "parship.122.2o7.net",
    "partage-facile.com",
    "partner-ads.com",
    "partner.finditquick.com",
    "partner.friendsearch.com",
    "partner.googleadservices.com",
    "partner.loveplanet.ru",
    "partner.pelikan.cz",
    "partner.sbaffiliates.com",
    "partner.shareaholic.com",
    "partner.topcities.com",
    "partnerad.l.doubleclick.net",
    "partnerad.l.google.com",
    "partnerads.ysm.yahoo.com",
    "partnercash.de",
    "partnerearning.com",
    "partners.10bet.com",
    "partners.adultadworld.com",
    "partners.badongo.com",
    "partners.cfl.mybrighthouse.com",
    "partners.content.ad",
    "partners.fanduel.com",
    "partners.mysavings.com",
    "partners.popmatters.com",
    "partners.priceline.com",
    "partners.realgirlsmedia.com",
    "partners.tremorhub.com",
    "partners.webmasterplan.com",
    "partners.xhamster.com",
    "partygaming.122.2o7.net",
    "partygamingglobal.122.2o7.net",
    "passion-4.net",
    "paste-d.openx.net",
    "patrickhillery.112.2o7.net",
    "paulsnetwork.com",
    "pay-ads.com",
    "paycounter.com",
    "payload.yieldbuild.com",
    "payn.me",
    "paypal.112.2o7.net",
    "paypalssl.doubleclick.net",
    "paypertext.com",
    "paypopup.com",
    "payserve.com",
    "pbg2cs01.doteasy.com",
    "pbid.pro-market.net",
    "pbnet.ru",
    "pc-infopratique.fr.intellitxt.com",
    "pc.adonweb.ru",
    "pc1.dntrax.com",
    "pc2.yumenetworks.com",
    "pcadvisor.uk.intellitxt.com",
    "pcash.globalmailer5.com",
    "pcash.imlive.com",
    "pcash.imlive.com",
    "pcash.wildmatch.com",
    "pcbutts1-therealtruth.blogspot.com",
    "pcbutts1.ourtoolbar.com",
    "pcbutts1.software.informer.com",
    "pcgamer.uk.intellitxt.com",
    "pch.122.2o7.net",
    "pcinpact.fr.intellitxt.com",
    "pcmag.us.intellitxt.com",
    "pcmightymax.net",
    "pcookie.cnzz.com",
    "pcookie.taobao.com",
    "pcper.us.intellitxt.com",
    "pcpro.uk.intellitxt.com",
    "pctoolscom.112.2o7.net",
    "pcw.uk.intellitxt.com",
    "pcwelt.de.intellitxt.com",
    "pcworldcommunication.122.2o7.net",
    "pcworldcommunication.d2.sc.omtrdc.net",
    "pda.mv.bidsystem.com",
    "pds.directrev.com",
    "peakclick.com",
    "pebble-adhese.gva.be",
    "pebble-adhese.hbvl.be",
    "peelads.hustler.com",
    "peep-auktion.de",
    "peer39.com",
    "peerfly.com",
    "pei-ads.playboy.com",
    "pei-ads.thesmokingjacket.com",
    "pelmorexmedia.122.2o7.net",
    "penix.nl",
    "pennwellcorp.112.2o7.net",
    "pennyweb.com",
    "penton.us.intellitxt.com",
    "pentonmedia.122.2o7.net",
    "pepipo.com",
    "pepperjamnetwork.com",
    "percentmobile.com",
    "perezhilton.us.intellitxt.com",
    "perf.weborama.fr",
    "perfectaudience.com",
    "perfiliate.com",
    "performancerevenue.com",
    "performancerevenues.com",
    "performancing.com",
    "perfspot.crwdcntrl.net",
    "perso.estat.com",
    "petakfc.112.2o7.net",
    "petamain.112.2o7.net",
    "petfooddirect.d1.sc.omtrdc.net",
    "petrenko.biz",
    "petsmovies.com",
    "pf.tradedoubler.com",
    "pfa.levexis.com",
    "pfizer.122.2o7.net",
    "pgmediaserve.com",
    "pgpartner.com",
    "pgssl.com",
    "ph-cdn.effectivemeasure.net",
    "pharmacyrxone.com",
    "pheedo.com",
    "philadelphia_cbslocal.us.intellitxt.com",
    "philips.112.2o7.net",
    "philly-d.openx.net",
    "philly.demdex.net",
    "phillyburbscom.112.2o7.net",
    "phillycom.112.2o7.net",
    "phillymedia.112.2o7.net",
    "phoenix-adrunner.mycomputer.com",
    "phonearena.us.intellitxt.com",
    "photobucket.adnxs.com",
    "php-mag.de.intellitxt.com",
    "php-magnet.de.intellitxt.com",
    "php.genesismedia.com",
    "php4you.biz",
    "phpadsnew.abac.com",
    "phpadsnew.new.natuurpark.nl",
    "phpadsnew.new.natuurpark.nl",
    "phpadsnew.wn.com",
    "phpmyvisites.net",
    "physorg.uk.intellitxt.com",
    "pi.pardot.com",
    "picadmedia.com",
    "pickmeupnews.us.intellitxt.com",
    "pics.cnomy.com",
    "pics.kolmic.com",
    "pics.skenzo.com",
    "pics.yad2.co.il",
    "pillscash.com",
    "pilmedia.ads.visionweb.no",
    "pimproll.com",
    "ping.chartbeat.net",
    "ping.crowdscience.com",
    "ping.hellobar.com",
    "ping.onscroll.com",
    "ping.qbaka.net",
    "ping1.unicast.com",
    "pingomatic.com",
    "pings.conviva.com",
    "pinion.gg",
    "pinkisthenewblog.us.intellitxt.com",
    "pipedream.wistia.com",
    "pittsburghpostgazette.112.2o7.net",
    "piwik.cam-content.com",
    "piwik.datawrapper.de",
    "piwik.denik.cz",
    "piwik.ientry.com",
    "piwik.jccm.es",
    "piwik.medienhaus.com",
    "piwik.mortgageloan.com",
    "piwik.n24.de",
    "piwik.onlinemagasinet.no",
    "piwik.org",
    "piwik.pokerlistings.com",
    "piwik.redtube.com",
    "pix.btrll.com",
    "pix.impdesk.com",
    "pix.lfstmedia.com",
    "pix.pulsemgr.com",
    "pix.silverpush.co",
    "pix.tagcdn.com",
    "pix01.revsci.net",
    "pix03.revsci.net",
    "pix04.revsci.net",
    "pix3.esm1.net",
    "pixel-user-1039.everesttech.net",
    "pixel.33across.com",
    "pixel.adadvisor.net",
    "pixel.adblade.com",
    "pixel.adcrowd.com",
    "pixel.admedia.com",
    "pixel.adsafeprotected.com",
    "pixel.adsafeprotected.com",
    "pixel.advertising.com",
    "pixel.blog.hu",
    "pixel.captora.com",
    "pixel.condenastdigital.com",
    "pixel.crosspixel.net",
    "pixel.everesttech.net",
    "pixel.facebook.com",
    "pixel.indieclick.com",
    "pixel.industrybrains.com",
    "pixel.ingest.at.atwola.com",
    "pixel.intellitxt.com",
    "pixel.invitemedia.com",
    "pixel.jumptap.com",
    "pixel.keywee.co",
    "pixel.mathtag.com",
    "pixel.mtrcs.samba.tv",
    "pixel.newscred.com",
    "pixel.parsely.com",
    "pixel.pcworld.com",
    "pixel.quantserve.com",
    "pixel.realtor.com",
    "pixel.redditmedia.com",
    "pixel.redditmedia.com",
    "pixel.rubiconproject.com",
    "pixel.sitescout.com",
    "pixel.sojern.com",
    "pixel.solvemedia.com",
    "pixel.staticworld.net",
    "pixel.tapad.com",
    "pixel.watch",
    "pixel.wp.com",
    "pixel.yabidos.com",
    "pixel.yola.com",
    "pixel1097.everesttech.net",
    "pixel1324.everesttech.net",
    "pixel1350.everesttech.net",
    "pixel1370.everesttech.net",
    "pixel1553.everesttech.net",
    "pixel1739.everesttech.net",
    "pixel3.about.com",
    "pixelbox.uimserv.net",
    "pixelcounter.elmundo.es",
    "pixelcounter.marca.com",
    "pixels.livingsocial.com",
    "pixels.mentad.com",
    "pixelservice.apphb.com",
    "pixiedust.buzzfeed.com",
    "pixxur.com",
    "pk-cdn.effectivemeasure.net",
    "pk.adlandpro.com",
    "pl-engine.intextad.net",
    "pl.gmads.net",
    "pl.search.etargetnet.com",
    "pl.yumenetworks.com",
    "pl1.yumenetworks.com",
    "pl106067.puhtml.com",
    "pl107977.puhtml.com",
    "pl108062.puhtml.com",
    "pl109504.puhtml.com",
    "pl136883.puhtml.com",
    "pl137937.puhtml.com",
    "pl176754.puhtml.com",
    "pl1978.puhtml.com",
    "pl3087.puhtml.com",
    "pl5102.puhtml.com",
    "pl5318.puhtml.com",
    "pl6429510.puhtml.com",
    "planetout.122.2o7.net",
    "platform.communicatorcorp.com",
    "play4traffic.com",
    "playersclub.reefclubcasino.com",
    "playfuls.uk.intellitxt.com",
    "playhaven.com",
    "pldev.112.2o7.net",
    "plista.com",
    "plsoyfoods.112.2o7.net",
    "plug.plugerr.com",
    "plugin.mediavoice.com",
    "pluginx.perfectgonzo.com",
    "plugrush.com",
    "plus.iwon.com",
    "plus.link4link.com",
    "pluto.adcycle.com",
    "pmads.valuead.com",
    "pmc-d.openx.net",
    "pmetrics.getclicky.com",
    "pmetrics.performancing.com",
    "pn1.adserver.yahoo.com",
    "pn2.adserver.yahoo.com",
    "po.st",
    "poacprod.122.2o7.net",
    "pocketlint.uk.intellitxt.com",
    "poconorecordcom.112.2o7.net",
    "pod.infinitypersonals.com",
    "pod.manplay.com",
    "pod.sexsearch.com",
    "pointroll.com",
    "pointroll.com",
    "polaris.tns-cs.net",
    "poldk.nuggad.net",
    "pollserver.interpolls.com",
    "pomeranian99.sitetracker.com",
    "pong.qubitproducts.com",
    "pool-colruytgroup.adhese.com",
    "pool-nrc.adhese.com",
    "pool-roularta.adhese.com",
    "pool.adhese.be",
    "pool.adhsm.adhese.com",
    "pool.admedo.com",
    "pool.ads.netlog.com",
    "pool.dichtbij.adhese.com",
    "pool.euroads.no",
    "pool.nrc.adhese.com",
    "pool.pebblemedia.adhese.com",
    "pool.persgroep.adhese.com",
    "pool.roularta.adhese.com",
    "pool.sanoma.adhese.com",
    "pop-under.ru",
    "pop-under.ru",
    "pop.adrent.net",
    "pop.dnparking.com",
    "pop.zompmedia.com",
    "pop6.adultfriendfinder.com",
    "popads.ero-advertising.com",
    "popads.net",
    "popadscdn.net",
    "popcapgames.122.2o7.net",
    "popcash.net",
    "popcounter.com",
    "popdirt.us.intellitxt.com",
    "popfill.us.intellitxt.com",
    "popfree.adultcash.com",
    "popit.mediumpimpin.com",
    "popmyads.com",
    "popoholic.us.intellitxt.com",
    "poponclick.com",
    "poponthepop.us.intellitxt.com",
    "pops.ero-advertising.com",
    "pops.velmedia.net",
    "popsci.com.122.2o7.net",
    "popub.com",
    "popularmechanics.us.intellitxt.com",
    "popunder-mladnet.medialand.ru",
    "popunder.adsrevenue.net",
    "popunder.adtrgt.com",
    "popunder.com",
    "popunder.fpctraffic.com",
    "popunder.net",
    "popunder.popcde.com",
    "popunder.ru",
    "popunder.ru",
    "popup.msn.com",
    "popup.msn.com",
    "popup.oxcash.com",
    "popupmoney.com",
    "popupmoney.com",
    "popupnation.com",
    "popups.infostart.com",
    "popuptraf.ru",
    "popuptraffic.com",
    "porn.mtree.com",
    "porngraph.com",
    "porntrack.com",
    "porntraff.com",
    "post.securestudies.com",
    "postimees.spring-tns.net",
    "postmedia.demdex.net",
    "postrelease.com",
    "potenza.cz",
    "powellsbooks.122.2o7.net",
    "poweronemedia.122.2o7.net",
    "pp.nrelate.com",
    "ppc-parked.domainsite.com",
    "pq-direct.revsci.net",
    "pqwaker.altervista.org",
    "pr-cy.ru",
    "pr-star.de",
    "pr-ten.de",
    "pr.20min.es",
    "pr.atwola.com",
    "pr.realvu.net",
    "pracuj.adocean.pl",
    "pracuj.hit.gemius.pl",
    "praddpro.de",
    "prchecker.info",
    "precisioncounter.com",
    "predictad.com",
    "predictivesearch.com",
    "prefix.hit.gemius.pl",
    "premium-offers.com",
    "premium.mookie1.com",
    "premiumtv.122.2o7.net",
    "presence-pc.fr.intellitxt.com",
    "prettyboring.us.intellitxt.com",
    "preview.leadmediapartners.com",
    "pridesource.advertserve.com",
    "primaryads.com",
    "primediabusiness.122.2o7.net",
    "primemensfitness.112.2o7.net",
    "primestarmagazine.112.2o7.net",
    "primetime.net",
    "primosearch.com",
    "prisacom.112.2o7.net",
    "priusonline.us.intellitxt.com",
    "privatamateure.com",
    "privatecash.com",
    "prizemachine.games.iwon.com",
    "prnewswire.122.2o7.net",
    "pro-advertising.com",
    "pro-networks.us.intellitxt.com",
    "pro.hit.gemius.pl",
    "pro.hit.stat24.com",
    "pro.i-doctor.co.kr",
    "pro.marinsm.com",
    "probes.cedexis.com",
    "prod-d.openx.com",
    "prod-js.aws.y-track.com",
    "prod-services.interactiveone.com",
    "product-reviews.uk.intellitxt.com",
    "proext.com",
    "prof.beta.estat.com",
    "prof.estat.com",
    "profero.com",
    "profiles.hitslink.com",
    "profiling.avandor.com",
    "profiling.veoxa.com",
    "profitshare.bg",
    "profitshare.emag.ro",
    "profitshare.ro",
    "profm.count.brat-online.ro",
    "profootballweekly.us.intellitxt.com",
    "programme-tv.fr.intellitxt.com",
    "programmerworld.us.intellitxt.com",
    "programs.wegcash.com",
    "project2.realtracker.com",
    "projectorreviews.advertserve.com",
    "projectw.skimlinks.com",
    "projectwonderful.com",
    "prom.ecato.net",
    "promo-m.bongacash.com",
    "promo.awempire.com",
    "promo.badoink.com",
    "promo.badoink.com",
    "promo.begun.ru",
    "promo.bongacash.com",
    "promo.cams.com",
    "promo.cityads.ru",
    "promo.clickcash.com",
    "promo.clicnscores.com",
    "promo.content.premiumpass.com",
    "promo.freshdirect.com",
    "promo.hdvbucks.com",
    "promo.intuitext.ro",
    "promo.lifeselector.com",
    "promo.lonelywifehookup.com",
    "promo.love-money.de",
    "promo.passioncams.com",
    "promo.pimproll.com",
    "promo.sensationalcash.com",
    "promo.twistyscash.com",
    "promo.ulust.com",
    "promo.ulust.com",
    "promo.webmasterprofitcenter.com",
    "promo.worldprofitcenter.com",
    "promo1.webcams.nl",
    "promobenef.com",
    "promos.camsoda.com",
    "promos.fling.com",
    "promos.fling.com",
    "promos.meetlocals.com",
    "promos.naked.com",
    "promos.newsok.com",
    "promos.wealthymen.com",
    "promos.wegcash.com",
    "promoserver.net",
    "promote.pair.com",
    "promotion-campaigns.com",
    "promotion.partnercash.de",
    "promotions.betfred.com",
    "promotools.globalmailer.com",
    "promotools.islive.nl",
    "promotools.vpscash.nl",
    "promotools3.globalmailer.com",
    "promotools4.globalmailer.com",
    "pronetadvertising.com",
    "propellerads.com",
    "propellerpops.com",
    "proranktracker.com",
    "prosearchs.in",
    "prosieben01.webtrekk.net",
    "protect-x.com",
    "protizer.ru",
    "proton-tm.com",
    "protraffic.com",
    "protvadmd.hit.gemius.pl",
    "protvmd.adocean.pl",
    "proudclick.com",
    "provexia.com",
    "prpops.com",
    "prscripts.com",
    "prsitecheck.com",
    "prstats.postrelease.com",
    "ps-eu.amazon-adsystem.com",
    "ps-us.amazon-adsystem.com",
    "ps.eyeota.net",
    "ps.interpolls.com",
    "ps.ns-cdn.com",
    "ps2.ign.us.intellitxt.com",
    "ps2.interpolls.com",
    "ps3news.us.intellitxt.com",
    "psp.ign.us.intellitxt.com",
    "psstt.com",
    "pstats.blogworks.com",
    "psx.ign.us.intellitxt.com",
    "psy.mtree.com",
    "pt.peerius.com",
    "ptads.sv.publicus.com",
    "ptp4ever.net",
    "pu.plugrush.com",
    "pu.trafficshop.com",
    "pub.chez.com",
    "pub.clicksor.net",
    "pub.club-internet.fr",
    "pub.ftv-publicite.fr",
    "pub.hardware.fr",
    "pub.oxado.com",
    "pub.pgssl.com",
    "pub.realmedia.fr",
    "pub.sapo.pt",
    "pub.softonic.com",
    "pub.sv2.biz",
    "pub.weatherbug.com",
    "pub12.bravenet.com",
    "pub13.bravenet.com",
    "pub16.bravenet.com",
    "pub17.bravenet.com",
    "pub2.bravenet.com",
    "pub23.bravenet.com",
    "pub26.bravenet.com",
    "pub27.bravenet.com",
    "pub28.bravenet.com",
    "pub29.bravenet.com",
    "pub30.bravenet.com",
    "pub31.bravenet.com",
    "pub34.bravenet.com",
    "pub39.bravenet.com",
    "pub40.bravenet.com",
    "pub42.bravenet.com",
    "pub43.bravenet.com",
    "pub45.bravenet.com",
    "pub47.bravenet.com",
    "pub49.bravenet.com",
    "pub50.bravenet.com",
    "pub7.bravenet.com",
    "pub9.bravenet.com",
    "pubads.g.doubleclick.net",
    "pubdirecte.com",
    "publicidad.adlead.com",
    "publicidad.elmundo.es",
    "publicidad.entelchile.net",
    "publir-d.openx.net",
    "publishers.clickbooth.com",
    "publishers.domainadvertising.com",
    "pubmatic.com",
    "pubs.hiddennetwork.com",
    "pubs.lemonde.fr",
    "pubs.lemonde.fr",
    "pubs.mgn.net",
    "pubted.com",
    "pubx.ch",
    "pulkauaiworld.112.2o7.net",
    "pulse360.com",
    "pulsix.com",
    "pultheworldlink.112.2o7.net",
    "punchjump.us.intellitxt.com",
    "puppytoob.us.intellitxt.com",
    "pureadexchange.com",
    "purefuck.com",
    "pureleads.com",
    "push.poptm.com",
    "pvpub.paruvendu.fr",
    "pw.cnzz.com",
    "pwinsider.us.intellitxt.com",
    "pwp.netcabo.pt",
    "pwrfcia.com",
    "px.adhigh.net",
    "px.admonkey.dapper.net",
    "px.dynamicyield.com",
    "px.owneriq.net",
    "px.splittag.com",
    "px.steelhousemedia.com",
    "pxc.otto.de",
    "pxl.ibpxl.com",
    "pxl.pmsrvr.com",
    "q.azcentral.com",
    "q.azcentral.com",
    "q.pni.com",
    "q1mediahydraplatform.com",
    "qa.stats.webs.com",
    "qctop.com",
    "qds.count.brat-online.ro",
    "qitrck.com",
    "qjex.net",
    "qksrv.com",
    "qlipso.checkm8.com",
    "qlipsodigital.checkm8.com",
    "qlog.adap.tv",
    "qnsr.com",
    "qrcdownload.ibcustomerzone.com",
    "qs.ivwbox.de",
    "qs.oewabox.at",
    "qs.wemfbox.ch",
    "quad.yadro.ru",
    "qualityporn.biz",
    "quantcast.com",
    "quantserve.com",
    "quantserve.com",
    "quarterserver.de",
    "questaffiliates.net",
    "questiacom.112.2o7.net",
    "questsoftware.112.2o7.net",
    "quickpwn.us.intellitxt.com",
    "quigo.com",
    "quik2link.com",
    "quinst.com",
    "quinst.com",
    "quinstreet.us.intellitxt.com",
    "quisma.com",
    "qwestfull.112.2o7.net",
    "r.254a.com",
    "r.4at1.com",
    "r.ad6media.fr",
    "r.adc-serv.net",
    "r.adrolays.de",
    "r.adserver01.de",
    "r.bid4keywords.com",
    "r.casalemedia.com",
    "r.clickdensity.com",
    "r.dir.bg",
    "r.ibg.bg",
    "r.looksmart.com",
    "r.nexac.com",
    "r.offnews.bg",
    "r.openx.net",
    "r.refinedads.com",
    "r.remarketingpixel.com",
    "r.turn.com",
    "r.yieldkit.com",
    "r01.ibg.bg",
    "r1.ace.advertising.com",
    "r1.affiliatefuel.com",
    "r1.literotica.com",
    "r1.zedo.com",
    "r2d2.adman.gr",
    "r5.dir.bg",
    "raahenseutu.jainos.fi",
    "rad.msn.com",
    "radar.cedexis.com",
    "radar.cedexis.com",
    "radarurl.com",
    "radarurl.com",
    "radiate.com",
    "railads.scripps.com",
    "rainbow-de.mythings.com",
    "rainbow-es.mythings.com",
    "rainbow-fi.mythings.com",
    "rainbow-geo-p.mythings.com",
    "rainbow-mx.mythings.com",
    "rainbow-nl.mythings.com",
    "rainbow-no.mythings.com",
    "rainbow-ru-ak.mythings.com",
    "rainbow-ru.mythings.com",
    "rainbow-sg.mythings.com",
    "rainbow-uk.mythings.com",
    "rainbow-us.mythings.com",
    "rainbow.mythings.com",
    "rainbow.topbucks.com",
    "rainbowmedia.122.2o7.net",
    "rakuten.112.2o7.net",
    "rampidads.com",
    "rank-master.com",
    "rank-master.de",
    "rankchamp.de",
    "ranker.springboardplatform.com",
    "ranking-charts.de",
    "ranking-hits.de",
    "ranking-hits.de",
    "ranking-id.de",
    "ranking-links.de",
    "ranking-liste.de",
    "ranking-street.de",
    "rankingchart.de",
    "rankingscout.com",
    "rankmytattoos.us.intellitxt.com",
    "ranks.boardtracker.com",
    "ranks.sextracker.com",
    "rankyou.com",
    "rantsports.us.intellitxt.com",
    "rapidcounter.com",
    "rapidresponse.directtrack.com",
    "rapsubs.popunder.ru",
    "raskrutka.ucoz.com",
    "rate.opinionlab.com",
    "rate.ru",
    "ratings.lycos.com",
    "rb-net.com",
    "rb.insightexpressai.com",
    "rb.revolvermaps.com",
    "rb1.design.ru",
    "rbb.ivwbox.de",
    "rbcgaru.hit.gemius.pl",
    "rbk.netmng.com",
    "rbmods.se.intellitxt.com",
    "rc.bt.ilsemedia.nl",
    "rc.de.adlink.net",
    "rc.revolvermaps.com",
    "rc.rlcdn.com",
    "rcci.122.2o7.net",
    "rcm-eu.amazon-adsystem.com",
    "rcm-images.amazon.com",
    "rcm-na.amazon-adsystem.com",
    "rcm.amazon.com",
    "rcntelecom.112.2o7.net",
    "rcpmag.us.intellitxt.com",
    "rd-direct.com",
    "rd.advertising.com",
    "rd.clickshift.com",
    "rd.revolvermaps.com",
    "rd.rlcdn.com",
    "re-directme.com",
    "re.revolvermaps.com",
    "reachjunction.com",
    "reactads.com",
    "reactads.engine.adglare.net",
    "reactx.com",
    "readersdigest.tt.omtrdc.net",
    "readserver.net",
    "reagroup.122.2o7.net",
    "realaudio.cimedia.net",
    "realbannerads.com",
    "realcastmedia.com",
    "realclix.com",
    "realitatea.count.brat-online.ro",
    "realitateadro.hit.gemius.pl",
    "realitatero.adocean.pl",
    "realitytea.us.intellitxt.com",
    "realitytvmagazine.us.intellitxt.com",
    "realmedia-a592.d4p.net",
    "realmedia-a800.d4p.net",
    "realmedia.channel4.com",
    "realmedia.lesechos.fr",
    "realmedia.nana.co.il",
    "realtechnetwork.com",
    "realtime.services.disqus.com",
    "realtimeads.com",
    "realtouchbannerwidget.aebn.net",
    "realtracker.com",
    "realtracker.com",
    "rebellionmedia.rotator.hadj7.adjuggler.net",
    "reboot.sitescout.com",
    "rebtelnetworks.112.2o7.net",
    "rec.convertale.com",
    "receive.inplay.scanscout.com",
    "recipeland.us.intellitxt.com",
    "recl.kulinar.bg",
    "recommender.scarabresearch.com",
    "recon.bleacherreport.com",
    "record.affiliatelounge.com",
    "recordeaglecom.112.2o7.net",
    "recordnetcom.112.2o7.net",
    "recordonlinecom.112.2o7.net",
    "recs.richrelevance.com",
    "red.ads.t-online.de",
    "redbalcony.us.intellitxt.com",
    "redefine.hit.stat24.com",
    "redefine2.hit.stat24.com",
    "redemptionengine.com",
    "redir.adap.tv",
    "redir.adsonar.com",
    "redir.juicyads.com",
    "redirect.ad-feeds.com",
    "redirect.ad-feeds.net",
    "redirect.clickshield.net",
    "redirect.fairfax.com.au",
    "redirect.tracking202.com",
    "redirect.viglink.com",
    "redirect.xmladfeed.com",
    "redirectingat.com",
    "redirects.coldhardcash.com",
    "redirects.ero-advertising.com",
    "redroomnetwork.com",
    "redux.valuead.com",
    "reduxads.valuead.com",
    "reduxmedia.com",
    "reduxmediagroup.com",
    "reed-cw.grapeshot.co.uk",
    "reedbusiness.com.invalid",
    "reelmovienews.us.intellitxt.com",
    "refer.ccbill.com",
    "refer1.outster.com",
    "refer100.outster.com",
    "refer102.outster.com",
    "refer20.outster.com",
    "refer25.outster.com",
    "refer46.outster.com",
    "refer85.outster.com",
    "referal.begun.ru",
    "referral.topbucks.com",
    "referral.vod.topbucks.com",
    "referralware.com",
    "referrer.disqus.com",
    "registercom.122.2o7.net",
    "registrydefender.com",
    "regnow.com",
    "reinvigorate.net",
    "rek.adtotal.pl",
    "rek.www.wp.pl",
    "reklam.rfsl.se",
    "reklama.mironet.cz",
    "reklama.neg.bg",
    "reklama.offmedia.bg",
    "reklama.onet.pl",
    "reklama.reflektor.cz",
    "reklama.topnovini.bg",
    "reklama.vaseporno.eu",
    "reklama.ve.lt",
    "reklama.wisdom.bg",
    "reklamanet.net",
    "reklamcsere.hu",
    "reklame.unwired-i.net",
    "reklamer.com.ua",
    "relay-ba.ads.httpool.com",
    "relay-ba.toboads.com",
    "relay-bg.ads.httpool.com",
    "relay-bg.toboads.com",
    "relay-cz.ads.httpool.com",
    "relay-ks.ads.httpool.com",
    "relay-mk.ads.httpool.com",
    "relay-rs.ads.httpool.com",
    "relay-si.toboads.com",
    "relay.mobile.toboads.com",
    "relestar.com",
    "relevantknowledge.com",
    "relevanz10.de",
    "relmaxtop.com",
    "rem.rezonmedia.eu",
    "remodelingonlinecom.112.2o7.net",
    "remotead-internal.cnet.com",
    "remotead.cnet.com",
    "remotead.cnet.com",
    "rentcom.112.2o7.net",
    "rentcom.tt.omtrdc.net",
    "report.mitsubishicars.com",
    "reporting.cpxinteractive.com",
    "reporting.singlefeed.com",
    "reports.extreme-dm.com",
    "reports.quisma.com",
    "republer.com",
    "republika.onet.pl",
    "req.tidaltv.com",
    "res.adplus.co.id",
    "res.levexis.com",
    "reseaux-telecoms.fr.intellitxt.com",
    "reseller.sexyads.com",
    "resources.eyereturn.com",
    "resources.infolinks.com",
    "resources.kiosked.com",
    "restore-pc.com",
    "restoredchurchofgod.112.2o7.net",
    "results.adworldmedia.com",
    "results.cafefind.net",
    "retarcl.net",
    "retargeter.com",
    "return.bs.domainnamesales.com",
    "return.domainnamesales.com",
    "return.uk.domainnamesales.com",
    "reunion.tt.omtrdc.net",
    "reunioncom.112.2o7.net",
    "rev.adip.ly",
    "rev.avsforum.com",
    "rev.lanistaads.com",
    "revcontent.com",
    "revelations.trovus.co.uk",
    "revenue.com",
    "revenue.net",
    "revenuedirect.com",
    "revenuegateway.directtrack.com",
    "reviewcentrecom.skimlinks.com",
    "reviews.domainplayersclub.com",
    "revive.vkushti.tv",
    "revolution.ign.us.intellitxt.com",
    "revotrack.revotas.com",
    "revsci.net",
    "revsci.tvguide.com",
    "revstats.com",
    "rewards.macandbumble.com",
    "rg.revolvermaps.com",
    "rh.adscale.de",
    "rh.revolvermaps.com",
    "rhads.sv.publicus.com",
    "rhtag.com",
    "ri.clickability.com",
    "ri.nuggad.net",
    "ri.revolvermaps.com",
    "richmails.com",
    "richmedia.yimg.com",
    "richmedia.yimg.com",
    "richmedia247.com",
    "richwebmaster.com",
    "rickey.us.intellitxt.com",
    "rig.idg.no",
    "rightstats.com",
    "ringcentral.112.2o7.net",
    "ringieradro.hit.gemius.pl",
    "ringieradrs.hit.gemius.pl",
    "ringierag.112.2o7.net",
    "ringierro.adocean.pl",
    "ringierrs.adocean.pl",
    "ringsurf.us.intellitxt.com",
    "riptownmedia.122.2o7.net",
    "rivasearchpage.com",
    "riverdeep.112.2o7.net",
    "rk.revolvermaps.com",
    "rkcache.brandreachsys.com",
    "rlcdn.com",
    "rle.ru",
    "rm.myoc.com",
    "rm.ocregister.com",
    "rm.tapuz.co.il",
    "rma-api.gravity.com",
    "rmads.eu.msn.com",
    "rmads.msn.com",
    "rmads.msn.com",
    "rmbn.net",
    "rmcdn.2mdn.net",
    "rmcdn.f.2mdn.net",
    "rmd.atdmt.com",
    "rmedia.adonnetwork.com",
    "rmedia.boston.com",
    "rmedia.boston.com",
    "rmgparcelforcecom.112.2o7.net",
    "rmgroyalmailcom.112.2o7.net",
    "rmsi.nuggad.net",
    "rnbdirt.us.intellitxt.com",
    "rnews.focus-news.net",
    "ro.adocean.pl",
    "ro.hit.gemius.pl",
    "ro.search.etargetnet.com",
    "ro1adro.hit.gemius.pl",
    "ro1ro.adocean.pl",
    "ro2.biz",
    "roar.com",
    "robotreplay.com",
    "robtopol.in",
    "rodale.d1.sc.omtrdc.net",
    "rogde.adocean.pl",
    "roia.biz",
    "roia.biz",
    "roitrack.adtrgt.com",
    "roitrack.cptgt.com",
    "roitrack.directdisplayad.com",
    "rojakpot.us.intellitxt.com",
    "rok.com.com",
    "rome.specificclick.net",
    "rose.ixbt.com",
    "rot2.imoti.net",
    "rotabanner.com",
    "rotabanner.utro.ru",
    "rotabanner100.utro.ru",
    "rotabanner234.utro.ru",
    "rotabanner468.utro.ru",
    "rotator.7x3.net",
    "rotator.adjuggler.com",
    "rotator.adxite.com",
    "rotator.hadj7.adjuggler.net",
    "rotator.nbjmp.com",
    "rotator.offpageads.com",
    "rotator.tradetracker.net",
    "rotator.tradetracker.nl",
    "rotator.trafficstars.com",
    "rotor6.newzfind.com",
    "router.adlure.net",
    "roxr.net",
    "rp-online.met.vgwort.de",
    "rp.hit.gemius.pl",
    "rpc-php.trafficfactory.biz",
    "rpg.us.intellitxt.com",
    "rpt.anchorfree.net",
    "rpt.footlocker.com",
    "rpt.rad.msn.com",
    "rq.adfox.ru",
    "rq.adtrackdirect.com",
    "rr1.outster.com",
    "rr1.xxxcounter.com",
    "rrpartners.122.2o7.net",
    "rs.adocean.pl",
    "rs.gwallet.com",
    "rs.instantservice.com",
    "rs.search.etargetnet.com",
    "rs.static.etargetnet.com",
    "rsc.scmspain.com",
    "rsgde.adocean.pl",
    "rt.globalmailer.com",
    "rt.legolas-media.com",
    "rt.liftdna.com",
    "rt.udmserve.net",
    "rt3.infolinks.com",
    "rta.criteo.com",
    "rta.dailymail.co.uk",
    "rtax.criteo.com",
    "rtb-ads.avazu.net",
    "rtb-csync.smartadserver.com",
    "rtb.metrigo.com",
    "rtb.tubemogul.com",
    "rtb3.doubleverify.com",
    "rtbcdn.doubleverify.com",
    "rtbpop.com",
    "rtbpopd.com",
    "rtbproxy.mgid.com",
    "rtd.tubemogul.com",
    "rte-img.nuseek.com",
    "rtl.ivwbox.de",
    "rtr.innovid.com",
    "rtrgt2.com",
    "rts.doublepimp.com",
    "rts.pgmediaserve.com",
    "rts.phn.doublepimp.com",
    "rts.revfusion.net",
    "rtst.122.2o7.net",
    "rtt.adrolays.de",
    "rtve.d1.sc.omtrdc.net",
    "ru-traffic.com",
    "ru.best-top.biz",
    "ru2.hit.stat24.com",
    "ru4.com",
    "rubanners.com",
    "rubiconproject.com",
    "rudy.adsnative.com",
    "ruemedia.adspirit.net",
    "rules.atgsvcs.com",
    "rules.securestudies.com",
    "rum-collector.pingdom.net",
    "rum-static.pingdom.net",
    "rumds.wpdigital.net",
    "rumorfix.us.intellitxt.com",
    "run.admost.com",
    "rusads.toysrus.com",
    "russiantwinksecrets.com",
    "rutrk.org",
    "rvpadvertisingnetwork.com",
    "rx8club.us.intellitxt.com",
    "rydium.us.intellitxt.com",
    "s.206ads.com",
    "s.206solutions.com",
    "s.adexpert.cz",
    "s.adframesrc.com",
    "s.adklik.com.tr",
    "s.admathhd.com",
    "s.admulti.com",
    "s.adroll.com",
    "s.adroll.com",
    "s.ads.t-online.de",
    "s.amazon-adsystem.com",
    "s.arclk.net",
    "s.atemda.com",
    "s.ato.mx",
    "s.btstatic.com",
    "s.clickability.com",
    "s.clicktale.net",
    "s.cxt.ms",
    "s.dpmsrv.com",
    "s.effectivemeasure.net",
    "s.estat.com",
    "s.fl-ads.com",
    "s.idio.co",
    "s.innovid.com",
    "s.ivillage.us.intellitxt.com",
    "s.marketwatch.com",
    "s.moatads.com",
    "s.mobclix.com",
    "s.ntv.io",
    "s.ppjol.net",
    "s.pubmine.com",
    "s.sa.aol.com",
    "s.shopify.com",
    "s.skimresources.com",
    "s.svtrd.com",
    "s.tagsrvcs.com",
    "s.thebrighttag.com",
    "s.tribalfusion.com",
    "s.tyxo.com",
    "s.uadx.com",
    "s.webtrends.com",
    "s.weheartstats.com",
    "s.xbox.com",
    "s.xp1.ru4.com",
    "s01-delivery.addynamo.net",
    "s01.delivery.addynamo.com",
    "s01.flagcounter.com",
    "s02.flagcounter.com",
    "s03.flagcounter.com",
    "s04.flagcounter.com",
    "s05.flagcounter.com",
    "s06.flagcounter.com",
    "s07.flagcounter.com",
    "s08.flagcounter.com",
    "s09.flagcounter.com",
    "s1.adform.net",
    "s1.cnzz.com",
    "s1.cz.adocean.pl",
    "s1.czgde.adocean.pl",
    "s1.delfilt.adocean.pl",
    "s1.edipresse.adocean.pl",
    "s1.gojobsru.adocean.pl",
    "s1.hit.stat.pl",
    "s1.hit.stat24.com",
    "s1.inviziads.com",
    "s1.listrakbi.com",
    "s1.my.adocean.pl",
    "s1.myao.adocean.pl",
    "s1.pracuj.adocean.pl",
    "s1.rotaban.ru",
    "s1.shinystat.com",
    "s1.shinystat.it",
    "s1.sk.adocean.pl",
    "s1.skgde.adocean.pl",
    "s10.cnzz.com",
    "s10.flagcounter.com",
    "s10.histats.com",
    "s10.sitemeter.com",
    "s101.cnzz.com",
    "s102.cnzz.com",
    "s103.cnzz.com",
    "s105.cnzz.com",
    "s106.cnzz.com",
    "s108.cnzz.com",
    "s109.cnzz.com",
    "s11.cnzz.com",
    "s11.flagcounter.com",
    "s11.histats.com",
    "s11.sitemeter.com",
    "s110.cnzz.com",
    "s111.cnzz.com",
    "s112.cnzz.com",
    "s113.cnzz.com",
    "s115.cnzz.com",
    "s116.cnzz.com",
    "s118.cnzz.com",
    "s1184.t.eloqua.com",
    "s12.cnzz.com",
    "s12.sitemeter.com",
    "s120.cnzz.com",
    "s128.histats.com",
    "s129js.histats.com",
    "s13.cnzz.com",
    "s13.sitemeter.com",
    "s130.cnzz.com",
    "s131.cnzz.com",
    "s132.cnzz.com",
    "s137.cnzz.com",
    "s14.cnzz.com",
    "s14.sitemeter.com",
    "s1415903351.t.eloqua.com",
    "s142.cnzz.com",
    "s1471.t.eloqua.com",
    "s1481.t.eloqua.com",
    "s15.cnzz.com",
    "s15.sitemeter.com",
    "s16.cnzz.com",
    "s16.sitemeter.com",
    "s17.sitemeter.com",
    "s18.cnzz.com",
    "s18.sitemeter.com",
    "s19.cnzz.com",
    "s19.sitemeter.com",
    "s2.hit.stat.pl",
    "s2.hit.stat24.com",
    "s2.shinystat.com",
    "s2.shinystat.it",
    "s2.statcounter.com",
    "s2.tracemyip.org",
    "s2.trafficmaxx.de",
    "s2.video.doubleclick.net",
    "s20.cnzz.com",
    "s20.sitemeter.com",
    "s21.sitemeter.com",
    "s212.ucoz.net",
    "s2150.t.eloqua.com",
    "s22.cnzz.com",
    "s22.sitemeter.com",
    "s23.cnzz.com",
    "s23.sitemeter.com",
    "s24.cnzz.com",
    "s24.sitemeter.com",
    "s248.meetrics.net",
    "s25.sitemeter.com",
    "s26.cnzz.com",
    "s26.sitemeter.com",
    "s27.sitemeter.com",
    "s28.cnzz.com",
    "s28.sitemeter.com",
    "s282.meetrics.net",
    "s29.cnzz.com",
    "s29.sitemeter.com",
    "s2d6.com",
    "s3.addthis.com",
    "s3.buysellads.com",
    "s3.cnzz.com",
    "s3.hit.stat.pl",
    "s3.hit.stat24.com",
    "s3.pageranktop.com",
    "s3.shinystat.com",
    "s3.shinystat.it",
    "s3.trafficmaxx.de",
    "s30.cnzz.com",
    "s30.sitemeter.com",
    "s300.meetrics.net",
    "s3015.t.eloqua.com",
    "s31.sitemeter.com",
    "s32.research.de.com",
    "s32.sitemeter.com",
    "s323.t.eloqua.com",
    "s33.cnzz.com",
    "s33.sitemeter.com",
    "s34.cnzz.com",
    "s34.sitemeter.com",
    "s35.sitemeter.com",
    "s36.sitemeter.com",
    "s37.cnzz.com",
    "s37.sitemeter.com",
    "s38.cnzz.com",
    "s38.sitemeter.com",
    "s39.sitemeter.com",
    "s4.cnzz.com",
    "s4.histats.com",
    "s4.hit.stat.pl",
    "s4.hit.stat24.com",
    "s4.shinystat.com",
    "s4.shinystat.it",
    "s40.sitemeter.com",
    "s41.sitemeter.com",
    "s42.cpmaffiliation.com",
    "s42.sitemeter.com",
    "s43.sitemeter.com",
    "s44.sitemeter.com",
    "s45.sitemeter.com",
    "s46.sitemeter.com",
    "s47.cnzz.com",
    "s47.sitemeter.com",
    "s48.cnzz.com",
    "s48.sitemeter.com",
    "s49.sitemeter.com",
    "s4is.histats.com",
    "s4le.net",
    "s5.cnzz.com",
    "s5.spn.ee",
    "s50.cnzz.com",
    "s50.sitemeter.com",
    "s51.cnzz.com",
    "s51.sitemeter.com",
    "s54.cnzz.com",
    "s55.cnzz.com",
    "s6.lebenna.com",
    "s61.cnzz.com",
    "s62.cnzz.com",
    "s62.research.de.com",
    "s63.cnzz.com",
    "s65.cnzz.com",
    "s66.cnzz.com",
    "s68.cnzz.com",
    "s69.cnzz.com",
    "s7.addthis.com",
    "s7.cnzz.com",
    "s70.cnzz.com",
    "s76.cnzz.com",
    "s8.cnzz.com",
    "s80.cnzz.com",
    "s83.cnzz.com",
    "s84.cnzz.com",
    "s85.cnzz.com",
    "s88.cnzz.com",
    "s89.cnzz.com",
    "s9.addthis.com",
    "s9.cnzz.com",
    "s9.shinystat.com",
    "s92.cnzz.com",
    "s94.cnzz.com",
    "s95.cnzz.com",
    "s99.cnzz.com",
    "sa.aol.com.122.2o7.net",
    "sa.bbc.co.uk",
    "sa.entireweb.com",
    "sa.scorecardresearch.com",
    "sa1.ipon.lt",
    "sa2.ipon.lt",
    "sacdcad01.salon.com",
    "sacdcad02.salon.com",
    "sacdcad03.salon.com",
    "sact.atdmt.com",
    "safaribooks.112.2o7.net",
    "safe-es.imrworldwide.com",
    "safedownloadnow.work",
    "safepay2.interactivebrands.com",
    "sageanalyst.net",
    "sagedigital.checkm8.com",
    "saksfifthavenue.122.2o7.net",
    "salzburg.oewabox.at",
    "samsungacr.com",
    "samsungads.com",
    "samtrack1.com",
    "samvaulter.com",
    "sana.newsinc.com",
    "santacruzsentinelcom.112.2o7.net",
    "sapato01.webtrekk.net",
    "sapatoru.widget.criteo.com",
    "sascentral.com",
    "sat.scoutanalytics.com",
    "savvyads.com",
    "saxobutlereagle.122.2o7.net",
    "saxoconcordmonitor.122.2o7.net",
    "saxoeverett.122.2o7.net",
    "saxofosters.122.2o7.net",
    "saxogoerie.122.2o7.net",
    "saxogreensboro.122.2o7.net",
    "saxoorklamedia.122.2o7.net",
    "saxopeninsuladailynews.122.2o7.net",
    "saxorutland.122.2o7.net",
    "saxosumteritem.122.2o7.net",
    "saxotech.122.2o7.net",
    "saxotechtylerpaper.122.2o7.net",
    "saxotelegraph.122.2o7.net",
    "saxotoledo.122.2o7.net",
    "saxowatertowndailytimes.122.2o7.net",
    "saxowenworld.122.2o7.net",
    "saxowesterncommunications.122.2o7.net",
    "saxp.zedo.com",
    "sayac.onlinewebstat.com",
    "sayac.onlinewebstats.com",
    "sayhello.popunder.ru",
    "sb.monetate.net",
    "sb.scorecardresearch.com",
    "sb.voicefive.com",
    "sbsblukgov.112.2o7.net",
    "sbx.pagesjaunes.fr",
    "sc-forbes.forbes.com",
    "sc.independent.co.uk",
    "sc.vmware.com",
    "scambiobanner.altervista.org",
    "scambiobanner.aruba.it",
    "scanscout.com",
    "scanwith.us.intellitxt.com",
    "schaeffers.112.2o7.net",
    "schoorsteen.geenstijl.nl",
    "schuelvz.ivwbox.de",
    "sciamcom.112.2o7.net",
    "science.mlive.com",
    "scienceworldreport.us.intellitxt.com",
    "scnt.rambler.ru",
    "scopelight.com",
    "scorecardresearch.com",
    "scottrade.112.2o7.net",
    "scounter.rambler.ru",
    "scout.scoutanalytics.net",
    "scout24.wemfbox.ch",
    "scratch2cash.com",
    "screensavers.us.intellitxt.com",
    "scripps.demdex.net",
    "scrippsdiy.112.2o7.net",
    "scrippsfineliving.112.2o7.net",
    "scrippsfoodnet.112.2o7.net",
    "scrippsfoodnetnew.112.2o7.net",
    "scrippsgac.112.2o7.net",
    "scrippshgtv.112.2o7.net",
    "scrippshgtvpro.112.2o7.net",
    "scrippsrecipezaar.112.2o7.net",
    "script.crazyegg.com",
    "script.crsspxl.com",
    "script.dotmetrics.net",
    "script.ioam.de",
    "script.netminers.dk",
    "script.opentracker.net",
    "script.tailsweep.com",
    "script.yeb.biz",
    "scripte-monster.de",
    "scripts.chitika.net",
    "scripts.conversionattribution.com",
    "scripts.demandbase.com",
    "scripts.host.bannerflow.com",
    "scripts.kataweb.it",
    "scripts.kissmetrics.com",
    "scripts.mofos.com",
    "scripts.mycounter.com.ua",
    "scripts.mycounter.ua",
    "scripts.psyma.com",
    "scripts.sophus3.com",
    "scripts.the-group.net",
    "scripts.webspectator.com",
    "scrollingads.hustlermegapass.com",
    "scs.webtrends.com",
    "scz.hit.gemius.pl",
    "sd.play.com",
    "sdc.acc.org",
    "sdc.brightcove.com",
    "sdc.ca.com",
    "sdc.caranddriver.com",
    "sdc.dishnetwork.com",
    "sdc.dn.no",
    "sdc.entertainment.com",
    "sdc.flysas.com",
    "sdc.jumptheshark.com",
    "sdc.lef.org",
    "sdc.livingchoices.com",
    "sdc.mako.co.il",
    "sdc.mcafee.com",
    "sdc.netiq.com",
    "sdc.plannedparenthood.org",
    "sdc.prudential.com",
    "sdc.radio-canada.ca",
    "sdc.rbistats.com",
    "sdc.roadandtrack.com",
    "sdc.sanofi-aventis.us",
    "sdc.shawinc.com",
    "sdc.tele.net",
    "sdc.traderonline.com",
    "sdc.tvguide.com",
    "sdc.usps.com",
    "sdc.vml.com",
    "sdc.windowsmarketplace.com",
    "sdc2.sakura.ad.jp",
    "sdc8prod1.wiley.com",
    "sdcexecs.us.intellitxt.com",
    "sdk-controller.widespace.com",
    "sdo.oewabox.at",
    "sdscdn.userreport.com",
    "se.adserver.yahoo.com",
    "se.cqcounter.com",
    "se.monetate.net",
    "se.sitestat.com",
    "sea.effectivemeasure.net",
    "seacoastonlinecom.112.2o7.net",
    "seal.ranking.com",
    "seal.validatedsite.com",
    "search.brainfox.com",
    "search.clicksor.com",
    "search.dmtracker.com",
    "search.eclickz.com",
    "search.effectivebrand.com",
    "search.etargetnet.com",
    "search.in",
    "search.ipromote.com",
    "search.iwon.com",
    "search.keywordblocks.com",
    "search.mediatarget.com",
    "search.mywebsearch.com",
    "search.sextracker.com",
    "search.spotxchange.com",
    "search.startnow.com",
    "search2007.info",
    "search34.info.com",
    "searchassistant.iwon.com",
    "searchatomic.com",
    "searchdiscovered.com",
    "searchfeast.com",
    "searchfwding.com",
    "searchignited.com",
    "searchmagnified.com",
    "searchmarketing.com",
    "searchnigeria.net",
    "searchramp.com",
    "searchtoexplore.com",
    "sears.112.2o7.net",
    "sears.demdex.net",
    "searscom.112.2o7.net",
    "searskmartcom.112.2o7.net",
    "seavideo-ak.espn.go.com",
    "seb.d1.sc.omtrdc.net",
    "sebcotrk.com",
    "sec.levexis.com",
    "sec1.liveperson.net",
    "secserv.adtech.de",
    "secure-ads.pictela.net",
    "secure-ams.adnxs.com",
    "secure-asia.imrworldwide.com",
    "secure-au.imrworldwide.com",
    "secure-cert.imrworldwide.com",
    "secure-dcr.imrworldwide.com",
    "secure-dk.imrworldwide.com",
    "secure-drm.imrworldwide.com",
    "secure-ds.serving-sys.com",
    "secure-eu.imrworldwide.com",
    "secure-id.impressiondesk.com",
    "secure-it.imrworldwide.com",
    "secure-jp.imrworldwide.com",
    "secure-nz.imrworldwide.com",
    "secure-sg.imrworldwide.com",
    "secure-uk.imrworldwide.com",
    "secure-us.imrworldwide.com",
    "secure-yt.imrworldwide.com",
    "secure-za.imrworldwide.com",
    "secure.ace-tag.advertising.com",
    "secure.ace.advertising.com",
    "secure.adnxs.com",
    "secure.adwebster.com",
    "secure.audienceinsights.net",
    "secure.cardtransaction.com",
    "secure.directtrack.com",
    "secure.expressdelivery.biz",
    "secure.fhserve.com",
    "secure.gaug.es",
    "secure.img-cdn.mediaplex.com",
    "secure.insightexpressai.com",
    "secure.leadback.advertising.com",
    "secure.leadforensics.com",
    "secure.marketengines.com",
    "secure.media6degrees.com",
    "secure.mymedcenter.net",
    "secure.quantserve.com",
    "secure.statcounter.com",
    "secure.uac.advertising.com",
    "secure.vxsbill.com",
    "secure.w3track.com",
    "secure.webconnect.net",
    "secure.webconnect.net",
    "secure.webresint.com",
    "secure2.segpay.com",
    "secure3.marketengines.com",
    "secure6.platinumbucks.com",
    "securedownload01.net",
    "securepubads.g.doubleclick.net",
    "secureredirect101.com",
    "securite.01net.com",
    "sedoparking.com",
    "sedoparking.com",
    "sedotracker.com",
    "sedu.adhands.ru",
    "see.hit.gemius.pl",
    "seekbang.com",
    "seeq.com.invalid",
    "seethisinaction.com",
    "seg.sharethis.com",
    "segapi.quantserve.com",
    "segment-data.zqtk.net",
    "segment-pixel.invitemedia.com",
    "segments.adaptv.advertising.com",
    "segs.btrll.com",
    "send.microad.jp",
    "sender.hipersushiads.com",
    "sender.megapopads.com",
    "sensic.net",
    "sensismediasmart.com.au",
    "sento.122.2o7.net",
    "seo4india.com",
    "seomatrix.webtrackingservices.com",
    "serenescreen-marine-aquarium.en.softonic.com",
    "serials.ws",
    "serv.adspeed.com",
    "serv0.com",
    "servad.mynet.com",
    "servads.fansshare.com",
    "serve-east.acuityplatform.com",
    "serve.ads.chaturbate.com",
    "serve.oxcluster.com",
    "serve.popads.net",
    "serve.williamhill.com",
    "servedby.adcombination.com",
    "servedby.advertising.com",
    "servedby.bigfineads.com",
    "servedby.flashtalking.com",
    "servedby.indiads.com",
    "servedby.informatm.com",
    "servedby.integraclick.com",
    "servedby.ipromote.com",
    "servedby.o2.co.uk",
    "servedby.orn-adserver.nl",
    "servedby.proxena-adserver.com",
    "servedby.revcontent.com",
    "servedby.studads.com",
    "servedbyadbutler.com",
    "servedbyadbutler.com",
    "servedbyopenx.com",
    "server-au.imrworldwide.com",
    "server-br.imrworldwide.com",
    "server-by.imrworldwide.com",
    "server-de.imrworldwide.com",
    "server-dk.imrworldwide.com",
    "server-ee.imrworldwide.com",
    "server-fi.imrworldwide.com",
    "server-it.imrworldwide.com",
    "server-jp.imrworldwide.com",
    "server-lt.imrworldwide.com",
    "server-lv.imrworldwide.com",
    "server-no.imrworldwide.com",
    "server-nz.imrworldwide.com",
    "server-oslo.imrworldwide.com",
    "server-pl.imrworldwide.com",
    "server-se.imrworldwide.com",
    "server-sg.imrworldwide.com",
    "server-stockh.imrworldwide.com",
    "server-uk.imrworldwide.com",
    "server-us.imrworldwide.com",
    "server.adform.net",
    "server.adformdsp.net",
    "server.as5000.com",
    "server.cpmstar.com",
    "server.iad.liveperson.net",
    "server.siteamplifier.net",
    "server1.affiz.net",
    "server1.beaconpush.com",
    "server1.opentracker.net",
    "server10.opentracker.net",
    "server2.as5000.com",
    "server2.discountclick.com",
    "server2.web-stat.com",
    "server3.web-stat.com",
    "server4.web-stat.com",
    "servethis.com",
    "service.clicksvenue.com",
    "service.maxymiser.net",
    "service.multi-pops.com",
    "service.persianstat.com",
    "service.urchin.com",
    "service1.predictad.com",
    "service2.predictad.com",
    "serviceo.comcast.net",
    "services.hearstmags.com",
    "services.krxd.net",
    "services.webspectator.com",
    "services.x-traceur.com",
    "serving-sys.com",
    "serving.adsrevenue.clicksor.net",
    "serving.bepolite.eu",
    "serving.xxxwebtraffic.com",
    "serw.clicksor.com",
    "serw.myroitracking.com",
    "session.owneriq.net",
    "settings.luckyorange.net",
    "setupspcp1.888.com",
    "sevenoneintermedia.112.2o7.net",
    "sexaddpro.de",
    "sexadvertentiesite.nl",
    "sexcounter.com",
    "sexinyourcity.com",
    "sexlist.com",
    "sextracker.com",
    "sextracker.com",
    "sexystat.com",
    "seznam.hit.gemius.pl",
    "sftp.clickability.com",
    "sftrack.searchforce.net",
    "sg-cdn.effectivemeasure.net",
    "sg.adserver.yahoo.com",
    "sgmedia.adspirit.net",
    "sh.creativcdn.net",
    "shallownation.us.intellitxt.com",
    "shanding.ucoz.es",
    "shareadspace.com",
    "shareaholic.com",
    "shareasale.com",
    "shareasale.com",
    "sharecast.uk.intellitxt.com",
    "sharepointads.com",
    "shawnewspapers.112.2o7.net",
    "shebudgets.us.intellitxt.com",
    "sheknows.us.intellitxt.com",
    "sher.index.hu",
    "shim.btrll.com",
    "shinystat.com",
    "shinystat.it",
    "shlinks.industrybrains.com",
    "shopping.112.2o7.net",
    "shoppingads.com",
    "shoutwire.us.intellitxt.com",
    "show.adclick.lv",
    "show.communiad.com",
    "show.onenetworkdirect.net",
    "show.smartcontext.pl",
    "showads.pubmatic.com",
    "si.2.cqcounter.com",
    "si.adocean.pl",
    "si.hit.gemius.pl",
    "si.nuggad.net",
    "si.wemfbox.ch",
    "siads.sv.publicus.com",
    "siccash.com",
    "sidebar.angelfire.com",
    "sideshow.directtrack.com",
    "siemens.d1.sc.omtrdc.net",
    "sifomedia.aftonbladet.se",
    "sifomedia.idg.se",
    "sigil.outwar.com",
    "siliconera.us.intellitxt.com",
    "silveragesoftware.com",
    "simg.zedo.com",
    "simplehitcounter.com",
    "sin1.g.adnxs.com",
    "sinettrk.com",
    "sinoa.com",
    "sinuatemedia.com",
    "sisco.hit.stat.pl",
    "site-stats.i8.com",
    "site-stats.rbl.ms",
    "site.falconbucks.com",
    "site.johnlewis.com",
    "site.puritan.com",
    "siteintercept.qualtrics.com",
    "siteinterceptco1.qualtrics.com",
    "sitemeter.com",
    "sitemeter.com",
    "siterecruit.comscore.com",
    "sitestat.com",
    "sitestat.com",
    "sitestat.kpn-is.nl",
    "sitestats.com",
    "sitestats.tiscali.co.uk",
    "sitetracker.com",
    "sixsigmatraffic.com",
    "sixsigmatraffic.com",
    "sk.adocean.pl",
    "sk.best-top.biz",
    "sk.hit.gemius.pl",
    "sk.search.etargetnet.com",
    "skimlinkscom.skimlinks.com",
    "skimresources.com",
    "sky.estat.com",
    "skyauction.122.2o7.net",
    "skylink.vn",
    "sl-retargeting.adsonar.com",
    "slashfilm.us.intellitxt.com",
    "slate-ad-scripts.s3.amazonaws.com",
    "slbbbcom.112.2o7.net",
    "sleep.vermontteddybear.com",
    "slickaffiliate.com",
    "slider.plugrush.com",
    "slo-engine.intextad.net",
    "slopeaota.com",
    "slovakia.hit.gemius.pl",
    "sltravelcom.112.2o7.net",
    "sm1.sitemeter.com",
    "sm2.sitemeter.com",
    "sm3.sitemeter.com",
    "sm4.sitemeter.com",
    "sm5.sitemeter.com",
    "sm6.sitemeter.com",
    "sm7.sitemeter.com",
    "sm8.sitemeter.com",
    "sm9.sitemeter.com",
    "smaato.net",
    "smart.hola.com",
    "smart.styria-digital.com",
    "smart.synergy-e.com",
    "smart4ads.com",
    "smartabouthealth.us.intellitxt.com",
    "smartad.mercadolibre.com.ar",
    "smartad.mercadolivre.com.br",
    "smartadserver.com",
    "smartcarfinder.us.intellitxt.com",
    "smartdevicecentral.us.intellitxt.com",
    "smartinit.webads.nl",
    "smartmoney.112.2o7.net",
    "smc.silvercash.com",
    "smetrics.creditreport.com",
    "smetrics.freecreditreport.com",
    "smetrics.yellowbook.com",
    "smf.spring-tns.net",
    "smibs.112.2o7.net",
    "smokingeverywhere.122.2o7.net",
    "smokinggun.122.2o7.net",
    "smowtion.com",
    "smp.adviva.net",
    "smp.specificmedia.com",
    "smpopmech.112.2o7.net",
    "smrtpxl.advertising.com",
    "sms-ads.com",
    "smwww.112.2o7.net",
    "snagajob.122.2o7.net",
    "snapads.com",
    "snapfish.112.2o7.net",
    "sniff.visistat.com",
    "snoobi.com",
    "snowplow-collector.sugarops.com",
    "snwmedia.adk2x.com",
    "soccergaming.us.intellitxt.com",
    "socialanxietysupport.us.intellitxt.com",
    "socialitelife.us.intellitxt.com",
    "sociallitelife.tags.crwdcntrl.net",
    "socialspark.com",
    "socialspark.com",
    "socpixel.bidsystem.com",
    "sofa01.webtrekk.net",
    "sofeminine.uk.intellitxt.com",
    "soft32.us.intellitxt.com",
    "soft4update.forfreeupgrades.org",
    "softads.50webs.com",
    "softclick.com.br",
    "softlayer.d1.sc.omtrdc.net",
    "softonic-analytics.net",
    "softonic.112.2o7.net",
    "softonic.de.intellitxt.com",
    "softpedia.uk.intellitxt.com",
    "softpedia.us.intellitxt.com",
    "softwareupdaterlp.com",
    "sohh.us.intellitxt.com",
    "som.aeroplan.com",
    "sonar.sociomantic.com",
    "sony.tcliveus.com",
    "sonychina.112.2o7.net",
    "sonycorporate.112.2o7.net",
    "sonyscei.112.2o7.net",
    "soski.popunder.ru",
    "sourceforgemedia-computing.t.domdex.com",
    "southcoasttodaycom.112.2o7.net",
    "sp.analytics.yahoo.com",
    "sp1.convertro.com",
    "spacash.com",
    "space.us.intellitxt.com",
    "spads.yamx.com",
    "spamfighter.112.2o7.net",
    "spamnuker.com",
    "sparknetworks.112.2o7.net",
    "sparkstudios.com",
    "spc.cefhdghhafdgceifiehdfdad.iban.telemetryverification.net",
    "spd.atdmt.com",
    "spd.atdmt.speedera.net",
    "spe.atdmt.com",
    "specificmedia.co.uk",
    "specificmedia.com",
    "specificpop.com",
    "specificpop.com",
    "speed.pointroll.com",
    "speedbar.myway.com",
    "speedclicks.ero-advertising.com",
    "speedguide.us.intellitxt.com",
    "speednetwork14.adk2x.com",
    "speedtv.us.intellitxt.com",
    "spencergifts.112.2o7.net",
    "spezialreporte.de",
    "spi.domainsponsor.com",
    "spiegel.met.vgwort.de",
    "spike669.popunder.ru",
    "spin.spinbox.net",
    "spinbox.techtracker.com",
    "spinbox.versiontracker.com",
    "spinbox.versiontracker.com",
    "spir.hit.gemius.pl",
    "spixel.adsafeprotected.com",
    "spl.hit.gemius.pl",
    "splitter.ndsplitter.com",
    "spns.seriousads.net",
    "sponsorads.de",
    "sponsoredlinks.nationalgeographic.com",
    "sponsorpro.de",
    "sponsors.thoughtsmedia.com",
    "sport.count.brat-online.ro",
    "sport1.wemfbox.ch",
    "sport5.checkm8.com",
    "sport5digital.checkm8.com",
    "sportaladbg.hit.gemius.pl",
    "sportalbg.adocean.pl",
    "sportat.oewabox.at",
    "sportingbeteur.adsrv.eacdn.com",
    "sportingnews.122.2o7.net",
    "sportingnews.us.intellitxt.com",
    "sports.ign.us.intellitxt.com",
    "sports.msnbc.us.intellitxt.com",
    "sports.rightpundits.us.intellitxt.com",
    "sportscarillustrated.us.intellitxt.com",
    "sportsillustrated.tags.crwdcntrl.net",
    "spot.fitness.com",
    "spots.ah-me.com",
    "spotsniper.ru",
    "spotxchange.com",
    "spravki-online.hit.bg",
    "springclick-ads.s3.amazonaws.com",
    "sprinks-clicks.about.com",
    "sprinks-clicks.about.com",
    "sprintglobal.112.2o7.net",
    "sprintusers.us.intellitxt.com",
    "spx.owneriq.net",
    "spylog.com",
    "spylog.com",
    "spylog.ru",
    "spytrack.tic.ru",
    "spywarelabs.com",
    "spywarenuker.com",
    "spywords.com",
    "sqlservercentral.us.intellitxt.com",
    "squarefootball.uk.intellitxt.com",
    "squid.diepresse.com",
    "sr2.liveperson.net",
    "srch.atdmt.com",
    "srch.startnow.com",
    "sroomafp.allyes.com",
    "srs.targetpoint.com",
    "srv-us.znaptag.com",
    "srv.adengage.com",
    "srv.admailtiser.com",
    "srv.bebi.com",
    "srv.bidvertiser.com",
    "srv.buysellads.com",
    "srv.carbonads.net",
    "srv.clickfuse.com",
    "srv.juiceadv.com",
    "srv.sayyac.com",
    "srv.sayyac.net",
    "srv.stackadapt.com",
    "srv.uk.znaptag.com",
    "srv1.rapidstats.de",
    "srv1.wa.marketingsolutions.yahoo.com",
    "srv2.twittercounter.com",
    "srv2.wa.marketingsolutions.yahoo.com",
    "srv2trking.com",
    "srv3.wa.marketingsolutions.yahoo.com",
    "srvpub.com",
    "srwww1.com",
    "ss.mtree.com",
    "ss1.zedo.com",
    "ss2.zedo.com",
    "ss3.zedo.com",
    "ss7.zedo.com",
    "sscdn.banners.advidi.com",
    "ssdc.icelandair.com",
    "ssend.microad.jp",
    "ssl-sl-retargeting.adsonar.com",
    "ssl-vg03.met.vgwort.de",
    "ssl.clickbank.net",
    "ssl.google-analytics.com",
    "ssl.mousestats.com",
    "ssl.siteimprove.com",
    "ssl.xplosion.de",
    "ssl3.adhost.com",
    "sslt.tellapart.com",
    "ssltracking.esearchvision.com",
    "sslwidget.criteo.com",
    "ssp.adriver.ru",
    "ssprings.rotator.hadj7.adjuggler.net",
    "sstatic1.histats.com",
    "ssum-sec.casalemedia.com",
    "ssum.casalemedia.com",
    "st-1.1fichier.com",
    "st-n.ads2-adnow.com",
    "st.ad.adnow.com",
    "st.ad.smaclick.com",
    "st.adnow.com",
    "st.blogads.com",
    "st.directadvert.ru",
    "st.dynamicyield.com",
    "st.fanatics.com",
    "st.hit.gemius.pl",
    "st.magnify.net",
    "st.n.ads1-adnow.com",
    "st.n.ads2-adnow.com",
    "st.n.ads3-adnow.com",
    "st.pay-click.ru",
    "st.pc.adonweb.ru",
    "st.smartredirect.de",
    "st.top100.ru",
    "st.wetrack.it",
    "st1.freeonlineusers.com",
    "st1.hit.gemius.pl",
    "stabx.net",
    "stack7.collect.igodigital.com",
    "stack9.collect.igodigital.com",
    "stage.traffiliate.com",
    "stags.bluekai.com",
    "stags.peer39.net",
    "stampscom.112.2o7.net",
    "starcasm.us.intellitxt.com",
    "stardk.tradedoubler.com",
    "starffa.com",
    "starpulse.us.intellitxt.com",
    "start.freeze.com",
    "start.outster.com",
    "start.sextracker.com",
    "start.xxxcounter.com",
    "startpunt.nu.site-id.nl",
    "starz.122.2o7.net",
    "stat-tracker.net",
    "stat.4u.pl",
    "stat.active24stats.nl",
    "stat.adlabs.ru",
    "stat.aport.ru",
    "stat.axelspringer.hu",
    "stat.blogads.com",
    "stat.cliche.se",
    "stat.cncenter.cz",
    "stat.dealtime.com",
    "stat.delo.ua",
    "stat.designntrend.com",
    "stat.dyna.ultraweb.hu",
    "stat.dyna.ultraweb.hu",
    "stat.ekologia.pl",
    "stat.fengniao.com",
    "stat.flashtalking.com",
    "stat.ganbox.com",
    "stat.it168.com",
    "stat.komoona.com",
    "stat.mystat.hu",
    "stat.netinfocompany.bg",
    "stat.onestat.com",
    "stat.p24.hu",
    "stat.pchome.net",
    "stat.pl",
    "stat.ringier.cz",
    "stat.stars.ru",
    "stat.su",
    "stat.synergy-e.com",
    "stat.tudou.com",
    "stat.upforitnetworks.com",
    "stat.webmedia.pl",
    "stat.webmedia.pl",
    "stat.zenon.net",
    "stat001.mylivepage.com",
    "stat002.mylivepage.com",
    "stat003.mylivepage.com",
    "stat004.mylivepage.com",
    "stat005.mylivepage.com",
    "stat006.mylivepage.com",
    "stat007.mylivepage.com",
    "stat008.mylivepage.com",
    "stat009.mylivepage.com",
    "stat010.mylivepage.com",
    "stat1.vipstat.com",
    "stat24.com",
    "stat24.meta.ua",
    "stat24.meta.ua",
    "statcounter.com",
    "statdb.pressflex.com",
    "static-bp.kameleoon.com",
    "static-cdn.labs.burstnet.com",
    "static-shareaholic.s3.amazonaws.com",
    "static-trackers.adtarget.me",
    "static-uk.addynamo.net",
    "static.4chan-ads.org",
    "static.99widgets.com",
    "static.a-ads.com",
    "static.ad.libimseti.cz",
    "static.adbutter.net",
    "static.adclick.lt",
    "static.adclick.lv",
    "static.addynamo.net",
    "static.adfclick1.com",
    "static.adk2.com",
    "static.adman.gr",
    "static.ads-twitter.com",
    "static.ads.crakmedia.com",
    "static.adsafeprotected.com",
    "static.adsnative.com",
    "static.adtaily.com",
    "static.adtaily.pl",
    "static.adzerk.net",
    "static.adziff.com",
    "static.ampxchange.com",
    "static.ard.xxxblackbook.com",
    "static.atgsvcs.com",
    "static.awempire.com",
    "static.brsrvr.com",
    "static.canalstat.com",
    "static.cdn.adblade.com",
    "static.clickonometrics.pl",
    "static.clickpapa.com",
    "static.clicktripz.com",
    "static.contentabc.com",
    "static.cpalead.com",
    "static.crakbanner.com",
    "static.creatives.livejasmin.com",
    "static.criteo.net",
    "static.crowdscience.com",
    "static.doubleclick.net",
    "static.dynad.net",
    "static.etracker.com",
    "static.eu.criteo.net",
    "static.exaccess.ru",
    "static.fleshlight.com",
    "static.fmpub.net",
    "static.freeskreen.com",
    "static.getclicky.com",
    "static.gfx.streamate.com",
    "static.gfx.streamen.com",
    "static.gtop.ro",
    "static.hatid.com",
    "static.hotjar.com",
    "static.httpool.com.mk",
    "static.ifa.camads.net",
    "static.ifa.empflixlive.com",
    "static.ifa.slutloadlive.com",
    "static.ifa.yobtcams.com",
    "static.inviziads.com",
    "static.itrack.it",
    "static.kameleoon.com",
    "static.luminate.com",
    "static.meteorsolutions.com",
    "static.nectarads.com",
    "static.openads.motorrad-net.at",
    "static.parkingpanel.com",
    "static.parsely.com",
    "static.pochta.ru",
    "static.proximic.com",
    "static.pubdirecte.com",
    "static.pxlad.io",
    "static.realmediadigital.com",
    "static.scanscout.com",
    "static.skimlinks.com",
    "static.springmetrics.com",
    "static.styria-digital.com",
    "static.tellapart.com",
    "static.tellaparts.com",
    "static.tracking202.com",
    "static.trafficjunky.net",
    "static.uk.addynamo.com",
    "static.unister-adservices.com",
    "static.vpptechnologies.com",
    "static.woopra.com",
    "static.yieldmo.com",
    "static.zanox.com",
    "staticads.btopenworld.com",
    "staticd.cdn.industrybrains.com",
    "statistics.s5.com",
    "statistik-gallup.net",
    "statistik-gallup.net",
    "statistik.bundestag.de",
    "statistik.polizei-beratung.de",
    "statistiq.com",
    "statm.the-adult-company.com",
    "stats-newyork1.bloxcms.com",
    "stats.24.com",
    "stats.adultswim.com",
    "stats.agent.co.il",
    "stats.agentinteractive.com",
    "stats.articlesbase.com",
    "stats.askmen.com",
    "stats.asp24.pl",
    "stats.backcountry.com",
    "stats.bbc.co.uk",
    "stats.berkman.harvard.edu",
    "stats.blogger.com",
    "stats.bluebillywig.com",
    "stats.bookingbuddy.com",
    "stats.break.com",
    "stats.buycostumes.com",
    "stats.buysellads.com",
    "stats.cafepress.com",
    "stats.canalblog.com",
    "stats.cartoonnetwork.com",
    "stats.click-internet.fr",
    "stats.clickability.com",
    "stats.clicktracks.com",
    "stats.cloudwp.io",
    "stats.complex.com",
    "stats.concierge.com",
    "stats.cts-bv.nl",
    "stats.dailyrecord.co.uk",
    "stats.darikweb.com",
    "stats.dice.com",
    "stats.directnic.com",
    "stats.directnic.com",
    "stats.dnparking.com",
    "stats.drugstore.com",
    "stats.e-go.gr",
    "stats.economist.com",
    "stats.epicurious.com",
    "stats.esomniture.com",
    "stats.examiner.com",
    "stats.freeonlinegames.com",
    "stats.ft.com",
    "stats.g.doubleclick.net",
    "stats.grubstreet.com",
    "stats.homestead.com",
    "stats.hosting24.com",
    "stats.hyperinzerce.cz",
    "stats.ign.com",
    "stats.ilsemedia.nl",
    "stats.immense.net",
    "stats.infomedia.net",
    "stats.inist.fr",
    "stats.investors.com",
    "stats.ircfast.com",
    "stats.itweb.co.za",
    "stats.jtvnw.net",
    "stats.kaltura.com",
    "stats.libresse.no",
    "stats.lightningcast.net",
    "stats.livingsocial.com",
    "stats.magnify.net",
    "stats.mako.co.il",
    "stats.manticoretechnology.com",
    "stats.media.onet.pl",
    "stats.metacount.com",
    "stats.mirrorfootball.co.uk",
    "stats.multiup.org",
    "stats.mvilivestats.com",
    "stats.netsolads.com",
    "stats.nymag.com",
    "stats.olark.com",
    "stats.openload.co",
    "stats.outster.com",
    "stats.ozwebsites.biz",
    "stats.pagefair.com",
    "stats.pandora.com",
    "stats.parstools.com",
    "stats.partypoker.com",
    "stats.persgroep.be",
    "stats.persgroep.nl",
    "stats.polldaddy.com",
    "stats.pusher.com",
    "stats.sa-as.com",
    "stats.sbstv.dk",
    "stats.sextracker.com",
    "stats.snacktools.net",
    "stats.speak2us.net",
    "stats.style.com",
    "stats.suite101.com",
    "stats.superstats.com",
    "stats.surfaid.ihost.com",
    "stats.surfaid.ihost.com",
    "stats.thoughtcatalog.com",
    "stats.topofblogs.com",
    "stats.townnews.com",
    "stats.townnews.com",
    "stats.tunt.lv",
    "stats.twistage.com",
    "stats.unwired-i.net",
    "stats.ventivmedia.com",
    "stats.virtuemart.net",
    "stats.visistat.com",
    "stats.vodpod.com",
    "stats.voyages-sncf.com",
    "stats.vulture.com",
    "stats.warenform.de",
    "stats.watchmygf.com",
    "stats.webleads-tracker.com",
    "stats.widgadget.com",
    "stats.wired.com",
    "stats.wordpress.com",
    "stats.wordpress.com",
    "stats.wp.com",
    "stats.x14.eu",
    "stats.xxxkey.com",
    "stats.xxxrewards.com",
    "stats.zmags.com",
    "stats0.one.ru",
    "stats1.clicktracks.com",
    "stats1.one.ru",
    "stats1.porntrack.com",
    "stats2.allure.com",
    "stats2.arstechnica.com",
    "stats2.clicktracks.com",
    "stats2.details.com",
    "stats2.glamour.com",
    "stats2.golfdigest.com",
    "stats2.gq.com",
    "stats2.lightningcast.net",
    "stats2.luckymag.com",
    "stats2.one.ru",
    "stats2.radiocompanion.com",
    "stats2.self.com",
    "stats2.teenvogue.com",
    "stats2.vanityfair.com",
    "stats2.wmagazine.com",
    "stats3.clicktracks.com",
    "stats3.porntrack.com",
    "stats3.unrulymedia.com",
    "stats4.clicktracks.com",
    "stats4all.com",
    "statse.webtrendslive.com",
    "statsie.com",
    "statstracker.celebrity-gossip.net",
    "statsv3.gaycash.com",
    "statto.plus8.net",
    "stattrack.0catch.com",
    "statxpress.com",
    "stcwbd.com",
    "std.o.webmd.com",
    "std1.hit.gemius.pl",
    "steadyhealth.us.intellitxt.com",
    "steelhouse.com",
    "steelhousemedia.com",
    "stepan007.popunder.ru",
    "stepnation.com",
    "stf.terra.com.br",
    "stg.widget.crowdignite.com",
    "sticker.yadro.ru",
    "stickyadstv.com",
    "stir.semilo.com",
    "stockgroup.us.intellitxt.com",
    "storage.adsolutions.nl",
    "storage.outbrain.com",
    "storage.trafic.ro",
    "storknet.us.intellitxt.com",
    "stpetersburgtimes.122.2o7.net",
    "str.hit.gemius.pl",
    "straightresults.com",
    "stream1.livefyre.com",
    "stream1.marketwatch.fyre.co",
    "stream11.instream.com",
    "streamate.com",
    "streamate.doublepimp.com",
    "streamstats1.blinkx.com",
    "sttc.affiliate.hu",
    "stua.hit.gemius.pl",
    "stubhub.122.2o7.net",
    "studivz.ivwbox.de",
    "stupidcelebrities.us.intellitxt.com",
    "stx.banners.sextracker.com",
    "stx.sextracker.com",
    "stx0.sextracker.com",
    "stx1.sextracker.com",
    "stx10.sextracker.com",
    "stx11.sextracker.com",
    "stx12.sextracker.com",
    "stx13.sextracker.com",
    "stx14.sextracker.com",
    "stx15.sextracker.com",
    "stx2.sextracker.com",
    "stx3.sextracker.com",
    "stx4.sextracker.com",
    "stx5.sextracker.com",
    "stx6.sextracker.com",
    "stx7.sextracker.com",
    "stx8.sextracker.com",
    "stx9.sextracker.com",
    "stxbans.sextracker.com",
    "styleblazer.us.intellitxt.com",
    "stylincom.112.2o7.net",
    "suads.sulekha.com",
    "suavalds.com",
    "subaruofamerica.112.2o7.net",
    "subscribe.hearstmags.com",
    "sueddeut.ivwbox.de",
    "sugoicounter.com",
    "summitbusinessmedia.112.2o7.net",
    "sumome.com",
    "sunglobal.112.2o7.net",
    "sup.adfox.ru",
    "supercars.us.intellitxt.com",
    "superclix.de",
    "superficial.crwdcntrl.net",
    "superherohype.us.intellitxt.com",
    "supernature-forum.de.intellitxt.com",
    "superpages.122.2o7.net",
    "superstats.com",
    "supertop.ru",
    "supertop100.com",
    "support.sextronix.com",
    "supportnet.de.intellitxt.com",
    "suptullog.com",
    "sureads.com",
    "surebaby.us.intellitxt.com",
    "surfline.112.2o7.net",
    "surfmusik-adserver.de",
    "survey.122.2o7.net",
    "survey.burstmedia.com",
    "survey.g.doubleclick.net",
    "survey.nuggad.net",
    "survey2.voicefive.com",
    "suscotrk.com",
    "sutra.newzfind.com",
    "svastx.moatads.com",
    "svd.112.2o7.net",
    "sw.interpolls.com",
    "swa.demdex.net",
    "swan-swan-goose.com",
    "swissadsolutions.com",
    "swissinf.wemfbox.ch",
    "switch.d-agency.net",
    "switch.rtbsystem.com",
    "swordfishdc.com",
    "swr.ivwbox.de",
    "swsoft.122.2o7.net",
    "swtkes.com",
    "sx.trhnt.com",
    "symbian-freak.us.intellitxt.com",
    "symbianone.us.intellitxt.com",
    "sympmsnglobalen.112.2o7.net",
    "sympmsnmusic.112.2o7.net",
    "synad.nuffnang.com.my",
    "synad2.nuffnang.com.my",
    "sync.atomex.net",
    "sync.cmedia.s3.amazonaws.com",
    "sync.darikweb.com",
    "sync.go.sonobi.com",
    "sync.mathtag.com",
    "sync.richmetrics.com",
    "sync.search.spotxchange.com",
    "sync2.adsniper.ru",
    "synchrobox.adswizz.com",
    "synchroscript.adswizz.com",
    "synchroscript.deliveryengine.adswizz.com",
    "syndication.cntrafficpro.com",
    "syndication.exoclick.com",
    "syndication.jsadapi.com",
    "syndication.streamads.yahoo.com",
    "syndication.traffichaus.com",
    "syndication.trafficreps.com",
    "sz.met.vgwort.de",
    "t-ads.adap.tv",
    "t.254a.com",
    "t.abnad.net",
    "t.acxiom-online.com",
    "t.adk2.com",
    "t.adonly.com",
    "t.ads.pof.com",
    "t.afftrackr.com",
    "t.bbtrack.net",
    "t.beanstalkdata.com",
    "t.blogreaderproject.com",
    "t.bmmetrix.com",
    "t.channeladvisor.com",
    "t.cqq5id8n.com",
    "t.dailymail.co.uk",
    "t.dtscout.com",
    "t.extreme-dm.com",
    "t.flux.com",
    "t.goadservices.com",
    "t.insigit.com",
    "t.invitemedia.com",
    "t.mdn2015x2.com",
    "t.mdn2015x3.com",
    "t.mookie1.com",
    "t.mplxtms.com",
    "t.mtagmonetizationa.com",
    "t.mtagmonetizationc.com",
    "t.neodatagroup.com",
    "t.nrelate.com",
    "t.omkt.co",
    "t.otherprofit.com",
    "t.p.mybuys.com",
    "t.pointroll.com",
    "t.pswec.com",
    "t.pusk.ru",
    "t.sellpoints.com",
    "t.skimresources.com",
    "t.snowball.com",
    "t.svtrd.com",
    "t.teads.tv",
    "t.tellapart.com",
    "t.trackedlink.net",
    "t.wowanalytics.co.uk",
    "t.zqtk.net",
    "t0.extreme-dm.com",
    "t01.proximic.com",
    "t1.extreme-dm.com",
    "t1.softonicads.com",
    "t1.stormiq.com",
    "t1.tentaculos.net",
    "t1.trackalyzer.com",
    "t13.intelliad.de",
    "t2.softonicads.com",
    "t2.trackalyzer.com",
    "t23.intelliad.de",
    "t3.marinsm.com",
    "t3.trackalyzer.com",
    "t4.liverail.com",
    "t4.trackalyzer.com",
    "t5.trackalyzer.com",
    "t6.trackalyzer.com",
    "taboola.com",
    "tackthisclick.com",
    "tacobell.d1.sc.omtrdc.net",
    "tacoda.at.atwola.com",
    "tacoda.net",
    "taffr.com",
    "tag-stats.huffingtonpost.com",
    "tag.apxlv.com",
    "tag.beanstock.co",
    "tag.bounceexchange.com",
    "tag.contextweb.com",
    "tag.crsspxl.com",
    "tag.datariver.ru",
    "tag.digitaltarget.ru",
    "tag.gayadnetwork.com",
    "tag.mtrcs.samba.tv",
    "tag.navdmp.com",
    "tag.perfectaudience.com",
    "tag.researchnow.com",
    "tag.tlvmedia.com",
    "tag.userreport.com",
    "tag.yieldoptimizer.com",
    "tag1.adaptiveads.com",
    "tagessch.ivwbox.de",
    "tagline.bidsystem.com",
    "tags-cdn.deployads.com",
    "tags.adcde.com",
    "tags.adonly.com",
    "tags.api.umbel.com",
    "tags.bannercde.com",
    "tags.bkrtx.com",
    "tags.bluekai.com",
    "tags.crwdcntrl.net",
    "tags.deployads.com",
    "tags.expo9.exponential.com",
    "tags.extole.com",
    "tags.h12-media.com",
    "tags.hypeads.org",
    "tags.mathtag.com",
    "tags.mdotlabs.com",
    "tags.mediaforge.com",
    "tags.spider-mails.com",
    "tags.t.tailtarget.com",
    "tags.w55c.net",
    "tags1.eclkspsa.com",
    "tagular.com",
    "tailsweep.co.uk",
    "tailsweep.com",
    "tailsweep.se",
    "takru.com",
    "taletela.us.intellitxt.com",
    "talkcity.realtracker.com",
    "tally.upsideout.com",
    "talos.adman.gr",
    "talsa.spring-tns.net",
    "tamprc.com",
    "tangerinenet.biz",
    "tangomedia.112.2o7.net",
    "taobaoafp.allyes.cn",
    "tap-cdn.rubiconproject.com",
    "tap.rubiconproject.com",
    "tapad.com",
    "tapestry.tapad.com",
    "tar.tradedoubler.com",
    "tarasoft.bg",
    "targad.de",
    "target.e-generator.com",
    "target.net.finam.ru",
    "target.smi2.net",
    "targeting.adwebster.com",
    "targetingnow.com",
    "targetnet.com",
    "targetpoint.com",
    "tarno.tradedoubler.com",
    "tas-ba.toboads.com",
    "tas-bg.toboads.com",
    "tas-cz.toboads.com",
    "tas-hr.toboads.com",
    "tas-ks.toboads.com",
    "tas-mk.toboads.com",
    "tas-rs.toboads.com",
    "tas-si.toboads.com",
    "tas.orangeads.fr",
    "tas2.toboads.si",
    "tats.cecash.com",
    "tatsumi-sys.jp",
    "taz.adspirit.de",
    "tbl.tradedoubler.com",
    "tbohiphop.us.intellitxt.com",
    "tbs.tradedoubler.com",
    "tbstv.112.2o7.net",
    "tbsveryfunnyads.112.2o7.net",
    "tc-s.convertro.com",
    "tc.adlink.net",
    "tc.zionsbank.com",
    "tcads.net",
    "tcgtrkr.com",
    "tck.bangbros.com",
    "tcmagazine.uk.intellitxt.com",
    "tcr.tynt.com",
    "td.demdex.net",
    "tdn.r42tag.com",
    "tds.trafflow.com",
    "tds.tuberl.com",
    "te.adlandpro.com",
    "te.kontera.com",
    "te.suntimes.com",
    "te.thestar.com",
    "teads.tv",
    "tealium.hs.llnwd.net",
    "teamtalk.uk.intellitxt.com",
    "tecchannel.de.intellitxt.com",
    "tech-faq.us.intellitxt.com",
    "tech.realmedia.co.kr",
    "techclicks.net",
    "techeblog.us.intellitxt.com",
    "techgadgets.in.intellitxt.com",
    "techgage.us.intellitxt.com",
    "techguy.us.intellitxt.com",
    "techimo.us.intellitxt.com",
    "technobuffalo.us.intellitxt.com",
    "technology.msnbc.us.intellitxt.com",
    "technologyguide.us.intellitxt.com",
    "techpowerup.us.intellitxt.com",
    "techradar.uk.intellitxt.com",
    "techradarcom.skimlinks.com",
    "techreview.112.2o7.net",
    "techspot.us.intellitxt.com",
    "techspotcom.skimlinks.com",
    "techsupportforum.us.intellitxt.com",
    "techworld.nl.intellitxt.com",
    "techzine.nl.intellitxt.com",
    "ted.dailymail.co.uk",
    "teen.streamate.com",
    "teenrevenue.com",
    "teens24h.com",
    "tel3adv.112.2o7.net",
    "tele2nl.112.2o7.net",
    "telefloracom.112.2o7.net",
    "telefonica.es.intellitxt.com",
    "telefonino.it.intellitxt.com",
    "telegraphcouk.skimlinks.com",
    "telgids.adsolutions.nl",
    "teliad.de",
    "telkku.spring-tns.net",
    "telstra.imrworldwide.com",
    "temp.adzerver.com",
    "tempest.services.disqus.com",
    "tengo.popunder.ru",
    "tenmagazines.us.intellitxt.com",
    "tenzing.fmpub.net",
    "tescostores.122.2o7.net",
    "test-script.dotmetrics.net",
    "test.coremetrics.com",
    "test.theeagle.com",
    "test.tns-cs.net",
    "test.wiredminds.de",
    "testats.inuvo.com",
    "testdata.coremetrics.com",
    "text-link-ads.com",
    "text-link-ads.ientry.com",
    "textad.eroticmatch.com",
    "textad.manplay.com",
    "textad.net",
    "textad.passionsearch.com",
    "textad.sexsearch.com",
    "textad.sexsearch.com",
    "textad.sexsearchcom.com",
    "textad.socialsex.com",
    "textad.xpress.com",
    "textad.xxxcupid.com",
    "textad.xxxmatch.com",
    "textads.adultadworld.com",
    "textads.biz",
    "textads.opera.com",
    "textads.sexmoney.com",
    "textlinks.com",
    "tfag.de",
    "tgd.timesonline.co.uk",
    "tgdaily.us.intellitxt.com",
    "tgn.122.2o7.net",
    "tgp.adultfriendfinder.com",
    "tgp.pornsponsors.com",
    "tgptraffic.biz",
    "th-cdn.effectivemeasure.net",
    "th.2.cqcounter.com",
    "thathappened.us.intellitxt.com",
    "thayhiltonlongisland.112.2o7.net",
    "thayhoteldelcoronado.112.2o7.net",
    "thayvenetian.112.2o7.net",
    "the-best-track.com",
    "the-kret.popunder.ru",
    "the.mtree.com",
    "the.sextracker.com",
    "theadhost.com",
    "theads.me",
    "theads.me",
    "theadvertiser.us.intellitxt.com",
    "theaffiliateprogram.com",
    "thebighits.com",
    "theblemish.us.intellitxt.com",
    "thebosh.us.intellitxt.com",
    "thebugs.ws",
    "thecarconnection.us.intellitxt.com",
    "thecelebritycafe.us.intellitxt.com",
    "thecounter.com",
    "thedailystarcom.112.2o7.net",
    "theeldergeek.us.intellitxt.com",
    "thefinalfantasy.us.intellitxt.com",
    "theforce.us.intellitxt.com",
    "thefrisky.us.intellitxt.com",
    "thefutoncritic.us.intellitxt.com",
    "thegauntlet.us.intellitxt.com",
    "theglobeandmail.us.intellitxt.com",
    "thegloss.us.intellitxt.com",
    "thegroup.112.2o7.net",
    "thehdroom.us.intellitxt.com",
    "thehollywoodgossip.us.intellitxt.com",
    "thehollywoodnews.uk.intellitxt.com",
    "theinquirer.uk.intellitxt.com",
    "theinternetworksltd-news.t.domdex.com",
    "thelibraryofcongress.122.2o7.net",
    "thelocalsearchnetwork.com",
    "themanroom.us.intellitxt.com",
    "themexp.ezthemes.com",
    "theonenetwork.us.intellitxt.com",
    "thepaparazzis.us.intellitxt.com",
    "therapistla.com",
    "theregister.uk.intellitxt.com",
    "therichkids.com",
    "thesearchagency.net",
    "theshemalesurvey.com",
    "thestar.122.2o7.net",
    "thestardev.122.2o7.net",
    "thestreet.us.intellitxt.com",
    "thesuperficial.us.intellitxt.com",
    "thesurfshield.com",
    "thetechherald.uk.intellitxt.com",
    "thetechlounge.us.intellitxt.com",
    "thetechzone.us.intellitxt.com",
    "thetop.be",
    "theunwired.us.intellitxt.com",
    "thewrap.rotator.hadj7.adjuggler.net",
    "theybf.us.intellitxt.com",
    "thgalecom.112.2o7.net",
    "thinkcomputers.us.intellitxt.com",
    "thinkdigitaladro.hit.gemius.pl",
    "thinkdigitalro.adocean.pl",
    "thinkgeek.112.2o7.net",
    "thomasvillefurniture.122.2o7.net",
    "thome.112.2o7.net",
    "thoughtsmedia.us.intellitxt.com",
    "threadwatch.us.intellitxt.com",
    "thrnt.com",
    "thruport.com",
    "thumbs.ero-advertising.com",
    "ti.tradetracker.net",
    "ti.tradetracker.nl",
    "tiads.essence.com",
    "tiads.ew.com",
    "tiads.health.com",
    "tiads.instyle.com",
    "tiads.people.com",
    "tiads.sportsillustrated.cnn.com",
    "tiads.timeinc.net",
    "tidbitscom.skimlinks.com",
    "tie.iprom.net",
    "tigershark.adultadworld.com",
    "timecom.112.2o7.net",
    "timecom.122.2o7.net",
    "timeessence.122.2o7.net",
    "timeew.122.2o7.net",
    "timefoodandwine.122.2o7.net",
    "timefortune.112.2o7.net",
    "timehealthtips.122.2o7.net",
    "timeinc.122.2o7.net",
    "timelife.122.2o7.net",
    "timeoutcommunications.122.2o7.net",
    "timepeople.122.2o7.net",
    "timepespanol.122.2o7.net",
    "timeseg.modules.jumptime.com",
    "timespctenbest.122.2o7.net",
    "timespent.eyereturn.com",
    "timeteenpeople.122.2o7.net",
    "tinybar.com",
    "tirerackcom.112.2o7.net",
    "tirolcom.oewabox.at",
    "tiscali.js.ad.dotandad.com",
    "tiscaliadv01.webtrekk.net",
    "titan.advertserve.com",
    "title.mximg.com",
    "tix.pinion.gg",
    "tizer.adv.vz.ru",
    "tizers.net",
    "tjx.112.2o7.net",
    "tk.ads.mmondi.com",
    "tlvmedia.com",
    "tm.tradetracker.net",
    "tmgr.ccmbg.com",
    "tmscdn.coremetrics.com",
    "tmscdn.de.coremetrics.com",
    "tmserver-1.com",
    "tmslexus.112.2o7.net",
    "tmstoyota.112.2o7.net",
    "tmz.us.intellitxt.com",
    "tns-counter.ru",
    "tns-gallup.dk",
    "tntclix.co.uk",
    "tnttv.112.2o7.net",
    "todayshow.us.intellitxt.com",
    "tom.allyes.com",
    "toms.us.intellitxt.com",
    "tomsforumz.us.intellitxt.com",
    "tomshardware.fr.intellitxt.com",
    "tomshardware.se.intellitxt.com",
    "tomshardware.us.intellitxt.com",
    "tomsnetworking.us.intellitxt.com",
    "tomsshoes.122.2o7.net",
    "toofab.us.intellitxt.com",
    "toolbar.startnow.com",
    "tools.ad-net.co.uk",
    "tools.naughtyamerica.com",
    "tools.pacinocash.com",
    "tools.ranker.com",
    "tools.spylog.ru",
    "tools.ztod.com",
    "toon-families.com",
    "toonfamilies.net",
    "top-casting-termine.de",
    "top-fwz1.mail.ru",
    "top-site-list.com",
    "top.addfreestats.com",
    "top.artcomix.com",
    "top.c-stat.eu",
    "top.dating.lt",
    "top.easy.lv",
    "top.er.cz",
    "top.gde.ru",
    "top.list.ru",
    "top.list.ru",
    "top.mail.ru",
    "top.oewabox.at",
    "top.proext.com",
    "top.proext.com",
    "top1.list.ru",
    "top100-images.rambler.ru",
    "top100-images.rambler.ru",
    "top100.mafia.ru",
    "top100.rambler.ru",
    "top100italiana.com",
    "top123.ro",
    "top20.com.invalid",
    "top20free.com",
    "top3.list.ru",
    "top6.list.ru",
    "top90.ro",
    "topads.rrstar.com",
    "topbarh.box.sk",
    "topblogarea.se",
    "topbucks.com",
    "topcounts.com",
    "topdesktop.ezthemes.com",
    "topdownloads.nl.intellitxt.com",
    "topeuro.biz",
    "topforall.com",
    "toplessrobotcom.skimlinks.com",
    "toplist.cz",
    "toplist.cz",
    "toplist.eu",
    "toplist.pornhost.com",
    "toplist.sk",
    "toplista.mw.hu",
    "toplistcity.com",
    "topmmorpgsites.com.invalid",
    "topnews.us.intellitxt.com",
    "topping.com.ua",
    "topqualitylink.com",
    "toprebates.com",
    "topsafelist.net",
    "topsearcher.com",
    "topsir.com",
    "topsite.lv",
    "topsites.blogflux.com",
    "topsites.com.br",
    "topsocialite.us.intellitxt.com",
    "topspeed.us.intellitxt.com",
    "topstats.com",
    "toptechreviews.us.intellitxt.com",
    "toptenreviews.us.intellitxt.com",
    "tor.redlightcenter.com",
    "torax.outwar.com",
    "toroadvertisingmedia.com",
    "torontostar.demdex.net",
    "torpiddurkeeopthalmic.info",
    "torquenews.us.intellitxt.com",
    "torstardigital.122.2o7.net",
    "totemcash.com",
    "tothecenter.us.intellitxt.com",
    "touchclarity.com",
    "touchclarity.natwest.com",
    "tour.affbuzzads.com",
    "tour.brazzers.com",
    "tour.brazzers.com",
    "toyota.demdex.net",
    "toyotamotorcorporation.122.2o7.net",
    "toysrus.tt.omtrdc.net",
    "tpads.sv.publicus.com",
    "tpc.googlesyndication.com",
    "tpl1.realtracker.com",
    "tpl2.realtracker.com",
    "tpnads.com",
    "tr-1.agilone.com",
    "tr-af.com",
    "tr.2.cqcounter.com",
    "tr.affiliate.hu",
    "tr.buzzlogic.com",
    "tr.de.adlink.net",
    "tr.hit.gemius.pl",
    "tr.mobiadserv.com",
    "tr.prospecteye.com",
    "tr.webantenna.info",
    "tr1.frosmo.com",
    "tr1.myroitracking.com",
    "tracer.perezhilton.com",
    "track.absoluteclickscom.com",
    "track.acclaimnetwork.com",
    "track.ad4mmo.com",
    "track.adbooth.net",
    "track.adform.net",
    "track.adform.net",
    "track.adrevolver.com",
    "track.adservingfactory.com",
    "track.anchorfree.com",
    "track.atom-data.io",
    "track.blogcounter.de",
    "track.blogmeetsbrand.com",
    "track.cbs.com",
    "track.celeb.gate.cc",
    "track.childrensalon.com",
    "track.clickon.co.il",
    "track.clicksor.com",
    "track.clicktraq.co",
    "track.collegeboard.com",
    "track.cracked.com",
    "track.customer.io",
    "track.did-it.com",
    "track.dmipartners.com",
    "track.double.net",
    "track.dvdbox.com",
    "track.effiliation.com",
    "track.eyeviewads.com",
    "track.fling.com",
    "track.ft.com",
    "track.futureshop.ca",
    "track.gawker.com",
    "track.gawker.com",
    "track.happylifestylestoday.com",
    "track.happysitewriter.com",
    "track.homestead.com",
    "track.hubspot.com",
    "track.idtargeting.com",
    "track.interstateanalytics.com",
    "track.ionicmedia.com",
    "track.justcloud.com",
    "track.keywordstrategy.org",
    "track.lativio.com",
    "track.leadin.com",
    "track.linkoffers.net",
    "track.make-a-site.net",
    "track.moreniche.com",
    "track.netshelter.net",
    "track.oainternetservices.com",
    "track.omguk.com",
    "track.oxcash.com",
    "track.pointroll.com",
    "track.popmog.com",
    "track.promptfile.com",
    "track.pubmatic.com",
    "track.pulse360.com",
    "track.realitykings.com",
    "track.recreativ.ru",
    "track.rtb-media.ru",
    "track.rtdock.com",
    "track.scrillaspace.com",
    "track.securedvisit.com",
    "track.send.microad.jp",
    "track.seorate.ru",
    "track.shop2market.com",
    "track.sitetag.us",
    "track.untd.com",
    "track.viralvidi.com",
    "track.visitorpath.com",
    "track.webgains.com",
    "track.webtrekk.de",
    "track.wesell.co.il",
    "track.written.com",
    "track.www.zazzle.com",
    "track.xtrasize.nl",
    "track.yieldsoftware.com",
    "track.youniversalmedia.com",
    "track.zugo.com",
    "track1.breakmedia.com",
    "track2.homestead.com",
    "trackalyzer.com",
    "trackalyzer.com",
    "trackdiscovery.net",
    "tracker.azet.sk",
    "tracker.bannerflow.com",
    "tracker.beezup.com",
    "tracker.brainsins.com",
    "tracker.databrain.com",
    "tracker.dev.hearst.nl",
    "tracker.ero-advertising.com",
    "tracker.financialcontent.com",
    "tracker.freecharge.in",
    "tracker.gtarcade.com",
    "tracker.icerocket.com",
    "tracker.icerocket.com",
    "tracker.issuu.com",
    "tracker.leadenhancer.com",
    "tracker.marinsm.com",
    "tracker.marinsm.com",
    "tracker.mozo.com.au",
    "tracker.netklix.com",
    "tracker.samplicio.us",
    "tracker.squidanalytics.com",
    "tracker.stats.in.th",
    "tracker.tradedoubler.com",
    "tracker.truehits.in.th",
    "tracker.truehits.net",
    "tracker.u-link.me",
    "tracker.us-east.zettata.com",
    "tracker.vinsight.de",
    "tracker.wordstream.com",
    "trackers.adtarget.me",
    "tracki112.com",
    "tracking.1betternetwork.com",
    "tracking.247search.com",
    "tracking.absolstats.com",
    "tracking.adjug.com",
    "tracking.admail.am",
    "tracking.admarketplace.net",
    "tracking.adultsense.com",
    "tracking.affiliates.de",
    "tracking.aimediagroup.com",
    "tracking.badgeville.com",
    "tracking.bannerflow.com",
    "tracking.batanga.com",
    "tracking.cdiscount.com",
    "tracking.clickmeter.com",
    "tracking.conversionads.com",
    "tracking.craktraffic.com",
    "tracking.crobo.com",
    "tracking.crunchiemedia.com",
    "tracking.dc-storm.com",
    "tracking.dsmmadvantage.com",
    "tracking.dtiserv2.com",
    "tracking.euroads.dk",
    "tracking.everydayhealth.com",
    "tracking.fanbridge.com",
    "tracking.fathomseo.com",
    "tracking.fccinteractive.com",
    "tracking.foxnews.com",
    "tracking.gajmp.com",
    "tracking.gajmp.com",
    "tracking.gameforge.de",
    "tracking.godatafeed.com",
    "tracking.hittail.com",
    "tracking.hostgator.com",
    "tracking.hubspot.com",
    "tracking.immobilienscout24.de",
    "tracking.intermundomedia.com",
    "tracking.internetstores.de",
    "tracking.inuvo.com",
    "tracking.justpremium.com",
    "tracking.kurier.at",
    "tracking.lengow.com",
    "tracking.listhub.net",
    "tracking.m6r.eu",
    "tracking.medpagetoday.com",
    "tracking.metalyzer.com",
    "tracking.military.com",
    "tracking.oe24.at",
    "tracking.olx-st.com",
    "tracking.olx.com",
    "tracking.onefeed.co.uk",
    "tracking.onespot.com",
    "tracking.opencandy.com.s3.amazonaws.com",
    "tracking.opienetwork.com",
    "tracking.optimatic.com",
    "tracking.peopletomysite.com",
    "tracking.percentmobile.com",
    "tracking.propellerads.com",
    "tracking.publicidees.com",
    "tracking.quisma.com",
    "tracking.rce.veeseo.com",
    "tracking.roispy.com",
    "tracking.searchmarketing.com",
    "tracking.skyword.com",
    "tracking.softwareprojects.com",
    "tracking.sokrati.com",
    "tracking.spiderbait.com",
    "tracking.synthasite.net",
    "tracking.tomsguide.com",
    "tracking.tomshardware.com",
    "tracking.trafficjunky.net",
    "tracking.ukwm.co.uk",
    "tracking.vacationsmadeeasy.com",
    "tracking.validclick.com",
    "tracking.veille-referencement.com",
    "tracking.web2corp.com",
    "tracking.websitealive.com",
    "tracking.whattoexpect.com",
    "tracking.wisepops.com",
    "tracking.yourfilehost.com",
    "tracking1.euroads.no",
    "tracking101.com",
    "tracking2.channeladvisor.com",
    "tracking2.hittail.com",
    "trackingsoft.com",
    "trackmysales.com",
    "tracknet.twyn.com",
    "tracksitetraffic1.com",
    "tracksy.com",
    "tracktrue.clicktrue.biz",
    "tradeadexchange.com",
    "tradearabia.advertserve.com",
    "tradedoubler.com",
    "tradefx.advertserve.com",
    "traffic-exchange.com",
    "traffic-offers.com",
    "traffic.acwebconnecting.com",
    "traffic.adxprts.com",
    "traffic.buyservices.com",
    "traffic.liveuniversenetwork.com",
    "traffic.mindviz.com",
    "traffic.outbrain.com",
    "traffic.prod.cobaltgroup.com",
    "traffic.pubexchange.com",
    "traffic.revenuedirect.com",
    "traffic.ru",
    "traffic.shareaholic.com",
    "traffic.tcmagnet.com",
    "traffic.webtrafficagents.com",
    "trafficadept.com",
    "trafficads.com",
    "trafficcdn.liveuniversenetwork.com",
    "trafficedge.adk2x.com",
    "trafficex.adlandpro.com",
    "trafficfactory.biz",
    "trafficg.com",
    "trafficgateway.research-int.se",
    "traffichaus.com.abbp1.science",
    "trafficholder.com",
    "traffichunt.com",
    "trafficjunky.net",
    "trafficleader.com",
    "trafficneeds.directtrack.com",
    "trafficsecrets.com",
    "trafficspaces.net",
    "trafficstrategies.com",
    "trafficswarm.com",
    "traffictrader.net",
    "trafficz.com",
    "trafficz.net",
    "traffiq.com",
    "traffiqexchange.rotator.hadj7.adjuggler.net",
    "traffk.info",
    "trafic.ro",
    "trailblazers.122.2o7.net",
    "traileraddict.us.intellitxt.com",
    "trajan.httpool.com",
    "trak-analytics.blic.rs",
    "traktr.news.com.au",
    "traktum.com",
    "trane-ir-corp-ingersollrand.112.2o7.net",
    "transition.adtrgt.com",
    "travel-and-weather.msnbc.us.intellitxt.com",
    "travidia.112.2o7.net",
    "travis.bosscasinos.com",
    "trax.prostrax.com",
    "trax.tvguide.com",
    "trc.taboola.com",
    "trekblue.com",
    "trekdata.com",
    "trekweb.us.intellitxt.com",
    "trendcounter.com",
    "trendmicroeuropa01.webtrekk.net",
    "trends.revcontent.com",
    "trg.peer39.net",
    "trgde.adocean.pl",
    "trhunt.com",
    "trial-collector.snplow.com",
    "tribal.us.intellitxt.com",
    "tribalfusion.com",
    "tribalfusion.com",
    "tribalfusion.speedera.net",
    "triboo01.webtrekk.net",
    "tribuneinteractive.122.2o7.net",
    "triggers.wfxtriggers.com",
    "trinitymirror.112.2o7.net",
    "triumphrat.us.intellitxt.com",
    "trix.net",
    "trk.ablogica.com",
    "trk.atomex.net",
    "trk.cetrk.com",
    "trk.enecto.com",
    "trk.kissmetrics.com",
    "trk.vidible.tv",
    "trk14.logger.co.kr",
    "trkmydomain.com",
    "truehits.gits.net.th",
    "truehits.net",
    "truehits1.gits.net.th",
    "truehits1.gits.net.th",
    "truehits2.gits.net.th",
    "truehits3.gits.net.th",
    "truevalue.d2.sc.omtrdc.net",
    "trusearch.net",
    "trustedtrack.com",
    "trustgauge.com",
    "trw12.com",
    "ts.istrack.com",
    "ts.richmedia.yahoo.com",
    "tsms-ad.tsms.com",
    "tsmtrk.com",
    "tsxclub.us.intellitxt.com",
    "tt11.adobe.com",
    "tt3.zedo.com",
    "tubemogul.com",
    "tui.intelli-direct.com",
    "tumi.112.2o7.net",
    "tunmedia.tns-cs.net",
    "turn.com",
    "turn.nexac.com",
    "turnerclassic.112.2o7.net",
    "turnersports.112.2o7.net",
    "tutorialoutpost.us.intellitxt.com",
    "tv-now.us.intellitxt.com",
    "tv-rightcelebrity.us.intellitxt.com",
    "tv2dk.nuggad.net",
    "tv4play-se.c.richmetrics.com",
    "tvfanatic.us.intellitxt.com",
    "tvguide.112.2o7.net",
    "tvmtracker.com",
    "tvn.adocean.pl",
    "tvn.hit.gemius.pl",
    "tvn2.adocean.pl",
    "tvseriesfinale.us.intellitxt.com",
    "tvzebra.popunder.ru",
    "tw.adserver.yahoo.com",
    "tw2.adserver.yahoo.com",
    "twc.demdex.net",
    "twci.coremetrics.com",
    "tweaks.us.intellitxt.com",
    "tweaktown.us.intellitxt.com",
    "tweakvista.us.intellitxt.com",
    "tweetsoup.us.intellitxt.com",
    "twitchguru.us.intellitxt.com",
    "twittad.com",
    "twittercounter.com",
    "tx2.ru",
    "txads.buzzcity.com",
    "txt.adv.vz.ru",
    "tyroo.com",
    "u-ads.adap.tv",
    "u.extreme-dm.com",
    "u.heatmap.it",
    "u.mdotlabs.com",
    "u.openx.net",
    "u.optorb.com",
    "u0.extreme-dm.com",
    "u1.extreme-dm.com",
    "u1.puls.lv",
    "ua-content.adriver.ru",
    "ua.adocean.pl",
    "ua.adriver.ru",
    "ua.badongo.com",
    "ua.best-top.biz",
    "ua.cnt.gemius.pl",
    "ua.hit.gemius.pl",
    "ua1.hit.stat24.com",
    "ua2.hit.stat24.com",
    "ua3.hit.stat24.com",
    "ua4.hit.stat24.com",
    "ua5.hit.stat24.com",
    "uac.advertising.com",
    "uadx.com",
    "uarating.com",
    "uberads.net",
    "ubergizmo.us.intellitxt.com",
    "ucounter.ucoz.net",
    "ucoxa.work",
    "udc.msn.com",
    "udm.ia6.scorecardresearch.com",
    "udm.ia7.scorecardresearch.com",
    "udm.ia8.scorecardresearch.com",
    "udm.ia9.scorecardresearch.com",
    "udm.ri1.scorecardresearch.com",
    "udm.ri2.scorecardresearch.com",
    "udm.ri3.scorecardresearch.com",
    "udm.ri4.scorecardresearch.com",
    "udm.ri5.scorecardresearch.com",
    "udm.ri6.scorecardresearch.com",
    "udm.ri7.scorecardresearch.com",
    "udm.ri8.scorecardresearch.com",
    "udm.ri9.scorecardresearch.com",
    "udmserve.net",
    "uidbox.uimserv.net",
    "uim.tifbs.net",
    "uk-ads.openx.net",
    "uk.2.cqcounter.com",
    "uk.activeshopper.com",
    "uk.ads.hexus.net",
    "uk.adserver.yahoo.com",
    "uk.at.atwola.com",
    "uk.best-top.biz",
    "uk.intellitxt.com",
    "uk.nedstat.net",
    "uk.nedstatpro.net",
    "uk.sitestat.com",
    "uk4.hit.stat24.com",
    "ukbanners.com",
    "ukrbanner.net",
    "ultramercial.com",
    "ums.adtechus.com",
    "unanimis.co.uk",
    "unathleticmag.us.intellitxt.com",
    "undertonenetworks.com",
    "unit2.euro2day.gr",
    "unitus.synergy-e.com",
    "universal.iperceptions.com",
    "universityherald.us.intellitxt.com",
    "untd.com",
    "uolfreeservers.112.2o7.net",
    "uoljunocom2.112.2o7.net",
    "uolnetzeronet2.112.2o7.net",
    "uolphotosite.112.2o7.net",
    "up.nytimes.com",
    "upads.info",
    "update-java.kit.net",
    "update.hiconversion.com",
    "update.privdog.com",
    "updated.com",
    "updates.desktop.ak-networks.com",
    "upi.112.2o7.net",
    "upi.us.intellitxt.com",
    "upload.luckyorange.net",
    "uppyads.com",
    "upstats.yadro.ru",
    "uptodatecontent.net",
    "urban.adspirit.de",
    "urchin.lstat.youku.com",
    "url.adtrgt.com",
    "urlcash.net",
    "urlstats.com",
    "us-ads.openx.net",
    "us-cdn.effectivemeasure.net",
    "us-sonar.sociomantic.com",
    "us-tracker.inside-graph.com",
    "us-u.openx.net",
    "us.2.cqcounter.com",
    "us.a1.yimg.com",
    "us.ads.justpremium.com",
    "us.adserver.yahoo.com",
    "us.cqcounter.com",
    "us.sitestat.com",
    "us.tracking.justpremium.com",
    "us1.siteimprove.com",
    "us2.siteimprove.com",
    "usa.nedstat.net",
    "usabilitytesten.nl",
    "usachoice.net",
    "usadserver.com",
    "usage.trackjs.com",
    "usapromotravel.com",
    "usas1.advfn.com",
    "usatoday1.112.2o7.net",
    "usdm.122.2o7.net",
    "use.convertglobal.com",
    "user-sync.adhese.com",
    "users.effectivebrand.com",
    "usmsad.tom.com",
    "usnews.122.2o7.net",
    "ussearch.122.2o7.net",
    "utarget.co.uk",
    "utils.media-general.com",
    "utils.mediageneral.net",
    "utm.cursormania.com",
    "utm.excite.co.uk",
    "utm.excite.it",
    "utm.myfuncards.com",
    "utm.myway.com",
    "utm.popswatter.com",
    "utm.popularscreensavers.com",
    "utm.smileycentral.com",
    "utm.trk.cursormania.com",
    "utm.trk.excite.com",
    "utm.trk.myfuncards.com",
    "utm.trk.myway.com",
    "utm.trk.popswatter.com",
    "utm.trk.popularscreensavers.com",
    "utm.trk.smileycentral.com",
    "utm.trk.webfetti.com",
    "utm.trk.zwinky.com",
    "utm.webfetti.com",
    "utm.zwinky.com",
    "utm2.smileycentral.com",
    "utmtrk2.smileycentral.com",
    "utrack.hexun.com",
    "uts-api.at.atwola.com",
    "utsdpp.persgroep.net",
    "v.admedia.com",
    "v.bsvideos.com",
    "v.extreme-dm.com",
    "v.landingzone.se",
    "v.velaro.com",
    "v0.extreme-dm.com",
    "v1.cnzz.com",
    "v1.cnzz.com",
    "v1.extreme-dm.com",
    "v10.xmlsearch.miva.com",
    "v2.adgoto.com",
    "v2.ads3.ipon.lt",
    "v2.adsbookie.com",
    "v2.revcontent.com",
    "v2.urlads.net",
    "v3.cnzz.com",
    "v4.cnzz.com",
    "v5.chinoc.net",
    "v5.cnzz.com",
    "v7.cnzz.com",
    "v9.cnzz.com",
    "vacationcellular.net",
    "vaime.net.popunder.ru",
    "validclick.com",
    "valuead.com",
    "valueclick.com",
    "valueclickmedia.com",
    "valuecommerce.com",
    "valuesponsor.com",
    "van.redlightcenter.com",
    "vancouversun-com.c.richmetrics.com",
    "varsityads.directtrack.com",
    "vast.bp3854536.btrll.com",
    "vast.bp3855098.btrll.com",
    "vast.bp3855099.btrll.com",
    "vast.bp3855984.btrll.com",
    "vast.bp3855987.btrll.com",
    "vast.bp3855989.btrll.com",
    "vast.bp3855991.btrll.com",
    "vast.bp3855992.btrll.com",
    "vast.optimatic.com",
    "vastx.moatads.com",
    "vault9.us.intellitxt.com",
    "vbadbg.hit.gemius.pl",
    "vbbg.adocean.pl",
    "vclicks.net",
    "vcomdeepdiscount.112.2o7.net",
    "vcommerce.112.2o7.net",
    "vcontent.e-messenger.net",
    "vcu.collserve.com",
    "vdhu.com",
    "vdn.valuead.com",
    "veille-referencement.com",
    "vendorweb.citibank.com",
    "venetian.evyy.net",
    "ventivmedia.com",
    "vericlick.com",
    "verisignwildcard.112.2o7.net",
    "verivox01.webtrekk.net",
    "vermontteddybear.112.2o7.net",
    "vertadnet.com",
    "veruta.com",
    "vervewireless.com",
    "vfdeprod.amobee.com",
    "vg-no.c.richmetrics.com",
    "vg.tns-cs.net",
    "vht.tradedoubler.com",
    "viaaddictingclips.112.2o7.net",
    "viaaddictinggames.112.2o7.net",
    "viaarena.us.intellitxt.com",
    "viaatom.112.2o7.net",
    "viaatomv6.112.2o7.net",
    "viabestweekever.112.2o7.net",
    "viacomedycentral.112.2o7.net",
    "viacomedycentralrl.112.2o7.net",
    "viacomedyde.112.2o7.net",
    "viagametrailers.112.2o7.net",
    "vialogoonline.112.2o7.net",
    "vialogorollup.112.2o7.net",
    "viamtv.112.2o7.net",
    "viamtvcom.112.2o7.net",
    "viamtvnvideo.112.2o7.net",
    "viamtvromania.112.2o7.net",
    "viamtvtr.112.2o7.net",
    "viamtvtr3s.112.2o7.net",
    "viamtvuk.112.2o7.net",
    "viamtvukdev.112.2o7.net",
    "vianewnownext.112.2o7.net",
    "vianickde.112.2o7.net",
    "viaquiz.112.2o7.net",
    "viarnd.112.2o7.net",
    "viasatsatelliteservices.112.2o7.net",
    "viashockwave.112.2o7.net",
    "viaspike.112.2o7.net",
    "viaukplayer.112.2o7.net",
    "viavh1com.112.2o7.net",
    "viavh1scandalist.112.2o7.net",
    "viavh1video.112.2o7.net",
    "viay2m.112.2o7.net",
    "vibe.us.intellitxt.com",
    "vibrantmedia.com",
    "vibrantmedia.com",
    "victoriaadvocate.112.2o7.net",
    "vid.atdmt.com",
    "video-ad-stats.googlesyndication.com",
    "video-pomp.com",
    "video-stats.video.google.com",
    "video-stats.video.google.com",
    "video.adaptv.advertising.com",
    "video.dmtracker.com",
    "video.flashtalking.com",
    "video.od.visiblemeasures.com",
    "video.unrulymedia.com",
    "video1.adprimemedia.com",
    "videoclick.ru",
    "videocodezone.us.intellitxt.com",
    "videodetectivenetwork.valuead.com",
    "videoegg.com",
    "videogum.tags.crwdcntrl.net",
    "videojug.uk.intellitxt.com",
    "videotroncom.112.2o7.net",
    "vidilife.crwdcntrl.net",
    "vidnet.us.intellitxt.com",
    "view.admission.net",
    "view.binlayer.com",
    "view.network.affiliando.com",
    "view4cash.de",
    "viewer.peer39.com",
    "viewerstats.docstoc.com.s3.amazonaws.com",
    "viewpoint.com",
    "vintacom.112.2o7.net",
    "vintadream.112.2o7.net",
    "vip.adstatic.com",
    "vip.clickzs.com",
    "vip.clickzzs.nl",
    "vip2.clickzs.com",
    "vip2.clickzzs.nl",
    "viper.popunder.ru",
    "virginmedia.112.2o7.net",
    "virginmobile.122.2o7.net",
    "vis.sexlist.com",
    "vis5.sexlist.com",
    "visistat.com",
    "visit.theglobeandmail.com",
    "visit.webhosting.yahoo.com",
    "visit.webhosting.yahoo.com",
    "visitbox.de",
    "visitors.lexus-europe.com",
    "vistabet-affiliate.host.bannerflow.com",
    "vistas.popunder.ru",
    "visual-pagerank.fr",
    "visualrevenue.com",
    "visualscience.external.bbc.co.uk",
    "vitacost.122.2o7.net",
    "vitalfootball.uk.intellitxt.com",
    "vitals.tracking.mdxdata.com",
    "viva.count.brat-online.ro",
    "vktr073.net",
    "vlog.leadformix.com",
    "vlogic.ak-networks.com",
    "vm3.parabol.object.bg",
    "vml1.s3.amazonaws.com",
    "vmn.net",
    "vnumedia01.webtrekk.net",
    "vnunet.uk.intellitxt.com",
    "vod.topbucks.com",
    "vodafonegroup.122.2o7.net",
    "voicefive.com",
    "voken.eyereturn.com",
    "volkswagen.122.2o7.net",
    "vom.sitescout.com",
    "voodoofiles.us.intellitxt.com",
    "vote.sparklit.com",
    "vox-static.liverail.com",
    "vpc.altitude-arena.com",
    "vpmc.122.2o7.net",
    "vpnaffiliates.com",
    "vpon.com",
    "vq918450.com",
    "vrp.outbrain.com",
    "vrs.cz",
    "vs.asianave.com",
    "vs.blackplanet.com",
    "vs.dmtracker.com",
    "vs.forbes.com",
    "vs.tucows.com",
    "vsii.spinbox.net",
    "vslider.admedia.com",
    "vstats.digitaltrends.com",
    "vt-1.nrelate.com",
    "vte.nexteramedia.com",
    "vu.adschoom.com",
    "vu.veoxa.com",
    "vug.in",
    "vungle.com",
    "vuokraovi.spring-tns.net",
    "vw.btrll.com",
    "vw.netmng.com",
    "w-tres.info",
    "w.ahalogy.com",
    "w.cnzz.com",
    "w.estat.com",
    "w.extreme-dm.com",
    "w.mlv-cdn.com",
    "w.p.mybuys.com",
    "w.plugrush.com",
    "w.usabilla.com",
    "w.visualdna.com",
    "w0.extreme-dm.com",
    "w00tpublishers.wootmedia.net",
    "w1.extreme-dm.com",
    "w1.luckyorange.com",
    "w10.centralmediaserver.com",
    "w10.localadbuy.com",
    "w55c.net",
    "wa.and.co.uk",
    "wa.eonline.com",
    "wa.essent.nl",
    "wa.kurier.at",
    "wad.adbasket.net",
    "walgrns.112.2o7.net",
    "wall-streetro.count.brat-online.ro",
    "walla.yad2.co.il",
    "walmart.112.2o7.net",
    "wam-ads.sitescout.com",
    "wap.advertising.com",
    "warcry.us.intellitxt.com",
    "warlog.ru",
    "warnerbros-d.openx.net",
    "warnerbros.112.2o7.net",
    "warnerbrothersrecords.112.2o7.net",
    "washingtontimes.us.intellitxt.com",
    "waterfrontmedia.112.2o7.net",
    "wateristian.com",
    "watershed.bm23.com",
    "wb.interpolls.com",
    "wba.wirtschaftsblatt.at",
    "wbads.vo.llnwd.net",
    "wbextecd.112.2o7.net",
    "wbnews.112.2o7.net",
    "wbprocurement.112.2o7.net",
    "wcastrprod.122.2o7.net",
    "wd-edge.sharethis.com",
    "wdads.sx.atl.publicus.com",
    "wdads.sx.atl.publicus.com",
    "wdcs.trendmicro.com",
    "weatherbugbrowserbar.mywebsearch.com",
    "web-amz.adotube.com",
    "web-clients.mynativeads.com",
    "web-counter.5u.com",
    "web-stat.com",
    "web-stat.com",
    "web.acumenpi.com",
    "web.adblade.com",
    "web.adknowledge.com",
    "web.checkm8.com",
    "web.easyresearch.se",
    "web.industrybrains.com",
    "web.informer.com",
    "web.softonic-analytics.net",
    "web.survey-poll.com",
    "web.unltd.info",
    "web.vindicosuite.com",
    "web1.affiliatelounge.com",
    "web1.realtracker.com",
    "web2.checkm8.com",
    "web2.deja.com",
    "web2.easyresearch.se",
    "web2.harris-pub.com",
    "web2.realtracker.com",
    "web3.easyresearch.se",
    "web4.realtracker.com",
    "webads.co.nz",
    "webads.nl",
    "webads.tradeholding.com",
    "webalize.net",
    "webanalyticsnossl.websense.com",
    "webangel.ru",
    "webcash.nl",
    "webcashmaker.com",
    "webclients.net",
    "webconnect.net",
    "webcounter.be",
    "webcounter.com",
    "webcounter.cz",
    "webcounter.goweb.de",
    "webcounter.goweb.de",
    "webdata.vidz.com",
    "webeffective.keynote.com",
    "webgains.com",
    "webgozar.com",
    "webgroundadbg.hit.gemius.pl",
    "webgroundbg.adocean.pl",
    "webhit.aftenposten.no",
    "webhits.de",
    "webiq005.webiqonline.com",
    "weblink.settrade.com",
    "weblog.blogads.com",
    "webmarketing3x.net",
    "webmaster-partnerprogramme24.de",
    "webmaster.privatamateure.com",
    "webmaster.topbucks.com",
    "webmaster.utherverse.com",
    "webmaster.worldsex.com",
    "webmasterplan.com",
    "webmasterplan.de",
    "webmasters.h2porn.com",
    "webmasters.nastydollars.com",
    "webmasters.sextracker.com",
    "webmasters.tubealliance.com",
    "webmasters.videarn.com",
    "weborama.fr",
    "webpoll.sparklit.com",
    "webpower.com",
    "webreseau.com",
    "webroot.112.2o7.net",
    "webseoanalytics.com",
    "webservices.sub2tech.com",
    "websponsors.com",
    "websponsors.com",
    "webstat.channel4.com",
    "webstat.channel4.com",
    "webstat.com",
    "webstat.net",
    "webstats.eco.de",
    "webstats.motigo.com",
    "webstats.oanda.com",
    "webstats.plus.net",
    "webstats.thaindian.com",
    "webstats.volvo.com",
    "webstats.web.rcn.net",
    "webstats4u.com",
    "websurvey.burstmedia.com",
    "webtracker.apicasystem.com",
    "webtrackerplus.com",
    "webtrackerplus.com",
    "webtraffic.se",
    "webtraffic.se",
    "webtraxx.de",
    "webtrekk.mediaset.net",
    "webtrend25.hemscott.com",
    "webtrends.besite.be",
    "webtrends.randallpub.com",
    "webtrends1.britishgas.co.uk",
    "webtrendslive.com",
    "webtrendslive.com",
    "webuser.uk.intellitxt.com",
    "webwereld.nl.intellitxt.com",
    "wegcash.com",
    "weightlossforall.us.intellitxt.com",
    "welten.ivwbox.de",
    "weltonline01.webtrekk.net",
    "wenner.collect.igodigital.com",
    "weownthetraffic.com",
    "wera.popunder.ru",
    "werbung.diepresse.com",
    "werbung.meteoxpress.com",
    "westwickfarrow.122.2o7.net",
    "wetrack.it",
    "wetrack.it",
    "wetter.wemfbox.ch",
    "wetteronl.ivwbox.de",
    "wfpscripts.webspectator.com",
    "wg-gesucht.de.intellitxt.com",
    "wgc1.acecounter.com",
    "wh.motorpresse-statistik.de",
    "whaleads.com",
    "whatseek.com",
    "whatthetech.us.intellitxt.com",
    "whenu.com",
    "whispa.com",
    "white.sexer.com",
    "whitecastle.122.2o7.net",
    "whoads.net",
    "whoateallthepies.uk.intellitxt.com",
    "whoisonline.net",
    "wholesaletraffic.info",
    "whometrics.net",
    "whos.amung.us",
    "whosread.com",
    "wi-fitechnology.uk.intellitxt.com",
    "widespace.com",
    "widget.criteo.com",
    "widget.crowdignite.com",
    "widget.perfectmarket.com",
    "widget.plugrush.com",
    "widget.quantcast.com",
    "widget.realo.be",
    "widget.supercounters.com",
    "widget6.linkwithin.com",
    "widgetbucks.com",
    "widgets.amung.us",
    "widgets.kiosked.com",
    "widgets.outbrain.com",
    "wiki.pinion.gg",
    "wikia-ads.wikia.com",
    "wikia-ads.wikia.com",
    "wileypublishing.112.2o7.net",
    "willhab.oewabox.at",
    "win-spy.com",
    "wincert.us.intellitxt.com",
    "window.nixnet.cz",
    "window1.com",
    "windows7news.uk.intellitxt.com",
    "windowsbbs.us.intellitxt.com",
    "windowsitpro.us.intellitxt.com",
    "winecom.112.2o7.net",
    "wineenthusiastcom.112.2o7.net",
    "winfuture.de.intellitxt.com",
    "winknewsads.com",
    "winmatrix.us.intellitxt.com",
    "winmpmain.112.2o7.net",
    "winterrowd.us.intellitxt.com",
    "wintricksbanner.googlepages.com",
    "wiregirl.us.intellitxt.com",
    "wireless.ign.us.intellitxt.com",
    "wirelessforumsorg.skimlinks.com",
    "wirtwoch.ivwbox.de",
    "wissende.122.2o7.net",
    "witch-counter.de",
    "withleather.us.intellitxt.com",
    "wizard.liveperson.com",
    "wlaptoplogic.122.2o7.net",
    "wlmarketing.com",
    "wm-goldenclick.ru",
    "wm.banners.sextracker.com",
    "wm.mtree.com",
    "wm.wiredminds.de",
    "wm5fixsite.us.intellitxt.com",
    "wmapp.wiredminds.de",
    "wmirk.ru",
    "wms-na.amazon-adsystem.com",
    "wms-tools.com",
    "womensforum.us.intellitxt.com",
    "womenshealth.de.intellitxt.com",
    "wonderlandads.com",
    "wondoads.de",
    "woopra.com",
    "wordpresscom.skimlinks.com",
    "world.popadscdn.net",
    "worldnetdaily.us.intellitxt.com",
    "worldnowboston.112.2o7.net",
    "worldsearchpro.com",
    "worldsoftwaredownloads.com",
    "worldtravelguide.uk.intellitxt.com",
    "worldwide-cash.net",
    "wowinterface.us.intellitxt.com",
    "wp-stats.com",
    "wp.hit.gemius.pl",
    "wp.vizu.com",
    "wp1.cor-natty.com",
    "wpni.112.2o7.net",
    "wpnipostcomjobs.112.2o7.net",
    "wprp.zemanta.com",
    "wrap.tradedoubler.com",
    "wrapper.askmen.com",
    "wrapper.fileplanet.com",
    "wrapper.gamespyid.com",
    "wrapper.giga.de",
    "wrapper.ign.com",
    "wrapper.teamxbox.com",
    "wrestling-edge.us.intellitxt.com",
    "wrigley.122.2o7.net",
    "ws-na.amazon-adsystem.com",
    "ws.00zasdf.pw",
    "ws.abbp1.science",
    "ws.abbp1.website",
    "ws.adspayformy.site",
    "ws.adspayformymortgage.win",
    "ws.poolnoodle.tech",
    "ws.sharethis.com",
    "ws.tapjoyads.com",
    "ws.yellowpages.ca",
    "wsc1.webspectator.com",
    "wss.hbpl.co.uk",
    "wt.o.nytimes.com",
    "wt.sexsearch.com",
    "wt.sexsearchcom.com",
    "wtlive.com",
    "wtrs.101com.com",
    "wtsdc.worldnow.com",
    "wtvertnet.com",
    "wu.adonweb.ru",
    "ww-eu.steelhousemedia.com",
    "ww1.tongji123.com",
    "ww1003.smartadserver.com",
    "ww1270.smartadserver.com",
    "ww129.smartadserver.com",
    "ww135.smartadserver.com",
    "ww14.smartadserver.com",
    "ww147.smartadserver.com",
    "ww150.smartadserver.com",
    "ww2.tongji123.com",
    "ww206.smartadserver.com",
    "ww251.smartadserver.com",
    "ww3.tongji123.com",
    "ww302.smartadserver.com",
    "ww370.smartadserver.com",
    "ww38.smartadserver.com",
    "ww381.smartadserver.com",
    "ww392.smartadserver.com",
    "ww4.tongji123.com",
    "ww400.smartadserver.com",
    "ww57.smartadserver.com",
    "ww62.hsn.com",
    "ww62.smartadserver.com",
    "ww651.smartadserver.com",
    "ww690.smartadserver.com",
    "ww691.smartadserver.com",
    "ww797.smartadserver.com",
    "ww84.smartadserver.com",
    "ww881.smartadserver.com",
    "ww965.smartadserver.com",
    "wwa.pacific-yield.com",
    "wwatchcomusa.112.2o7.net",
    "wweconsumer.112.2o7.net",
    "wwecorp2.112.2o7.net",
    "wwtdd.tags.crwdcntrl.net",
    "wwtdd.us.intellitxt.com",
    "wwv.onetad.com",
    "www-banner.chat.ru",
    "www-google-analytics.l.google.com",
    "www-old.nastydollars.com",
    "www.00fun.com",
    "www.100-100.ru",
    "www.11zz.com",
    "www.123banners.com",
    "www.123count.com",
    "www.123stat.com",
    "www.1800banners.com",
    "www.18access.com",
    "www.1adult.com",
    "www.1freecounter.com",
    "www.1sexsex.com",
    "www.1trac.com",
    "www.2.livejasmin.com",
    "www.3animalsex.com",
    "www.3bsoftware.com",
    "www.3dstats.com",
    "www.777tool.com",
    "www.77tracking.com",
    "www.7metasearch.com",
    "www.7search.com",
    "www.888.com",
    "www.99stats.com",
    "www.a1fax.com",
    "www.ab4tn.com",
    "www.abcjmp.com",
    "www.accuserveadsystem.com",
    "www.acez.com",
    "www.acezsoftware.com",
    "www.acmexxx.com",
    "www.ad-clix.com",
    "www.ad-groups.com",
    "www.ad-net.co.uk",
    "www.ad-skills.nl",
    "www.ad-souk.com",
    "www.ad-z.de",
    "www.ad.admitad.com",
    "www.ad.twitchguru.com",
    "www.ad4mat.at",
    "www.ad4mat.ch",
    "www.ad4mat.de",
    "www.adadvisor.net",
    "www.adbanner.ro",
    "www.adblockanalytics.com",
    "www.adbonus.com",
    "www.adbooth.com",
    "www.adbuka.com",
    "www.adbutler.de",
    "www.adcarousel.pl",
    "www.adcash.com",
    "www.adcell.de",
    "www.adchimp.com",
    "www.adclick.lv",
    "www.adcode.ws",
    "www.adcomplete.com",
    "www.adcycle.com",
    "www.addfreestats.com",
    "www.adelixir.com",
    "www.adengage.com",
    "www.adexit.com",
    "www.adfirmative.com",
    "www.adforgames.com",
    "www.adfusion.com",
    "www.adgitize.com",
    "www.adgroups.net",
    "www.adhexa.com",
    "www.adhood.com",
    "www.adimpact.com",
    "www.adinterax.com",
    "www.adjuggler.com",
    "www.adlandpro.com",
    "www.adlantis.jp",
    "www.adloader.com",
    "www.admarket.cz",
    "www.admarketplace.net",
    "www.admedien.com",
    "www.admez.com",
    "www.adminder.com",
    "www.admixxer.com",
    "www.adnetworkperformance.com",
    "www.adobetag.com",
    "www.adoptim.com",
    "www.adorigin.com",
    "www.adotube.com",
    "www.adpeepshosted.com",
    "www.adperium.com",
    "www.adranking.de",
    "www.adreadytractions.com",
    "www.adregistry.com",
    "www.adrotate.net",
    "www.adrotator.com",
    "www.adroz.com",
    "www.ads180.com",
    "www.adscampaign.com",
    "www.adscampaign.net",
    "www.adsedo.com",
    "www.adsensecustomsearchads.com",
    "www.adserver.home.pl",
    "www.adshost1.com",
    "www.adshost2.com",
    "www.adshost3.com",
    "www.adshot.de",
    "www.adspace.be",
    "www.adspeed.com",
    "www.adsupply.com",
    "www.adsurve.com",
    "www.adszooks.com",
    "www.adtactics.com",
    "www.adtaily.com",
    "www.adtegrity.com",
    "www.adtiger.de",
    "www.adtrade.net",
    "www.adtrade.ro",
    "www.adtrader.com",
    "www.adtraff.ru",
    "www.adult-tracker.de",
    "www.adultadbroker.com",
    "www.adultblogtoplist.com",
    "www.adultcash.com",
    "www.adultcommercial.net",
    "www.adultdatelink.com",
    "www.adultdatingtraffic.com",
    "www.adultfriendfinder.com",
    "www.adultlinkexchange.com",
    "www.adultlinksco.com",
    "www.adultvalleycash.com",
    "www.adv-italiana.com",
    "www.advconversion.com",
    "www.adventertainment.it",
    "www.adversal.com",
    "www.adversalservers.com",
    "www.advertise.com",
    "www.advertising.com",
    "www.advertising365.com",
    "www.advertlets.com",
    "www.advertserve.com",
    "www.advertsponsor.com",
    "www.adviews.de",
    "www.adwarespy.com",
    "www.adwise.bg",
    "www.adworkmedia.com",
    "www.adworld.com.tr",
    "www.adworldmedia.com",
    "www.adwurkz.com",
    "www.adxpansion.com",
    "www.adylalahb.ru",
    "www.afcyhf.com",
    "www.affbuzzads.com",
    "www.affiliatefuel.com",
    "www.affiliatetracking.com",
    "www.affiliatetracking.net",
    "www.affordablewebsitetraffic.com",
    "www.aim4media.com",
    "www.albiondrugs.com",
    "www.alenty.com",
    "www.almondnetworks.com",
    "www.amazingcounters.com",
    "www.anastasiasaffiliate.com",
    "www.andr.net",
    "www.andyhoppe.com",
    "www.anrdoezrs.net",
    "www.antaraimedia.com",
    "www.antarasystems.com",
    "www.anticlown.com",
    "www.apmebf.com",
    "www.applicationcontenttag.com",
    "www.apponic.com",
    "www.appsgrabbundles.com",
    "www.aptrafficnetwork.com",
    "www.arcadebanners.com",
    "www.ariboo.com",
    "www.artcomix.com",
    "www.assoc-amazon.com",
    "www.astalavista.us",
    "www.atdmt.com",
    "www.atlasdmt.com",
    "www.atomictime.net",
    "www.autosurfpro.com",
    "www.avantlink.com",
    "www.avenuea.com",
    "www.avnads.com",
    "www.awltovhc.com",
    "www.awmads.com",
    "www.axill.com",
    "www.azmsoft.com",
    "www.b3d.com",
    "www.badassjv.com",
    "www.balook.com",
    "www.banner-exchange.nl",
    "www.banner-link.com.br",
    "www.banner-rotation.com",
    "www.banner.cz",
    "www.bannerexchange.co.nz",
    "www.bannergratis.it",
    "www.bannermanagement.nl",
    "www.bannerpromotion.it",
    "www.banners.bgcatalog.net",
    "www.bannersgomlm.com",
    "www.bannersxchange.com",
    "www.barilliance.net",
    "www.beead.co.uk",
    "www.belstat.be",
    "www.belstat.com",
    "www.belstat.nl",
    "www.best-top.hu",
    "www.best-top.ro",
    "www.besthitsnow.com",
    "www.bestsearch.com",
    "www.bettertextads.com",
    "www.bgbaner.com",
    "www.bidclix.com",
    "www.bidclix.net",
    "www.bidvertiser.com",
    "www.bigpenisguide.com",
    "www.bizographics.com",
    "www.bkrtx.com",
    "www.black-hole.co.uk",
    "www.blog-hits.com",
    "www.blogads.com",
    "www.blogads.de",
    "www.blogadvertising.me",
    "www.blogcatalog.com",
    "www.blogcounter.de",
    "www.blogrankers.com",
    "www.blogtoplist.com",
    "www.blogtopsites.com",
    "www.blowadvertising.com",
    "www.bmmetrix.com",
    "www.bnhtml.com",
    "www.bnmq.com",
    "www.bonabanners.co.uk",
    "www.box.bg",
    "www.brainfox.com",
    "www.bravospots.com",
    "www.broadspring.com",
    "www.browser-statistik.de",
    "www.bt.emsecure.net",
    "www.buildtraffic.com",
    "www.buildtrafficx.com",
    "www.burstnet.akadns.net",
    "www.burstnet.com",
    "www.buscamundo.com",
    "www.business.lbn.ru",
    "www.buy404s.com",
    "www.buycheapadvertising.com",
    "www.buzzclick.com",
    "www.c4dl.com",
    "www.cambodiaoutsourcing.com",
    "www.camsoda1.com",
    "www.canalstat.com",
    "www.caphyon-analytics.com",
    "www.cartoonpornguide.com",
    "www.casalemedia.com",
    "www.cash4downloads.com",
    "www.cash4members.com",
    "www.cashcount.com",
    "www.cashengines.com",
    "www.cashlayer.com",
    "www.cashthat.com",
    "www.cashtrafic.com",
    "www.casino-on-net.com",
    "www.casinoonnet.com",
    "www.casinotropez.com",
    "www.cbeckads.com",
    "www.cbproads.com",
    "www.ccbill.com",
    "www.ccbilleu.com",
    "www.cecash.com",
    "www.checkstat.nl",
    "www.cheekybanners.com",
    "www.chokertraffic.com",
    "www.chrumedia.com",
    "www.cityads.ru",
    "www.classifieds1000.com",
    "www.clear-request.com",
    "www.clickaction.net",
    "www.clickboothlnk.com",
    "www.clickcash.com",
    "www.clickedyclick.com",
    "www.clickhouse.com",
    "www.clickmanage.com",
    "www.clickmeter.com",
    "www.clickpapa.com",
    "www.clicksagent.com",
    "www.clicksor.com",
    "www.clickterra.net",
    "www.clickthruserver.com",
    "www.clicktracks.com",
    "www.clicktripz.com",
    "www.clickzs.com",
    "www.clixgalore.com",
    "www.clixtrac.com",
    "www.cloudtracked.com",
    "www.clustrmaps.com",
    "www.cnstats.com",
    "www.co2stats.com",
    "www.codeads.com",
    "www.collect.mentad.com",
    "www.comclick.com",
    "www.commission-junction.com",
    "www.commissionempire.com",
    "www.compactads.com",
    "www.conduit-banners.com",
    "www.contaxe.com",
    "www.contextpanel.com",
    "www.contextuads.com",
    "www.contextualadv.com",
    "www.contextualclicks.com",
    "www.conversionruler.com",
    "www.coolfreehost.com",
    "www.coolwebstats.com",
    "www.count24.de",
    "www.counter-gratis.com",
    "www.counter.cz",
    "www.counter4all.de",
    "www.counter4you.net",
    "www.countercentral.com",
    "www.counters4u.com",
    "www.counti.de",
    "www.counting4free.com",
    "www.countit.ch",
    "www.countmypage.com",
    "www.countok.de",
    "www.couponsandoffers.com",
    "www.cpaempire.com",
    "www.cpalead.com",
    "www.cpalist.com",
    "www.cpays.com",
    "www.cpmaffiliation.com",
    "www.cpmfun.com",
    "www.cpmterra.com",
    "www.cpx24.com",
    "www.cqcounter.com",
    "www.crackserver.com",
    "www.crakmedia.com",
    "www.crazyprotocol.com",
    "www.criteo.com",
    "www.crm-metrix.fr",
    "www.customersupporthelp.com",
    "www.cybereps.com",
    "www.cyberzine.com",
    "www.cybilling.com",
    "www.da-ads.com",
    "www.dataforce.net",
    "www.dating-banners.com",
    "www.deepmetrix.com",
    "www.deltahost.de",
    "www.dia-traffic.com",
    "www.dianomioffers.co.uk",
    "www.dicarlotrack.com",
    "www.didtheyreadit.com",
    "www.diffusionpub.com",
    "www.digiaquascr.com",
    "www.direct-stats.com",
    "www.directadvert.ru",
    "www.directnicparking.com",
    "www.directtrack.com",
    "www.disable-uac.com",
    "www.divx.it",
    "www.dnps.com",
    "www.dnps.com",
    "www.dntx.com",
    "www.dodostats.com",
    "www.dolanadserver.com",
    "www.doubleclick.com",
    "www.doubleclick.net",
    "www.doubleclickbygoogle.com",
    "www.down1oads.com",
    "www.downloadupload.com",
    "www.dpbolvw.net",
    "www.drimads.com",
    "www.dsnextgen.com",
    "www.dsply.com",
    "www.dwin1.com",
    "www.e-googles.com",
    "www.e-traffic.com",
    "www.earnify.com",
    "www.easy-dating.org",
    "www.easycounter.com",
    "www.ebannertraffic.com",
    "www.ebtmarketing.com",
    "www.econda-monitor.de",
    "www.edge.quantserve.com",
    "www.edomz.com",
    "www.effectivebrand.com",
    "www.effectivemeasure.net",
    "www.efficienttraffic.com",
    "www.electronicpromotion.com",
    "www.elementnetwork.com",
    "www.eliteconcepts.com",
    "www.emjcd.com",
    "www.enhance.com",
    "www.enoratraffic.com",
    "www.epicgameads.com",
    "www.erodynamics.nl",
    "www.erotikcounter.org",
    "www.errornuker.com",
    "www.estat.com",
    "www.etahub.com",
    "www.etracker.de",
    "www.etraffic.com",
    "www.euroconcept.ro",
    "www.europerank.com",
    "www.euros4click.de",
    "www.everestjs.net",
    "www.everydaygays.com",
    "www.evidencenuker.com",
    "www.exactadvertising.com",
    "www.exchange-it.com",
    "www.exchange.bg",
    "www.exchangead.com",
    "www.exit-ad.de",
    "www.exitforcash.com",
    "www.exitmoney.com",
    "www.experclick.com",
    "www.expressdelivery.biz",
    "www.ezthemes.com",
    "www.fastusersonline.com",
    "www.fatpenguinmedia.com",
    "www.favicon.com",
    "www.feyads.com",
    "www.fhserve.com",
    "www.filehog.com",
    "www.find-fast-answers.com",
    "www.findit-quick.com",
    "www.firebanner.com",
    "www.fishclix.com",
    "www.flashadtools.com",
    "www.fleshlightreviews.net",
    "www.flyingcroc.com",
    "www.fncash.com",
    "www.fpcclicks.com",
    "www.fpcpopunder.com",
    "www.fpctraffic.com",
    "www.fpctraffic2.com",
    "www.frameptp.com",
    "www.free-choices.com",
    "www.free-counters.net",
    "www.free-hardcoresex.org",
    "www.free-toplisten.at",
    "www.freecounter.it",
    "www.freedownloadzone.com",
    "www.freeezinebucks.com",
    "www.freehitwebcounters.com",
    "www.freenew.net",
    "www.freepornsubmits.com",
    "www.freestat.ws",
    "www.freestats.tv",
    "www.freestats.ws",
    "www.freeusersonline.com",
    "www.freewebsites.com",
    "www.friendlyduck.com",
    "www.friendsearch.com",
    "www.frontpagecash.com",
    "www.ftjcfx.com",
    "www.fuckbookdating.com",
    "www.full-edition.info",
    "www.fulltraffic.net",
    "www.fun.lbn.ru",
    "www.funbuddyicons.com",
    "www.funklicks.com",
    "www.funtopliste.de",
    "www.funwebproducts.com",
    "www.fusestats.com",
    "www.gallerytrafficservice.com",
    "www.game-advertising-online.com",
    "www.gameplaylabs.com",
    "www.gamevance.com",
    "www.gbcash.com",
    "www.gcmadvertising.com",
    "www.geolocation.performgroup.com",
    "www.geoplugin.net",
    "www.geotarget.info",
    "www.geoworldonline.com",
    "www.getsearchlist.com",
    "www.getsmart.com",
    "www.getstatistics.se",
    "www.globalcharge.com",
    "www.globe7.com",
    "www.glxgroup.com",
    "www.goldadvert.cz",
    "www.google-analytics.com",
    "www.googleadservices.com",
    "www.googletagmanager.com",
    "www.googletagservices.com",
    "www.gpr.hu",
    "www.gradportal.org",
    "www.gratis-counter-gratis.de",
    "www.gratis-toplist.de",
    "www.grmtech.net",
    "www.gtop.ro",
    "www.gxplugin.com",
    "www.handyarchive.com",
    "www.harmonyhollow.net",
    "www.helltraffic.com",
    "www.helpmedownload.com",
    "www.hentaidatabase.com",
    "www.herbalsmokeshops.com",
    "www.hey.lt",
    "www.hiperstat.com",
    "www.historykill.com",
    "www.hit-counter-download.com",
    "www.hit-counts.com",
    "www.hit-now.com",
    "www.hitexchange.net",
    "www.hitmaster.de",
    "www.hitpro.us",
    "www.hitslink.com",
    "www.hitstats.co.uk",
    "www.hittracker.org",
    "www.hitx.net",
    "www.hobwelt.com",
    "www.holika.com",
    "www.homeoffun.com",
    "www.hookedmediagroup.com",
    "www.hornytraffic.com",
    "www.hostbodytower.com",
    "www.hostedbanners.com",
    "www.hotlog.ru",
    "www.hotranks.com",
    "www.hotspotshield.com",
    "www.htmate2.com",
    "www.hubtraffic.com",
    "www.hugedomains.com",
    "www.humanclick.com",
    "www.hw-ad.de",
    "www.hxtrack.com",
    "www.hypercounter.com",
    "www.hypertracker.com",
    "www.i.matheranalytics.com",
    "www.ibis.cz",
    "www.iboard.com",
    "www.icentric.net",
    "www.icityfind.com",
    "www.iframes.us",
    "www.ilovecheating.com",
    "www.imiclk.com",
    "www.impresionesweb.com",
    "www.incentaclick.com",
    "www.incentivenetworks2.com",
    "www.indiads.com",
    "www.ineedhits.com",
    "www.infinityads.com",
    "www.infotelsrl.com",
    "www.innovateads.com",
    "www.insightexpress.com",
    "www.inskinad.com",
    "www.intelli-direct.com",
    "www.intelli-tracker.com",
    "www.intellisuggest.com",
    "www.intellitxt.com",
    "www.intera-x.com",
    "www.interactivebrands.com",
    "www.internetsecurity.com",
    "www.interstats.nl",
    "www.ipcounter.de",
    "www.iperbanner.com",
    "www.ipstat.com",
    "www.iranwebads.com",
    "www.is1.clixgalore.com",
    "www.islamic-banners.com",
    "www.ist-track.com",
    "www.itcompany.com",
    "www.ivwbox.de",
    "www.iwanttodeliver.com",
    "www.iws.ro",
    "www.iwstats.com",
    "www.jdoqocy.com",
    "www.jetpackdigital.com",
    "www.jizzads.com",
    "www.jmpads.com",
    "www.joinourwebsite.com",
    "www.jouwstats.nl",
    "www.jscount.com",
    "www.juiceadv.com",
    "www.juicyads.com",
    "www.kanoodle.com",
    "www.kaplanindex.com",
    "www.kazaa.com",
    "www.keywordmax.com",
    "www.kickassratios.com",
    "www.klamm-counter.de",
    "www.klixmedia.com",
    "www.kmindex.ru",
    "www.knacads.com",
    "www.komodia.com",
    "www.kontera.com",
    "www.kqzyfj.com",
    "www.lduhtrp.net",
    "www.leadgenetwork.com",
    "www.leadingedgecash.com",
    "www.leadtrackgo.com",
    "www.letssearch.com",
    "www.lifeforminc.com",
    "www.lijit.com",
    "www.linkads.de",
    "www.linkbucks.com",
    "www.linkbuddies.com",
    "www.linkconnector.com",
    "www.linkcounter.com",
    "www.linkfame.com",
    "www.linkreferral.com",
    "www.links-and-traffic.com",
    "www.linksalpha.com",
    "www.linkshare.com",
    "www.linkworth.com",
    "www.liqwid.net",
    "www.little-help.com",
    "www.liveadclicks.com",
    "www.liveadexchanger.com",
    "www.livecount.fr",
    "www.livefyre.com",
    "www.liveperson.com",
    "www.livestat.com",
    "www.livewebstats.dk",
    "www.livewell.net",
    "www.loading-delivery1.com",
    "www.loading-delivery2.com",
    "www.loggerx.com",
    "www.logging.to",
    "www.lonelycheatingwives.com",
    "www.lzjl.com",
    "www.mainadv.com",
    "www.marketbill.com",
    "www.maxbounty.com",
    "www.maxxxhits.com",
    "www.mb01.com",
    "www.mb57.com",
    "www.mcsqd.com",
    "www.mediahighway.net",
    "www.mediareps.com",
    "www.mediatraffic.com",
    "www.medleyads.com",
    "www.meetic-partners.com",
    "www.megastats.com",
    "www.mercuras.com",
    "www.messagetag.com",
    "www.metacount.com",
    "www.metavertising.com",
    "www.metricsimage.com",
    "www.mftracking.com",
    "www.milesdebanners.com",
    "www.mktrack.com",
    "www.mlclick.com",
    "www.mlinktracker.com",
    "www.mlstat.com",
    "www.mm26.com",
    "www.mmaaxx.com",
    "www.mmgads.com",
    "www.mmtracking.com",
    "www.mnetads.com",
    "www.money4exit.de",
    "www.mongoosemetrics.com",
    "www.moviedollars.com",
    "www.mp3downloadhq.com",
    "www.mp3helpdesk.com",
    "www.ms-mvp.org",
    "www.msgtag.com",
    "www.mtree.com",
    "www.multipops.com",
    "www.mvav.com",
    "www.mvtracker.com",
    "www.myaffiliateprogram.com",
    "www.mycleanerpc.com",
    "www.myclickbankads.com",
    "www.mylottoadserv.com",
    "www.mypagerank.net",
    "www.myreferer.com",
    "www.myroitracking.com",
    "www.mysearch.com",
    "www.myshovel.com",
    "www.mystat.pl",
    "www.mystats.nl",
    "www.mytoplist.gen.tr",
    "www.mytotalsearch.com",
    "www.mytraf.info",
    "www.mytraf.ru",
    "www.mywebsearch.com",
    "www.naiadsystems.com",
    "www.nalook.com",
    "www.nanoadexchange.com",
    "www.naughty-traffic.com",
    "www.nbcsearch.com",
    "www.ncsreporting.com",
    "www.ndparking.com",
    "www.nedstat.co.uk",
    "www.nedstat.com",
    "www.nedstat.nl",
    "www.needmorehits.com",
    "www.net-pratique.fr",
    "www.netagent.cz",
    "www.netdirect.nl",
    "www.netmaxx.com",
    "www.netpoll.nl",
    "www.newclick.com",
    "www.ngads.com",
    "www.ninjadollars.com",
    "www.nlbanner.nl",
    "www.noadnetwork.com",
    "www.noowho.com",
    "www.nowstat.com",
    "www.oainternet.com",
    "www.obanner.net",
    "www.ojrq.net",
    "www.oktrk.com",
    "www.omniture.com",
    "www.on2url.com",
    "www.onadstracker.com",
    "www.onclickpredictiv.com",
    "www.one-door.com",
    "www.onestat.com",
    "www.onestatfree.com",
    "www.onlineuserscounter.com",
    "www.onlinewebservice3.de",
    "www.oofun.com",
    "www.opinionlab.com",
    "www.optimum-hits.com",
    "www.oreware.com",
    "www.otherossettlement.com",
    "www.outwar.com",
    "www.oxiads.fr",
    "www.oxinads.com",
    "www.pacificpoker.com",
    "www.pagerank10.co.uk",
    "www.pantanalvip.com.br",
    "www.parkingcrew.net",
    "www.partner-ads.com",
    "www.pay-per-search.com",
    "www.payperranking.com",
    "www.pc-test.net",
    "www.pcmightymax.net",
    "www.pdf-platinum.info",
    "www.peakclick.com",
    "www.pepipo.com",
    "www.perfectherbpurchase.ru",
    "www.performics.com",
    "www.permissionresearch.com",
    "www.persianstat.com",
    "www.persianstat.ir",
    "www.petrenko.biz",
    "www.pheedo.com",
    "www.photo-ads.co.uk",
    "www.pillsmoney.com",
    "www.pinion.gg",
    "www.pixazza.com",
    "www.pixelpmm.info",
    "www.pixeltrack66.com",
    "www.platinumbucks.com",
    "www.playertraffic.com",
    "www.pointroll.com",
    "www.pollmonkey.com",
    "www.popadvert.com",
    "www.popunder.com",
    "www.popupmoney.com",
    "www.popuptraf.ru",
    "www.pornsponsors.com",
    "www.postads24.com",
    "www.powerlinks.com",
    "www.ppctracking.net",
    "www.pr-free.de",
    "www.prdirectory.biz",
    "www.predictad.com",
    "www.premieropinion.com",
    "www.primosearch.com",
    "www.privatamateure.com",
    "www.privdog.com",
    "www.pro.webstat.pl",
    "www.professionalcash.com",
    "www.profitzone.com",
    "www.program3.com",
    "www.projectwonderful.com",
    "www.promo.com.au",
    "www.promobenef.com",
    "www.promotion-campaigns.com",
    "www.pstats.com",
    "www.ptp4ever.net",
    "www.pubdirecte.com",
    "www.pulsix.com",
    "www.pureadexchange.com",
    "www.pythonpays.com",
    "www.qbop.com",
    "www.qksrv.net",
    "www.qksz.net",
    "www.qsstats.com",
    "www.rampidads.com",
    "www.random-logic.com",
    "www.ranking-charts.de",
    "www.ranking-counter.de",
    "www.ranking-hits.de",
    "www.ranking-links.de",
    "www.ranking.com",
    "www.rankmaschine.de",
    "www.rapidcounter.com",
    "www.readnotify.com",
    "www.realist.gen.tr",
    "www.realtextads.com",
    "www.realtracker.com",
    "www.redemptionengine.com",
    "www.redroomnetwork.com",
    "www.reduxmediia.com",
    "www.reefclubcasino.com",
    "www.reelcentric.com",
    "www.refer.ru",
    "www.regdefense.com",
    "www.registrydefender.com",
    "www.registryfix.com",
    "www.registrysweeper.com",
    "www.relevantknowledge.com",
    "www.relmaxtop.com",
    "www.res-x.com",
    "www.restore-pc.com",
    "www.revcontent.com",
    "www.revisitors.com",
    "www.rewardszoneusa.com",
    "www.rightmedia.com",
    "www.riskymail4free.com",
    "www.rkdms.com",
    "www.robsxxx.com",
    "www.roispy.com",
    "www.rsptrack.com",
    "www.ruclicks.com",
    "www.s2d6.com",
    "www.sacredphoenix.com",
    "www.safemobilelink.com",
    "www.scambiobanner.tv",
    "www.scanspyware.net",
    "www.scoreadate.com",
    "www.searchacross.com",
    "www.searchmachine.com",
    "www.searchmagna.com",
    "www.searchnet.com",
    "www.searchnut.com",
    "www.secretbehindporn.com",
    "www.secure-processingcenter.com",
    "www.securepaths.com",
    "www.sedoparking.com",
    "www.sedotracker.com",
    "www.sedotracker.de",
    "www.seehits.com",
    "www.seekbang.com",
    "www.seekways.com",
    "www.selfsurveys.com",
    "www.sellmeyourtraffic.com",
    "www.send-safe.com",
    "www.sendori.com",
    "www.seo-portal.ro",
    "www.serials.ws",
    "www.sexcount.de",
    "www.sexfind.com",
    "www.sexinyourcity.com",
    "www.sexmoney.com",
    "www.sextracker.com",
    "www.sextronix.com",
    "www.sexy-screen-savers.com",
    "www.sexyads.net",
    "www.shareasale.com",
    "www.shareaza.com",
    "www.shinystat.com",
    "www.shinystat.it",
    "www.shopathome.com",
    "www.silveragesoftware.com",
    "www.silvercash.com",
    "www.singlesadnetwork.com",
    "www.site-id.nl",
    "www.sitecounter.be",
    "www.sitemeter.com",
    "www.sitestat.com",
    "www.sitestats.com",
    "www.sitestatslive.com",
    "www.sitetagger.co.uk",
    "www.sitetracker.com",
    "www.sixsigmatraffic.com",
    "www.skassets.com",
    "www.smartadserver.com",
    "www.smartlinks.dianomi.com",
    "www.smartlog.ru",
    "www.smartredirect.de",
    "www.spamnuker.com",
    "www.specialstat.com",
    "www.specificmedia.com",
    "www.specificpop.com",
    "www.speedcount.de",
    "www.speedcounter.net",
    "www.spiderbait.com",
    "www.spinbox.net",
    "www.splem.net",
    "www.sponsorads.de",
    "www.spookylinks.com",
    "www.sptag.com",
    "www.spunkycash.com",
    "www.spyarsenal.com",
    "www.spylog.com",
    "www.spylog.ru",
    "www.spywarebegone.com",
    "www.spywareit.com",
    "www.spywarenuker.com",
    "www.spywarespy.com",
    "www.sq2trk2.com",
    "www.stamplive.com",
    "www.standardinternet.com",
    "www.start-page.org",
    "www.startnow.com",
    "www.stat.pl",
    "www.stat24.com",
    "www.statcounter.com",
    "www.stats.in.th",
    "www.stats.net",
    "www.stats4free.de",
    "www.statsector.hu",
    "www.statsforever.com",
    "www.steamtraffic.com",
    "www.stickylogic.com",
    "www.streamate.com",
    "www.streamatelive.com",
    "www.streamen.com",
    "www.stressx.org",
    "www.superbanner.org",
    "www.superclix.de",
    "www.supersonicads.com",
    "www.superstat.info",
    "www.supremehits.net",
    "www.surfaccuracy.com",
    "www.surveynetworks.com",
    "www.surveysite.com",
    "www.swanksoft.com",
    "www.synovite-scripts.com",
    "www.system4.nl",
    "www.t-analytics.com",
    "www.t5.ro",
    "www.tag4arm.com",
    "www.tagifydiageo.com",
    "www.tangabilder.to",
    "www.tarakc1.net",
    "www.targeted-banners.com",
    "www.targetingnow.com",
    "www.terraclicks.com",
    "www.terrapops.com",
    "www.text-link-ads.com",
    "www.textads.biz",
    "www.textadvertising.com",
    "www.textlink.cz",
    "www.textlinkads.com",
    "www.theaffiliateprogram.com",
    "www.themexp.org",
    "www.thesearchster.com",
    "www.thesexcinema.com",
    "www.thesocialsexnetwork.com",
    "www.thesurfshield.com",
    "www.thetop10.com",
    "www.theuniquesearch.com",
    "www.thickcash.com",
    "www.tinbuadserv.com",
    "www.tinka.ru",
    "www.tkqlhce.com",
    "www.tns-counter.ru",
    "www.toon-families.com",
    "www.toonfamilies.net",
    "www.top-rank.pl",
    "www.top1.ro",
    "www.top100.lt",
    "www.top100.ro",
    "www.top100lists.ca",
    "www.top25.ro",
    "www.top300.ro",
    "www.top55.ro",
    "www.top90.ro",
    "www.top99.ro",
    "www.topadult.ro",
    "www.topblogging.com",
    "www.topblogs.com.ph",
    "www.toplist.cz",
    "www.toplist.sk",
    "www.toplistim.com",
    "www.toppornblogs.com",
    "www.topsiteguide.com",
    "www.topsites24.de",
    "www.topsites24.net",
    "www.topsiteuri.ro",
    "www.toptracker.ru",
    "www.tossoffads.com",
    "www.tostadomedia.com",
    "www.totaladperformance.com",
    "www.totalfax.net",
    "www.totemcash.com",
    "www.touchclarity.com",
    "www.tqlkg.com",
    "www.tr100.net",
    "www.tracemyip.org",
    "www.track2cash.com",
    "www.trackbacksecure.com",
    "www.trackingclick.net",
    "www.trackingindahouse.com",
    "www.trackingstatalytics.com",
    "www.trackzapper.com",
    "www.tradeadexchange.com",
    "www.traffic4u.com",
    "www.trafficads.com",
    "www.trafficbeamer.com",
    "www.trafficbeamer.nl",
    "www.trafficcashgold.com",
    "www.trafficcenter.de",
    "www.trafficflame.com",
    "www.trafficg.com",
    "www.traffichaus.com",
    "www.trafficpace.com",
    "www.trafficresults.com",
    "www.trafficzap.com",
    "www.trafic.ro",
    "www.traficmax.fr",
    "www.trafix.ro",
    "www.trendcounter.com",
    "www.tribalfusion.com",
    "www.trkr1.com",
    "www.trustedbestsites.com",
    "www.trustgauge.com",
    "www.trustsoft.com",
    "www.tsgonline.com",
    "www.tubedspots.com",
    "www.tubehits.com",
    "www.tumri.net",
    "www.turkeyrank.com",
    "www.ugdturner.com",
    "www.ukbanners.com",
    "www.ultimatetopsites.com",
    "www.undertonenetworks.com",
    "www.unicast.com",
    "www.universal-traffic.com",
    "www.universebundlegrab.com",
    "www.update-java.kit.net",
    "www.upsellit.com",
    "www.urlcash.net",
    "www.usadserver.com",
    "www.usenetjunction.com",
    "www.usersonlinecounter.com",
    "www.utarget.co.uk",
    "www.v-links.net",
    "www.validatedsite.com",
    "www.validview.com",
    "www.velmedia.net",
    "www.vertadnet.com",
    "www.vibrantmedia.com",
    "www.virtualsurfer.com",
    "www.visitdetails.com",
    "www.visitor-track.com",
    "www.visitortracklog.com",
    "www.visits.lt",
    "www.vivo7.com",
    "www.vizury.com",
    "www.vjsoft.net",
    "www.voicefive.com",
    "www.vstats.net",
    "www.w1.ro",
    "www.w3counter.com",
    "www.watch24.com",
    "www.web-chart.de",
    "www.web-stat.com",
    "www.webalize.net",
    "www.webanalyser.net",
    "www.webclients.net",
    "www.webconnect.net",
    "www.webcounter.com",
    "www.webgozar.ir",
    "www.webhits.de",
    "www.webhostingcounter.com",
    "www.webmoblink.com",
    "www.webservis.gen.tr",
    "www.website-hit-counters.com",
    "www.websitealive3.com",
    "www.webspectator.com",
    "www.websponsors.com",
    "www.webstat.se",
    "www.webstats4u.com",
    "www.webtistic.com",
    "www.webtrackerplus.com",
    "www.webtraxs.com",
    "www.webtrends.net",
    "www.weitclick.de",
    "www.weownthetraffic.com",
    "www.whalecashads.com",
    "www.whitesmoke.com",
    "www.whitesmoke.us",
    "www.widebanner.com",
    "www.win-spy.com",
    "www.winadiscount.com",
    "www.winaproduct.com",
    "www.worldata.com",
    "www.worlds-best-online-casinos.com",
    "www.wtp101.com",
    "www.wundercounter.com",
    "www.wysistat.com",
    "www.x-park.net",
    "www.xclicks.net",
    "www.xed.pl",
    "www.xg4ken.com",
    "www.xiti.com",
    "www.xl-rank.com",
    "www.xpays.com",
    "www.xstat.pl",
    "www.xtrafic.ro",
    "www.xvika.net",
    "www.xvika.org",
    "www.xxx-hitz.org",
    "www.xxxbannerswap.com",
    "www.xxxwebtraffic.com",
    "www.xy7track.com",
    "www.xyfex.com",
    "www.xyztraffic.com",
    "www.ycctrk.co.uk",
    "www.yidsense.com",
    "www.yieldtraffic.com",
    "www.youho.com",
    "www.yourdedicatedhost.com",
    "www.yourhitstats.com",
    "www.yourlustmedia.com",
    "www.yourstats.net",
    "www.ypmadserver.com",
    "www.yrals.com",
    "www.ytdownloader.com",
    "www.yvmads.com",
    "www.zanox-affiliate.de",
    "www.zapunited.com",
    "www.zedo.com",
    "www.zergnet.com",
    "www.zipitfast.com",
    "www.zlothonline.info",
    "www.zoomovies.org",
    "www.zugo.com",
    "www1.addfreestats.com",
    "www1.darikweb.com",
    "www1.gto-media.com",
    "www1.iwon.com",
    "www1.mpnrs.com",
    "www1.multipops.com",
    "www1.nuseek.com",
    "www1.pip-pip-pop.com",
    "www1.pollg.com",
    "www1.sedoparking.com",
    "www1.sexinyourcity.com",
    "www1.tec-tec-boom.com",
    "www1.theglobeandmail.com",
    "www17-orig.glam.com",
    "www18.officedepot.com",
    "www2.acint.net",
    "www2.addfreestats.com",
    "www2.adhost.com",
    "www2.adserverpub.com",
    "www2.autopartswarehouse.com",
    "www2.clustrmaps.com",
    "www2.cqcounter.com",
    "www2.doubleclick.com",
    "www2.game-advertising-online.com",
    "www2.hitslink.com",
    "www2.kiehls.com",
    "www2.leadingedgecash.com",
    "www2.multipops.com",
    "www2.mystats.nl",
    "www2.nuseek.com",
    "www2.portdetective.com",
    "www2.sellhealth.com",
    "www2.smartadserver.com",
    "www2.stats4free.de",
    "www2.survey-poll.com",
    "www2.yidsense.com",
    "www25.bathandbodyworks.com",
    "www25.victoriassecret.com",
    "www2a.sitetracker.com",
    "www3.addfreestats.com",
    "www3.bloomingdales.com",
    "www3.clustrmaps.com",
    "www3.doubleclick.com",
    "www3.doubleclick.net",
    "www3.game-advertising-online.com",
    "www3.macys.com",
    "www3.nationalgeographic.com",
    "www3.nuseek.com",
    "www3.smartadserver.com",
    "www3.webhostingtalk.com",
    "www30a1.glam.com",
    "www30a4.glam.com",
    "www30a5.glam.com",
    "www30a6-orig.glam.com",
    "www30a6.glam.com",
    "www4.addfreestats.com",
    "www4.clustrmaps.com",
    "www4.smartadserver.com",
    "www4search.net",
    "www5.addfreestats.com",
    "www5.smartadserver.com",
    "www6.addfreestats.com",
    "www6.effectivemeasure.net",
    "www6.smartadserver.com",
    "www62.runningtimes.com",
    "www7.addfreestats.com",
    "www8-ssl.effectivemeasure.net",
    "www8.addfreestats.com",
    "www8.afsanalytics.com",
    "www8.effectivemeasure.net",
    "www8.glam.com",
    "www8.smartadserver.com",
    "www9.addfreestats.com",
    "www9.collectiblestoday.com",
    "www9.effectivemeasure.net",
    "www9.smartadserver.com",
    "www9.swansonvitamins.com",
    "www91.intel.com",
    "wwwchipchickcom.skimlinks.com",
    "wwwcultofmaccom.skimlinks.com",
    "wwwpromoter.com",
    "wykop.hit.gemius.pl",
    "x-road.co.kr",
    "x-traceur.com",
    "x.bidswitch.net",
    "x.clickcertain.com",
    "x.imwx.com",
    "x17online.us.intellitxt.com",
    "x2.xclicks.net",
    "x3.extreme-dm.com",
    "x3.xclicks.net",
    "x4.xclicks.net",
    "x5.xclicks.net",
    "x6.xclicks.net",
    "x6.yakiuchi.com",
    "xads.100links.com",
    "xads.zedo.com",
    "xapi.juicyads.com",
    "xblasterads1.com",
    "xbox.ign.us.intellitxt.com",
    "xbox360.ign.us.intellitxt.com",
    "xbs.mtree.com",
    "xbs.pao.mtree.com",
    "xbs.sea.mtree.com",
    "xch.directrev.com",
    "xch.smrtgs.com",
    "xchange.ro",
    "xclicks.net",
    "xclusive.ly",
    "xed.pl",
    "xertive.com",
    "xfuckbook.com",
    "xg4ken.com",
    "xhealth.112.2o7.net",
    "xhealthmobiltools.112.2o7.net",
    "xit.sexlist.com",
    "xiti.com",
    "xiti.com",
    "xmarkscom.skimlinks.com",
    "xml.ad-maven.com",
    "xml.adfclick1.com",
    "xml.admanage.com",
    "xml.adsparkmedia.net",
    "xml.adventurefeeds.com",
    "xml.adxfactory.com",
    "xml.bravenet.com",
    "xml.ecpvads.com",
    "xml.intelligenttrafficsystem.com",
    "xml.mxsads.com",
    "xml.nbcsearch.com",
    "xml.onwardclick.com",
    "xml.plusfind.net",
    "xml.quiveradnet.com",
    "xml.seekandsee.com",
    "xml2.nbcsearch.com",
    "xmlpitstop.us.intellitxt.com",
    "xp.classifieds1000.com",
    "xp1.zedo.com",
    "xp2.zedo.com",
    "xplusone.com",
    "xponsor.com",
    "xpop.co",
    "xpostmail.com",
    "xq1.net",
    "xrea.com",
    "xtainment.net",
    "xtds.info",
    "xtendmedia.com",
    "xtremetop100.com",
    "xwbe.wcdn.co.il",
    "xwell.ru",
    "xxx-r.com",
    "xxx.cqcounter.com",
    "xxxcounter.com",
    "xxxmyself.com",
    "xxxreactor.com",
    "xyz.freelogs.com",
    "xyz.freeweblogger.com",
    "y.cdn.adblade.com",
    "y.extreme-dm.com",
    "y.ibsys.com",
    "y0.extreme-dm.com",
    "y1.extreme-dm.com",
    "yab-adimages.s3.amazonaws.com",
    "yabuka.com",
    "yad1.yad2.co.il",
    "yadro.ru",
    "yads.zedo.com",
    "yahoo.effectivemeasure.net",
    "yahoo.ivwbox.de",
    "yahoo.nuggad.net",
    "yahooads.valuead.com",
    "yamaha.122.2o7.net",
    "yandexadexchange.net",
    "yardbarker.tags.crwdcntrl.net",
    "ybex.com",
    "ybinst0.ec.yimg.com",
    "ybinst1.ec.yimg.com",
    "ybinst2.ec.yimg.com",
    "ybinst3.ec.yimg.com",
    "ybinst4.ec.yimg.com",
    "ybinst5.ec.yimg.com",
    "ybinst6.ec.yimg.com",
    "ybinst7.ec.yimg.com",
    "ybinst8.ec.yimg.com",
    "ybinst9.ec.yimg.com",
    "ycv.clearshieldredirect.com",
    "yeeeah.us.intellitxt.com",
    "yellcom.122.2o7.net",
    "yellspain.112.2o7.net",
    "yesads.com",
    "yesadvertising.com",
    "yeskyafp.allyes.com",
    "yield.audience.digitalmedia.bg",
    "yieldads.com",
    "yieldads.com",
    "yieldbuild.com",
    "yieldlab.net",
    "yieldmanager.adbooth.com",
    "yieldmanager.com",
    "yieldmanager.net",
    "yieldmo.com",
    "yieldtraffic.com",
    "yllix.com",
    "ym.adnxs.com",
    "ym.bannerconnect.net",
    "yoc.mobi",
    "yoda.cybereps.com",
    "yoggrt.com",
    "yorick.adjuggler.net",
    "yourfreesoftonline.com",
    "youronlinesoft.com",
    "yoursoftwareplace.com",
    "yourstats.net",
    "yourtango.us.intellitxt.com",
    "yrkdsp.112.2o7.net",
    "yrtas.btrll.com",
    "yukoyuko.112.2o7.net",
    "z-na.amazon-adsystem.com",
    "z.abnad.net",
    "z.blogads.com",
    "z.extreme-dm.com",
    "z.moatads.com",
    "z0.extreme-dm.com",
    "z1.extreme-dm.com",
    "z1.zedo.com",
    "z2.zedo.com",
    "z5x.net",
    "za-cdn.effectivemeasure.net",
    "zafiti01.webtrekk-us.net",
    "zag.112.2o7.net",
    "zampolit1990.popunder.ru",
    "zango.112.2o7.net",
    "zangocash.com",
    "zanox-affiliate.de",
    "zanox-affiliate.de",
    "zanox.com",
    "zantracker.com",
    "zataz.fr.intellitxt.com",
    "zatznotfunny.us.intellitxt.com",
    "zb.zeroredirect1.com",
    "zbest.in",
    "zbiornik.com",
    "zc.zeroredirect1.com",
    "zdau-builder.122.2o7.net",
    "zdbb.net",
    "zdbb.netshelter.net",
    "zdf.ivwbox.de",
    "zdnet.be.intellitxt.com",
    "ze1.zeroredirect1.com",
    "zedo.com",
    "zedo.com",
    "zedoadservices.com",
    "zeit.met.vgwort.de",
    "zeit01.webtrekk.net",
    "zeitonl.ivwbox.de",
    "zeldalily.us.intellitxt.com",
    "zencudo.co.uk",
    "zenkreka.com",
    "zenzuu.com",
    "zeroclick.sendori.com",
    "zeus.developershed.com",
    "zeusclicks.com",
    "zfhg.digitaldesire.com",
    "zhirok.com",
    "ziffdavisenterprise.112.2o7.net",
    "ziffdavisenterpriseglobal.112.2o7.net",
    "ziffdaviseweek.112.2o7.net",
    "ziffdavisfilefront.112.2o7.net",
    "ziffdavisglobal.112.2o7.net",
    "ziffdavispennyarcade.112.2o7.net",
    "zintext.com",
    "zm1.zeroredirect5.com",
    "zmedia.com",
    "znaptag-us.s3.amazonaws.com",
    "zoek.zugo.com",
    "zonawm.biz.popunder.ru",
    "zoomovies.org",
    "zr0.net",
    "zs1.zeroredirect1.com",
    "zs11.cnzz.com",
    "zs16.cnzz.com",
    "zsc.scmspain.com",
    "ztrack.net",
    "zug.us.intellitxt.com",
    "zv1.november-lax.com",
    "zz.cqcounter.com",
    "zzz.clickbank.net",
]
